package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.c1;
import e.a.a;
import e.a.f;
import e.a.g;
import e.a.j;
import e.g.l.d0;

public class ListMenuItemView extends LinearLayout implements n.a, AbsListView.SelectionBoundsAdjuster {

    /* renamed from: ʿ  reason: contains not printable characters */
    private i f481;

    /* renamed from: ˆ  reason: contains not printable characters */
    private ImageView f482;

    /* renamed from: ˈ  reason: contains not printable characters */
    private RadioButton f483;

    /* renamed from: ˉ  reason: contains not printable characters */
    private TextView f484;

    /* renamed from: ˊ  reason: contains not printable characters */
    private CheckBox f485;

    /* renamed from: ˋ  reason: contains not printable characters */
    private TextView f486;

    /* renamed from: ˎ  reason: contains not printable characters */
    private ImageView f487;

    /* renamed from: ˏ  reason: contains not printable characters */
    private ImageView f488;

    /* renamed from: ˑ  reason: contains not printable characters */
    private LinearLayout f489;

    /* renamed from: י  reason: contains not printable characters */
    private Drawable f490;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f491;

    /* renamed from: ٴ  reason: contains not printable characters */
    private Context f492;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f493;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private Drawable f494;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean f495;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private LayoutInflater f496;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean f497;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.listMenuViewStyle);
    }

    private LayoutInflater getInflater() {
        if (this.f496 == null) {
            this.f496 = LayoutInflater.from(getContext());
        }
        return this.f496;
    }

    private void setSubMenuArrowVisible(boolean z) {
        ImageView imageView = this.f487;
        if (imageView != null) {
            imageView.setVisibility(z ? 0 : 8);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m639() {
        ImageView imageView = (ImageView) getInflater().inflate(g.abc_list_menu_item_icon, (ViewGroup) this, false);
        this.f482 = imageView;
        m638(imageView, 0);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m640() {
        RadioButton radioButton = (RadioButton) getInflater().inflate(g.abc_list_menu_item_radio, (ViewGroup) this, false);
        this.f483 = radioButton;
        m637(radioButton);
    }

    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.f488;
        if (imageView != null && imageView.getVisibility() == 0) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f488.getLayoutParams();
            rect.top += this.f488.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public i getItemData() {
        return this.f481;
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        d0.m10431(this, this.f490);
        TextView textView = (TextView) findViewById(f.title);
        this.f484 = textView;
        int i = this.f491;
        if (i != -1) {
            textView.setTextAppearance(this.f492, i);
        }
        this.f486 = (TextView) findViewById(f.shortcut);
        ImageView imageView = (ImageView) findViewById(f.submenuarrow);
        this.f487 = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.f494);
        }
        this.f488 = (ImageView) findViewById(f.group_divider);
        this.f489 = (LinearLayout) findViewById(f.content);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        if (this.f482 != null && this.f493) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.f482.getLayoutParams();
            int i3 = layoutParams.height;
            if (i3 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i3;
            }
        }
        super.onMeasure(i, i2);
    }

    public void setCheckable(boolean z) {
        CompoundButton compoundButton;
        CompoundButton compoundButton2;
        if (z || this.f483 != null || this.f485 != null) {
            if (this.f481.m803()) {
                if (this.f483 == null) {
                    m640();
                }
                compoundButton2 = this.f483;
                compoundButton = this.f485;
            } else {
                if (this.f485 == null) {
                    m636();
                }
                compoundButton2 = this.f485;
                compoundButton = this.f483;
            }
            if (z) {
                compoundButton2.setChecked(this.f481.isChecked());
                if (compoundButton2.getVisibility() != 0) {
                    compoundButton2.setVisibility(0);
                }
                if (compoundButton != null && compoundButton.getVisibility() != 8) {
                    compoundButton.setVisibility(8);
                    return;
                }
                return;
            }
            CheckBox checkBox = this.f485;
            if (checkBox != null) {
                checkBox.setVisibility(8);
            }
            RadioButton radioButton = this.f483;
            if (radioButton != null) {
                radioButton.setVisibility(8);
            }
        }
    }

    public void setChecked(boolean z) {
        CompoundButton compoundButton;
        if (this.f481.m803()) {
            if (this.f483 == null) {
                m640();
            }
            compoundButton = this.f483;
        } else {
            if (this.f485 == null) {
                m636();
            }
            compoundButton = this.f485;
        }
        compoundButton.setChecked(z);
    }

    public void setForceShowIcon(boolean z) {
        this.f497 = z;
        this.f493 = z;
    }

    public void setGroupDividerEnabled(boolean z) {
        ImageView imageView = this.f488;
        if (imageView != null) {
            imageView.setVisibility((this.f495 || !z) ? 8 : 0);
        }
    }

    public void setIcon(Drawable drawable) {
        boolean z = this.f481.m806() || this.f497;
        if (!z && !this.f493) {
            return;
        }
        if (this.f482 != null || drawable != null || this.f493) {
            if (this.f482 == null) {
                m639();
            }
            if (drawable != null || this.f493) {
                ImageView imageView = this.f482;
                if (!z) {
                    drawable = null;
                }
                imageView.setImageDrawable(drawable);
                if (this.f482.getVisibility() != 0) {
                    this.f482.setVisibility(0);
                    return;
                }
                return;
            }
            this.f482.setVisibility(8);
        }
    }

    public void setTitle(CharSequence charSequence) {
        if (charSequence != null) {
            this.f484.setText(charSequence);
            if (this.f484.getVisibility() != 0) {
                this.f484.setVisibility(0);
            }
        } else if (this.f484.getVisibility() != 8) {
            this.f484.setVisibility(8);
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m641(i iVar, int i) {
        this.f481 = iVar;
        setVisibility(iVar.isVisible() ? 0 : 8);
        setTitle(iVar.m788(this));
        setCheckable(iVar.isCheckable());
        m642(iVar.m807(), iVar.m796());
        setIcon(iVar.getIcon());
        setEnabled(iVar.isEnabled());
        setSubMenuArrowVisible(iVar.hasSubMenu());
        setContentDescription(iVar.getContentDescription());
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m643() {
        return false;
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        c1 r5 = c1.m1137(getContext(), attributeSet, j.MenuView, i, 0);
        this.f490 = r5.m1146(j.MenuView_android_itemBackground);
        this.f491 = r5.m1156(j.MenuView_android_itemTextAppearance, -1);
        this.f493 = r5.m1143(j.MenuView_preserveIconSpacing, false);
        this.f492 = context;
        this.f494 = r5.m1146(j.MenuView_subMenuArrow);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, a.dropDownListViewStyle, 0);
        this.f495 = obtainStyledAttributes.hasValue(0);
        r5.m1147();
        obtainStyledAttributes.recycle();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m637(View view) {
        m638(view, -1);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m638(View view, int i) {
        LinearLayout linearLayout = this.f489;
        if (linearLayout != null) {
            linearLayout.addView(view, i);
        } else {
            addView(view, i);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m642(boolean z, char c) {
        int i = (!z || !this.f481.m807()) ? 8 : 0;
        if (i == 0) {
            this.f486.setText(this.f481.m798());
        }
        if (this.f486.getVisibility() != i) {
            this.f486.setVisibility(i);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m636() {
        CheckBox checkBox = (CheckBox) getInflater().inflate(g.abc_list_menu_item_checkbox, (ViewGroup) this, false);
        this.f485 = checkBox;
        m637(checkBox);
    }
}
