package androidx.appcompat.view.menu;

import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.view.ActionProvider;
import android.view.ContextMenu;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewDebug;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.appcompat.view.menu.n;
import e.a.h;
import e.g.f.a.b;
import e.g.l.e;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: MenuItemImpl */
public final class i implements b {

    /* renamed from: ʻ  reason: contains not printable characters */
    private final int f615;

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private MenuItem.OnActionExpandListener f616;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final int f617;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private ContextMenu.ContextMenuInfo f618;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final int f619;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private boolean f620 = false;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final int f621;

    /* renamed from: ʿ  reason: contains not printable characters */
    private CharSequence f622;

    /* renamed from: ˆ  reason: contains not printable characters */
    private CharSequence f623;

    /* renamed from: ˈ  reason: contains not printable characters */
    private Intent f624;

    /* renamed from: ˉ  reason: contains not printable characters */
    private char f625;

    /* renamed from: ˊ  reason: contains not printable characters */
    private int f626 = 4096;

    /* renamed from: ˋ  reason: contains not printable characters */
    private char f627;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f628 = 4096;

    /* renamed from: ˏ  reason: contains not printable characters */
    private Drawable f629;

    /* renamed from: ˑ  reason: contains not printable characters */
    private int f630 = 0;

    /* renamed from: י  reason: contains not printable characters */
    g f631;

    /* renamed from: ـ  reason: contains not printable characters */
    private r f632;

    /* renamed from: ٴ  reason: contains not printable characters */
    private Runnable f633;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private MenuItem.OnMenuItemClickListener f634;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private View f635;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private CharSequence f636;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private e f637;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private CharSequence f638;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private ColorStateList f639 = null;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private PorterDuff.Mode f640 = null;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private boolean f641 = false;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private boolean f642 = false;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private boolean f643 = false;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private int f644 = 16;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private int f645 = 0;

    /* compiled from: MenuItemImpl */
    class a implements e.b {
        a() {
        }

        @Override // e.g.l.e.b
        public void onActionProviderVisibilityChanged(boolean z) {
            i iVar = i.this;
            iVar.f631.m760(iVar);
        }
    }

    i(g gVar, int i, int i2, int i3, int i4, CharSequence charSequence, int i5) {
        this.f631 = gVar;
        this.f615 = i2;
        this.f617 = i;
        this.f619 = i3;
        this.f621 = i4;
        this.f622 = charSequence;
        this.f645 = i5;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m785(StringBuilder sb, int i, int i2, String str) {
        if ((i & i2) == i2) {
            sb.append(str);
        }
    }

    @Override // e.g.f.a.b
    public boolean collapseActionView() {
        if ((this.f645 & 8) == 0) {
            return false;
        }
        if (this.f635 == null) {
            return true;
        }
        MenuItem.OnActionExpandListener onActionExpandListener = this.f616;
        if (onActionExpandListener == null || onActionExpandListener.onMenuItemActionCollapse(this)) {
            return this.f631.m745(this);
        }
        return false;
    }

    @Override // e.g.f.a.b
    public boolean expandActionView() {
        if (!m800()) {
            return false;
        }
        MenuItem.OnActionExpandListener onActionExpandListener = this.f616;
        if (onActionExpandListener == null || onActionExpandListener.onMenuItemActionExpand(this)) {
            return this.f631.m751(this);
        }
        return false;
    }

    public ActionProvider getActionProvider() {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.getActionProvider()");
    }

    @Override // e.g.f.a.b
    public View getActionView() {
        View view = this.f635;
        if (view != null) {
            return view;
        }
        e eVar = this.f637;
        if (eVar == null) {
            return null;
        }
        View r0 = eVar.m10654(this);
        this.f635 = r0;
        return r0;
    }

    @Override // e.g.f.a.b
    public int getAlphabeticModifiers() {
        return this.f628;
    }

    public char getAlphabeticShortcut() {
        return this.f627;
    }

    @Override // e.g.f.a.b
    public CharSequence getContentDescription() {
        return this.f636;
    }

    public int getGroupId() {
        return this.f617;
    }

    public Drawable getIcon() {
        Drawable drawable = this.f629;
        if (drawable != null) {
            return m784(drawable);
        }
        if (this.f630 == 0) {
            return null;
        }
        Drawable r0 = e.a.k.a.a.m9036(this.f631.m761(), this.f630);
        this.f630 = 0;
        this.f629 = r0;
        return m784(r0);
    }

    @Override // e.g.f.a.b
    public ColorStateList getIconTintList() {
        return this.f639;
    }

    @Override // e.g.f.a.b
    public PorterDuff.Mode getIconTintMode() {
        return this.f640;
    }

    public Intent getIntent() {
        return this.f624;
    }

    @ViewDebug.CapturedViewProperty
    public int getItemId() {
        return this.f615;
    }

    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.f618;
    }

    @Override // e.g.f.a.b
    public int getNumericModifiers() {
        return this.f626;
    }

    public char getNumericShortcut() {
        return this.f625;
    }

    public int getOrder() {
        return this.f619;
    }

    public SubMenu getSubMenu() {
        return this.f632;
    }

    @ViewDebug.CapturedViewProperty
    public CharSequence getTitle() {
        return this.f622;
    }

    public CharSequence getTitleCondensed() {
        CharSequence charSequence = this.f623;
        if (charSequence == null) {
            charSequence = this.f622;
        }
        return (Build.VERSION.SDK_INT >= 18 || charSequence == null || (charSequence instanceof String)) ? charSequence : charSequence.toString();
    }

    @Override // e.g.f.a.b
    public CharSequence getTooltipText() {
        return this.f638;
    }

    public boolean hasSubMenu() {
        return this.f632 != null;
    }

    @Override // e.g.f.a.b
    public boolean isActionViewExpanded() {
        return this.f620;
    }

    public boolean isCheckable() {
        return (this.f644 & 1) == 1;
    }

    public boolean isChecked() {
        return (this.f644 & 2) == 2;
    }

    public boolean isEnabled() {
        return (this.f644 & 16) != 0;
    }

    public boolean isVisible() {
        e eVar = this.f637;
        if (eVar == null || !eVar.m10662()) {
            if ((this.f644 & 8) == 0) {
                return true;
            }
            return false;
        } else if ((this.f644 & 8) != 0 || !this.f637.m10659()) {
            return false;
        } else {
            return true;
        }
    }

    public MenuItem setActionProvider(ActionProvider actionProvider) {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.setActionProvider()");
    }

    public MenuItem setAlphabeticShortcut(char c) {
        if (this.f627 == c) {
            return this;
        }
        this.f627 = Character.toLowerCase(c);
        this.f631.m750(false);
        return this;
    }

    public MenuItem setCheckable(boolean z) {
        int i = this.f644;
        int i2 = (z ? 1 : 0) | (i & -2);
        this.f644 = i2;
        if (i != i2) {
            this.f631.m750(false);
        }
        return this;
    }

    public MenuItem setChecked(boolean z) {
        if ((this.f644 & 4) != 0) {
            this.f631.m736((MenuItem) this);
        } else {
            m793(z);
        }
        return this;
    }

    public MenuItem setEnabled(boolean z) {
        if (z) {
            this.f644 |= 16;
        } else {
            this.f644 &= -17;
        }
        this.f631.m750(false);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.f630 = 0;
        this.f629 = drawable;
        this.f643 = true;
        this.f631.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.f639 = colorStateList;
        this.f641 = true;
        this.f643 = true;
        this.f631.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.f640 = mode;
        this.f642 = true;
        this.f643 = true;
        this.f631.m750(false);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.f624 = intent;
        return this;
    }

    public MenuItem setNumericShortcut(char c) {
        if (this.f625 == c) {
            return this;
        }
        this.f625 = c;
        this.f631.m750(false);
        return this;
    }

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        this.f616 = onActionExpandListener;
        return this;
    }

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        this.f634 = onMenuItemClickListener;
        return this;
    }

    public MenuItem setShortcut(char c, char c2) {
        this.f625 = c;
        this.f627 = Character.toLowerCase(c2);
        this.f631.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public void setShowAsAction(int i) {
        int i2 = i & 3;
        if (i2 == 0 || i2 == 1 || i2 == 2) {
            this.f645 = i;
            this.f631.m755(this);
            return;
        }
        throw new IllegalArgumentException("SHOW_AS_ACTION_ALWAYS, SHOW_AS_ACTION_IF_ROOM, and SHOW_AS_ACTION_NEVER are mutually exclusive.");
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.f622 = charSequence;
        this.f631.m750(false);
        r rVar = this.f632;
        if (rVar != null) {
            rVar.setHeaderTitle(charSequence);
        }
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f623 = charSequence;
        this.f631.m750(false);
        return this;
    }

    public MenuItem setVisible(boolean z) {
        if (m799(z)) {
            this.f631.m760(this);
        }
        return this;
    }

    public String toString() {
        CharSequence charSequence = this.f622;
        if (charSequence != null) {
            return charSequence.toString();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m793(boolean z) {
        int i = this.f644;
        int i2 = (z ? 2 : 0) | (i & -3);
        this.f644 = i2;
        if (i != i2) {
            this.f631.m750(false);
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public int m794() {
        return this.f621;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public char m796() {
        return this.f631.m773() ? this.f627 : this.f625;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public String m798() {
        char r0 = m796();
        if (r0 == 0) {
            return BuildConfig.FLAVOR;
        }
        Resources resources = this.f631.m761().getResources();
        StringBuilder sb = new StringBuilder();
        if (ViewConfiguration.get(this.f631.m761()).hasPermanentMenuKey()) {
            sb.append(resources.getString(h.abc_prepend_shortcut_label));
        }
        int i = this.f631.m773() ? this.f628 : this.f626;
        m785(sb, i, 65536, resources.getString(h.abc_menu_meta_shortcut_label));
        m785(sb, i, 4096, resources.getString(h.abc_menu_ctrl_shortcut_label));
        m785(sb, i, 2, resources.getString(h.abc_menu_alt_shortcut_label));
        m785(sb, i, 1, resources.getString(h.abc_menu_shift_shortcut_label));
        m785(sb, i, 4, resources.getString(h.abc_menu_sym_shortcut_label));
        m785(sb, i, 8, resources.getString(h.abc_menu_function_shortcut_label));
        if (r0 == '\b') {
            sb.append(resources.getString(h.abc_menu_delete_shortcut_label));
        } else if (r0 == '\n') {
            sb.append(resources.getString(h.abc_menu_enter_shortcut_label));
        } else if (r0 != ' ') {
            sb.append(r0);
        } else {
            sb.append(resources.getString(h.abc_menu_space_shortcut_label));
        }
        return sb.toString();
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public boolean m800() {
        e eVar;
        if ((this.f645 & 8) == 0) {
            return false;
        }
        if (this.f635 == null && (eVar = this.f637) != null) {
            this.f635 = eVar.m10654(this);
        }
        if (this.f635 != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public boolean m801() {
        MenuItem.OnMenuItemClickListener onMenuItemClickListener = this.f634;
        if (onMenuItemClickListener != null && onMenuItemClickListener.onMenuItemClick(this)) {
            return true;
        }
        g gVar = this.f631;
        if (gVar.m744(gVar, this)) {
            return true;
        }
        Runnable runnable = this.f633;
        if (runnable != null) {
            runnable.run();
            return true;
        }
        if (this.f624 != null) {
            try {
                this.f631.m761().startActivity(this.f624);
                return true;
            } catch (ActivityNotFoundException e2) {
                Log.e("MenuItemImpl", "Can't find activity to handle intent; ignoring", e2);
            }
        }
        e eVar = this.f637;
        if (eVar == null || !eVar.m10661()) {
            return false;
        }
        return true;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public boolean m802() {
        return (this.f644 & 32) == 32;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public boolean m803() {
        return (this.f644 & 4) != 0;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public boolean m804() {
        return (this.f645 & 1) == 1;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public boolean m805() {
        return (this.f645 & 2) == 2;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public boolean m806() {
        return this.f631.m768();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˑ  reason: contains not printable characters */
    public boolean m807() {
        return this.f631.m774() && m796() != 0;
    }

    /* renamed from: י  reason: contains not printable characters */
    public boolean m808() {
        return (this.f645 & 4) == 4;
    }

    @Override // e.g.f.a.b
    public b setContentDescription(CharSequence charSequence) {
        this.f636 = charSequence;
        this.f631.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public b setShowAsActionFlags(int i) {
        setShowAsAction(i);
        return this;
    }

    @Override // e.g.f.a.b
    public b setTooltipText(CharSequence charSequence) {
        this.f638 = charSequence;
        this.f631.m750(false);
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m790(r rVar) {
        this.f632 = rVar;
        rVar.setHeaderTitle(getTitle());
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m795(boolean z) {
        this.f644 = (z ? 4 : 0) | (this.f644 & -5);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m797(boolean z) {
        if (z) {
            this.f644 |= 32;
        } else {
            this.f644 &= -33;
        }
    }

    @Override // e.g.f.a.b, android.view.MenuItem
    public b setActionView(View view) {
        int i;
        this.f635 = view;
        this.f637 = null;
        if (view != null && view.getId() == -1 && (i = this.f615) > 0) {
            view.setId(i);
        }
        this.f631.m755(this);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setAlphabeticShortcut(char c, int i) {
        if (this.f627 == c && this.f628 == i) {
            return this;
        }
        this.f627 = Character.toLowerCase(c);
        this.f628 = KeyEvent.normalizeMetaState(i);
        this.f631.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setNumericShortcut(char c, int i) {
        if (this.f625 == c && this.f626 == i) {
            return this;
        }
        this.f625 = c;
        this.f626 = KeyEvent.normalizeMetaState(i);
        this.f631.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setShortcut(char c, char c2, int i, int i2) {
        this.f625 = c;
        this.f626 = KeyEvent.normalizeMetaState(i);
        this.f627 = Character.toLowerCase(c2);
        this.f628 = KeyEvent.normalizeMetaState(i2);
        this.f631.m750(false);
        return this;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public CharSequence m788(n.a aVar) {
        if (aVar == null || !aVar.m869()) {
            return getTitle();
        }
        return getTitleCondensed();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m792() {
        this.f631.m755(this);
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i) {
        this.f629 = null;
        this.f630 = i;
        this.f643 = true;
        this.f631.m750(false);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i) {
        setTitle(this.f631.m761().getString(i));
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Drawable m784(Drawable drawable) {
        if (drawable != null && this.f643 && (this.f641 || this.f642)) {
            drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            if (this.f641) {
                androidx.core.graphics.drawable.a.m1976(drawable, this.f639);
            }
            if (this.f642) {
                androidx.core.graphics.drawable.a.m1979(drawable, this.f640);
            }
            this.f643 = false;
        }
        return drawable;
    }

    @Override // e.g.f.a.b, android.view.MenuItem
    public b setActionView(int i) {
        Context r0 = this.f631.m761();
        setActionView(LayoutInflater.from(r0).inflate(i, (ViewGroup) new LinearLayout(r0), false));
        return this;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m789(ContextMenu.ContextMenuInfo contextMenuInfo) {
        this.f618 = contextMenuInfo;
    }

    @Override // e.g.f.a.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public e m787() {
        return this.f637;
    }

    @Override // e.g.f.a.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public b m786(e eVar) {
        e eVar2 = this.f637;
        if (eVar2 != null) {
            eVar2.m10663();
        }
        this.f635 = null;
        this.f637 = eVar;
        this.f631.m750(true);
        e eVar3 = this.f637;
        if (eVar3 != null) {
            eVar3.m10657(new a());
        }
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m791(boolean z) {
        this.f620 = z;
        this.f631.m750(false);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public boolean m799(boolean z) {
        int i = this.f644;
        int i2 = (z ? 0 : 8) | (i & -9);
        this.f644 = i2;
        if (i != i2) {
            return true;
        }
        return false;
    }
}
