package androidx.appcompat.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.widget.TextView;
import e.a.j;
import e.g.l.d0;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.concurrent.ConcurrentHashMap;

/* access modifiers changed from: package-private */
/* compiled from: AppCompatTextViewAutoSizeHelper */
public class f0 {

    /* renamed from: ˏ  reason: contains not printable characters */
    private static final RectF f1066 = new RectF();
    @SuppressLint({"BanConcurrentHashMap"})

    /* renamed from: ˑ  reason: contains not printable characters */
    private static ConcurrentHashMap<String, Method> f1067 = new ConcurrentHashMap<>();
    @SuppressLint({"BanConcurrentHashMap"})

    /* renamed from: י  reason: contains not printable characters */
    private static ConcurrentHashMap<String, Field> f1068 = new ConcurrentHashMap<>();

    /* renamed from: ʻ  reason: contains not printable characters */
    private int f1069 = 0;

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean f1070 = false;

    /* renamed from: ʽ  reason: contains not printable characters */
    private float f1071 = -1.0f;

    /* renamed from: ʾ  reason: contains not printable characters */
    private float f1072 = -1.0f;

    /* renamed from: ʿ  reason: contains not printable characters */
    private float f1073 = -1.0f;

    /* renamed from: ˆ  reason: contains not printable characters */
    private int[] f1074 = new int[0];

    /* renamed from: ˈ  reason: contains not printable characters */
    private boolean f1075 = false;

    /* renamed from: ˉ  reason: contains not printable characters */
    private TextPaint f1076;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final TextView f1077;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final Context f1078;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final f f1079;

    /* access modifiers changed from: private */
    /* compiled from: AppCompatTextViewAutoSizeHelper */
    public static final class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m1324(TextView textView) {
            return textView.getMaxLines();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static StaticLayout m1325(CharSequence charSequence, Layout.Alignment alignment, int i, TextView textView, TextPaint textPaint) {
            return new StaticLayout(charSequence, textPaint, i, alignment, textView.getLineSpacingMultiplier(), textView.getLineSpacingExtra(), textView.getIncludeFontPadding());
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatTextViewAutoSizeHelper */
    public static final class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m1326(View view) {
            return view.isInLayout();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatTextViewAutoSizeHelper */
    public static final class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        static StaticLayout m1327(CharSequence charSequence, Layout.Alignment alignment, int i, int i2, TextView textView, TextPaint textPaint, f fVar) {
            StaticLayout.Builder obtain = StaticLayout.Builder.obtain(charSequence, 0, charSequence.length(), textPaint, i);
            StaticLayout.Builder hyphenationFrequency = obtain.setAlignment(alignment).setLineSpacing(textView.getLineSpacingExtra(), textView.getLineSpacingMultiplier()).setIncludePad(textView.getIncludeFontPadding()).setBreakStrategy(textView.getBreakStrategy()).setHyphenationFrequency(textView.getHyphenationFrequency());
            if (i2 == -1) {
                i2 = Integer.MAX_VALUE;
            }
            hyphenationFrequency.setMaxLines(i2);
            try {
                fVar.m1331(obtain, textView);
            } catch (ClassCastException unused) {
                Log.w("ACTVAutoSizeHelper", "Failed to obtain TextDirectionHeuristic, auto size may be incorrect");
            }
            return obtain.build();
        }
    }

    /* compiled from: AppCompatTextViewAutoSizeHelper */
    private static class d extends f {
        d() {
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.widget.f0.f
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m1328(StaticLayout.Builder builder, TextView textView) {
            builder.setTextDirection((TextDirectionHeuristic) f0.m1304(textView, "getTextDirectionHeuristic", TextDirectionHeuristics.FIRSTSTRONG_LTR));
        }
    }

    /* compiled from: AppCompatTextViewAutoSizeHelper */
    private static class e extends d {
        e() {
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.widget.f0.f
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m1330(TextView textView) {
            return textView.isHorizontallyScrollable();
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.widget.f0.f, androidx.appcompat.widget.f0.d
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m1329(StaticLayout.Builder builder, TextView textView) {
            builder.setTextDirection(textView.getTextDirectionHeuristic());
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatTextViewAutoSizeHelper */
    public static class f {
        f() {
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m1331(StaticLayout.Builder builder, TextView textView) {
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m1332(TextView textView) {
            return ((Boolean) f0.m1304(textView, "getHorizontallyScrolling", false)).booleanValue();
        }
    }

    f0(TextView textView) {
        this.f1077 = textView;
        this.f1078 = textView.getContext();
        int i = Build.VERSION.SDK_INT;
        if (i >= 29) {
            this.f1079 = new e();
        } else if (i >= 23) {
            this.f1079 = new d();
        } else {
            this.f1079 = new f();
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m1306() {
        this.f1069 = 0;
        this.f1072 = -1.0f;
        this.f1073 = -1.0f;
        this.f1071 = -1.0f;
        this.f1074 = new int[0];
        this.f1070 = false;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private boolean m1307() {
        if (!m1309() || this.f1069 != 1) {
            this.f1070 = false;
        } else {
            if (!this.f1075 || this.f1074.length == 0) {
                int floor = ((int) Math.floor((double) ((this.f1073 - this.f1072) / this.f1071))) + 1;
                int[] iArr = new int[floor];
                for (int i = 0; i < floor; i++) {
                    iArr[i] = Math.round(this.f1072 + (((float) i) * this.f1071));
                }
                this.f1074 = m1303(iArr);
            }
            this.f1070 = true;
        }
        return this.f1070;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private boolean m1308() {
        int length = this.f1074.length;
        boolean z = length > 0;
        this.f1075 = z;
        if (z) {
            this.f1069 = 1;
            int[] iArr = this.f1074;
            this.f1072 = (float) iArr[0];
            this.f1073 = (float) iArr[length - 1];
            this.f1071 = -1.0f;
        }
        return this.f1075;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean m1309() {
        return !(this.f1077 instanceof n);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1315(AttributeSet attributeSet, int i) {
        int resourceId;
        TypedArray obtainStyledAttributes = this.f1078.obtainStyledAttributes(attributeSet, j.AppCompatTextView, i, 0);
        TextView textView = this.f1077;
        d0.m10427(textView, textView.getContext(), j.AppCompatTextView, attributeSet, obtainStyledAttributes, i, 0);
        if (obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizeTextType)) {
            this.f1069 = obtainStyledAttributes.getInt(j.AppCompatTextView_autoSizeTextType, 0);
        }
        float dimension = obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizeStepGranularity) ? obtainStyledAttributes.getDimension(j.AppCompatTextView_autoSizeStepGranularity, -1.0f) : -1.0f;
        float dimension2 = obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizeMinTextSize) ? obtainStyledAttributes.getDimension(j.AppCompatTextView_autoSizeMinTextSize, -1.0f) : -1.0f;
        float dimension3 = obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizeMaxTextSize) ? obtainStyledAttributes.getDimension(j.AppCompatTextView_autoSizeMaxTextSize, -1.0f) : -1.0f;
        if (obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizePresetSizes) && (resourceId = obtainStyledAttributes.getResourceId(j.AppCompatTextView_autoSizePresetSizes, 0)) > 0) {
            TypedArray obtainTypedArray = obtainStyledAttributes.getResources().obtainTypedArray(resourceId);
            m1301(obtainTypedArray);
            obtainTypedArray.recycle();
        }
        obtainStyledAttributes.recycle();
        if (!m1309()) {
            this.f1069 = 0;
        } else if (this.f1069 == 1) {
            if (!this.f1075) {
                DisplayMetrics displayMetrics = this.f1078.getResources().getDisplayMetrics();
                if (dimension2 == -1.0f) {
                    dimension2 = TypedValue.applyDimension(2, 12.0f, displayMetrics);
                }
                if (dimension3 == -1.0f) {
                    dimension3 = TypedValue.applyDimension(2, 112.0f, displayMetrics);
                }
                if (dimension == -1.0f) {
                    dimension = 1.0f;
                }
                m1300(dimension2, dimension3, dimension);
            }
            m1307();
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m1318(int i) {
        if (!m1309()) {
            return;
        }
        if (i == 0) {
            m1306();
        } else if (i == 1) {
            DisplayMetrics displayMetrics = this.f1078.getResources().getDisplayMetrics();
            m1300(TypedValue.applyDimension(2, 12.0f, displayMetrics), TypedValue.applyDimension(2, 112.0f, displayMetrics), 1.0f);
            if (m1307()) {
                m1311();
            }
        } else {
            throw new IllegalArgumentException("Unknown auto-size text type: " + i);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public int m1319() {
        return Math.round(this.f1072);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public int m1320() {
        return Math.round(this.f1071);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public int[] m1321() {
        return this.f1074;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˆ  reason: contains not printable characters */
    public int m1322() {
        return this.f1069;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public boolean m1323() {
        return m1309() && this.f1069 != 0;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public int m1317() {
        return Math.round(this.f1073);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    static <T> T m1304(Object obj, String str, T t) {
        try {
            return (T) m1305(str).invoke(obj, new Object[0]);
        } catch (Exception e2) {
            Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#" + str + "() method", e2);
            return t;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static Method m1305(String str) {
        try {
            Method method = f1067.get(str);
            if (method == null && (method = TextView.class.getDeclaredMethod(str, new Class[0])) != null) {
                method.setAccessible(true);
                f1067.put(str, method);
            }
            return method;
        } catch (Exception e2) {
            Log.w("ACTVAutoSizeHelper", "Failed to retrieve TextView#" + str + "() method", e2);
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1314(int i, int i2, int i3, int i4) throws IllegalArgumentException {
        if (m1309()) {
            DisplayMetrics displayMetrics = this.f1078.getResources().getDisplayMetrics();
            m1300(TypedValue.applyDimension(i4, (float) i, displayMetrics), TypedValue.applyDimension(i4, (float) i2, displayMetrics), TypedValue.applyDimension(i4, (float) i3, displayMetrics));
            if (m1307()) {
                m1311();
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1316(int[] iArr, int i) throws IllegalArgumentException {
        if (m1309()) {
            int length = iArr.length;
            if (length > 0) {
                int[] iArr2 = new int[length];
                if (i == 0) {
                    iArr2 = Arrays.copyOf(iArr, length);
                } else {
                    DisplayMetrics displayMetrics = this.f1078.getResources().getDisplayMetrics();
                    for (int i2 = 0; i2 < length; i2++) {
                        iArr2[i2] = Math.round(TypedValue.applyDimension(i, (float) iArr[i2], displayMetrics));
                    }
                }
                this.f1074 = m1303(iArr2);
                if (!m1308()) {
                    throw new IllegalArgumentException("None of the preset sizes is valid: " + Arrays.toString(iArr));
                }
            } else {
                this.f1075 = false;
            }
            if (m1307()) {
                m1311();
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1301(TypedArray typedArray) {
        int length = typedArray.length();
        int[] iArr = new int[length];
        if (length > 0) {
            for (int i = 0; i < length; i++) {
                iArr[i] = typedArray.getDimensionPixelSize(i, -1);
            }
            this.f1074 = m1303(iArr);
            m1308();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int[] m1303(int[] iArr) {
        int length = iArr.length;
        if (length == 0) {
            return iArr;
        }
        Arrays.sort(iArr);
        ArrayList arrayList = new ArrayList();
        for (int i : iArr) {
            if (i > 0 && Collections.binarySearch(arrayList, Integer.valueOf(i)) < 0) {
                arrayList.add(Integer.valueOf(i));
            }
        }
        if (length == arrayList.size()) {
            return iArr;
        }
        int size = arrayList.size();
        int[] iArr2 = new int[size];
        for (int i2 = 0; i2 < size; i2++) {
            iArr2[i2] = ((Integer) arrayList.get(i2)).intValue();
        }
        return iArr2;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1300(float f2, float f3, float f4) throws IllegalArgumentException {
        if (f2 <= 0.0f) {
            throw new IllegalArgumentException("Minimum auto-size text size (" + f2 + "px) is less or equal to (0px)");
        } else if (f3 <= f2) {
            throw new IllegalArgumentException("Maximum auto-size text size (" + f3 + "px) is less or equal to minimum auto-size text size (" + f2 + "px)");
        } else if (f4 > 0.0f) {
            this.f1069 = 1;
            this.f1072 = f2;
            this.f1073 = f3;
            this.f1071 = f4;
            this.f1075 = false;
        } else {
            throw new IllegalArgumentException("The auto-size step granularity (" + f4 + "px) is less or equal to (0px)");
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1311() {
        int i;
        if (m1323()) {
            if (this.f1070) {
                if (this.f1077.getMeasuredHeight() > 0 && this.f1077.getMeasuredWidth() > 0) {
                    if (this.f1079.m1332(this.f1077)) {
                        i = 1048576;
                    } else {
                        i = (this.f1077.getMeasuredWidth() - this.f1077.getTotalPaddingLeft()) - this.f1077.getTotalPaddingRight();
                    }
                    int height = (this.f1077.getHeight() - this.f1077.getCompoundPaddingBottom()) - this.f1077.getCompoundPaddingTop();
                    if (i > 0 && height > 0) {
                        synchronized (f1066) {
                            f1066.setEmpty();
                            f1066.right = (float) i;
                            f1066.bottom = (float) height;
                            float r0 = (float) m1295(f1066);
                            if (r0 != this.f1077.getTextSize()) {
                                m1313(0, r0);
                            }
                        }
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            }
            this.f1070 = true;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1313(int i, float f2) {
        Resources resources;
        Context context = this.f1078;
        if (context == null) {
            resources = Resources.getSystem();
        } else {
            resources = context.getResources();
        }
        m1299(TypedValue.applyDimension(i, f2, resources.getDisplayMetrics()));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1299(float f2) {
        if (f2 != this.f1077.getPaint().getTextSize()) {
            this.f1077.getPaint().setTextSize(f2);
            boolean r4 = Build.VERSION.SDK_INT >= 18 ? b.m1326(this.f1077) : false;
            if (this.f1077.getLayout() != null) {
                this.f1070 = false;
                try {
                    Method r0 = m1305("nullLayouts");
                    if (r0 != null) {
                        r0.invoke(this.f1077, new Object[0]);
                    }
                } catch (Exception e2) {
                    Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#nullLayouts() method", e2);
                }
                if (!r4) {
                    this.f1077.requestLayout();
                } else {
                    this.f1077.forceLayout();
                }
                this.f1077.invalidate();
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m1295(RectF rectF) {
        int length = this.f1074.length;
        if (length != 0) {
            int i = length - 1;
            int i2 = 1;
            int i3 = 0;
            while (i2 <= i) {
                int i4 = (i2 + i) / 2;
                if (m1302(this.f1074[i4], rectF)) {
                    int i5 = i4 + 1;
                    i3 = i2;
                    i2 = i5;
                } else {
                    i3 = i4 - 1;
                    i = i3;
                }
            }
            return this.f1074[i3];
        }
        throw new IllegalStateException("No available text sizes to choose from.");
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1312(int i) {
        TextPaint textPaint = this.f1076;
        if (textPaint == null) {
            this.f1076 = new TextPaint();
        } else {
            textPaint.reset();
        }
        this.f1076.set(this.f1077.getPaint());
        this.f1076.setTextSize((float) i);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public StaticLayout m1310(CharSequence charSequence, Layout.Alignment alignment, int i, int i2) {
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 23) {
            return c.m1327(charSequence, alignment, i, i2, this.f1077, this.f1076, this.f1079);
        }
        if (i3 >= 16) {
            return a.m1325(charSequence, alignment, i, this.f1077, this.f1076);
        }
        return m1296(charSequence, alignment, i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m1302(int i, RectF rectF) {
        CharSequence transformation;
        CharSequence text = this.f1077.getText();
        TransformationMethod transformationMethod = this.f1077.getTransformationMethod();
        if (!(transformationMethod == null || (transformation = transformationMethod.getTransformation(text, this.f1077)) == null)) {
            text = transformation;
        }
        int r1 = Build.VERSION.SDK_INT >= 16 ? a.m1324(this.f1077) : -1;
        m1312(i);
        StaticLayout r6 = m1310(text, (Layout.Alignment) m1304(this.f1077, "getLayoutAlignment", Layout.Alignment.ALIGN_NORMAL), Math.round(rectF.right), r1);
        return (r1 == -1 || (r6.getLineCount() <= r1 && r6.getLineEnd(r6.getLineCount() - 1) == text.length())) && ((float) r6.getHeight()) <= rectF.bottom;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private StaticLayout m1296(CharSequence charSequence, Layout.Alignment alignment, int i) {
        return new StaticLayout(charSequence, this.f1076, i, alignment, ((Float) m1297(this.f1077, "mSpacingMult", Float.valueOf(1.0f))).floatValue(), ((Float) m1297(this.f1077, "mSpacingAdd", Float.valueOf(0.0f))).floatValue(), ((Boolean) m1297((Object) this.f1077, "mIncludePad", (Object) true)).booleanValue());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static <T> T m1297(Object obj, String str, T t) {
        try {
            Field r0 = m1298(str);
            return r0 == null ? t : (T) r0.get(obj);
        } catch (IllegalAccessException e2) {
            Log.w("ACTVAutoSizeHelper", "Failed to access TextView#" + str + " member", e2);
            return t;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Field m1298(String str) {
        try {
            Field field = f1068.get(str);
            if (field == null && (field = TextView.class.getDeclaredField(str)) != null) {
                field.setAccessible(true);
                f1068.put(str, field);
            }
            return field;
        } catch (NoSuchFieldException e2) {
            Log.w("ACTVAutoSizeHelper", "Failed to access TextView#" + str + " member", e2);
            return null;
        }
    }
}
