package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.animation.DecelerateInterpolator;
import android.widget.AbsListView;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.HorizontalScrollView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.TextView;
import androidx.appcompat.app.b;
import androidx.appcompat.widget.n0;

/* compiled from: ScrollingTabContainerView */
public class v0 extends HorizontalScrollView implements AdapterView.OnItemSelectedListener {

    /* renamed from: ʿ  reason: contains not printable characters */
    Runnable f1289;

    /* renamed from: ˆ  reason: contains not printable characters */
    private c f1290;

    /* renamed from: ˈ  reason: contains not printable characters */
    n0 f1291;

    /* renamed from: ˉ  reason: contains not printable characters */
    private Spinner f1292;

    /* renamed from: ˊ  reason: contains not printable characters */
    private boolean f1293;

    /* renamed from: ˋ  reason: contains not printable characters */
    int f1294;

    /* renamed from: ˎ  reason: contains not printable characters */
    int f1295;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f1296;

    /* renamed from: ˑ  reason: contains not printable characters */
    private int f1297;

    /* access modifiers changed from: package-private */
    /* compiled from: ScrollingTabContainerView */
    public class a implements Runnable {

        /* renamed from: ʿ  reason: contains not printable characters */
        final /* synthetic */ View f1298;

        a(View view) {
            this.f1298 = view;
        }

        public void run() {
            v0.this.smoothScrollTo(this.f1298.getLeft() - ((v0.this.getWidth() - this.f1298.getWidth()) / 2), 0);
            v0.this.f1289 = null;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ScrollingTabContainerView */
    public class b extends BaseAdapter {
        b() {
        }

        public int getCount() {
            return v0.this.f1291.getChildCount();
        }

        public Object getItem(int i) {
            return ((d) v0.this.f1291.getChildAt(i)).m1622();
        }

        public long getItemId(int i) {
            return (long) i;
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            if (view == null) {
                return v0.this.m1620((b.c) getItem(i), true);
            }
            ((d) view).m1623((b.c) getItem(i));
            return view;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ScrollingTabContainerView */
    public class c implements View.OnClickListener {
        c() {
        }

        public void onClick(View view) {
            ((d) view).m1622().m290();
            int childCount = v0.this.f1291.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = v0.this.f1291.getChildAt(i);
                childAt.setSelected(childAt == view);
            }
        }
    }

    static {
        new DecelerateInterpolator();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Spinner m1616() {
        b0 b0Var = new b0(getContext(), null, e.a.a.actionDropDownStyle);
        b0Var.setLayoutParams(new n0.a(-2, -1));
        b0Var.setOnItemSelectedListener(this);
        return b0Var;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m1617() {
        Spinner spinner = this.f1292;
        return spinner != null && spinner.getParent() == this;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m1618() {
        if (!m1617()) {
            if (this.f1292 == null) {
                this.f1292 = m1616();
            }
            removeView(this.f1291);
            addView(this.f1292, new ViewGroup.LayoutParams(-2, -1));
            if (this.f1292.getAdapter() == null) {
                this.f1292.setAdapter((SpinnerAdapter) new b());
            }
            Runnable runnable = this.f1289;
            if (runnable != null) {
                removeCallbacks(runnable);
                this.f1289 = null;
            }
            this.f1292.setSelection(this.f1297);
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private boolean m1619() {
        if (!m1617()) {
            return false;
        }
        removeView(this.f1292);
        addView(this.f1291, new ViewGroup.LayoutParams(-2, -1));
        setTabSelected(this.f1292.getSelectedItemPosition());
        return false;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Runnable runnable = this.f1289;
        if (runnable != null) {
            post(runnable);
        }
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        e.a.n.a r2 = e.a.n.a.m9126(getContext());
        setContentHeight(r2.m9131());
        this.f1295 = r2.m9130();
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        Runnable runnable = this.f1289;
        if (runnable != null) {
            removeCallbacks(runnable);
        }
    }

    @Override // android.widget.AdapterView.OnItemSelectedListener
    public void onItemSelected(AdapterView<?> adapterView, View view, int i, long j) {
        ((d) view).m1622().m290();
    }

    public void onMeasure(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i);
        boolean z = true;
        boolean z2 = mode == 1073741824;
        setFillViewport(z2);
        int childCount = this.f1291.getChildCount();
        if (childCount <= 1 || !(mode == 1073741824 || mode == Integer.MIN_VALUE)) {
            this.f1294 = -1;
        } else {
            if (childCount > 2) {
                this.f1294 = (int) (((float) View.MeasureSpec.getSize(i)) * 0.4f);
            } else {
                this.f1294 = View.MeasureSpec.getSize(i) / 2;
            }
            this.f1294 = Math.min(this.f1294, this.f1295);
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(this.f1296, 1073741824);
        if (z2 || !this.f1293) {
            z = false;
        }
        if (z) {
            this.f1291.measure(0, makeMeasureSpec);
            if (this.f1291.getMeasuredWidth() > View.MeasureSpec.getSize(i)) {
                m1618();
            } else {
                m1619();
            }
        } else {
            m1619();
        }
        int measuredWidth = getMeasuredWidth();
        super.onMeasure(i, makeMeasureSpec);
        int measuredWidth2 = getMeasuredWidth();
        if (z2 && measuredWidth != measuredWidth2) {
            setTabSelected(this.f1297);
        }
    }

    @Override // android.widget.AdapterView.OnItemSelectedListener
    public void onNothingSelected(AdapterView<?> adapterView) {
    }

    public void setAllowCollapse(boolean z) {
        this.f1293 = z;
    }

    public void setContentHeight(int i) {
        this.f1296 = i;
        requestLayout();
    }

    public void setTabSelected(int i) {
        this.f1297 = i;
        int childCount = this.f1291.getChildCount();
        int i2 = 0;
        while (i2 < childCount) {
            View childAt = this.f1291.getChildAt(i2);
            boolean z = i2 == i;
            childAt.setSelected(z);
            if (z) {
                m1621(i);
            }
            i2++;
        }
        Spinner spinner = this.f1292;
        if (spinner != null && i >= 0) {
            spinner.setSelection(i);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ScrollingTabContainerView */
    public class d extends LinearLayout {

        /* renamed from: ʿ  reason: contains not printable characters */
        private final int[] f1302;

        /* renamed from: ˆ  reason: contains not printable characters */
        private b.c f1303;

        /* renamed from: ˈ  reason: contains not printable characters */
        private TextView f1304;

        /* renamed from: ˉ  reason: contains not printable characters */
        private ImageView f1305;

        /* renamed from: ˊ  reason: contains not printable characters */
        private View f1306;

        public d(Context context, b.c cVar, boolean z) {
            super(context, null, e.a.a.actionBarTabStyle);
            int[] iArr = {16842964};
            this.f1302 = iArr;
            this.f1303 = cVar;
            c1 r4 = c1.m1137(context, null, iArr, e.a.a.actionBarTabStyle, 0);
            if (r4.m1157(0)) {
                setBackgroundDrawable(r4.m1146(0));
            }
            r4.m1147();
            if (z) {
                setGravity(8388627);
            }
            m1624();
        }

        public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
            super.onInitializeAccessibilityEvent(accessibilityEvent);
            accessibilityEvent.setClassName("androidx.appcompat.app.ActionBar$Tab");
        }

        public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            accessibilityNodeInfo.setClassName("androidx.appcompat.app.ActionBar$Tab");
        }

        public void onMeasure(int i, int i2) {
            int i3;
            super.onMeasure(i, i2);
            if (v0.this.f1294 > 0 && getMeasuredWidth() > (i3 = v0.this.f1294)) {
                super.onMeasure(View.MeasureSpec.makeMeasureSpec(i3, 1073741824), i2);
            }
        }

        public void setSelected(boolean z) {
            boolean z2 = isSelected() != z;
            super.setSelected(z);
            if (z2 && z) {
                sendAccessibilityEvent(4);
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void m1623(b.c cVar) {
            this.f1303 = cVar;
            m1624();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public void m1624() {
            b.c cVar = this.f1303;
            View r1 = cVar.m287();
            CharSequence charSequence = null;
            if (r1 != null) {
                ViewParent parent = r1.getParent();
                if (parent != this) {
                    if (parent != null) {
                        ((ViewGroup) parent).removeView(r1);
                    }
                    addView(r1);
                }
                this.f1306 = r1;
                TextView textView = this.f1304;
                if (textView != null) {
                    textView.setVisibility(8);
                }
                ImageView imageView = this.f1305;
                if (imageView != null) {
                    imageView.setVisibility(8);
                    this.f1305.setImageDrawable(null);
                    return;
                }
                return;
            }
            View view = this.f1306;
            if (view != null) {
                removeView(view);
                this.f1306 = null;
            }
            Drawable r12 = cVar.m288();
            CharSequence r4 = cVar.m289();
            if (r12 != null) {
                if (this.f1305 == null) {
                    t tVar = new t(getContext());
                    LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -2);
                    layoutParams.gravity = 16;
                    tVar.setLayoutParams(layoutParams);
                    addView(tVar, 0);
                    this.f1305 = tVar;
                }
                this.f1305.setImageDrawable(r12);
                this.f1305.setVisibility(0);
            } else {
                ImageView imageView2 = this.f1305;
                if (imageView2 != null) {
                    imageView2.setVisibility(8);
                    this.f1305.setImageDrawable(null);
                }
            }
            boolean z = !TextUtils.isEmpty(r4);
            if (z) {
                if (this.f1304 == null) {
                    e0 e0Var = new e0(getContext(), null, e.a.a.actionBarTabTextStyle);
                    e0Var.setEllipsize(TextUtils.TruncateAt.END);
                    LinearLayout.LayoutParams layoutParams2 = new LinearLayout.LayoutParams(-2, -2);
                    layoutParams2.gravity = 16;
                    e0Var.setLayoutParams(layoutParams2);
                    addView(e0Var);
                    this.f1304 = e0Var;
                }
                this.f1304.setText(r4);
                this.f1304.setVisibility(0);
            } else {
                TextView textView2 = this.f1304;
                if (textView2 != null) {
                    textView2.setVisibility(8);
                    this.f1304.setText((CharSequence) null);
                }
            }
            ImageView imageView3 = this.f1305;
            if (imageView3 != null) {
                imageView3.setContentDescription(cVar.m286());
            }
            if (!z) {
                charSequence = cVar.m286();
            }
            e1.m1251(this, charSequence);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public b.c m1622() {
            return this.f1303;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1621(int i) {
        View childAt = this.f1291.getChildAt(i);
        Runnable runnable = this.f1289;
        if (runnable != null) {
            removeCallbacks(runnable);
        }
        a aVar = new a(childAt);
        this.f1289 = aVar;
        post(aVar);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public d m1620(b.c cVar, boolean z) {
        d dVar = new d(getContext(), cVar, z);
        if (z) {
            dVar.setBackgroundDrawable(null);
            dVar.setLayoutParams(new AbsListView.LayoutParams(-1, this.f1296));
        } else {
            dVar.setFocusable(true);
            if (this.f1290 == null) {
                this.f1290 = new c();
            }
            dVar.setOnClickListener(this.f1290);
        }
        return dVar;
    }
}
