package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.constraintlayout.widget.ConstraintLayout;
import e.e.a.m.e;
import e.e.a.m.h;
import java.util.Arrays;
import java.util.HashMap;

/* compiled from: ConstraintHelper */
public abstract class b extends View {

    /* renamed from: ʿ  reason: contains not printable characters */
    protected int[] f1468;

    /* renamed from: ˆ  reason: contains not printable characters */
    protected int f1469;

    /* renamed from: ˈ  reason: contains not printable characters */
    protected Context f1470;

    /* renamed from: ˉ  reason: contains not printable characters */
    protected h f1471;

    /* renamed from: ˊ  reason: contains not printable characters */
    protected boolean f1472;

    /* renamed from: ˋ  reason: contains not printable characters */
    protected String f1473;

    /* renamed from: ˎ  reason: contains not printable characters */
    protected String f1474;

    /* renamed from: ˏ  reason: contains not printable characters */
    private View[] f1475;

    /* renamed from: ˑ  reason: contains not printable characters */
    protected HashMap<Integer, String> f1476;

    public b(Context context) {
        super(context);
        this.f1468 = new int[32];
        this.f1472 = false;
        this.f1475 = null;
        this.f1476 = new HashMap<>();
        this.f1470 = context;
        m1706((AttributeSet) null);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private int m1704(String str) {
        ConstraintLayout constraintLayout = getParent() instanceof ConstraintLayout ? (ConstraintLayout) getParent() : null;
        int i = 0;
        if (isInEditMode() && constraintLayout != null) {
            Object r2 = constraintLayout.m1680(0, str);
            if (r2 instanceof Integer) {
                i = ((Integer) r2).intValue();
            }
        }
        if (i == 0 && constraintLayout != null) {
            i = m1700(constraintLayout, str);
        }
        if (i == 0) {
            try {
                i = h.class.getField(str).getInt(null);
            } catch (Exception unused) {
            }
        }
        return i == 0 ? this.f1470.getResources().getIdentifier(str, "id", this.f1470.getPackageName()) : i;
    }

    public int[] getReferencedIds() {
        return Arrays.copyOf(this.f1468, this.f1469);
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        String str = this.f1473;
        if (str != null) {
            setIds(str);
        }
        String str2 = this.f1474;
        if (str2 != null) {
            setReferenceTags(str2);
        }
    }

    public void onDraw(Canvas canvas) {
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        if (this.f1472) {
            super.onMeasure(i, i2);
        } else {
            setMeasuredDimension(0, 0);
        }
    }

    /* access modifiers changed from: protected */
    public void setIds(String str) {
        this.f1473 = str;
        if (str != null) {
            int i = 0;
            this.f1469 = 0;
            while (true) {
                int indexOf = str.indexOf(44, i);
                if (indexOf == -1) {
                    m1702(str.substring(i));
                    return;
                } else {
                    m1702(str.substring(i, indexOf));
                    i = indexOf + 1;
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void setReferenceTags(String str) {
        this.f1474 = str;
        if (str != null) {
            int i = 0;
            this.f1469 = 0;
            while (true) {
                int indexOf = str.indexOf(44, i);
                if (indexOf == -1) {
                    m1703(str.substring(i));
                    return;
                } else {
                    m1703(str.substring(i, indexOf));
                    i = indexOf + 1;
                }
            }
        }
    }

    public void setReferencedIds(int[] iArr) {
        this.f1473 = null;
        this.f1469 = 0;
        for (int i : iArr) {
            m1701(i);
        }
    }

    public void setTag(int i, Object obj) {
        super.setTag(i, obj);
        if (obj == null && this.f1473 == null) {
            m1701(i);
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1706(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, i.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == i.ConstraintLayout_Layout_constraint_referenced_ids) {
                    String string = obtainStyledAttributes.getString(index);
                    this.f1473 = string;
                    setIds(string);
                } else if (index == i.ConstraintLayout_Layout_constraint_referenced_tags) {
                    String string2 = obtainStyledAttributes.getString(index);
                    this.f1474 = string2;
                    setReferenceTags(string2);
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1708(e eVar, boolean z) {
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m1709() {
        if (this.f1471 != null) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            if (layoutParams instanceof ConstraintLayout.b) {
                ((ConstraintLayout.b) layoutParams).f1390 = (e) this.f1471;
            }
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m1710(ConstraintLayout constraintLayout) {
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m1712(ConstraintLayout constraintLayout) {
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public void m1713(ConstraintLayout constraintLayout) {
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m1714(ConstraintLayout constraintLayout) {
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m1715(ConstraintLayout constraintLayout) {
        String str;
        int r3;
        if (isInEditMode()) {
            setIds(this.f1473);
        }
        h hVar = this.f1471;
        if (hVar != null) {
            hVar.m9764();
            for (int i = 0; i < this.f1469; i++) {
                int i2 = this.f1468[i];
                View r2 = constraintLayout.m1678(i2);
                if (r2 == null && (r3 = m1700(constraintLayout, (str = this.f1476.get(Integer.valueOf(i2))))) != 0) {
                    this.f1468[i] = r3;
                    this.f1476.put(Integer.valueOf(r3), str);
                    r2 = constraintLayout.m1678(r3);
                }
                if (r2 != null) {
                    this.f1471.m9765(constraintLayout.m1679(r2));
                }
            }
            this.f1471.m9766(constraintLayout.f1349);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m1703(String str) {
        if (!(str == null || str.length() == 0 || this.f1470 == null)) {
            String trim = str.trim();
            ConstraintLayout constraintLayout = null;
            if (getParent() instanceof ConstraintLayout) {
                constraintLayout = (ConstraintLayout) getParent();
            }
            if (constraintLayout == null) {
                Log.w("ConstraintHelper", "Parent not a ConstraintLayout");
                return;
            }
            int childCount = constraintLayout.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = constraintLayout.getChildAt(i);
                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                if ((layoutParams instanceof ConstraintLayout.b) && trim.equals(((ConstraintLayout.b) layoutParams).f1371)) {
                    if (childAt.getId() == -1) {
                        Log.w("ConstraintHelper", "to use ConstraintTag view " + childAt.getClass().getSimpleName() + " must have an ID");
                    } else {
                        m1701(childAt.getId());
                    }
                }
            }
        }
    }

    public b(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1468 = new int[32];
        this.f1472 = false;
        this.f1475 = null;
        this.f1476 = new HashMap<>();
        this.f1470 = context;
        m1706(attributeSet);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1701(int i) {
        if (i != getId()) {
            int i2 = this.f1469 + 1;
            int[] iArr = this.f1468;
            if (i2 > iArr.length) {
                this.f1468 = Arrays.copyOf(iArr, iArr.length * 2);
            }
            int[] iArr2 = this.f1468;
            int i3 = this.f1469;
            iArr2[i3] = i;
            this.f1469 = i3 + 1;
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʽ  reason: contains not printable characters */
    public View[] m1711(ConstraintLayout constraintLayout) {
        View[] viewArr = this.f1475;
        if (viewArr == null || viewArr.length != this.f1469) {
            this.f1475 = new View[this.f1469];
        }
        for (int i = 0; i < this.f1469; i++) {
            this.f1475[i] = constraintLayout.m1678(this.f1468[i]);
        }
        return this.f1475;
    }

    public b(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1468 = new int[32];
        this.f1472 = false;
        this.f1475 = null;
        this.f1476 = new HashMap<>();
        this.f1470 = context;
        m1706(attributeSet);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1702(String str) {
        if (str != null && str.length() != 0 && this.f1470 != null) {
            String trim = str.trim();
            if (getParent() instanceof ConstraintLayout) {
                ConstraintLayout constraintLayout = (ConstraintLayout) getParent();
            }
            int r0 = m1704(trim);
            if (r0 != 0) {
                this.f1476.put(Integer.valueOf(r0), trim);
                m1701(r0);
                return;
            }
            Log.w("ConstraintHelper", "Could not find id of \"" + trim + "\"");
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m1700(ConstraintLayout constraintLayout, String str) {
        Resources resources;
        if (str == null || constraintLayout == null || (resources = this.f1470.getResources()) == null) {
            return 0;
        }
        int childCount = constraintLayout.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = constraintLayout.getChildAt(i);
            if (childAt.getId() != -1) {
                String str2 = null;
                try {
                    str2 = resources.getResourceEntryName(childAt.getId());
                } catch (Resources.NotFoundException unused) {
                }
                if (str.equals(str2)) {
                    return childAt.getId();
                }
            }
        }
        return 0;
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1707(ConstraintLayout constraintLayout) {
        int visibility = getVisibility();
        float elevation = Build.VERSION.SDK_INT >= 21 ? getElevation() : 0.0f;
        for (int i = 0; i < this.f1469; i++) {
            View r5 = constraintLayout.m1678(this.f1468[i]);
            if (r5 != null) {
                r5.setVisibility(visibility);
                if (elevation > 0.0f && Build.VERSION.SDK_INT >= 21) {
                    r5.setTranslationZ(r5.getTranslationZ() + elevation);
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1705() {
        ViewParent parent = getParent();
        if (parent != null && (parent instanceof ConstraintLayout)) {
            m1707((ConstraintLayout) parent);
        }
    }
}
