package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.util.Log;
import android.util.SparseArray;
import android.util.Xml;
import java.io.IOException;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: ConstraintLayoutStates */
public class c {

    /* renamed from: ʻ  reason: contains not printable characters */
    private final ConstraintLayout f1477;

    /* renamed from: ʼ  reason: contains not printable characters */
    d f1478;

    /* renamed from: ʽ  reason: contains not printable characters */
    int f1479 = -1;

    /* renamed from: ʾ  reason: contains not printable characters */
    int f1480 = -1;

    /* renamed from: ʿ  reason: contains not printable characters */
    private SparseArray<a> f1481 = new SparseArray<>();

    /* renamed from: ˆ  reason: contains not printable characters */
    private SparseArray<d> f1482 = new SparseArray<>();

    /* renamed from: ˈ  reason: contains not printable characters */
    private f f1483 = null;

    /* access modifiers changed from: package-private */
    /* compiled from: ConstraintLayoutStates */
    public static class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        int f1484;

        /* renamed from: ʼ  reason: contains not printable characters */
        ArrayList<b> f1485 = new ArrayList<>();

        /* renamed from: ʽ  reason: contains not printable characters */
        int f1486 = -1;

        /* renamed from: ʾ  reason: contains not printable characters */
        d f1487;

        public a(Context context, XmlPullParser xmlPullParser) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), i.State);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == i.State_android_id) {
                    this.f1484 = obtainStyledAttributes.getResourceId(index, this.f1484);
                } else if (index == i.State_constraints) {
                    this.f1486 = obtainStyledAttributes.getResourceId(index, this.f1486);
                    String resourceTypeName = context.getResources().getResourceTypeName(this.f1486);
                    context.getResources().getResourceName(this.f1486);
                    if ("layout".equals(resourceTypeName)) {
                        d dVar = new d();
                        this.f1487 = dVar;
                        dVar.m1736(context, this.f1486);
                    }
                }
            }
            obtainStyledAttributes.recycle();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m1721(b bVar) {
            this.f1485.add(bVar);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public int m1720(float f2, float f3) {
            for (int i = 0; i < this.f1485.size(); i++) {
                if (this.f1485.get(i).m1722(f2, f3)) {
                    return i;
                }
            }
            return -1;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstraintLayoutStates */
    public static class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        float f1488 = Float.NaN;

        /* renamed from: ʼ  reason: contains not printable characters */
        float f1489 = Float.NaN;

        /* renamed from: ʽ  reason: contains not printable characters */
        float f1490 = Float.NaN;

        /* renamed from: ʾ  reason: contains not printable characters */
        float f1491 = Float.NaN;

        /* renamed from: ʿ  reason: contains not printable characters */
        int f1492 = -1;

        /* renamed from: ˆ  reason: contains not printable characters */
        d f1493;

        public b(Context context, XmlPullParser xmlPullParser) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), i.Variant);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == i.Variant_constraints) {
                    this.f1492 = obtainStyledAttributes.getResourceId(index, this.f1492);
                    String resourceTypeName = context.getResources().getResourceTypeName(this.f1492);
                    context.getResources().getResourceName(this.f1492);
                    if ("layout".equals(resourceTypeName)) {
                        d dVar = new d();
                        this.f1493 = dVar;
                        dVar.m1736(context, this.f1492);
                    }
                } else if (index == i.Variant_region_heightLessThan) {
                    this.f1491 = obtainStyledAttributes.getDimension(index, this.f1491);
                } else if (index == i.Variant_region_heightMoreThan) {
                    this.f1489 = obtainStyledAttributes.getDimension(index, this.f1489);
                } else if (index == i.Variant_region_widthLessThan) {
                    this.f1490 = obtainStyledAttributes.getDimension(index, this.f1490);
                } else if (index == i.Variant_region_widthMoreThan) {
                    this.f1488 = obtainStyledAttributes.getDimension(index, this.f1488);
                } else {
                    Log.v("ConstraintLayoutStates", "Unknown tag");
                }
            }
            obtainStyledAttributes.recycle();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m1722(float f2, float f3) {
            if (!Float.isNaN(this.f1488) && f2 < this.f1488) {
                return false;
            }
            if (!Float.isNaN(this.f1489) && f3 < this.f1489) {
                return false;
            }
            if (!Float.isNaN(this.f1490) && f2 > this.f1490) {
                return false;
            }
            if (Float.isNaN(this.f1491) || f3 <= this.f1491) {
                return true;
            }
            return false;
        }
    }

    c(Context context, ConstraintLayout constraintLayout, int i) {
        this.f1477 = constraintLayout;
        m1716(context, i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1718(int i, float f2, float f3) {
        d dVar;
        int i2;
        a aVar;
        int r6;
        d dVar2;
        int i3;
        int i4 = this.f1479;
        if (i4 == i) {
            if (i == -1) {
                aVar = this.f1481.valueAt(0);
            } else {
                aVar = this.f1481.get(i4);
            }
            int i5 = this.f1480;
            if ((i5 == -1 || !aVar.f1485.get(i5).m1722(f2, f3)) && this.f1480 != (r6 = aVar.m1720(f2, f3))) {
                if (r6 == -1) {
                    dVar2 = this.f1478;
                } else {
                    dVar2 = aVar.f1485.get(r6).f1493;
                }
                if (r6 == -1) {
                    i3 = aVar.f1486;
                } else {
                    i3 = aVar.f1485.get(r6).f1492;
                }
                if (dVar2 != null) {
                    this.f1480 = r6;
                    f fVar = this.f1483;
                    if (fVar != null) {
                        fVar.m1763(-1, i3);
                    }
                    dVar2.m1738(this.f1477);
                    f fVar2 = this.f1483;
                    if (fVar2 != null) {
                        fVar2.m1762(-1, i3);
                        return;
                    }
                    return;
                }
                return;
            }
            return;
        }
        this.f1479 = i;
        a aVar2 = this.f1481.get(i);
        int r2 = aVar2.m1720(f2, f3);
        if (r2 == -1) {
            dVar = aVar2.f1487;
        } else {
            dVar = aVar2.f1485.get(r2).f1493;
        }
        if (r2 == -1) {
            i2 = aVar2.f1486;
        } else {
            i2 = aVar2.f1485.get(r2).f1492;
        }
        if (dVar == null) {
            Log.v("ConstraintLayoutStates", "NO Constraint set found ! id=" + i + ", dim =" + f2 + ", " + f3);
            return;
        }
        this.f1480 = r2;
        f fVar3 = this.f1483;
        if (fVar3 != null) {
            fVar3.m1763(i, i2);
        }
        dVar.m1738(this.f1477);
        f fVar4 = this.f1483;
        if (fVar4 != null) {
            fVar4.m1762(i, i2);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1719(f fVar) {
        this.f1483 = fVar;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1716(Context context, int i) {
        XmlResourceParser xml = context.getResources().getXml(i);
        a aVar = null;
        try {
            int eventType = xml.getEventType();
            while (true) {
                char c = 1;
                if (eventType != 1) {
                    if (eventType == 0) {
                        xml.getName();
                    } else if (eventType == 2) {
                        String name = xml.getName();
                        switch (name.hashCode()) {
                            case -1349929691:
                                if (name.equals("ConstraintSet")) {
                                    c = 4;
                                    break;
                                }
                                c = 65535;
                                break;
                            case 80204913:
                                if (name.equals("State")) {
                                    c = 2;
                                    break;
                                }
                                c = 65535;
                                break;
                            case 1382829617:
                                if (name.equals("StateSet")) {
                                    break;
                                }
                                c = 65535;
                                break;
                            case 1657696882:
                                if (name.equals("layoutDescription")) {
                                    c = 0;
                                    break;
                                }
                                c = 65535;
                                break;
                            case 1901439077:
                                if (name.equals("Variant")) {
                                    c = 3;
                                    break;
                                }
                                c = 65535;
                                break;
                            default:
                                c = 65535;
                                break;
                        }
                        if (c == 2) {
                            aVar = new a(context, xml);
                            this.f1481.put(aVar.f1484, aVar);
                        } else if (c == 3) {
                            b bVar = new b(context, xml);
                            if (aVar != null) {
                                aVar.m1721(bVar);
                            }
                        } else if (c == 4) {
                            m1717(context, xml);
                        }
                    }
                    eventType = xml.next();
                } else {
                    return;
                }
            }
        } catch (XmlPullParserException e2) {
            e2.printStackTrace();
        } catch (IOException e3) {
            e3.printStackTrace();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1717(Context context, XmlPullParser xmlPullParser) {
        d dVar = new d();
        int attributeCount = xmlPullParser.getAttributeCount();
        for (int i = 0; i < attributeCount; i++) {
            String attributeName = xmlPullParser.getAttributeName(i);
            String attributeValue = xmlPullParser.getAttributeValue(i);
            if (attributeName != null && attributeValue != null && "id".equals(attributeName)) {
                int identifier = attributeValue.contains("/") ? context.getResources().getIdentifier(attributeValue.substring(attributeValue.indexOf(47) + 1), "id", context.getPackageName()) : -1;
                if (identifier == -1) {
                    if (attributeValue.length() > 1) {
                        identifier = Integer.parseInt(attributeValue.substring(1));
                    } else {
                        Log.e("ConstraintLayoutStates", "error in parsing id");
                    }
                }
                dVar.m1737(context, xmlPullParser);
                this.f1482.put(identifier, dVar);
                return;
            }
        }
    }
}
