package androidx.coordinatorlayout.widget;

import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.RectF;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;

/* compiled from: ViewGroupUtils */
public class b {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final ThreadLocal<Matrix> f1693 = new ThreadLocal<>();

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final ThreadLocal<RectF> f1694 = new ThreadLocal<>();

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m1880(ViewGroup viewGroup, View view, Rect rect) {
        rect.set(0, 0, view.getWidth(), view.getHeight());
        m1882(viewGroup, view, rect);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    static void m1882(ViewGroup viewGroup, View view, Rect rect) {
        Matrix matrix = f1693.get();
        if (matrix == null) {
            matrix = new Matrix();
            f1693.set(matrix);
        } else {
            matrix.reset();
        }
        m1881(viewGroup, view, matrix);
        RectF rectF = f1694.get();
        if (rectF == null) {
            rectF = new RectF();
            f1694.set(rectF);
        }
        rectF.set(rect);
        matrix.mapRect(rectF);
        rect.set((int) (rectF.left + 0.5f), (int) (rectF.top + 0.5f), (int) (rectF.right + 0.5f), (int) (rectF.bottom + 0.5f));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m1881(ViewParent viewParent, View view, Matrix matrix) {
        ViewParent parent = view.getParent();
        if ((parent instanceof View) && parent != viewParent) {
            View view2 = (View) parent;
            m1881(viewParent, view2, matrix);
            matrix.preTranslate((float) (-view2.getScrollX()), (float) (-view2.getScrollY()));
        }
        matrix.preTranslate((float) view.getLeft(), (float) view.getTop());
        if (!view.getMatrix().isIdentity()) {
            matrix.preConcat(view.getMatrix());
        }
    }
}
