package androidx.core.app;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;

/* compiled from: NavUtils */
public final class i {

    /* access modifiers changed from: package-private */
    /* compiled from: NavUtils */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m1935(Activity activity, Intent intent) {
            return activity.navigateUpTo(intent);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m1936(Activity activity, Intent intent) {
            return activity.shouldUpRecreateTask(intent);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static Intent m1934(Activity activity) {
            return activity.getParentActivityIntent();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m1930(Activity activity, Intent intent) {
        if (Build.VERSION.SDK_INT >= 16) {
            a.m1935(activity, intent);
            return;
        }
        intent.addFlags(67108864);
        activity.startActivity(intent);
        activity.finish();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static boolean m1933(Activity activity, Intent intent) {
        if (Build.VERSION.SDK_INT >= 16) {
            return a.m1936(activity, intent);
        }
        String action = activity.getIntent().getAction();
        return action != null && !action.equals("android.intent.action.MAIN");
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static String m1931(Activity activity) {
        try {
            return m1932(activity, activity.getComponentName());
        } catch (PackageManager.NameNotFoundException e2) {
            throw new IllegalArgumentException(e2);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static Intent m1928(Activity activity) {
        Intent r0;
        if (Build.VERSION.SDK_INT >= 16 && (r0 = a.m1934(activity)) != null) {
            return r0;
        }
        String r02 = m1931(activity);
        if (r02 == null) {
            return null;
        }
        ComponentName componentName = new ComponentName(activity, r02);
        try {
            if (m1932(activity, componentName) == null) {
                return Intent.makeMainActivity(componentName);
            }
            return new Intent().setComponent(componentName);
        } catch (PackageManager.NameNotFoundException unused) {
            Log.e("NavUtils", "getParentActivityIntent: bad parentActivityName '" + r02 + "' in manifest");
            return null;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static String m1932(Context context, ComponentName componentName) throws PackageManager.NameNotFoundException {
        String string;
        String str;
        PackageManager packageManager = context.getPackageManager();
        int i = Build.VERSION.SDK_INT;
        int i2 = 640;
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 29) {
            i2 = 269222528;
        } else if (i3 >= 24) {
            i2 = 787072;
        }
        ActivityInfo activityInfo = packageManager.getActivityInfo(componentName, i2);
        if (Build.VERSION.SDK_INT >= 16 && (str = activityInfo.parentActivityName) != null) {
            return str;
        }
        Bundle bundle = activityInfo.metaData;
        if (bundle == null || (string = bundle.getString("android.support.PARENT_ACTIVITY")) == null) {
            return null;
        }
        if (string.charAt(0) != '.') {
            return string;
        }
        return context.getPackageName() + string;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static Intent m1929(Context context, ComponentName componentName) throws PackageManager.NameNotFoundException {
        String r0 = m1932(context, componentName);
        if (r0 == null) {
            return null;
        }
        ComponentName componentName2 = new ComponentName(componentName.getPackageName(), r0);
        if (m1932(context, componentName2) == null) {
            return Intent.makeMainActivity(componentName2);
        }
        return new Intent().setComponent(componentName2);
    }
}
