package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.util.Log;
import java.lang.reflect.Method;

/* access modifiers changed from: package-private */
/* compiled from: WrappedDrawableApi21 */
public class e extends d {

    /* renamed from: ˏ  reason: contains not printable characters */
    private static Method f1756;

    e(Drawable drawable) {
        super(drawable);
        m2016();
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m2016() {
        if (f1756 == null) {
            try {
                f1756 = Drawable.class.getDeclaredMethod("isProjected", new Class[0]);
            } catch (Exception e2) {
                Log.w("WrappedDrawableApi21", "Failed to retrieve Drawable#isProjected() method", e2);
            }
        }
    }

    public Rect getDirtyBounds() {
        return this.f1755.getDirtyBounds();
    }

    public void getOutline(Outline outline) {
        this.f1755.getOutline(outline);
    }

    public boolean isProjected() {
        Method method;
        Drawable drawable = this.f1755;
        if (!(drawable == null || (method = f1756) == null)) {
            try {
                return ((Boolean) method.invoke(drawable, new Object[0])).booleanValue();
            } catch (Exception e2) {
                Log.w("WrappedDrawableApi21", "Error calling Drawable#isProjected() method", e2);
            }
        }
        return false;
    }

    public void setHotspot(float f2, float f3) {
        this.f1755.setHotspot(f2, f3);
    }

    public void setHotspotBounds(int i, int i2, int i3, int i4) {
        this.f1755.setHotspotBounds(i, i2, i3, i4);
    }

    @Override // androidx.core.graphics.drawable.d
    public boolean setState(int[] iArr) {
        if (!super.setState(iArr)) {
            return false;
        }
        invalidateSelf();
        return true;
    }

    @Override // androidx.core.graphics.drawable.d, androidx.core.graphics.drawable.b
    public void setTint(int i) {
        if (m2017()) {
            super.setTint(i);
        } else {
            this.f1755.setTint(i);
        }
    }

    @Override // androidx.core.graphics.drawable.d, androidx.core.graphics.drawable.b
    public void setTintList(ColorStateList colorStateList) {
        if (m2017()) {
            super.setTintList(colorStateList);
        } else {
            this.f1755.setTintList(colorStateList);
        }
    }

    @Override // androidx.core.graphics.drawable.d, androidx.core.graphics.drawable.b
    public void setTintMode(PorterDuff.Mode mode) {
        if (m2017()) {
            super.setTintMode(mode);
        } else {
            this.f1755.setTintMode(mode);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.core.graphics.drawable.d
    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m2017() {
        if (Build.VERSION.SDK_INT != 21) {
            return false;
        }
        Drawable drawable = this.f1755;
        if ((drawable instanceof GradientDrawable) || (drawable instanceof DrawableContainer) || (drawable instanceof InsetDrawable) || (drawable instanceof RippleDrawable)) {
            return true;
        }
        return false;
    }

    e(f fVar, Resources resources) {
        super(fVar, resources);
        m2016();
    }
}
