package androidx.core.widget;

import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.widget.CheckedTextView;
import java.lang.reflect.Field;

/* compiled from: CheckedTextViewCompat */
public final class c {

    /* access modifiers changed from: private */
    /* compiled from: CheckedTextViewCompat */
    public static class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        private static Field f1821;

        /* renamed from: ʼ  reason: contains not printable characters */
        private static boolean f1822;

        /* renamed from: ʻ  reason: contains not printable characters */
        static Drawable m2108(CheckedTextView checkedTextView) {
            if (!f1822) {
                try {
                    Field declaredField = CheckedTextView.class.getDeclaredField("mCheckMarkDrawable");
                    f1821 = declaredField;
                    declaredField.setAccessible(true);
                } catch (NoSuchFieldException e2) {
                    Log.i("CheckedTextViewCompat", "Failed to retrieve mCheckMarkDrawable field", e2);
                }
                f1822 = true;
            }
            Field field = f1821;
            if (field != null) {
                try {
                    return (Drawable) field.get(checkedTextView);
                } catch (IllegalAccessException e3) {
                    Log.i("CheckedTextViewCompat", "Failed to get check mark drawable via reflection", e3);
                    f1821 = null;
                }
            }
            return null;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: CheckedTextViewCompat */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static Drawable m2109(CheckedTextView checkedTextView) {
            return checkedTextView.getCheckMarkDrawable();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: androidx.core.widget.c$c  reason: collision with other inner class name */
    /* compiled from: CheckedTextViewCompat */
    public static class C0017c {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2110(CheckedTextView checkedTextView, ColorStateList colorStateList) {
            checkedTextView.setCheckMarkTintList(colorStateList);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2111(CheckedTextView checkedTextView, PorterDuff.Mode mode) {
            checkedTextView.setCheckMarkTintMode(mode);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m2106(CheckedTextView checkedTextView, ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 21) {
            C0017c.m2110(checkedTextView, colorStateList);
        } else if (checkedTextView instanceof l) {
            ((l) checkedTextView).setSupportCheckMarkTintList(colorStateList);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m2107(CheckedTextView checkedTextView, PorterDuff.Mode mode) {
        if (Build.VERSION.SDK_INT >= 21) {
            C0017c.m2111(checkedTextView, mode);
        } else if (checkedTextView instanceof l) {
            ((l) checkedTextView).setSupportCheckMarkTintMode(mode);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static Drawable m2105(CheckedTextView checkedTextView) {
        if (Build.VERSION.SDK_INT >= 16) {
            return b.m2109(checkedTextView);
        }
        return a.m2108(checkedTextView);
    }
}
