package androidx.core.widget;

import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.widget.CompoundButton;
import java.lang.reflect.Field;

/* compiled from: CompoundButtonCompat */
public final class d {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Field f1823;

    /* renamed from: ʼ  reason: contains not printable characters */
    private static boolean f1824;

    /* access modifiers changed from: package-private */
    /* compiled from: CompoundButtonCompat */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2117(CompoundButton compoundButton, ColorStateList colorStateList) {
            compoundButton.setButtonTintList(colorStateList);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static PorterDuff.Mode m2119(CompoundButton compoundButton) {
            return compoundButton.getButtonTintMode();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static ColorStateList m2116(CompoundButton compoundButton) {
            return compoundButton.getButtonTintList();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2118(CompoundButton compoundButton, PorterDuff.Mode mode) {
            compoundButton.setButtonTintMode(mode);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: CompoundButtonCompat */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static Drawable m2120(CompoundButton compoundButton) {
            return compoundButton.getButtonDrawable();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m2113(CompoundButton compoundButton, ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 21) {
            a.m2117(compoundButton, colorStateList);
        } else if (compoundButton instanceof m) {
            ((m) compoundButton).setSupportButtonTintList(colorStateList);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static ColorStateList m2115(CompoundButton compoundButton) {
        if (Build.VERSION.SDK_INT >= 21) {
            return a.m2116(compoundButton);
        }
        if (compoundButton instanceof m) {
            return ((m) compoundButton).getSupportButtonTintList();
        }
        return null;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m2114(CompoundButton compoundButton, PorterDuff.Mode mode) {
        if (Build.VERSION.SDK_INT >= 21) {
            a.m2118(compoundButton, mode);
        } else if (compoundButton instanceof m) {
            ((m) compoundButton).setSupportButtonTintMode(mode);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static Drawable m2112(CompoundButton compoundButton) {
        if (Build.VERSION.SDK_INT >= 23) {
            return b.m2120(compoundButton);
        }
        if (!f1824) {
            try {
                Field declaredField = CompoundButton.class.getDeclaredField("mButtonDrawable");
                f1823 = declaredField;
                declaredField.setAccessible(true);
            } catch (NoSuchFieldException e2) {
                Log.i("CompoundButtonCompat", "Failed to retrieve mButtonDrawable field", e2);
            }
            f1824 = true;
        }
        Field field = f1823;
        if (field != null) {
            try {
                return (Drawable) field.get(compoundButton);
            } catch (IllegalAccessException e3) {
                Log.i("CompoundButtonCompat", "Failed to get button drawable via reflection", e3);
                f1823 = null;
            }
        }
        return null;
    }
}
