package androidx.core.widget;

import android.content.ClipData;
import android.content.Context;
import android.os.Build;
import android.text.Editable;
import android.text.Selection;
import android.text.Spanned;
import android.util.Log;
import android.view.View;
import android.widget.TextView;
import e.g.l.f;
import e.g.l.z;

/* compiled from: TextViewOnReceiveContentListener */
public final class k implements z {

    /* access modifiers changed from: private */
    /* compiled from: TextViewOnReceiveContentListener */
    public static final class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static CharSequence m2202(Context context, ClipData.Item item, int i) {
            if ((i & 1) == 0) {
                return item.coerceToStyledText(context);
            }
            CharSequence coerceToText = item.coerceToText(context);
            return coerceToText instanceof Spanned ? coerceToText.toString() : coerceToText;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: TextViewOnReceiveContentListener */
    public static final class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static CharSequence m2203(Context context, ClipData.Item item, int i) {
            CharSequence coerceToText = item.coerceToText(context);
            return ((i & 1) == 0 || !(coerceToText instanceof Spanned)) ? coerceToText : coerceToText.toString();
        }
    }

    @Override // e.g.l.z
    /* renamed from: ʻ  reason: contains not printable characters */
    public f m2201(View view, f fVar) {
        if (Log.isLoggable("ReceiveContent", 3)) {
            Log.d("ReceiveContent", "onReceive: " + fVar);
        }
        if (fVar.m10678() == 2) {
            return fVar;
        }
        ClipData r0 = fVar.m10676();
        int r9 = fVar.m10677();
        TextView textView = (TextView) view;
        Editable editable = (Editable) textView.getText();
        Context context = textView.getContext();
        boolean z = false;
        for (int i = 0; i < r0.getItemCount(); i++) {
            CharSequence r4 = m2199(context, r0.getItemAt(i), r9);
            if (r4 != null) {
                if (!z) {
                    m2200(editable, r4);
                    z = true;
                } else {
                    editable.insert(Selection.getSelectionEnd(editable), "\n");
                    editable.insert(Selection.getSelectionEnd(editable), r4);
                }
            }
        }
        return null;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static CharSequence m2199(Context context, ClipData.Item item, int i) {
        if (Build.VERSION.SDK_INT >= 16) {
            return a.m2202(context, item, i);
        }
        return b.m2203(context, item, i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m2200(Editable editable, CharSequence charSequence) {
        int selectionStart = Selection.getSelectionStart(editable);
        int selectionEnd = Selection.getSelectionEnd(editable);
        int max = Math.max(0, Math.min(selectionStart, selectionEnd));
        int max2 = Math.max(0, Math.max(selectionStart, selectionEnd));
        Selection.setSelection(editable, max2);
        editable.replace(max, max2, charSequence);
    }
}
