package androidx.emoji2.text;

import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.pm.ProviderInfo;
import android.content.pm.ResolveInfo;
import android.content.pm.Signature;
import android.os.Build;
import android.util.Log;
import androidx.emoji2.text.h;
import e.g.i.e;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* compiled from: DefaultEmojiCompatConfig */
public final class f {

    /* compiled from: DefaultEmojiCompatConfig */
    public static class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final b f1906;

        public a(b bVar) {
            this.f1906 = bVar == null ? m2302() : bVar;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public h.c m2307(Context context) {
            return m2303(context, m2308(context));
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʼ  reason: contains not printable characters */
        public e m2308(Context context) {
            PackageManager packageManager = context.getPackageManager();
            e.g.k.h.m10392(packageManager, "Package manager required to locate emoji font provider");
            ProviderInfo r0 = m2301(packageManager);
            if (r0 == null) {
                return null;
            }
            try {
                return m2304(r0, packageManager);
            } catch (PackageManager.NameNotFoundException e2) {
                Log.wtf("emoji2.text.DefaultEmojiConfig", e2);
                return null;
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private h.c m2303(Context context, e eVar) {
            if (eVar == null) {
                return null;
            }
            return new l(context, eVar);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private ProviderInfo m2301(PackageManager packageManager) {
            for (ResolveInfo resolveInfo : this.f1906.m2310(packageManager, new Intent("androidx.content.action.LOAD_EMOJI_FONT"), 0)) {
                ProviderInfo r0 = this.f1906.m2309(resolveInfo);
                if (m2306(r0)) {
                    return r0;
                }
            }
            return null;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private boolean m2306(ProviderInfo providerInfo) {
            ApplicationInfo applicationInfo;
            return (providerInfo == null || (applicationInfo = providerInfo.applicationInfo) == null || (applicationInfo.flags & 1) != 1) ? false : true;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private e m2304(ProviderInfo providerInfo, PackageManager packageManager) throws PackageManager.NameNotFoundException {
            String str = providerInfo.authority;
            String str2 = providerInfo.packageName;
            return new e(str, str2, "emojicompat-emoji-font", m2305(this.f1906.m2311(packageManager, str2)));
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private List<List<byte[]>> m2305(Signature[] signatureArr) {
            ArrayList arrayList = new ArrayList();
            for (Signature signature : signatureArr) {
                arrayList.add(signature.toByteArray());
            }
            return Collections.singletonList(arrayList);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private static b m2302() {
            int i = Build.VERSION.SDK_INT;
            if (i >= 28) {
                return new d();
            }
            if (i >= 19) {
                return new c();
            }
            return new b();
        }
    }

    /* compiled from: DefaultEmojiCompatConfig */
    public static class c extends b {
        @Override // androidx.emoji2.text.f.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public List<ResolveInfo> m2313(PackageManager packageManager, Intent intent, int i) {
            return packageManager.queryIntentContentProviders(intent, i);
        }

        @Override // androidx.emoji2.text.f.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public ProviderInfo m2312(ResolveInfo resolveInfo) {
            return resolveInfo.providerInfo;
        }
    }

    /* compiled from: DefaultEmojiCompatConfig */
    public static class d extends c {
        @Override // androidx.emoji2.text.f.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public Signature[] m2314(PackageManager packageManager, String str) throws PackageManager.NameNotFoundException {
            return packageManager.getPackageInfo(str, 64).signatures;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static l m2300(Context context) {
        return (l) new a(null).m2307(context);
    }

    /* compiled from: DefaultEmojiCompatConfig */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        public Signature[] m2311(PackageManager packageManager, String str) throws PackageManager.NameNotFoundException {
            return packageManager.getPackageInfo(str, 64).signatures;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public List<ResolveInfo> m2310(PackageManager packageManager, Intent intent, int i) {
            return Collections.emptyList();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public ProviderInfo m2309(ResolveInfo resolveInfo) {
            throw new IllegalStateException("Unable to get provider info prior to API 19");
        }
    }
}
