package androidx.emoji2.text;

import android.content.Context;
import android.content.pm.PackageManager;
import android.database.ContentObserver;
import android.graphics.Typeface;
import android.net.Uri;
import android.os.CancellationSignal;
import android.os.Handler;
import androidx.emoji2.text.h;
import e.g.i.e;
import e.g.i.g;
import java.util.concurrent.Executor;
import java.util.concurrent.ThreadPoolExecutor;

/* compiled from: FontRequestEmojiCompatConfig */
public class l extends h.c {

    /* renamed from: ˋ  reason: contains not printable characters */
    private static final a f1961 = new a();

    /* compiled from: FontRequestEmojiCompatConfig */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        public g.a m2389(Context context, e eVar) throws PackageManager.NameNotFoundException {
            return g.m10303(context, (CancellationSignal) null, eVar);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public Typeface m2388(Context context, g.b bVar) throws PackageManager.NameNotFoundException {
            return g.m10301(context, (CancellationSignal) null, new g.b[]{bVar});
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void m2391(Context context, Uri uri, ContentObserver contentObserver) {
            context.getContentResolver().registerContentObserver(uri, false, contentObserver);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void m2390(Context context, ContentObserver contentObserver) {
            context.getContentResolver().unregisterContentObserver(contentObserver);
        }
    }

    /* compiled from: FontRequestEmojiCompatConfig */
    public static abstract class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        public abstract long m2399();
    }

    public l(Context context, e eVar) {
        super(new b(context, eVar, f1961));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public l m2387(Executor executor) {
        ((b) m2348()).m2397(executor);
        return this;
    }

    /* access modifiers changed from: private */
    /* compiled from: FontRequestEmojiCompatConfig */
    public static class b implements h.g {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final Context f1962;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final e f1963;

        /* renamed from: ʽ  reason: contains not printable characters */
        private final a f1964;

        /* renamed from: ʾ  reason: contains not printable characters */
        private final Object f1965 = new Object();

        /* renamed from: ʿ  reason: contains not printable characters */
        private Handler f1966;

        /* renamed from: ˆ  reason: contains not printable characters */
        private Executor f1967;

        /* renamed from: ˈ  reason: contains not printable characters */
        private ThreadPoolExecutor f1968;

        /* renamed from: ˉ  reason: contains not printable characters */
        private c f1969;

        /* renamed from: ˊ  reason: contains not printable characters */
        h.AbstractC0019h f1970;

        /* renamed from: ˋ  reason: contains not printable characters */
        private ContentObserver f1971;

        /* renamed from: ˎ  reason: contains not printable characters */
        private Runnable f1972;

        /* access modifiers changed from: package-private */
        /* compiled from: FontRequestEmojiCompatConfig */
        public class a extends ContentObserver {
            a(Handler handler) {
                super(handler);
            }

            public void onChange(boolean z, Uri uri) {
                b.this.m2398();
            }
        }

        b(Context context, e eVar, a aVar) {
            e.g.k.h.m10392(context, "Context cannot be null");
            e.g.k.h.m10392(eVar, "FontRequest cannot be null");
            this.f1962 = context.getApplicationContext();
            this.f1963 = eVar;
            this.f1964 = aVar;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        private void m2393() {
            synchronized (this.f1965) {
                this.f1970 = null;
                if (this.f1971 != null) {
                    this.f1964.m2390(this.f1962, this.f1971);
                    this.f1971 = null;
                }
                if (this.f1966 != null) {
                    this.f1966.removeCallbacks(this.f1972);
                }
                this.f1966 = null;
                if (this.f1968 != null) {
                    this.f1968.shutdown();
                }
                this.f1967 = null;
                this.f1968 = null;
            }
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        private g.b m2394() {
            try {
                g.a r0 = this.f1964.m2389(this.f1962, this.f1963);
                if (r0.m10306() == 0) {
                    g.b[] r02 = r0.m10305();
                    if (r02 != null && r02.length != 0) {
                        return r02[0];
                    }
                    throw new RuntimeException("fetchFonts failed (empty result)");
                }
                throw new RuntimeException("fetchFonts failed (" + r0.m10306() + ")");
            } catch (PackageManager.NameNotFoundException e2) {
                throw new RuntimeException("provider not found", e2);
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void m2397(Executor executor) {
            synchronized (this.f1965) {
                this.f1967 = executor;
            }
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m2398() {
            synchronized (this.f1965) {
                if (this.f1970 != null) {
                    if (this.f1967 == null) {
                        ThreadPoolExecutor r1 = e.m2298("emojiCompat");
                        this.f1968 = r1;
                        this.f1967 = r1;
                    }
                    this.f1967.execute(new b(this));
                }
            }
        }

        @Override // androidx.emoji2.text.h.g
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m2396(h.AbstractC0019h hVar) {
            e.g.k.h.m10392(hVar, "LoaderCallback cannot be null");
            synchronized (this.f1965) {
                this.f1970 = hVar;
            }
            m2398();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private void m2392(Uri uri, long j) {
            synchronized (this.f1965) {
                Handler handler = this.f1966;
                if (handler == null) {
                    handler = e.m2296();
                    this.f1966 = handler;
                }
                if (this.f1971 == null) {
                    a aVar = new a(handler);
                    this.f1971 = aVar;
                    this.f1964.m2391(this.f1962, uri, aVar);
                }
                if (this.f1972 == null) {
                    this.f1972 = new d(this);
                }
                handler.postDelayed(this.f1972, j);
            }
        }

        /* JADX INFO: finally extract failed */
        /* access modifiers changed from: package-private */
        /* JADX WARNING: Code restructure failed: missing block: B:10:0x0013, code lost:
            if (r1 != 2) goto L_0x0036;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:11:0x0015, code lost:
            r2 = r8.f1965;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:12:0x0017, code lost:
            monitor-enter(r2);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:15:0x001a, code lost:
            if (r8.f1969 == null) goto L_0x0031;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:16:0x001c, code lost:
            r3 = r8.f1969.m2399();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:17:0x0026, code lost:
            if (r3 < 0) goto L_0x0031;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:18:0x0028, code lost:
            m2392(r0.m10310(), r3);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:19:0x002f, code lost:
            monitor-exit(r2);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:20:0x0030, code lost:
            return;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:21:0x0031, code lost:
            monitor-exit(r2);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:26:0x0036, code lost:
            if (r1 != 0) goto L_0x007c;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:29:?, code lost:
            e.g.h.f.m10269("EmojiCompat.FontRequestEmojiCompatConfig.buildTypeface");
            r1 = r8.f1964.m2388(r8.f1962, r0);
            r0 = e.g.e.l.m10246(r8.f1962, (android.os.CancellationSignal) null, r0.m10310());
         */
        /* JADX WARNING: Code restructure failed: missing block: B:30:0x0050, code lost:
            if (r0 == null) goto L_0x006f;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:31:0x0052, code lost:
            if (r1 == null) goto L_0x006f;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:32:0x0054, code lost:
            r0 = androidx.emoji2.text.n.m2415(r1, r0);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:33:0x0058, code lost:
            e.g.h.f.m10268();
            r1 = r8.f1965;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:34:0x005d, code lost:
            monitor-enter(r1);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:37:0x0060, code lost:
            if (r8.f1970 == null) goto L_0x0067;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:38:0x0062, code lost:
            r8.f1970.m2353(r0);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:39:0x0067, code lost:
            monitor-exit(r1);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:40:0x0068, code lost:
            m2393();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:45:0x0076, code lost:
            throw new java.lang.RuntimeException("Unable to open file.");
         */
        /* JADX WARNING: Code restructure failed: missing block: B:46:0x0077, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:47:0x0078, code lost:
            e.g.h.f.m10268();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:48:0x007b, code lost:
            throw r0;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:50:0x0097, code lost:
            throw new java.lang.RuntimeException("fetchFonts result is not OK. (" + r1 + ")");
         */
        /* JADX WARNING: Code restructure failed: missing block: B:51:0x0098, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:53:0x009b, code lost:
            monitor-enter(r8.f1965);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:56:0x009e, code lost:
            if (r8.f1970 != null) goto L_0x00a0;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:57:0x00a0, code lost:
            r8.f1970.m2354(r0);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:59:0x00a6, code lost:
            m2393();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:66:?, code lost:
            return;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:67:?, code lost:
            return;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:9:?, code lost:
            r0 = m2394();
            r1 = r0.m10308();
         */
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m2395() {
            synchronized (this.f1965) {
                if (this.f1970 == null) {
                }
            }
        }
    }
}
