package androidx.fragment.app;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationSet;
import android.view.animation.AnimationUtils;
import android.view.animation.Transformation;
import e.g.l.b0;

/* compiled from: FragmentAnim */
class p {
    /* renamed from: ʻ  reason: contains not printable characters */
    static a m2904(Context context, Fragment fragment, boolean z, boolean z2) {
        int r0 = fragment.m2593();
        int r8 = m2903(fragment, z, z2);
        boolean z3 = false;
        fragment.m2482(0, 0, 0, 0);
        ViewGroup viewGroup = fragment.f2014;
        if (!(viewGroup == null || viewGroup.getTag(e.l.b.visible_removing_fragment_view_tag) == null)) {
            fragment.f2014.setTag(e.l.b.visible_removing_fragment_view_tag, null);
        }
        ViewGroup viewGroup2 = fragment.f2014;
        if (viewGroup2 != null && viewGroup2.getLayoutTransition() != null) {
            return null;
        }
        Animation r2 = fragment.m2477(r0, z, r8);
        if (r2 != null) {
            return new a(r2);
        }
        Animator r6 = fragment.m2522(r0, z, r8);
        if (r6 != null) {
            return new a(r6);
        }
        if (r8 == 0 && r0 != 0) {
            r8 = m2902(context, r0, z);
        }
        if (r8 != 0) {
            boolean equals = "anim".equals(context.getResources().getResourceTypeName(r8));
            if (equals) {
                try {
                    Animation loadAnimation = AnimationUtils.loadAnimation(context, r8);
                    if (loadAnimation != null) {
                        return new a(loadAnimation);
                    }
                    z3 = true;
                } catch (Resources.NotFoundException e2) {
                    throw e2;
                } catch (RuntimeException unused) {
                }
            }
            if (!z3) {
                try {
                    Animator loadAnimator = AnimatorInflater.loadAnimator(context, r8);
                    if (loadAnimator != null) {
                        return new a(loadAnimator);
                    }
                } catch (RuntimeException e3) {
                    if (!equals) {
                        Animation loadAnimation2 = AnimationUtils.loadAnimation(context, r8);
                        if (loadAnimation2 != null) {
                            return new a(loadAnimation2);
                        }
                    } else {
                        throw e3;
                    }
                }
            }
        }
        return null;
    }

    /* compiled from: FragmentAnim */
    static class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        public final Animation f2284;

        /* renamed from: ʼ  reason: contains not printable characters */
        public final Animator f2285;

        a(Animation animation) {
            this.f2284 = animation;
            this.f2285 = null;
            if (animation == null) {
                throw new IllegalStateException("Animation cannot be null");
            }
        }

        a(Animator animator) {
            this.f2284 = null;
            this.f2285 = animator;
            if (animator == null) {
                throw new IllegalStateException("Animator cannot be null");
            }
        }
    }

    /* compiled from: FragmentAnim */
    static class b extends AnimationSet implements Runnable {

        /* renamed from: ʿ  reason: contains not printable characters */
        private final ViewGroup f2286;

        /* renamed from: ˆ  reason: contains not printable characters */
        private final View f2287;

        /* renamed from: ˈ  reason: contains not printable characters */
        private boolean f2288;

        /* renamed from: ˉ  reason: contains not printable characters */
        private boolean f2289;

        /* renamed from: ˊ  reason: contains not printable characters */
        private boolean f2290 = true;

        b(Animation animation, ViewGroup viewGroup, View view) {
            super(false);
            this.f2286 = viewGroup;
            this.f2287 = view;
            addAnimation(animation);
            this.f2286.post(this);
        }

        public boolean getTransformation(long j, Transformation transformation) {
            this.f2290 = true;
            if (this.f2288) {
                return !this.f2289;
            }
            if (!super.getTransformation(j, transformation)) {
                this.f2288 = true;
                b0.m10397(this.f2286, this);
            }
            return true;
        }

        public void run() {
            if (this.f2288 || !this.f2290) {
                this.f2286.endViewTransition(this.f2287);
                this.f2289 = true;
                return;
            }
            this.f2290 = false;
            this.f2286.post(this);
        }

        public boolean getTransformation(long j, Transformation transformation, float f2) {
            this.f2290 = true;
            if (this.f2288) {
                return !this.f2289;
            }
            if (!super.getTransformation(j, transformation, f2)) {
                this.f2288 = true;
                b0.m10397(this.f2286, this);
            }
            return true;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m2903(Fragment fragment, boolean z, boolean z2) {
        if (z2) {
            if (z) {
                return fragment.m2582();
            }
            return fragment.m2584();
        } else if (z) {
            return fragment.m2575();
        } else {
            return fragment.m2581();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m2902(Context context, int i, boolean z) {
        if (i == 4097) {
            return z ? e.l.a.fragment_open_enter : e.l.a.fragment_open_exit;
        }
        if (i == 8194) {
            return z ? e.l.a.fragment_close_enter : e.l.a.fragment_close_exit;
        }
        if (i != 8197) {
            if (i == 4099) {
                return z ? e.l.a.fragment_fade_enter : e.l.a.fragment_fade_exit;
            }
            if (i != 4100) {
                return -1;
            }
            if (z) {
                return m2901(context, 16842936);
            }
            return m2901(context, 16842937);
        } else if (z) {
            return m2901(context, 16842938);
        } else {
            return m2901(context, 16842939);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m2901(Context context, int i) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(16973825, new int[]{i});
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        return resourceId;
    }
}
