package androidx.fragment.app;

import android.animation.LayoutTransition;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.os.Build;
import android.os.Bundle;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowInsets;
import android.widget.FrameLayout;
import e.g.l.d0;
import e.g.l.l0;
import e.l.c;
import f.t.c.g;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: FragmentContainerView.kt */
public final class r extends FrameLayout {

    /* renamed from: ʿ  reason: contains not printable characters */
    private final List<View> f2311 = new ArrayList();

    /* renamed from: ˆ  reason: contains not printable characters */
    private final List<View> f2312 = new ArrayList();

    /* renamed from: ˈ  reason: contains not printable characters */
    private View.OnApplyWindowInsetsListener f2313;

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean f2314 = true;

    /* compiled from: FragmentContainerView.kt */
    public static final class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        public static final a f2315 = new a();

        private a() {
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public final WindowInsets m2928(View.OnApplyWindowInsetsListener onApplyWindowInsetsListener, View view, WindowInsets windowInsets) {
            g.m11923(onApplyWindowInsetsListener, "onApplyWindowInsetsListener");
            g.m11923(view, "v");
            g.m11923(windowInsets, "insets");
            WindowInsets onApplyWindowInsets = onApplyWindowInsetsListener.onApplyWindowInsets(view, windowInsets);
            g.m11921(onApplyWindowInsets, "onApplyWindowInsetsListe…lyWindowInsets(v, insets)");
            return onApplyWindowInsets;
        }
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public r(Context context, AttributeSet attributeSet, x xVar) {
        super(context, attributeSet);
        String str;
        g.m11923(context, "context");
        g.m11923(attributeSet, "attrs");
        g.m11923(xVar, "fm");
        String classAttribute = attributeSet.getClassAttribute();
        int[] iArr = c.FragmentContainerView;
        g.m11921(iArr, "FragmentContainerView");
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, 0, 0);
        classAttribute = classAttribute == null ? obtainStyledAttributes.getString(c.FragmentContainerView_android_name) : classAttribute;
        String string = obtainStyledAttributes.getString(c.FragmentContainerView_android_tag);
        obtainStyledAttributes.recycle();
        int id = getId();
        Fragment r4 = xVar.m3006(id);
        if (classAttribute != null && r4 == null) {
            if (id == -1) {
                if (string != null) {
                    str = " with tag " + string;
                } else {
                    str = BuildConfig.FLAVOR;
                }
                throw new IllegalStateException("FragmentContainerView must have an android:id to add Fragment " + classAttribute + str);
            }
            Fragment r1 = xVar.m3083().m2946(context.getClassLoader(), classAttribute);
            g.m11921(r1, "fm.fragmentFactory.insta…ontext.classLoader, name)");
            r1.m2488(context, attributeSet, (Bundle) null);
            g0 r6 = xVar.m3035();
            r6.m2689(true);
            r6.m2685(this, r1, string);
            r6.m2695();
        }
        xVar.m3022(this);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private final void m2927(View view) {
        if (this.f2312.contains(view)) {
            this.f2311.add(view);
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        g.m11923(view, "child");
        if (x.m2983(view) != null) {
            super.addView(view, i, layoutParams);
            return;
        }
        throw new IllegalStateException(("Views added to a FragmentContainerView must be associated with a Fragment. View " + view + " is not associated with a Fragment.").toString());
    }

    public WindowInsets dispatchApplyWindowInsets(WindowInsets windowInsets) {
        l0 l0Var;
        g.m11923(windowInsets, "insets");
        l0 r0 = l0.m10788(windowInsets);
        g.m11921(r0, "toWindowInsetsCompat(insets)");
        View.OnApplyWindowInsetsListener onApplyWindowInsetsListener = this.f2313;
        if (onApplyWindowInsetsListener != null) {
            a aVar = a.f2315;
            g.m11918(onApplyWindowInsetsListener);
            l0Var = l0.m10788(aVar.m2928(onApplyWindowInsetsListener, this, windowInsets));
        } else {
            l0Var = d0.m10445(this, r0);
        }
        g.m11921(l0Var, "if (applyWindowInsetsLis…, insetsCompat)\n        }");
        if (!l0Var.m10810()) {
            int childCount = getChildCount();
            for (int i = 0; i < childCount; i++) {
                d0.m10420(getChildAt(i), l0Var);
            }
        }
        return windowInsets;
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        g.m11923(canvas, "canvas");
        if (this.f2314) {
            Iterator<T> it = this.f2311.iterator();
            while (it.hasNext()) {
                super.drawChild(canvas, it.next(), getDrawingTime());
            }
        }
        super.dispatchDraw(canvas);
    }

    /* access modifiers changed from: protected */
    public boolean drawChild(Canvas canvas, View view, long j) {
        g.m11923(canvas, "canvas");
        g.m11923(view, "child");
        if (!this.f2314 || !(!this.f2311.isEmpty()) || !this.f2311.contains(view)) {
            return super.drawChild(canvas, view, j);
        }
        return false;
    }

    public void endViewTransition(View view) {
        g.m11923(view, "view");
        this.f2312.remove(view);
        if (this.f2311.remove(view)) {
            this.f2314 = true;
        }
        super.endViewTransition(view);
    }

    public final <F extends Fragment> F getFragment() {
        return (F) x.m2973((View) this).m3006(getId());
    }

    public WindowInsets onApplyWindowInsets(WindowInsets windowInsets) {
        g.m11923(windowInsets, "insets");
        return windowInsets;
    }

    public void removeAllViewsInLayout() {
        int childCount = getChildCount();
        while (true) {
            childCount--;
            if (-1 < childCount) {
                View childAt = getChildAt(childCount);
                g.m11921(childAt, "view");
                m2927(childAt);
            } else {
                super.removeAllViewsInLayout();
                return;
            }
        }
    }

    public void removeView(View view) {
        g.m11923(view, "view");
        m2927(view);
        super.removeView(view);
    }

    public void removeViewAt(int i) {
        View childAt = getChildAt(i);
        g.m11921(childAt, "view");
        m2927(childAt);
        super.removeViewAt(i);
    }

    public void removeViewInLayout(View view) {
        g.m11923(view, "view");
        m2927(view);
        super.removeViewInLayout(view);
    }

    public void removeViews(int i, int i2) {
        int i3 = i + i2;
        for (int i4 = i; i4 < i3; i4++) {
            View childAt = getChildAt(i4);
            g.m11921(childAt, "view");
            m2927(childAt);
        }
        super.removeViews(i, i2);
    }

    public void removeViewsInLayout(int i, int i2) {
        int i3 = i + i2;
        for (int i4 = i; i4 < i3; i4++) {
            View childAt = getChildAt(i4);
            g.m11921(childAt, "view");
            m2927(childAt);
        }
        super.removeViewsInLayout(i, i2);
    }

    public final void setDrawDisappearingViewsLast(boolean z) {
        this.f2314 = z;
    }

    public void setLayoutTransition(LayoutTransition layoutTransition) {
        if (Build.VERSION.SDK_INT < 18) {
            super.setLayoutTransition(layoutTransition);
            return;
        }
        throw new UnsupportedOperationException("FragmentContainerView does not support Layout Transitions or animateLayoutChanges=\"true\".");
    }

    public void setOnApplyWindowInsetsListener(View.OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
        g.m11923(onApplyWindowInsetsListener, "listener");
        this.f2313 = onApplyWindowInsetsListener;
    }

    public void startViewTransition(View view) {
        g.m11923(view, "view");
        if (view.getParent() == this) {
            this.f2312.add(view);
        }
        super.startViewTransition(view);
    }
}
