package androidx.lifecycle;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: Lifecycling */
public class q {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Map<Class<?>, Integer> f2472 = new HashMap();

    /* renamed from: ʼ  reason: contains not printable characters */
    private static Map<Class<?>, List<Constructor<? extends g>>> f2473 = new HashMap();

    /* renamed from: ʻ  reason: contains not printable characters */
    static l m3240(Object obj) {
        boolean z = obj instanceof l;
        boolean z2 = obj instanceof f;
        if (z && z2) {
            return new FullLifecycleObserverAdapter((f) obj, (l) obj);
        }
        if (z2) {
            return new FullLifecycleObserverAdapter((f) obj, null);
        }
        if (z) {
            return (l) obj;
        }
        Class<?> cls = obj.getClass();
        if (m3243(cls) != 2) {
            return new ReflectiveGenericLifecycleObserver(obj);
        }
        List<Constructor<? extends g>> list = f2473.get(cls);
        if (list.size() == 1) {
            return new SingleGeneratedAdapterObserver(m3239(list.get(0), obj));
        }
        g[] gVarArr = new g[list.size()];
        for (int i = 0; i < list.size(); i++) {
            gVarArr[i] = m3239(list.get(i), obj);
        }
        return new CompositeGeneratedAdaptersObserver(gVarArr);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static int m3243(Class<?> cls) {
        Integer num = f2472.get(cls);
        if (num != null) {
            return num.intValue();
        }
        int r0 = m3245(cls);
        f2472.put(cls, Integer.valueOf(r0));
        return r0;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static boolean m3244(Class<?> cls) {
        return cls != null && m.class.isAssignableFrom(cls);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static int m3245(Class<?> cls) {
        if (cls.getCanonicalName() == null) {
            return 1;
        }
        Constructor<? extends g> r0 = m3242(cls);
        if (r0 != null) {
            f2473.put(cls, Collections.singletonList(r0));
            return 2;
        } else if (b.f2429.m3167(cls)) {
            return 1;
        } else {
            Class<? super Object> superclass = cls.getSuperclass();
            ArrayList arrayList = null;
            if (m3244(superclass)) {
                if (m3243(superclass) == 1) {
                    return 1;
                }
                arrayList = new ArrayList(f2473.get(superclass));
            }
            Class<?>[] interfaces = cls.getInterfaces();
            for (Class<?> cls2 : interfaces) {
                if (m3244(cls2)) {
                    if (m3243(cls2) == 1) {
                        return 1;
                    }
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.addAll(f2473.get(cls2));
                }
            }
            if (arrayList == null) {
                return 1;
            }
            f2473.put(cls, arrayList);
            return 2;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static g m3239(Constructor<? extends g> constructor, Object obj) {
        try {
            return (g) constructor.newInstance(obj);
        } catch (IllegalAccessException e2) {
            throw new RuntimeException(e2);
        } catch (InstantiationException e3) {
            throw new RuntimeException(e3);
        } catch (InvocationTargetException e4) {
            throw new RuntimeException(e4);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Constructor<? extends g> m3242(Class<?> cls) {
        try {
            Package r0 = cls.getPackage();
            String canonicalName = cls.getCanonicalName();
            String name = r0 != null ? r0.getName() : BuildConfig.FLAVOR;
            if (!name.isEmpty()) {
                canonicalName = canonicalName.substring(name.length() + 1);
            }
            String r1 = m3241(canonicalName);
            if (!name.isEmpty()) {
                r1 = name + "." + r1;
            }
            Constructor declaredConstructor = Class.forName(r1).getDeclaredConstructor(cls);
            if (!declaredConstructor.isAccessible()) {
                declaredConstructor.setAccessible(true);
            }
            return declaredConstructor;
        } catch (ClassNotFoundException unused) {
            return null;
        } catch (NoSuchMethodException e2) {
            throw new RuntimeException(e2);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static String m3241(String str) {
        return str.replace(".", "_") + "_LifecycleAdapter";
    }
}
