package com.google.android.material.appbar;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.View;
import android.widget.TextView;
import androidx.appcompat.widget.Toolbar;
import com.d.a.a.b;
import com.d.a.a.b0.g;
import com.d.a.a.b0.h;
import com.d.a.a.j;
import com.d.a.a.k;
import com.google.android.material.internal.p;
import com.google.android.material.internal.q;
import com.google.android.material.theme.a.a;
import e.g.l.d0;

public class MaterialToolbar extends Toolbar {

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private static final int f4747 = j.Widget_MaterialComponents_Toolbar;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private boolean f4748;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private Integer f4749;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private boolean f4750;

    public MaterialToolbar(Context context) {
        this(context, null);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Pair<Integer, Integer> m6590(TextView textView, TextView textView2) {
        int measuredWidth = getMeasuredWidth();
        int i = measuredWidth / 2;
        int paddingLeft = getPaddingLeft();
        int paddingRight = measuredWidth - getPaddingRight();
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            View childAt = getChildAt(i2);
            if (!(childAt.getVisibility() == 8 || childAt == textView || childAt == textView2)) {
                if (childAt.getRight() < i && childAt.getRight() > paddingLeft) {
                    paddingLeft = childAt.getRight();
                }
                if (childAt.getLeft() > i && childAt.getLeft() < paddingRight) {
                    paddingRight = childAt.getLeft();
                }
            }
        }
        return new Pair<>(Integer.valueOf(paddingLeft), Integer.valueOf(paddingRight));
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private void m6593() {
        if (this.f4748 || this.f4750) {
            TextView r0 = q.m7624(this);
            TextView r1 = q.m7622(this);
            if (r0 != null || r1 != null) {
                Pair<Integer, Integer> r2 = m6590(r0, r1);
                if (this.f4748 && r0 != null) {
                    m6592(r0, r2);
                }
                if (this.f4750 && r1 != null) {
                    m6592(r1, r2);
                }
            }
        }
    }

    public Integer getNavigationIconTint() {
        return this.f4749;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        h.m4843(this);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        m6593();
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        h.m4844(this, f2);
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setNavigationIcon(Drawable drawable) {
        super.setNavigationIcon(m6589(drawable));
    }

    public void setNavigationIconTint(int i) {
        this.f4749 = Integer.valueOf(i);
        Drawable navigationIcon = getNavigationIcon();
        if (navigationIcon != null) {
            setNavigationIcon(navigationIcon);
        }
    }

    public void setSubtitleCentered(boolean z) {
        if (this.f4750 != z) {
            this.f4750 = z;
            requestLayout();
        }
    }

    public void setTitleCentered(boolean z) {
        if (this.f4748 != z) {
            this.f4748 = z;
            requestLayout();
        }
    }

    public MaterialToolbar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, b.toolbarStyle);
    }

    public MaterialToolbar(Context context, AttributeSet attributeSet, int i) {
        super(a.m7888(context, attributeSet, i, f4747), attributeSet, i);
        Context context2 = getContext();
        TypedArray r9 = p.m7620(context2, attributeSet, k.MaterialToolbar, i, f4747, new int[0]);
        if (r9.hasValue(k.MaterialToolbar_navigationIconTint)) {
            setNavigationIconTint(r9.getColor(k.MaterialToolbar_navigationIconTint, -1));
        }
        this.f4748 = r9.getBoolean(k.MaterialToolbar_titleCentered, false);
        this.f4750 = r9.getBoolean(k.MaterialToolbar_subtitleCentered, false);
        r9.recycle();
        m6591(context2);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6592(View view, Pair<Integer, Integer> pair) {
        int measuredWidth = getMeasuredWidth();
        int measuredWidth2 = view.getMeasuredWidth();
        int i = (measuredWidth / 2) - (measuredWidth2 / 2);
        int i2 = measuredWidth2 + i;
        int max = Math.max(Math.max(((Integer) pair.first).intValue() - i, 0), Math.max(i2 - ((Integer) pair.second).intValue(), 0));
        if (max > 0) {
            i += max;
            i2 -= max;
            view.measure(View.MeasureSpec.makeMeasureSpec(i2 - i, 1073741824), view.getMeasuredHeightAndState());
        }
        view.layout(i, view.getTop(), i2, view.getBottom());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6591(Context context) {
        Drawable background = getBackground();
        if (background == null || (background instanceof ColorDrawable)) {
            g gVar = new g();
            gVar.m4807(ColorStateList.valueOf(background != null ? ((ColorDrawable) background).getColor() : 0));
            gVar.m4806(context);
            gVar.m4802(d0.m10484(this));
            d0.m10431(this, gVar);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Drawable m6589(Drawable drawable) {
        if (drawable == null || this.f4749 == null) {
            return drawable;
        }
        Drawable r2 = androidx.core.graphics.drawable.a.m1991(drawable.mutate());
        androidx.core.graphics.drawable.a.m1984(r2, this.f4749.intValue());
        return r2;
    }
}
