package com.google.android.material.button;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Button;
import android.widget.Checkable;
import android.widget.CompoundButton;
import androidx.appcompat.widget.i;
import com.d.a.a.b0.h;
import com.d.a.a.b0.k;
import com.d.a.a.b0.n;
import com.d.a.a.j;
import com.google.android.material.internal.p;
import com.google.android.material.internal.r;
import e.g.l.d0;
import java.util.Iterator;
import java.util.LinkedHashSet;

public class MaterialButton extends i implements Checkable, n {

    /* renamed from: ᵢ  reason: contains not printable characters */
    private static final int[] f4916 = {16842911};

    /* renamed from: ⁱ  reason: contains not printable characters */
    private static final int[] f4917 = {16842912};

    /* renamed from: ﹳ  reason: contains not printable characters */
    private static final int f4918 = j.Widget_MaterialComponents_Button;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final a f4919;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final LinkedHashSet<a> f4920;

    /* renamed from: ˋ  reason: contains not printable characters */
    private b f4921;

    /* renamed from: ˎ  reason: contains not printable characters */
    private PorterDuff.Mode f4922;

    /* renamed from: ˏ  reason: contains not printable characters */
    private ColorStateList f4923;

    /* renamed from: ˑ  reason: contains not printable characters */
    private Drawable f4924;

    /* renamed from: י  reason: contains not printable characters */
    private int f4925;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f4926;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f4927;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private int f4928;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f4929;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean f4930;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f4931;

    public interface a {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m6823(MaterialButton materialButton, boolean z);
    }

    interface b {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m6824(MaterialButton materialButton, boolean z);
    }

    /* access modifiers changed from: package-private */
    public static class c extends e.i.a.a {
        public static final Parcelable.Creator<c> CREATOR = new a();

        /* renamed from: ˈ  reason: contains not printable characters */
        boolean f4932;

        static class a implements Parcelable.ClassLoaderCreator<c> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public c[] newArray(int i) {
                return new c[i];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public c createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new c(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public c createFromParcel(Parcel parcel) {
                return new c(parcel, null);
            }
        }

        public c(Parcelable parcelable) {
            super(parcelable);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private void m6825(Parcel parcel) {
            boolean z = true;
            if (parcel.readInt() != 1) {
                z = false;
            }
            this.f4932 = z;
        }

        @Override // e.i.a.a
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f4932 ? 1 : 0);
        }

        public c(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            if (classLoader == null) {
                c.class.getClassLoader();
            }
            m6825(parcel);
        }
    }

    public MaterialButton(Context context) {
        this(context, null);
    }

    private String getA11yClassName() {
        return (m6821() ? CompoundButton.class : Button.class).getName();
    }

    private int getTextHeight() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        Rect rect = new Rect();
        paint.getTextBounds(charSequence, 0, charSequence.length(), rect);
        return Math.min(rect.height(), getLayout().getHeight());
    }

    private int getTextWidth() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        return Math.min((int) paint.measureText(charSequence), getLayout().getEllipsizedWidth());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6812(int i, int i2) {
        if (this.f4924 != null && getLayout() != null) {
            if (m6815() || m6814()) {
                this.f4927 = 0;
                int i3 = this.f4931;
                boolean z = true;
                if (i3 == 1 || i3 == 3) {
                    this.f4926 = 0;
                    m6813(false);
                    return;
                }
                int i4 = this.f4925;
                if (i4 == 0) {
                    i4 = this.f4924.getIntrinsicWidth();
                }
                int textWidth = (((((i - getTextWidth()) - d0.m10498(this)) - i4) - this.f4928) - d0.m10499(this)) / 2;
                boolean r6 = m6817();
                if (this.f4931 != 4) {
                    z = false;
                }
                if (r6 != z) {
                    textWidth = -textWidth;
                }
                if (this.f4926 != textWidth) {
                    this.f4926 = textWidth;
                    m6813(false);
                }
            } else if (m6816()) {
                this.f4926 = 0;
                if (this.f4931 == 16) {
                    this.f4927 = 0;
                    m6813(false);
                    return;
                }
                int i5 = this.f4925;
                if (i5 == 0) {
                    i5 = this.f4924.getIntrinsicHeight();
                }
                int textHeight = (((((i2 - getTextHeight()) - getPaddingTop()) - i5) - this.f4928) - getPaddingBottom()) / 2;
                if (this.f4927 != textHeight) {
                    this.f4927 = textHeight;
                    m6813(false);
                }
            }
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m6814() {
        int i = this.f4931;
        return i == 3 || i == 4;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private boolean m6815() {
        int i = this.f4931;
        return i == 1 || i == 2;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private boolean m6816() {
        int i = this.f4931;
        return i == 16 || i == 32;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean m6817() {
        return d0.m10492(this) == 1;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean m6818() {
        a aVar = this.f4919;
        return aVar != null && !aVar.m6893();
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m6819() {
        if (m6815()) {
            androidx.core.widget.j.m2158(this, this.f4924, null, null, null);
        } else if (m6814()) {
            androidx.core.widget.j.m2158(this, null, null, this.f4924, null);
        } else if (m6816()) {
            androidx.core.widget.j.m2158(this, null, this.f4924, null, null);
        }
    }

    public ColorStateList getBackgroundTintList() {
        return getSupportBackgroundTintList();
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return getSupportBackgroundTintMode();
    }

    public int getCornerRadius() {
        if (m6818()) {
            return this.f4919.m6868();
        }
        return 0;
    }

    public Drawable getIcon() {
        return this.f4924;
    }

    public int getIconGravity() {
        return this.f4931;
    }

    public int getIconPadding() {
        return this.f4928;
    }

    public int getIconSize() {
        return this.f4925;
    }

    public ColorStateList getIconTint() {
        return this.f4923;
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f4922;
    }

    public int getInsetBottom() {
        return this.f4919.m6876();
    }

    public int getInsetTop() {
        return this.f4919.m6880();
    }

    public ColorStateList getRippleColor() {
        if (m6818()) {
            return this.f4919.m6887();
        }
        return null;
    }

    public k getShapeAppearanceModel() {
        if (m6818()) {
            return this.f4919.m6888();
        }
        throw new IllegalStateException("Attempted to get ShapeAppearanceModel from a MaterialButton which has an overwritten background.");
    }

    public ColorStateList getStrokeColor() {
        if (m6818()) {
            return this.f4919.m6889();
        }
        return null;
    }

    public int getStrokeWidth() {
        if (m6818()) {
            return this.f4919.m6890();
        }
        return 0;
    }

    @Override // androidx.appcompat.widget.i, e.g.l.c0
    public ColorStateList getSupportBackgroundTintList() {
        if (m6818()) {
            return this.f4919.m6891();
        }
        return super.getSupportBackgroundTintList();
    }

    @Override // androidx.appcompat.widget.i, e.g.l.c0
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        if (m6818()) {
            return this.f4919.m6892();
        }
        return super.getSupportBackgroundTintMode();
    }

    public boolean isChecked() {
        return this.f4929;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (m6818()) {
            h.m4845(this, this.f4919.m6885());
        }
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 2);
        if (m6821()) {
            Button.mergeDrawableStates(onCreateDrawableState, f4916);
        }
        if (isChecked()) {
            Button.mergeDrawableStates(onCreateDrawableState, f4917);
        }
        return onCreateDrawableState;
    }

    @Override // androidx.appcompat.widget.i
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(getA11yClassName());
        accessibilityEvent.setChecked(isChecked());
    }

    @Override // androidx.appcompat.widget.i
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(getA11yClassName());
        accessibilityNodeInfo.setCheckable(m6821());
        accessibilityNodeInfo.setChecked(isChecked());
        accessibilityNodeInfo.setClickable(isClickable());
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.i
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        a aVar;
        super.onLayout(z, i, i2, i3, i4);
        if (Build.VERSION.SDK_INT == 21 && (aVar = this.f4919) != null) {
            aVar.m6870(i4 - i2, i3 - i);
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof c)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        c cVar = (c) parcelable;
        super.onRestoreInstanceState(cVar.m11110());
        setChecked(cVar.f4932);
    }

    public Parcelable onSaveInstanceState() {
        c cVar = new c(super.onSaveInstanceState());
        cVar.f4932 = this.f4929;
        return cVar;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        m6812(i, i2);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.i
    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        super.onTextChanged(charSequence, i, i2, i3);
        m6812(getMeasuredWidth(), getMeasuredHeight());
    }

    public boolean performClick() {
        toggle();
        return super.performClick();
    }

    public void refreshDrawableState() {
        super.refreshDrawableState();
        if (this.f4924 != null) {
            if (this.f4924.setState(getDrawableState())) {
                invalidate();
            }
        }
    }

    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundColor(int i) {
        if (m6818()) {
            this.f4919.m6869(i);
        } else {
            super.setBackgroundColor(i);
        }
    }

    @Override // androidx.appcompat.widget.i
    public void setBackgroundDrawable(Drawable drawable) {
        if (!m6818()) {
            super.setBackgroundDrawable(drawable);
        } else if (drawable != getBackground()) {
            Log.w("MaterialButton", "MaterialButton manages its own background to control elevation, shape, color and states. Consider using backgroundTint, shapeAppearance and other attributes where available. A custom background will ignore these attributes and you should consider handling interaction states such as pressed, focused and disabled");
            this.f4919.m6895();
            super.setBackgroundDrawable(drawable);
        } else {
            getBackground().setState(drawable.getState());
        }
    }

    @Override // androidx.appcompat.widget.i
    public void setBackgroundResource(int i) {
        setBackgroundDrawable(i != 0 ? e.a.k.a.a.m9036(getContext(), i) : null);
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        setSupportBackgroundTintList(colorStateList);
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        setSupportBackgroundTintMode(mode);
    }

    public void setCheckable(boolean z) {
        if (m6818()) {
            this.f4919.m6875(z);
        }
    }

    public void setChecked(boolean z) {
        if (m6821() && isEnabled() && this.f4929 != z) {
            this.f4929 = z;
            refreshDrawableState();
            if (!this.f4930) {
                this.f4930 = true;
                Iterator<a> it = this.f4920.iterator();
                while (it.hasNext()) {
                    it.next().m6823(this, this.f4929);
                }
                this.f4930 = false;
            }
        }
    }

    public void setCornerRadius(int i) {
        if (m6818()) {
            this.f4919.m6877(i);
        }
    }

    public void setCornerRadiusResource(int i) {
        if (m6818()) {
            setCornerRadius(getResources().getDimensionPixelSize(i));
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        if (m6818()) {
            this.f4919.m6885().m4802(f2);
        }
    }

    public void setIcon(Drawable drawable) {
        if (this.f4924 != drawable) {
            this.f4924 = drawable;
            m6813(true);
            m6812(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconGravity(int i) {
        if (this.f4931 != i) {
            this.f4931 = i;
            m6812(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconPadding(int i) {
        if (this.f4928 != i) {
            this.f4928 = i;
            setCompoundDrawablePadding(i);
        }
    }

    public void setIconResource(int i) {
        setIcon(i != 0 ? e.a.k.a.a.m9036(getContext(), i) : null);
    }

    public void setIconSize(int i) {
        if (i < 0) {
            throw new IllegalArgumentException("iconSize cannot be less than 0");
        } else if (this.f4925 != i) {
            this.f4925 = i;
            m6813(true);
        }
    }

    public void setIconTint(ColorStateList colorStateList) {
        if (this.f4923 != colorStateList) {
            this.f4923 = colorStateList;
            m6813(false);
        }
    }

    public void setIconTintMode(PorterDuff.Mode mode) {
        if (this.f4922 != mode) {
            this.f4922 = mode;
            m6813(false);
        }
    }

    public void setIconTintResource(int i) {
        setIconTint(e.a.k.a.a.m9035(getContext(), i));
    }

    public void setInsetBottom(int i) {
        this.f4919.m6881(i);
    }

    public void setInsetTop(int i) {
        this.f4919.m6884(i);
    }

    /* access modifiers changed from: package-private */
    public void setInternalBackground(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    /* access modifiers changed from: package-private */
    public void setOnPressedChangeListenerInternal(b bVar) {
        this.f4921 = bVar;
    }

    public void setPressed(boolean z) {
        b bVar = this.f4921;
        if (bVar != null) {
            bVar.m6824(this, z);
        }
        super.setPressed(z);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (m6818()) {
            this.f4919.m6871(colorStateList);
        }
    }

    public void setRippleColorResource(int i) {
        if (m6818()) {
            setRippleColor(e.a.k.a.a.m9035(getContext(), i));
        }
    }

    @Override // com.d.a.a.b0.n
    public void setShapeAppearanceModel(k kVar) {
        if (m6818()) {
            this.f4919.m6874(kVar);
            return;
        }
        throw new IllegalStateException("Attempted to set ShapeAppearanceModel on a MaterialButton which has an overwritten background.");
    }

    /* access modifiers changed from: package-private */
    public void setShouldDrawSurfaceColorStroke(boolean z) {
        if (m6818()) {
            this.f4919.m6879(z);
        }
    }

    public void setStrokeColor(ColorStateList colorStateList) {
        if (m6818()) {
            this.f4919.m6878(colorStateList);
        }
    }

    public void setStrokeColorResource(int i) {
        if (m6818()) {
            setStrokeColor(e.a.k.a.a.m9035(getContext(), i));
        }
    }

    public void setStrokeWidth(int i) {
        if (m6818()) {
            this.f4919.m6886(i);
        }
    }

    public void setStrokeWidthResource(int i) {
        if (m6818()) {
            setStrokeWidth(getResources().getDimensionPixelSize(i));
        }
    }

    @Override // androidx.appcompat.widget.i, e.g.l.c0
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        if (m6818()) {
            this.f4919.m6882(colorStateList);
        } else {
            super.setSupportBackgroundTintList(colorStateList);
        }
    }

    @Override // androidx.appcompat.widget.i, e.g.l.c0
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        if (m6818()) {
            this.f4919.m6873(mode);
        } else {
            super.setSupportBackgroundTintMode(mode);
        }
    }

    public void toggle() {
        setChecked(!this.f4929);
    }

    public MaterialButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, com.d.a.a.b.materialButtonStyle);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m6822(a aVar) {
        this.f4920.remove(aVar);
    }

    public MaterialButton(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m7888(context, attributeSet, i, f4918), attributeSet, i);
        this.f4920 = new LinkedHashSet<>();
        boolean z = false;
        this.f4929 = false;
        this.f4930 = false;
        Context context2 = getContext();
        TypedArray r0 = p.m7620(context2, attributeSet, com.d.a.a.k.MaterialButton, i, f4918, new int[0]);
        this.f4928 = r0.getDimensionPixelSize(com.d.a.a.k.MaterialButton_iconPadding, 0);
        this.f4922 = r.m7627(r0.getInt(com.d.a.a.k.MaterialButton_iconTintMode, -1), PorterDuff.Mode.SRC_IN);
        this.f4923 = com.d.a.a.y.c.m5114(getContext(), r0, com.d.a.a.k.MaterialButton_iconTint);
        this.f4924 = com.d.a.a.y.c.m5117(getContext(), r0, com.d.a.a.k.MaterialButton_icon);
        this.f4931 = r0.getInteger(com.d.a.a.k.MaterialButton_iconGravity, 1);
        this.f4925 = r0.getDimensionPixelSize(com.d.a.a.k.MaterialButton_iconSize, 0);
        a aVar = new a(this, k.m4853(context2, attributeSet, i, f4918).m4891());
        this.f4919 = aVar;
        aVar.m6872(r0);
        r0.recycle();
        setCompoundDrawablePadding(this.f4928);
        m6813(this.f4924 != null ? true : z);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6813(boolean z) {
        Drawable drawable = this.f4924;
        boolean z2 = true;
        if (drawable != null) {
            Drawable mutate = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            this.f4924 = mutate;
            androidx.core.graphics.drawable.a.m1976(mutate, this.f4923);
            PorterDuff.Mode mode = this.f4922;
            if (mode != null) {
                androidx.core.graphics.drawable.a.m1979(this.f4924, mode);
            }
            int i = this.f4925;
            if (i == 0) {
                i = this.f4924.getIntrinsicWidth();
            }
            int i2 = this.f4925;
            if (i2 == 0) {
                i2 = this.f4924.getIntrinsicHeight();
            }
            Drawable drawable2 = this.f4924;
            int i3 = this.f4926;
            int i4 = this.f4927;
            drawable2.setBounds(i3, i4, i + i3, i2 + i4);
            this.f4924.setVisible(true, z);
        }
        if (z) {
            m6819();
            return;
        }
        Drawable[] r7 = androidx.core.widget.j.m2161(this);
        Drawable drawable3 = r7[0];
        Drawable drawable4 = r7[1];
        Drawable drawable5 = r7[2];
        if ((!m6815() || drawable3 == this.f4924) && ((!m6814() || drawable5 == this.f4924) && (!m6816() || drawable4 == this.f4924))) {
            z2 = false;
        }
        if (z2) {
            m6819();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6820(a aVar) {
        this.f4920.add(aVar);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m6821() {
        a aVar = this.f4919;
        return aVar != null && aVar.m6894();
    }
}
