package com.google.android.material.chip;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import com.d.a.a.j;
import com.d.a.a.k;
import com.google.android.material.internal.p;
import e.g.l.d0;
import e.g.l.m0.c;
import java.util.ArrayList;
import java.util.List;

public class ChipGroup extends com.google.android.material.internal.d {

    /* renamed from: ᴵ  reason: contains not printable characters */
    private static final int f4999 = j.Widget_MaterialComponents_ChipGroup;

    /* renamed from: ˊ  reason: contains not printable characters */
    private int f5000;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f5001;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f5002;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f5003;

    /* renamed from: ˑ  reason: contains not printable characters */
    private d f5004;

    /* renamed from: י  reason: contains not printable characters */
    private final b f5005;

    /* renamed from: ـ  reason: contains not printable characters */
    private e f5006;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f5007;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f5008;

    /* access modifiers changed from: private */
    public class b implements CompoundButton.OnCheckedChangeListener {
        private b() {
        }

        public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            if (!ChipGroup.this.f5008) {
                if (!ChipGroup.this.getCheckedChipIds().isEmpty() || !ChipGroup.this.f5003) {
                    int id = compoundButton.getId();
                    if (z) {
                        if (!(ChipGroup.this.f5007 == -1 || ChipGroup.this.f5007 == id || !ChipGroup.this.f5002)) {
                            ChipGroup chipGroup = ChipGroup.this;
                            chipGroup.m6936(chipGroup.f5007, false);
                        }
                        ChipGroup.this.setCheckedId(id);
                    } else if (ChipGroup.this.f5007 == id) {
                        ChipGroup.this.setCheckedId(-1);
                    }
                } else {
                    ChipGroup.this.m6936(compoundButton.getId(), true);
                    ChipGroup.this.m6933((ChipGroup) compoundButton.getId(), false);
                }
            }
        }
    }

    public static class c extends ViewGroup.MarginLayoutParams {
        public c(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public c(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public c(int i, int i2) {
            super(i, i2);
        }
    }

    public interface d {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m6947(ChipGroup chipGroup, int i);
    }

    private class e implements ViewGroup.OnHierarchyChangeListener {

        /* renamed from: ʿ  reason: contains not printable characters */
        private ViewGroup.OnHierarchyChangeListener f5010;

        private e() {
        }

        public void onChildViewAdded(View view, View view2) {
            if (view == ChipGroup.this && (view2 instanceof Chip)) {
                if (view2.getId() == -1) {
                    view2.setId(d0.m10444());
                }
                Chip chip = (Chip) view2;
                if (chip.isChecked()) {
                    ((ChipGroup) view).m6942(chip.getId());
                }
                chip.setOnCheckedChangeListenerInternal(ChipGroup.this.f5005);
            }
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = this.f5010;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewAdded(view, view2);
            }
        }

        public void onChildViewRemoved(View view, View view2) {
            if (view == ChipGroup.this && (view2 instanceof Chip)) {
                ((Chip) view2).setOnCheckedChangeListenerInternal(null);
            }
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = this.f5010;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewRemoved(view, view2);
            }
        }
    }

    public ChipGroup(Context context) {
        this(context, null);
    }

    private int getChipCount() {
        int i = 0;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            if (getChildAt(i2) instanceof Chip) {
                i++;
            }
        }
        return i;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setCheckedId(int i) {
        m6933(i, true);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof Chip) {
            Chip chip = (Chip) view;
            if (chip.isChecked()) {
                int i2 = this.f5007;
                if (i2 != -1 && this.f5002) {
                    m6936(i2, false);
                }
                setCheckedId(chip.getId());
            }
        }
        super.addView(view, i, layoutParams);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof c);
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new c(-2, -2);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new c(getContext(), attributeSet);
    }

    public int getCheckedChipId() {
        if (this.f5002) {
            return this.f5007;
        }
        return -1;
    }

    public List<Integer> getCheckedChipIds() {
        ArrayList arrayList = new ArrayList();
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if ((childAt instanceof Chip) && ((Chip) childAt).isChecked()) {
                arrayList.add(Integer.valueOf(childAt.getId()));
                if (this.f5002) {
                    return arrayList;
                }
            }
        }
        return arrayList;
    }

    public int getChipSpacingHorizontal() {
        return this.f5000;
    }

    public int getChipSpacingVertical() {
        return this.f5001;
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        int i = this.f5007;
        if (i != -1) {
            m6936(i, true);
            setCheckedId(this.f5007);
        }
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        e.g.l.m0.c.m10894(accessibilityNodeInfo).m10917(c.b.m10978(getRowCount(), m6943() ? getChipCount() : -1, false, m6946() ? 1 : 2));
    }

    public void setChipSpacing(int i) {
        setChipSpacingHorizontal(i);
        setChipSpacingVertical(i);
    }

    public void setChipSpacingHorizontal(int i) {
        if (this.f5000 != i) {
            this.f5000 = i;
            setItemSpacing(i);
            requestLayout();
        }
    }

    public void setChipSpacingHorizontalResource(int i) {
        setChipSpacingHorizontal(getResources().getDimensionPixelOffset(i));
    }

    public void setChipSpacingResource(int i) {
        setChipSpacing(getResources().getDimensionPixelOffset(i));
    }

    public void setChipSpacingVertical(int i) {
        if (this.f5001 != i) {
            this.f5001 = i;
            setLineSpacing(i);
            requestLayout();
        }
    }

    public void setChipSpacingVerticalResource(int i) {
        setChipSpacingVertical(getResources().getDimensionPixelOffset(i));
    }

    @Deprecated
    public void setDividerDrawableHorizontal(Drawable drawable) {
        throw new UnsupportedOperationException("Changing divider drawables have no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setDividerDrawableVertical(Drawable drawable) {
        throw new UnsupportedOperationException("Changing divider drawables have no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setFlexWrap(int i) {
        throw new UnsupportedOperationException("Changing flex wrap not allowed. ChipGroup exposes a singleLine attribute instead.");
    }

    public void setOnCheckedChangeListener(d dVar) {
        this.f5004 = dVar;
    }

    public void setOnHierarchyChangeListener(ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener) {
        this.f5006.f5010 = onHierarchyChangeListener;
    }

    public void setSelectionRequired(boolean z) {
        this.f5003 = z;
    }

    @Deprecated
    public void setShowDividerHorizontal(int i) {
        throw new UnsupportedOperationException("Changing divider modes has no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setShowDividerVertical(int i) {
        throw new UnsupportedOperationException("Changing divider modes has no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Override // com.google.android.material.internal.d
    public void setSingleLine(boolean z) {
        super.setSingleLine(z);
    }

    public void setSingleSelection(boolean z) {
        if (this.f5002 != z) {
            this.f5002 = z;
            m6945();
        }
    }

    public ChipGroup(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, com.d.a.a.b.chipGroupStyle);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new c(layoutParams);
    }

    public void setSingleLine(int i) {
        setSingleLine(getResources().getBoolean(i));
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m6946() {
        return this.f5002;
    }

    public ChipGroup(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m7888(context, attributeSet, i, f4999), attributeSet, i);
        this.f5005 = new b();
        this.f5006 = new e();
        this.f5007 = -1;
        this.f5008 = false;
        TypedArray r9 = p.m7620(getContext(), attributeSet, k.ChipGroup, i, f4999, new int[0]);
        int dimensionPixelOffset = r9.getDimensionPixelOffset(k.ChipGroup_chipSpacing, 0);
        setChipSpacingHorizontal(r9.getDimensionPixelOffset(k.ChipGroup_chipSpacingHorizontal, dimensionPixelOffset));
        setChipSpacingVertical(r9.getDimensionPixelOffset(k.ChipGroup_chipSpacingVertical, dimensionPixelOffset));
        setSingleLine(r9.getBoolean(k.ChipGroup_singleLine, false));
        setSingleSelection(r9.getBoolean(k.ChipGroup_singleSelection, false));
        setSelectionRequired(r9.getBoolean(k.ChipGroup_selectionRequired, false));
        int resourceId = r9.getResourceId(k.ChipGroup_checkedChip, -1);
        if (resourceId != -1) {
            this.f5007 = resourceId;
        }
        r9.recycle();
        super.setOnHierarchyChangeListener(this.f5006);
        d0.m10473(this, 1);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m6945() {
        this.f5008 = true;
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if (childAt instanceof Chip) {
                ((Chip) childAt).setChecked(false);
            }
        }
        this.f5008 = false;
        setCheckedId(-1);
    }

    public void setSingleSelection(int i) {
        setSingleSelection(getResources().getBoolean(i));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6942(int i) {
        int i2 = this.f5007;
        if (i != i2) {
            if (i2 != -1 && this.f5002) {
                m6936(i2, false);
            }
            if (i != -1) {
                m6936(i, true);
            }
            setCheckedId(i);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6933(int i, boolean z) {
        this.f5007 = i;
        d dVar = this.f5004;
        if (dVar != null && this.f5002 && z) {
            dVar.m6947(this, i);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼ  reason: contains not printable characters */
    private void m6936(int i, boolean z) {
        View findViewById = findViewById(i);
        if (findViewById instanceof Chip) {
            this.f5008 = true;
            ((Chip) findViewById).setChecked(z);
            this.f5008 = false;
        }
    }

    @Override // com.google.android.material.internal.d
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m6943() {
        return super.m7508();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public int m6944(View view) {
        if (!(view instanceof Chip)) {
            return -1;
        }
        int i = 0;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            if (getChildAt(i2) instanceof Chip) {
                if (((Chip) getChildAt(i2)) == view) {
                    return i;
                }
                i++;
            }
        }
        return -1;
    }
}
