package com.google.android.material.chip;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PointF;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.OvalShape;
import android.text.TextUtils;
import android.util.AttributeSet;
import androidx.core.graphics.drawable.b;
import com.d.a.a.b0.g;
import com.d.a.a.k;
import com.d.a.a.l.h;
import com.d.a.a.y.c;
import com.d.a.a.y.d;
import com.google.android.material.internal.n;
import com.google.android.material.internal.p;
import com.google.android.material.internal.r;
import java.lang.ref.WeakReference;
import java.util.Arrays;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: ChipDrawable */
public class a extends g implements b, Drawable.Callback, n.b {

    /* renamed from: ʼᵎ  reason: contains not printable characters */
    private static final int[] f5012 = {16842910};

    /* renamed from: ʼᵔ  reason: contains not printable characters */
    private static final ShapeDrawable f5013 = new ShapeDrawable(new OvalShape());

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private Drawable f5014;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private ColorStateList f5015;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private h f5016;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private h f5017;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private float f5018;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private float f5019;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private float f5020;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private float f5021;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private float f5022;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private float f5023;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private float f5024;

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private float f5025;

    /* renamed from: ʻי  reason: contains not printable characters */
    private final Context f5026;

    /* renamed from: ʻـ  reason: contains not printable characters */
    private final Paint f5027 = new Paint(1);

    /* renamed from: ʻٴ  reason: contains not printable characters */
    private final Paint f5028;

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    private final Paint.FontMetrics f5029 = new Paint.FontMetrics();

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    private final RectF f5030 = new RectF();

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private final PointF f5031 = new PointF();

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private final Path f5032 = new Path();

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private final n f5033;

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private int f5034;

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private int f5035;

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private int f5036;

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private int f5037;

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private int f5038;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private ColorStateList f5039;

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private int f5040;

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private boolean f5041;

    /* renamed from: ʼʿ  reason: contains not printable characters */
    private int f5042;

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private int f5043 = 255;

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private ColorFilter f5044;

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private PorterDuffColorFilter f5045;

    /* renamed from: ʼˊ  reason: contains not printable characters */
    private ColorStateList f5046;

    /* renamed from: ʼˋ  reason: contains not printable characters */
    private PorterDuff.Mode f5047 = PorterDuff.Mode.SRC_IN;

    /* renamed from: ʼˎ  reason: contains not printable characters */
    private int[] f5048;

    /* renamed from: ʼˏ  reason: contains not printable characters */
    private boolean f5049;

    /* renamed from: ʼˑ  reason: contains not printable characters */
    private ColorStateList f5050;

    /* renamed from: ʼי  reason: contains not printable characters */
    private WeakReference<AbstractC0065a> f5051;

    /* renamed from: ʼـ  reason: contains not printable characters */
    private TextUtils.TruncateAt f5052;

    /* renamed from: ʼٴ  reason: contains not printable characters */
    private boolean f5053;

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    private int f5054;

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    private boolean f5055;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private ColorStateList f5056;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private float f5057 = -1.0f;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private float f5058;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private float f5059;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private CharSequence f5060;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private ColorStateList f5061;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private Drawable f5062;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private boolean f5063;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private float f5064;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private ColorStateList f5065;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private boolean f5066;

    /* renamed from: יי  reason: contains not printable characters */
    private Drawable f5067;

    /* renamed from: ــ  reason: contains not printable characters */
    private ColorStateList f5068;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private boolean f5069;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private Drawable f5070;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private boolean f5071;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private ColorStateList f5072;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private float f5073;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private CharSequence f5074;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private boolean f5075;

    /* renamed from: com.google.android.material.chip.a$a  reason: collision with other inner class name */
    /* compiled from: ChipDrawable */
    public interface AbstractC0065a {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m7088();
    }

    private a(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
        Paint paint = null;
        this.f5051 = new WeakReference<>(null);
        m4806(context);
        this.f5026 = context;
        n nVar = new n(this);
        this.f5033 = nVar;
        this.f5060 = BuildConfig.FLAVOR;
        nVar.m7609().density = context.getResources().getDisplayMetrics().density;
        this.f5028 = null;
        if (0 != 0) {
            paint.setStyle(Paint.Style.STROKE);
        }
        setState(f5012);
        m7015(f5012);
        this.f5053 = true;
        if (com.d.a.a.z.b.f3611) {
            f5013.setTint(-1);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static a m6949(Context context, AttributeSet attributeSet, int i, int i2) {
        a aVar = new a(context, attributeSet, i, i2);
        aVar.m6952(attributeSet, i, i2);
        return aVar;
    }

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private float m6955() {
        this.f5033.m7609().getFontMetrics(this.f5029);
        Paint.FontMetrics fontMetrics = this.f5029;
        return (fontMetrics.descent + fontMetrics.ascent) / 2.0f;
    }

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private boolean m6956() {
        return this.f5075 && this.f5014 != null && this.f5069;
    }

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private float m6957() {
        Drawable drawable = this.f5041 ? this.f5014 : this.f5062;
        if (this.f5064 > 0.0f || drawable == null) {
            return this.f5064;
        }
        float ceil = (float) Math.ceil((double) r.m7625(this.f5026, 24));
        return ((float) drawable.getIntrinsicHeight()) <= ceil ? (float) drawable.getIntrinsicHeight() : ceil;
    }

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private float m6958() {
        Drawable drawable = this.f5041 ? this.f5014 : this.f5062;
        if (this.f5064 > 0.0f || drawable == null) {
            return this.f5064;
        }
        return (float) drawable.getIntrinsicWidth();
    }

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private ColorFilter m6959() {
        ColorFilter colorFilter = this.f5044;
        return colorFilter != null ? colorFilter : this.f5045;
    }

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private boolean m6960() {
        return this.f5075 && this.f5014 != null && this.f5041;
    }

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private boolean m6961() {
        return this.f5063 && this.f5062 != null;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m6962(Canvas canvas, Rect rect) {
        if (!this.f5055) {
            this.f5027.setColor(this.f5035);
            this.f5027.setStyle(Paint.Style.FILL);
            this.f5027.setColorFilter(m6959());
            this.f5030.set(rect);
            canvas.drawRoundRect(this.f5030, m7044(), m7044(), this.f5027);
        }
    }

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private boolean m6965() {
        return this.f5071 && this.f5067 != null;
    }

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private void m6966() {
        this.f5050 = this.f5049 ? com.d.a.a.z.b.m5143(this.f5061) : null;
    }

    @TargetApi(21)
    /* renamed from: ʼʾ  reason: contains not printable characters */
    private void m6967() {
        this.f5070 = new RippleDrawable(com.d.a.a.z.b.m5143(m6999()), this.f5067, f5013);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m6968(Canvas canvas, Rect rect) {
        if (m6961()) {
            m6951(rect, this.f5030);
            RectF rectF = this.f5030;
            float f2 = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f2, f3);
            this.f5062.setBounds(0, 0, (int) this.f5030.width(), (int) this.f5030.height());
            this.f5062.draw(canvas);
            canvas.translate(-f2, -f3);
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m6970(Canvas canvas, Rect rect) {
        if (this.f5059 > 0.0f && !this.f5055) {
            this.f5027.setColor(this.f5037);
            this.f5027.setStyle(Paint.Style.STROKE);
            if (!this.f5055) {
                this.f5027.setColorFilter(m6959());
            }
            RectF rectF = this.f5030;
            float f2 = this.f5059;
            rectF.set(((float) rect.left) + (f2 / 2.0f), ((float) rect.top) + (f2 / 2.0f), ((float) rect.right) - (f2 / 2.0f), ((float) rect.bottom) - (f2 / 2.0f));
            float f3 = this.f5057 - (this.f5059 / 2.0f);
            canvas.drawRoundRect(this.f5030, f3, f3, this.f5027);
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m6973(Canvas canvas, Rect rect) {
        if (!this.f5055) {
            this.f5027.setColor(this.f5034);
            this.f5027.setStyle(Paint.Style.FILL);
            this.f5030.set(rect);
            canvas.drawRoundRect(this.f5030, m7044(), m7044(), this.f5027);
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m6978(Canvas canvas, Rect rect) {
        this.f5027.setColor(this.f5038);
        this.f5027.setStyle(Paint.Style.FILL);
        this.f5030.set(rect);
        if (!this.f5055) {
            canvas.drawRoundRect(this.f5030, m7044(), m7044(), this.f5027);
            return;
        }
        m4810(new RectF(rect), this.f5032);
        super.m4809(canvas, this.f5027, this.f5032, m4819());
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m6979(Canvas canvas, Rect rect) {
        Paint paint = this.f5028;
        if (paint != null) {
            paint.setColor(e.g.e.a.m10150(-16777216, 127));
            canvas.drawRect(rect, this.f5028);
            if (m6961() || m6960()) {
                m6951(rect, this.f5030);
                canvas.drawRect(this.f5030, this.f5028);
            }
            if (this.f5060 != null) {
                canvas.drawLine((float) rect.left, rect.exactCenterY(), (float) rect.right, rect.exactCenterY(), this.f5028);
            }
            if (m6965()) {
                m6969(rect, this.f5030);
                canvas.drawRect(this.f5030, this.f5028);
            }
            this.f5028.setColor(e.g.e.a.m10150(-65536, 127));
            m6963(rect, this.f5030);
            canvas.drawRect(this.f5030, this.f5028);
            this.f5028.setColor(e.g.e.a.m10150(-16711936, 127));
            m6971(rect, this.f5030);
            canvas.drawRect(this.f5030, this.f5028);
        }
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m6980(Canvas canvas, Rect rect) {
        if (this.f5060 != null) {
            Paint.Align r0 = m6983(rect, this.f5031);
            m6974(rect, this.f5030);
            if (this.f5033.m7604() != null) {
                this.f5033.m7609().drawableState = getState();
                this.f5033.m7605(this.f5026);
            }
            this.f5033.m7609().setTextAlign(r0);
            int i = 0;
            boolean z = Math.round(this.f5033.m7603(m7001().toString())) > Math.round(this.f5030.width());
            if (z) {
                i = canvas.save();
                canvas.clipRect(this.f5030);
            }
            CharSequence charSequence = this.f5060;
            if (z && this.f5052 != null) {
                charSequence = TextUtils.ellipsize(charSequence, this.f5033.m7609(), this.f5030.width(), this.f5052);
            }
            int length = charSequence.length();
            PointF pointF = this.f5031;
            canvas.drawText(charSequence, 0, length, pointF.x, pointF.y, this.f5033.m7609());
            if (z) {
                canvas.restoreToCount(i);
            }
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private void m6982(ColorStateList colorStateList) {
        if (this.f5056 != colorStateList) {
            this.f5056 = colorStateList;
            onStateChange(getState());
        }
    }

    @Override // com.d.a.a.b0.g
    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        if (!bounds.isEmpty() && getAlpha() != 0) {
            int i = 0;
            int i2 = this.f5043;
            if (i2 < 255) {
                i = com.d.a.a.m.a.m5008(canvas, (float) bounds.left, (float) bounds.top, (float) bounds.right, (float) bounds.bottom, i2);
            }
            m6973(canvas, bounds);
            m6962(canvas, bounds);
            if (this.f5055) {
                super.draw(canvas);
            }
            m6970(canvas, bounds);
            m6978(canvas, bounds);
            m6968(canvas, bounds);
            m6950(canvas, bounds);
            if (this.f5053) {
                m6980(canvas, bounds);
            }
            m6976(canvas, bounds);
            m6979(canvas, bounds);
            if (this.f5043 < 255) {
                canvas.restoreToCount(i);
            }
        }
    }

    public int getAlpha() {
        return this.f5043;
    }

    public ColorFilter getColorFilter() {
        return this.f5044;
    }

    public int getIntrinsicHeight() {
        return (int) this.f5058;
    }

    public int getIntrinsicWidth() {
        return Math.min(Math.round(this.f5018 + m7016() + this.f5021 + this.f5033.m7603(m7001().toString()) + this.f5022 + m7030() + this.f5025), this.f5054);
    }

    @Override // com.d.a.a.b0.g
    public int getOpacity() {
        return -3;
    }

    @Override // com.d.a.a.b0.g
    @TargetApi(21)
    public void getOutline(Outline outline) {
        if (this.f5055) {
            super.getOutline(outline);
            return;
        }
        Rect bounds = getBounds();
        if (!bounds.isEmpty()) {
            outline.setRoundRect(bounds, this.f5057);
        } else {
            outline.setRoundRect(0, 0, getIntrinsicWidth(), getIntrinsicHeight(), this.f5057);
        }
        outline.setAlpha(((float) getAlpha()) / 255.0f);
    }

    public void invalidateDrawable(Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    @Override // com.d.a.a.b0.g
    public boolean isStateful() {
        return m6981(this.f5056) || m6981(this.f5039) || m6981(this.f5068) || (this.f5049 && m6981(this.f5050)) || m6964(this.f5033.m7604()) || m6956() || m6975(this.f5062) || m6975(this.f5014) || m6981(this.f5046);
    }

    public boolean onLayoutDirectionChanged(int i) {
        boolean onLayoutDirectionChanged = super.onLayoutDirectionChanged(i);
        if (m6961()) {
            onLayoutDirectionChanged |= androidx.core.graphics.drawable.a.m1982(this.f5062, i);
        }
        if (m6960()) {
            onLayoutDirectionChanged |= androidx.core.graphics.drawable.a.m1982(this.f5014, i);
        }
        if (m6965()) {
            onLayoutDirectionChanged |= androidx.core.graphics.drawable.a.m1982(this.f5067, i);
        }
        if (!onLayoutDirectionChanged) {
            return true;
        }
        invalidateSelf();
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i) {
        boolean onLevelChange = super.onLevelChange(i);
        if (m6961()) {
            onLevelChange |= this.f5062.setLevel(i);
        }
        if (m6960()) {
            onLevelChange |= this.f5014.setLevel(i);
        }
        if (m6965()) {
            onLevelChange |= this.f5067.setLevel(i);
        }
        if (onLevelChange) {
            invalidateSelf();
        }
        return onLevelChange;
    }

    @Override // com.d.a.a.b0.g, com.google.android.material.internal.n.b
    public boolean onStateChange(int[] iArr) {
        if (this.f5055) {
            super.onStateChange(iArr);
        }
        return m6954(iArr, m7085());
    }

    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j);
        }
    }

    @Override // com.d.a.a.b0.g
    public void setAlpha(int i) {
        if (this.f5043 != i) {
            this.f5043 = i;
            invalidateSelf();
        }
    }

    @Override // com.d.a.a.b0.g
    public void setColorFilter(ColorFilter colorFilter) {
        if (this.f5044 != colorFilter) {
            this.f5044 = colorFilter;
            invalidateSelf();
        }
    }

    @Override // com.d.a.a.b0.g, androidx.core.graphics.drawable.b
    public void setTintList(ColorStateList colorStateList) {
        if (this.f5046 != colorStateList) {
            this.f5046 = colorStateList;
            onStateChange(getState());
        }
    }

    @Override // com.d.a.a.b0.g, androidx.core.graphics.drawable.b
    public void setTintMode(PorterDuff.Mode mode) {
        if (this.f5047 != mode) {
            this.f5047 = mode;
            this.f5045 = com.d.a.a.s.a.m5080(this, this.f5046, mode);
            invalidateSelf();
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        boolean visible = super.setVisible(z, z2);
        if (m6961()) {
            visible |= this.f5062.setVisible(z, z2);
        }
        if (m6960()) {
            visible |= this.f5014.setVisible(z, z2);
        }
        if (m6965()) {
            visible |= this.f5067.setVisible(z, z2);
        }
        if (visible) {
            invalidateSelf();
        }
        return visible;
    }

    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    public void m6993(int i) {
        m7012(h.m4989(this.f5026, i));
    }

    /* renamed from: ʻʼ  reason: contains not printable characters */
    public ColorStateList m6994() {
        return this.f5072;
    }

    /* renamed from: ʻʽ  reason: contains not printable characters */
    public TextUtils.TruncateAt m6995() {
        return this.f5052;
    }

    /* renamed from: ʻʾ  reason: contains not printable characters */
    public h m6996() {
        return this.f5017;
    }

    /* renamed from: ʻʿ  reason: contains not printable characters */
    public float m6997() {
        return this.f5020;
    }

    /* renamed from: ʻˆ  reason: contains not printable characters */
    public float m6998() {
        return this.f5019;
    }

    /* renamed from: ʻˈ  reason: contains not printable characters */
    public ColorStateList m6999() {
        return this.f5061;
    }

    /* renamed from: ʻˉ  reason: contains not printable characters */
    public h m7000() {
        return this.f5016;
    }

    /* renamed from: ʻˊ  reason: contains not printable characters */
    public CharSequence m7001() {
        return this.f5060;
    }

    /* renamed from: ʻˋ  reason: contains not printable characters */
    public d m7002() {
        return this.f5033.m7604();
    }

    /* renamed from: ʻˎ  reason: contains not printable characters */
    public float m7003() {
        return this.f5022;
    }

    /* renamed from: ʻˏ  reason: contains not printable characters */
    public float m7004() {
        return this.f5021;
    }

    /* renamed from: ʻˑ  reason: contains not printable characters */
    public boolean m7005() {
        return this.f5049;
    }

    /* renamed from: ʻי  reason: contains not printable characters */
    public boolean m7006() {
        return this.f5069;
    }

    /* renamed from: ʻـ  reason: contains not printable characters */
    public boolean m7007() {
        return m6975(this.f5067);
    }

    /* renamed from: ʻٴ  reason: contains not printable characters */
    public boolean m7008() {
        return this.f5071;
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʻᐧ  reason: contains not printable characters */
    public void m7009() {
        AbstractC0065a aVar = this.f5051.get();
        if (aVar != null) {
            aVar.m7088();
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻᴵ  reason: contains not printable characters */
    public boolean m7010() {
        return this.f5053;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼʼ  reason: contains not printable characters */
    public float m7016() {
        if (m6961() || m6960()) {
            return this.f5019 + m6958() + this.f5020;
        }
        return 0.0f;
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    public void m7021(int i) {
        m6989(new d(this.f5026, i));
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    public Drawable m7025() {
        return this.f5014;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿʿ  reason: contains not printable characters */
    public float m7030() {
        if (m6965()) {
            return this.f5023 + this.f5073 + this.f5024;
        }
        return 0.0f;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m7035(boolean z) {
        if (this.f5049 != z) {
            this.f5049 = z;
            m6966();
            onStateChange(getState());
        }
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    public ColorStateList m7036() {
        return this.f5039;
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    public float m7040() {
        return this.f5025;
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    public float m7044() {
        return this.f5055 ? m4831() : this.f5057;
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    public float m7047() {
        return this.f5064;
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    public Drawable m7050() {
        Drawable drawable = this.f5062;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m1990(drawable);
        }
        return null;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public void m7052(int i) {
        m7011(e.a.k.a.a.m9036(this.f5026, i));
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    public float m7053() {
        return this.f5058;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public void m7055(int i) {
        m7037(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    public ColorStateList m7056() {
        return this.f5065;
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public void m7058(int i) {
        m7028(e.a.k.a.a.m9035(this.f5026, i));
    }

    /* renamed from: ˑˑ  reason: contains not printable characters */
    public float m7059() {
        return this.f5018;
    }

    /* renamed from: י  reason: contains not printable characters */
    public void m7061(int i) {
        m7020(this.f5026.getResources().getBoolean(i));
    }

    /* renamed from: יי  reason: contains not printable characters */
    public float m7062() {
        return this.f5059;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public void m7064(int i) {
        m7041(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ــ  reason: contains not printable characters */
    public ColorStateList m7065() {
        return this.f5015;
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public void m7067(int i) {
        m7045(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    public float m7068() {
        return this.f5023;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public void m7070(int i) {
        m7034(e.a.k.a.a.m9035(this.f5026, i));
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    public void m7071(int i) {
        this.f5054 = i;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public void m7072(int i) {
        m7048(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    public void m7073(int i) {
        m7043(e.a.k.a.a.m9035(this.f5026, i));
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public void m7074(int i) {
        m7051(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    public Drawable m7075() {
        Drawable drawable = this.f5067;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m1990(drawable);
        }
        return null;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    public void m7076(int i) {
        m7019(e.a.k.a.a.m9036(this.f5026, i));
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    public ColorStateList m7077() {
        return this.f5068;
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    public void m7078(int i) {
        m7054(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    public CharSequence m7079() {
        return this.f5074;
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    public void m7080(int i) {
        m7057(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    public float m7081() {
        return this.f5024;
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    public void m7082(int i) {
        m7039(e.a.k.a.a.m9035(this.f5026, i));
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    public float m7083() {
        return this.f5073;
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    public void m7084(int i) {
        m6988(h.m4989(this.f5026, i));
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    public int[] m7085() {
        return this.f5048;
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    public void m7086(int i) {
        m7060(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    public void m7087(int i) {
        m7063(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public void m7051(float f2) {
        if (this.f5024 != f2) {
            this.f5024 = f2;
            invalidateSelf();
            if (m6965()) {
                m7009();
            }
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public void m7054(float f2) {
        if (this.f5073 != f2) {
            this.f5073 = f2;
            invalidateSelf();
            if (m6965()) {
                m7009();
            }
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public void m7057(float f2) {
        if (this.f5023 != f2) {
            this.f5023 = f2;
            invalidateSelf();
            if (m6965()) {
                m7009();
            }
        }
    }

    /* renamed from: י  reason: contains not printable characters */
    public void m7060(float f2) {
        if (this.f5020 != f2) {
            float r0 = m7016();
            this.f5020 = f2;
            float r2 = m7016();
            invalidateSelf();
            if (r0 != r2) {
                m7009();
            }
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public void m7063(float f2) {
        if (this.f5019 != f2) {
            float r0 = m7016();
            this.f5019 = f2;
            float r2 = m7016();
            invalidateSelf();
            if (r0 != r2) {
                m7009();
            }
        }
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public void m7066(float f2) {
        if (this.f5022 != f2) {
            this.f5022 = f2;
            invalidateSelf();
            m7009();
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public void m7069(float f2) {
        if (this.f5021 != f2) {
            this.f5021 = f2;
            invalidateSelf();
            m7009();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6952(AttributeSet attributeSet, int i, int i2) {
        TypedArray r9 = p.m7620(this.f5026, attributeSet, k.Chip, i, i2, new int[0]);
        this.f5055 = r9.hasValue(k.Chip_shapeAppearance);
        m6982(c.m5114(this.f5026, r9, k.Chip_chipSurfaceColor));
        m7023(c.m5114(this.f5026, r9, k.Chip_chipBackgroundColor));
        m7041(r9.getDimension(k.Chip_chipMinHeight, 0.0f));
        if (r9.hasValue(k.Chip_chipCornerRadius)) {
            m7026(r9.getDimension(k.Chip_chipCornerRadius, 0.0f));
        }
        m7034(c.m5114(this.f5026, r9, k.Chip_chipStrokeColor));
        m7048(r9.getDimension(k.Chip_chipStrokeWidth, 0.0f));
        m7043(c.m5114(this.f5026, r9, k.Chip_rippleColor));
        m7013(r9.getText(k.Chip_android_text));
        d r10 = c.m5119(this.f5026, r9, k.Chip_android_textAppearance);
        r10.m5127(r9.getDimension(k.Chip_android_textSize, r10.m5134()));
        m6989(r10);
        int i3 = r9.getInt(k.Chip_android_ellipsize, 0);
        if (i3 == 1) {
            m6987(TextUtils.TruncateAt.START);
        } else if (i3 == 2) {
            m6987(TextUtils.TruncateAt.MIDDLE);
        } else if (i3 == 3) {
            m6987(TextUtils.TruncateAt.END);
        }
        m7020(r9.getBoolean(k.Chip_chipIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconVisible") != null)) {
            m7020(r9.getBoolean(k.Chip_chipIconEnabled, false));
        }
        m7011(c.m5117(this.f5026, r9, k.Chip_chipIcon));
        if (r9.hasValue(k.Chip_chipIconTint)) {
            m7028(c.m5114(this.f5026, r9, k.Chip_chipIconTint));
        }
        m7037(r9.getDimension(k.Chip_chipIconSize, -1.0f));
        m7024(r9.getBoolean(k.Chip_closeIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconVisible") != null)) {
            m7024(r9.getBoolean(k.Chip_closeIconEnabled, false));
        }
        m7019(c.m5117(this.f5026, r9, k.Chip_closeIcon));
        m7039(c.m5114(this.f5026, r9, k.Chip_closeIconTint));
        m7054(r9.getDimension(k.Chip_closeIconSize, 0.0f));
        m6992(r9.getBoolean(k.Chip_android_checkable, false));
        m7014(r9.getBoolean(k.Chip_checkedIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconVisible") != null)) {
            m7014(r9.getBoolean(k.Chip_checkedIconEnabled, false));
        }
        m6986(c.m5117(this.f5026, r9, k.Chip_checkedIcon));
        if (r9.hasValue(k.Chip_checkedIconTint)) {
            m7018(c.m5114(this.f5026, r9, k.Chip_checkedIconTint));
        }
        m7012(h.m4990(this.f5026, r9, k.Chip_showMotionSpec));
        m6988(h.m4990(this.f5026, r9, k.Chip_hideMotionSpec));
        m7045(r9.getDimension(k.Chip_chipStartPadding, 0.0f));
        m7063(r9.getDimension(k.Chip_iconStartPadding, 0.0f));
        m7060(r9.getDimension(k.Chip_iconEndPadding, 0.0f));
        m7069(r9.getDimension(k.Chip_textStartPadding, 0.0f));
        m7066(r9.getDimension(k.Chip_textEndPadding, 0.0f));
        m7057(r9.getDimension(k.Chip_closeIconStartPadding, 0.0f));
        m7051(r9.getDimension(k.Chip_closeIconEndPadding, 0.0f));
        m7032(r9.getDimension(k.Chip_chipEndPadding, 0.0f));
        m7071(r9.getDimensionPixelSize(k.Chip_android_maxWidth, Integer.MAX_VALUE));
        r9.recycle();
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    public void m7017(int i) {
        m7066(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    public void m7031(int i) {
        m7069(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public void m7048(float f2) {
        if (this.f5059 != f2) {
            this.f5059 = f2;
            this.f5027.setStrokeWidth(f2);
            if (this.f5055) {
                super.m4820(f2);
            }
            invalidateSelf();
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m6976(Canvas canvas, Rect rect) {
        if (m6965()) {
            m6969(rect, this.f5030);
            RectF rectF = this.f5030;
            float f2 = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f2, f3);
            this.f5067.setBounds(0, 0, (int) this.f5030.width(), (int) this.f5030.height());
            if (com.d.a.a.z.b.f3611) {
                this.f5070.setBounds(this.f5067.getBounds());
                this.f5070.jumpToCurrentState();
                this.f5070.draw(canvas);
            } else {
                this.f5067.draw(canvas);
            }
            canvas.translate(-f2, -f3);
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m6974(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (this.f5060 != null) {
            float r0 = this.f5018 + m7016() + this.f5021;
            float r1 = this.f5025 + m7030() + this.f5022;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                rectF.left = ((float) rect.left) + r0;
                rectF.right = ((float) rect.right) - r1;
            } else {
                rectF.left = ((float) rect.left) + r1;
                rectF.right = ((float) rect.right) - r0;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m6963(Rect rect, RectF rectF) {
        rectF.set(rect);
        if (m6965()) {
            float f2 = this.f5025 + this.f5024 + this.f5073 + this.f5023 + this.f5022;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                rectF.right = ((float) rect.right) - f2;
            } else {
                rectF.left = ((float) rect.left) + f2;
            }
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m7037(float f2) {
        if (this.f5064 != f2) {
            float r0 = m7016();
            this.f5064 = f2;
            float r2 = m7016();
            invalidateSelf();
            if (r0 != r2) {
                m7009();
            }
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m6969(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (m6965()) {
            float f2 = this.f5025 + this.f5024;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                float f3 = ((float) rect.right) - f2;
                rectF.right = f3;
                rectF.left = f3 - this.f5073;
            } else {
                float f4 = ((float) rect.left) + f2;
                rectF.left = f4;
                rectF.right = f4 + this.f5073;
            }
            float exactCenterY = rect.exactCenterY();
            float f5 = this.f5073;
            float f6 = exactCenterY - (f5 / 2.0f);
            rectF.top = f6;
            rectF.bottom = f6 + f5;
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m6971(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (m6965()) {
            float f2 = this.f5025 + this.f5024 + this.f5073 + this.f5023 + this.f5022;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                float f3 = (float) rect.right;
                rectF.right = f3;
                rectF.left = f3 - f2;
            } else {
                int i = rect.left;
                rectF.left = (float) i;
                rectF.right = ((float) i) + f2;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public void m7049(int i) {
        m7032(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m7015(int[] iArr) {
        if (Arrays.equals(this.f5048, iArr)) {
            return false;
        }
        this.f5048 = iArr;
        if (m6965()) {
            return m6954(getState(), iArr);
        }
        return false;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m7039(ColorStateList colorStateList) {
        if (this.f5072 != colorStateList) {
            this.f5072 = colorStateList;
            if (m6965()) {
                androidx.core.graphics.drawable.a.m1976(this.f5067, colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static boolean m6964(d dVar) {
        return (dVar == null || dVar.m5132() == null || !dVar.m5132().isStateful()) ? false : true;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private static boolean m6975(Drawable drawable) {
        return drawable != null && drawable.isStateful();
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m6977(Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(null);
        }
    }

    @Deprecated
    /* renamed from: ʿ  reason: contains not printable characters */
    public void m7026(float f2) {
        if (this.f5057 != f2) {
            this.f5057 = f2;
            setShapeAppearanceModel(m4829().m4858(f2));
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m7034(ColorStateList colorStateList) {
        if (this.f5068 != colorStateList) {
            this.f5068 = colorStateList;
            if (this.f5055) {
                m4815(colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m6972(Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(this);
            androidx.core.graphics.drawable.a.m1982(drawable, androidx.core.graphics.drawable.a.m1987(this));
            drawable.setLevel(getLevel());
            drawable.setVisible(isVisible(), false);
            if (drawable == this.f5067) {
                if (drawable.isStateful()) {
                    drawable.setState(m7085());
                }
                androidx.core.graphics.drawable.a.m1976(drawable, this.f5072);
                return;
            }
            Drawable drawable2 = this.f5062;
            if (drawable == drawable2 && this.f5066) {
                androidx.core.graphics.drawable.a.m1976(drawable2, this.f5065);
            }
            if (drawable.isStateful()) {
                drawable.setState(getState());
            }
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7013(CharSequence charSequence) {
        if (charSequence == null) {
            charSequence = BuildConfig.FLAVOR;
        }
        if (!TextUtils.equals(this.f5060, charSequence)) {
            this.f5060 = charSequence;
            this.f5033.m7608(true);
            invalidateSelf();
            m7009();
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m7020(boolean z) {
        if (this.f5063 != z) {
            boolean r0 = m6961();
            this.f5063 = z;
            boolean r2 = m6961();
            if (r0 != r2) {
                if (r2) {
                    m6972(this.f5062);
                } else {
                    m6977(this.f5062);
                }
                invalidateSelf();
                m7009();
            }
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m7038(int i) {
        m7014(this.f5026.getResources().getBoolean(i));
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private static boolean m6981(ColorStateList colorStateList) {
        return colorStateList != null && colorStateList.isStateful();
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m7042(int i) {
        m7023(e.a.k.a.a.m9035(this.f5026, i));
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public void m7028(ColorStateList colorStateList) {
        this.f5066 = true;
        if (this.f5065 != colorStateList) {
            this.f5065 = colorStateList;
            if (m6961()) {
                androidx.core.graphics.drawable.a.m1976(this.f5062, colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m7041(float f2) {
        if (this.f5058 != f2) {
            this.f5058 = f2;
            invalidateSelf();
            m7009();
        }
    }

    @Deprecated
    /* renamed from: ˊ  reason: contains not printable characters */
    public void m7046(int i) {
        m7026(this.f5026.getResources().getDimension(i));
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public void m7045(float f2) {
        if (this.f5018 != f2) {
            this.f5018 = f2;
            invalidateSelf();
            m7009();
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m7033(int i) {
        m7018(e.a.k.a.a.m9035(this.f5026, i));
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7011(Drawable drawable) {
        Drawable r0 = m7050();
        if (r0 != drawable) {
            float r1 = m7016();
            this.f5062 = drawable != null ? androidx.core.graphics.drawable.a.m1991(drawable).mutate() : null;
            float r3 = m7016();
            m6977(r0);
            if (m6961()) {
                m6972(this.f5062);
            }
            invalidateSelf();
            if (r1 != r3) {
                m7009();
            }
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m7032(float f2) {
        if (this.f5025 != f2) {
            this.f5025 = f2;
            invalidateSelf();
            m7009();
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m7043(ColorStateList colorStateList) {
        if (this.f5061 != colorStateList) {
            this.f5061 = colorStateList;
            m6966();
            onStateChange(getState());
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m7019(Drawable drawable) {
        Drawable r0 = m7075();
        if (r0 != drawable) {
            float r1 = m7030();
            this.f5067 = drawable != null ? androidx.core.graphics.drawable.a.m1991(drawable).mutate() : null;
            if (com.d.a.a.z.b.f3611) {
                m6967();
            }
            float r3 = m7030();
            m6977(r0);
            if (m6965()) {
                m6972(this.f5067);
            }
            invalidateSelf();
            if (r1 != r3) {
                m7009();
            }
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public void m7027(int i) {
        m6986(e.a.k.a.a.m9036(this.f5026, i));
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public void m7029(boolean z) {
        this.f5053 = z;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m7023(ColorStateList colorStateList) {
        if (this.f5039 != colorStateList) {
            this.f5039 = colorStateList;
            onStateChange(getState());
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7014(boolean z) {
        if (this.f5075 != z) {
            boolean r0 = m6960();
            this.f5075 = z;
            boolean r2 = m6960();
            if (r0 != r2) {
                if (r2) {
                    m6972(this.f5014);
                } else {
                    m6977(this.f5014);
                }
                invalidateSelf();
                m7009();
            }
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m7024(boolean z) {
        if (this.f5071 != z) {
            boolean r0 = m6965();
            this.f5071 = z;
            boolean r2 = m6965();
            if (r0 != r2) {
                if (r2) {
                    m6972(this.f5067);
                } else {
                    m6977(this.f5067);
                }
                invalidateSelf();
                m7009();
            }
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m7018(ColorStateList colorStateList) {
        if (this.f5015 != colorStateList) {
            this.f5015 = colorStateList;
            if (m6956()) {
                androidx.core.graphics.drawable.a.m1976(this.f5014, colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7012(h hVar) {
        this.f5016 = hVar;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m7022(int i) {
        m6992(this.f5026.getResources().getBoolean(i));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6990(AbstractC0065a aVar) {
        this.f5051 = new WeakReference<>(aVar);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6985(RectF rectF) {
        m6971(getBounds(), rectF);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6950(Canvas canvas, Rect rect) {
        if (m6960()) {
            m6951(rect, this.f5030);
            RectF rectF = this.f5030;
            float f2 = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f2, f3);
            this.f5014.setBounds(0, 0, (int) this.f5030.width(), (int) this.f5030.height());
            this.f5014.draw(canvas);
            canvas.translate(-f2, -f3);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6951(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (m6961() || m6960()) {
            float f2 = this.f5018 + this.f5019;
            float r1 = m6958();
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                float f3 = ((float) rect.left) + f2;
                rectF.left = f3;
                rectF.right = f3 + r1;
            } else {
                float f4 = ((float) rect.right) - f2;
                rectF.right = f4;
                rectF.left = f4 - r1;
            }
            float r0 = m6957();
            float exactCenterY = rect.exactCenterY() - (r0 / 2.0f);
            rectF.top = exactCenterY;
            rectF.bottom = exactCenterY + r0;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public Paint.Align m6983(Rect rect, PointF pointF) {
        pointF.set(0.0f, 0.0f);
        Paint.Align align = Paint.Align.LEFT;
        if (this.f5060 != null) {
            float r0 = this.f5018 + m7016() + this.f5021;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                pointF.x = ((float) rect.left) + r0;
                align = Paint.Align.LEFT;
            } else {
                pointF.x = ((float) rect.right) - r0;
                align = Paint.Align.RIGHT;
            }
            pointF.y = ((float) rect.centerY()) - m6955();
        }
        return align;
    }

    @Override // com.google.android.material.internal.n.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6984() {
        m7009();
        invalidateSelf();
    }

    /* JADX WARNING: Removed duplicated region for block: B:69:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x00ee  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x00f3  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0100  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0109  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x0118  */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x0127  */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x0151  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x0156  */
    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m6954(int[] iArr, int[] iArr2) {
        boolean z;
        int colorForState;
        boolean onStateChange = super.onStateChange(iArr);
        ColorStateList colorStateList = this.f5056;
        int r1 = m4801(colorStateList != null ? colorStateList.getColorForState(iArr, this.f5034) : 0);
        boolean z2 = true;
        if (this.f5034 != r1) {
            this.f5034 = r1;
            onStateChange = true;
        }
        ColorStateList colorStateList2 = this.f5039;
        int r3 = m4801(colorStateList2 != null ? colorStateList2.getColorForState(iArr, this.f5035) : 0);
        if (this.f5035 != r3) {
            this.f5035 = r3;
            onStateChange = true;
        }
        int r12 = com.d.a.a.q.a.m5073(r1, r3);
        if ((this.f5036 != r12) || (m4822() == null)) {
            this.f5036 = r12;
            m4807(ColorStateList.valueOf(r12));
            onStateChange = true;
        }
        ColorStateList colorStateList3 = this.f5068;
        int colorForState2 = colorStateList3 != null ? colorStateList3.getColorForState(iArr, this.f5037) : 0;
        if (this.f5037 != colorForState2) {
            this.f5037 = colorForState2;
            onStateChange = true;
        }
        int colorForState3 = (this.f5050 == null || !com.d.a.a.z.b.m5144(iArr)) ? 0 : this.f5050.getColorForState(iArr, this.f5038);
        if (this.f5038 != colorForState3) {
            this.f5038 = colorForState3;
            if (this.f5049) {
                onStateChange = true;
            }
        }
        int colorForState4 = (this.f5033.m7604() == null || this.f5033.m7604().m5132() == null) ? 0 : this.f5033.m7604().m5132().getColorForState(iArr, this.f5040);
        if (this.f5040 != colorForState4) {
            this.f5040 = colorForState4;
            onStateChange = true;
        }
        boolean z3 = m6953(getState(), 16842912) && this.f5069;
        if (!(this.f5041 == z3 || this.f5014 == null)) {
            float r0 = m7016();
            this.f5041 = z3;
            if (r0 != m7016()) {
                onStateChange = true;
                z = true;
                ColorStateList colorStateList4 = this.f5046;
                colorForState = colorStateList4 == null ? colorStateList4.getColorForState(iArr, this.f5042) : 0;
                if (this.f5042 == colorForState) {
                    this.f5042 = colorForState;
                    this.f5045 = com.d.a.a.s.a.m5080(this, this.f5046, this.f5047);
                } else {
                    z2 = onStateChange;
                }
                if (m6975(this.f5062)) {
                    z2 |= this.f5062.setState(iArr);
                }
                if (m6975(this.f5014)) {
                    z2 |= this.f5014.setState(iArr);
                }
                if (m6975(this.f5067)) {
                    int[] iArr3 = new int[(iArr.length + iArr2.length)];
                    System.arraycopy(iArr, 0, iArr3, 0, iArr.length);
                    System.arraycopy(iArr2, 0, iArr3, iArr.length, iArr2.length);
                    z2 |= this.f5067.setState(iArr3);
                }
                if (com.d.a.a.z.b.f3611 && m6975(this.f5070)) {
                    z2 |= this.f5070.setState(iArr2);
                }
                if (z2) {
                    invalidateSelf();
                }
                if (z) {
                    m7009();
                }
                return z2;
            }
            onStateChange = true;
        }
        z = false;
        ColorStateList colorStateList42 = this.f5046;
        if (colorStateList42 == null) {
        }
        if (this.f5042 == colorForState) {
        }
        if (m6975(this.f5062)) {
        }
        if (m6975(this.f5014)) {
        }
        if (m6975(this.f5067)) {
        }
        z2 |= this.f5070.setState(iArr2);
        if (z2) {
        }
        if (z) {
        }
        return z2;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m6953(int[] iArr, int i) {
        if (iArr == null) {
            return false;
        }
        for (int i2 : iArr) {
            if (i2 == i) {
                return true;
            }
        }
        return false;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6989(d dVar) {
        this.f5033.m7606(dVar, this.f5026);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6987(TextUtils.TruncateAt truncateAt) {
        this.f5052 = truncateAt;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6991(CharSequence charSequence) {
        if (this.f5074 != charSequence) {
            this.f5074 = e.g.j.a.m10321().m10324(charSequence);
            invalidateSelf();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6992(boolean z) {
        if (this.f5069 != z) {
            this.f5069 = z;
            float r0 = m7016();
            if (!z && this.f5041) {
                this.f5041 = false;
            }
            float r2 = m7016();
            invalidateSelf();
            if (r0 != r2) {
                m7009();
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6986(Drawable drawable) {
        if (this.f5014 != drawable) {
            float r0 = m7016();
            this.f5014 = drawable;
            float r3 = m7016();
            m6977(this.f5014);
            m6972(this.f5014);
            invalidateSelf();
            if (r0 != r3) {
                m7009();
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6988(h hVar) {
        this.f5017 = hVar;
    }
}
