package com.google.android.material.datepicker;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.fragment.app.g0;
import androidx.fragment.app.n;
import com.d.a.a.b0.g;
import com.d.a.a.e;
import com.d.a.a.f;
import com.d.a.a.h;
import com.d.a.a.j;
import com.google.android.material.datepicker.a;
import com.google.android.material.internal.CheckableImageButton;
import e.g.l.d0;
import java.util.Iterator;
import java.util.LinkedHashSet;

/* compiled from: MaterialDatePicker */
public final class i<S> extends n {

    /* renamed from: ʼٴ  reason: contains not printable characters */
    static final Object f5143 = "CONFIRM_BUTTON_TAG";

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    static final Object f5144 = "CANCEL_BUTTON_TAG";

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    static final Object f5145 = "TOGGLE_BUTTON_TAG";

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private final LinkedHashSet<j<? super S>> f5146 = new LinkedHashSet<>();

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private final LinkedHashSet<View.OnClickListener> f5147 = new LinkedHashSet<>();

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private final LinkedHashSet<DialogInterface.OnCancelListener> f5148 = new LinkedHashSet<>();

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private final LinkedHashSet<DialogInterface.OnDismissListener> f5149 = new LinkedHashSet<>();

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private int f5150;

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private d<S> f5151;

    /* renamed from: ʼʿ  reason: contains not printable characters */
    private p<S> f5152;

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private a f5153;

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private h<S> f5154;

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private int f5155;

    /* renamed from: ʼˊ  reason: contains not printable characters */
    private CharSequence f5156;

    /* renamed from: ʼˋ  reason: contains not printable characters */
    private boolean f5157;

    /* renamed from: ʼˎ  reason: contains not printable characters */
    private int f5158;

    /* renamed from: ʼˏ  reason: contains not printable characters */
    private TextView f5159;

    /* renamed from: ʼˑ  reason: contains not printable characters */
    private CheckableImageButton f5160;

    /* renamed from: ʼי  reason: contains not printable characters */
    private g f5161;

    /* renamed from: ʼـ  reason: contains not printable characters */
    private Button f5162;

    /* compiled from: MaterialDatePicker */
    class a implements View.OnClickListener {
        a() {
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: com.google.android.material.datepicker.j */
        /* JADX WARN: Multi-variable type inference failed */
        public void onClick(View view) {
            Iterator it = i.this.f5146.iterator();
            while (it.hasNext()) {
                ((j) it.next()).m7189(i.this.m7184());
            }
            i.this.m2842();
        }
    }

    /* compiled from: MaterialDatePicker */
    class b implements View.OnClickListener {
        b() {
        }

        public void onClick(View view) {
            Iterator it = i.this.f5147.iterator();
            while (it.hasNext()) {
                ((View.OnClickListener) it.next()).onClick(view);
            }
            i.this.m2842();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialDatePicker */
    public class c extends o<S> {
        c() {
        }

        @Override // com.google.android.material.datepicker.o
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7188(S s) {
            i.this.m7169();
            i.this.f5162.setEnabled(i.this.m7167().m7118());
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialDatePicker */
    public class d implements View.OnClickListener {
        d() {
        }

        public void onClick(View view) {
            i.this.f5162.setEnabled(i.this.m7167().m7118());
            i.this.f5160.toggle();
            i iVar = i.this;
            iVar.m7163((i) iVar.f5160);
            i.this.m7168();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼˊ  reason: contains not printable characters */
    private d<S> m7167() {
        if (this.f5151 == null) {
            this.f5151 = (d) m2566().getParcelable("DATE_SELECTOR_KEY");
        }
        return this.f5151;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼˋ  reason: contains not printable characters */
    private void m7168() {
        int r0 = m7172(m2519());
        this.f5154 = h.m7129(m7167(), r0, this.f5153);
        this.f5152 = this.f5160.isChecked() ? k.m7190(m7167(), r0, this.f5153) : this.f5154;
        m7169();
        g0 r02 = m2569().m3035();
        r02.m2683(f.mtrl_calendar_frame, this.f5152);
        r02.m2694();
        this.f5152.m7229(new c());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼˎ  reason: contains not printable characters */
    private void m7169() {
        String r0 = m7183();
        this.f5159.setContentDescription(String.format(m2480(com.d.a.a.i.mtrl_picker_announce_current_selection), r0));
        this.f5159.setText(r0);
    }

    @Override // androidx.fragment.app.n
    public final void onCancel(DialogInterface dialogInterface) {
        Iterator<DialogInterface.OnCancelListener> it = this.f5148.iterator();
        while (it.hasNext()) {
            it.next().onCancel(dialogInterface);
        }
        super.onCancel(dialogInterface);
    }

    @Override // androidx.fragment.app.n
    public final void onDismiss(DialogInterface dialogInterface) {
        Iterator<DialogInterface.OnDismissListener> it = this.f5149.iterator();
        while (it.hasNext()) {
            it.next().onDismiss(dialogInterface);
        }
        ViewGroup viewGroup = (ViewGroup) m2555();
        if (viewGroup != null) {
            viewGroup.removeAllViews();
        }
        super.onDismiss(dialogInterface);
    }

    @Override // androidx.fragment.app.n, androidx.fragment.app.Fragment
    /* renamed from: ʻʾ  reason: contains not printable characters */
    public void m7181() {
        super.m2840();
        Window window = m2849().getWindow();
        if (this.f5157) {
            window.setLayout(-1, -1);
            window.setBackgroundDrawable(this.f5161);
        } else {
            window.setLayout(-2, -2);
            int dimensionPixelOffset = m2532().getDimensionPixelOffset(com.d.a.a.d.mtrl_calendar_dialog_background_inset);
            Rect rect = new Rect(dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset);
            window.setBackgroundDrawable(new InsetDrawable((Drawable) this.f5161, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset));
            window.getDecorView().setOnTouchListener(new com.d.a.a.r.a(m2849(), rect));
        }
        m7168();
    }

    @Override // androidx.fragment.app.n, androidx.fragment.app.Fragment
    /* renamed from: ʻʿ  reason: contains not printable characters */
    public void m7182() {
        this.f5152.m7230();
        super.m2841();
    }

    /* renamed from: ʼˈ  reason: contains not printable characters */
    public String m7183() {
        return m7167().m7114(m2572());
    }

    /* renamed from: ʼˉ  reason: contains not printable characters */
    public final S m7184() {
        return m7167().m7113();
    }

    @Override // androidx.fragment.app.n
    /* renamed from: י  reason: contains not printable characters */
    public final Dialog m7187(Bundle bundle) {
        Dialog dialog = new Dialog(m2519(), m7172(m2519()));
        Context context = dialog.getContext();
        this.f5157 = m7177(context);
        int r1 = com.d.a.a.y.b.m5108(context, com.d.a.a.b.colorSurface, i.class.getCanonicalName());
        g gVar = new g(context, null, com.d.a.a.b.materialCalendarStyle, j.Widget_MaterialComponents_MaterialCalendar);
        this.f5161 = gVar;
        gVar.m4806(context);
        this.f5161.m4807(ColorStateList.valueOf(r1));
        this.f5161.m4802(d0.m10484(dialog.getWindow().getDecorView()));
        return dialog;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static Drawable m7165(Context context) {
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(new int[]{16842912}, e.a.k.a.a.m9036(context, e.material_ic_calendar_black_24dp));
        stateListDrawable.addState(new int[0], e.a.k.a.a.m9036(context, e.material_ic_edit_black_24dp));
        return stateListDrawable;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private int m7172(Context context) {
        int i = this.f5150;
        if (i != 0) {
            return i;
        }
        return m7167().m7115(context);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    static boolean m7177(Context context) {
        return m7164(context, 16843277);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    static boolean m7179(Context context) {
        return m7164(context, com.d.a.a.b.nestedScrollable);
    }

    @Override // androidx.fragment.app.n, androidx.fragment.app.Fragment
    /* renamed from: ʽ  reason: contains not printable characters */
    public final void m7185(Bundle bundle) {
        super.m2851(bundle);
        if (bundle == null) {
            bundle = m2566();
        }
        this.f5150 = bundle.getInt("OVERRIDE_THEME_RES_ID");
        this.f5151 = (d) bundle.getParcelable("DATE_SELECTOR_KEY");
        this.f5153 = (a) bundle.getParcelable("CALENDAR_CONSTRAINTS_KEY");
        this.f5155 = bundle.getInt("TITLE_TEXT_RES_ID_KEY");
        this.f5156 = bundle.getCharSequence("TITLE_TEXT_KEY");
        this.f5158 = bundle.getInt("INPUT_MODE_KEY");
    }

    @Override // androidx.fragment.app.n, androidx.fragment.app.Fragment
    /* renamed from: ʿ  reason: contains not printable characters */
    public final void m7186(Bundle bundle) {
        super.m2854(bundle);
        bundle.putInt("OVERRIDE_THEME_RES_ID", this.f5150);
        bundle.putParcelable("DATE_SELECTOR_KEY", this.f5151);
        a.b bVar = new a.b(this.f5153);
        if (this.f5154.m7147() != null) {
            bVar.m7105(this.f5154.m7147().f5176);
        }
        bundle.putParcelable("CALENDAR_CONSTRAINTS_KEY", bVar.m7106());
        bundle.putInt("TITLE_TEXT_RES_ID_KEY", this.f5155);
        bundle.putCharSequence("TITLE_TEXT_KEY", this.f5156);
    }

    @Override // androidx.fragment.app.Fragment
    /* renamed from: ʻ  reason: contains not printable characters */
    public final View m7180(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(this.f5157 ? h.mtrl_picker_fullscreen : h.mtrl_picker_dialog, viewGroup);
        Context context = inflate.getContext();
        if (this.f5157) {
            inflate.findViewById(f.mtrl_calendar_frame).setLayoutParams(new LinearLayout.LayoutParams(m7170(context), -2));
        } else {
            inflate.findViewById(f.mtrl_calendar_main_pane).setLayoutParams(new LinearLayout.LayoutParams(m7170(context), -1));
        }
        TextView textView = (TextView) inflate.findViewById(f.mtrl_picker_header_selection_text);
        this.f5159 = textView;
        d0.m10470(textView, 1);
        this.f5160 = (CheckableImageButton) inflate.findViewById(f.mtrl_picker_header_toggle);
        TextView textView2 = (TextView) inflate.findViewById(f.mtrl_picker_title_text);
        CharSequence charSequence = this.f5156;
        if (charSequence != null) {
            textView2.setText(charSequence);
        } else {
            textView2.setText(this.f5155);
        }
        m7175(context);
        this.f5162 = (Button) inflate.findViewById(f.confirm_button);
        if (m7167().m7118()) {
            this.f5162.setEnabled(true);
        } else {
            this.f5162.setEnabled(false);
        }
        this.f5162.setTag(f5143);
        this.f5162.setOnClickListener(new a());
        Button button = (Button) inflate.findViewById(f.cancel_button);
        button.setTag(f5144);
        button.setOnClickListener(new b());
        return inflate;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static int m7170(Context context) {
        Resources resources = context.getResources();
        int dimensionPixelOffset = resources.getDimensionPixelOffset(com.d.a.a.d.mtrl_calendar_content_padding);
        int i = l.m7197().f5174;
        return (dimensionPixelOffset * 2) + (resources.getDimensionPixelSize(com.d.a.a.d.mtrl_calendar_day_width) * i) + ((i - 1) * resources.getDimensionPixelOffset(com.d.a.a.d.mtrl_calendar_month_horizontal_padding));
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m7175(Context context) {
        this.f5160.setTag(f5145);
        this.f5160.setImageDrawable(m7165(context));
        this.f5160.setChecked(this.f5158 != 0);
        d0.m10432(this.f5160, (e.g.l.d) null);
        m7163(this.f5160);
        this.f5160.setOnClickListener(new d());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7163(CheckableImageButton checkableImageButton) {
        String str;
        if (this.f5160.isChecked()) {
            str = checkableImageButton.getContext().getString(com.d.a.a.i.mtrl_picker_toggle_to_calendar_input_mode);
        } else {
            str = checkableImageButton.getContext().getString(com.d.a.a.i.mtrl_picker_toggle_to_text_input_mode);
        }
        this.f5160.setContentDescription(str);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static boolean m7164(Context context, int i) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(com.d.a.a.y.b.m5108(context, com.d.a.a.b.materialCalendarStyle, h.class.getCanonicalName()), new int[]{i});
        boolean z = obtainStyledAttributes.getBoolean(0, false);
        obtainStyledAttributes.recycle();
        return z;
    }
}
