package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import com.d.a.a.k;
import com.d.a.a.l.h;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.button.MaterialButton;
import e.g.l.d0;
import java.util.List;

public class ExtendedFloatingActionButton extends MaterialButton implements CoordinatorLayout.b {

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private final int f5202;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private boolean f5203;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private final CoordinatorLayout.c<ExtendedFloatingActionButton> f5204;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private boolean f5205;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private boolean f5206;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private final d f5207;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private final d f5208;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private int f5209;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private final d f5210;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private final d f5211;

    protected static class ExtendedFloatingActionButtonBehavior<T extends ExtendedFloatingActionButton> extends CoordinatorLayout.c<T> {

        /* renamed from: ʻ  reason: contains not printable characters */
        private Rect f5212;

        /* renamed from: ʼ  reason: contains not printable characters */
        private f f5213;

        /* renamed from: ʽ  reason: contains not printable characters */
        private f f5214;

        /* renamed from: ʾ  reason: contains not printable characters */
        private boolean f5215;

        /* renamed from: ʿ  reason: contains not printable characters */
        private boolean f5216;

        public ExtendedFloatingActionButtonBehavior() {
            this.f5215 = false;
            this.f5216 = true;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private boolean m7270(View view, ExtendedFloatingActionButton extendedFloatingActionButton) {
            if (!m7268(view, extendedFloatingActionButton)) {
                return false;
            }
            if (view.getTop() < (extendedFloatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.f) extendedFloatingActionButton.getLayoutParams())).topMargin) {
                m7278(extendedFloatingActionButton);
                return true;
            }
            m7272(extendedFloatingActionButton);
            return true;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m7274(CoordinatorLayout coordinatorLayout, ExtendedFloatingActionButton extendedFloatingActionButton, Rect rect) {
            return super.m1833(coordinatorLayout, (View) extendedFloatingActionButton, rect);
        }

        public ExtendedFloatingActionButtonBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, k.ExtendedFloatingActionButton_Behavior_Layout);
            this.f5215 = obtainStyledAttributes.getBoolean(k.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoHide, false);
            this.f5216 = obtainStyledAttributes.getBoolean(k.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoShrink, true);
            obtainStyledAttributes.recycle();
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7271(CoordinatorLayout.f fVar) {
            if (fVar.f1677 == 0) {
                fVar.f1677 = 80;
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m7279(CoordinatorLayout coordinatorLayout, ExtendedFloatingActionButton extendedFloatingActionButton, View view) {
            if (view instanceof AppBarLayout) {
                m7269(coordinatorLayout, (AppBarLayout) view, extendedFloatingActionButton);
                return false;
            } else if (!m7267(view)) {
                return false;
            } else {
                m7270(view, extendedFloatingActionButton);
                return false;
            }
        }

        /* access modifiers changed from: protected */
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m7278(ExtendedFloatingActionButton extendedFloatingActionButton) {
            d dVar;
            f fVar = this.f5216 ? this.f5214 : this.f5213;
            if (this.f5216) {
                dVar = extendedFloatingActionButton.f5210;
            } else {
                dVar = extendedFloatingActionButton.f5208;
            }
            extendedFloatingActionButton.m7260((ExtendedFloatingActionButton) dVar, (d) fVar);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private static boolean m7267(View view) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.f) {
                return ((CoordinatorLayout.f) layoutParams).m1863() instanceof BottomSheetBehavior;
            }
            return false;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private boolean m7268(View view, ExtendedFloatingActionButton extendedFloatingActionButton) {
            CoordinatorLayout.f fVar = (CoordinatorLayout.f) extendedFloatingActionButton.getLayoutParams();
            if ((this.f5215 || this.f5216) && fVar.m1862() == view.getId()) {
                return true;
            }
            return false;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private boolean m7269(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, ExtendedFloatingActionButton extendedFloatingActionButton) {
            if (!m7268(appBarLayout, extendedFloatingActionButton)) {
                return false;
            }
            if (this.f5212 == null) {
                this.f5212 = new Rect();
            }
            Rect rect = this.f5212;
            com.google.android.material.internal.c.m7502(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                m7278(extendedFloatingActionButton);
                return true;
            }
            m7272(extendedFloatingActionButton);
            return true;
        }

        /* access modifiers changed from: protected */
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7272(ExtendedFloatingActionButton extendedFloatingActionButton) {
            d dVar;
            f fVar = this.f5216 ? this.f5214 : this.f5213;
            if (this.f5216) {
                dVar = extendedFloatingActionButton.f5211;
            } else {
                dVar = extendedFloatingActionButton.f5207;
            }
            extendedFloatingActionButton.m7260((ExtendedFloatingActionButton) dVar, (d) fVar);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m7273(CoordinatorLayout coordinatorLayout, ExtendedFloatingActionButton extendedFloatingActionButton, int i) {
            List<View> r0 = coordinatorLayout.m1807(extendedFloatingActionButton);
            int size = r0.size();
            for (int i2 = 0; i2 < size; i2++) {
                View view = r0.get(i2);
                if (!(view instanceof AppBarLayout)) {
                    if (m7267(view) && m7270(view, extendedFloatingActionButton)) {
                        break;
                    }
                } else if (m7269(coordinatorLayout, (AppBarLayout) view, extendedFloatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.m1814(extendedFloatingActionButton, i);
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public class a extends AnimatorListenerAdapter {

        /* renamed from: ʿ  reason: contains not printable characters */
        private boolean f5217;

        /* renamed from: ˆ  reason: contains not printable characters */
        final /* synthetic */ d f5218;

        /* renamed from: ˈ  reason: contains not printable characters */
        final /* synthetic */ f f5219;

        a(ExtendedFloatingActionButton extendedFloatingActionButton, d dVar, f fVar) {
            this.f5218 = dVar;
            this.f5219 = fVar;
        }

        public void onAnimationCancel(Animator animator) {
            this.f5217 = true;
            this.f5218.m7425();
        }

        public void onAnimationEnd(Animator animator) {
            this.f5218.m7424();
            if (!this.f5217) {
                this.f5218.m7422(this.f5219);
            }
        }

        public void onAnimationStart(Animator animator) {
            this.f5218.onAnimationStart(animator);
            this.f5217 = false;
        }
    }

    public static abstract class f {
    }

    static {
        new b(Float.class, "width");
        new c(Float.class, "height");
        new d(Float.class, "paddingStart");
        new e(Float.class, "paddingEnd");
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean m7264() {
        if (getVisibility() != 0) {
            if (this.f5209 == 2) {
                return true;
            }
            return false;
        } else if (this.f5209 != 1) {
            return true;
        } else {
            return false;
        }
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m7265() {
        getTextColors();
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private boolean m7266() {
        return (d0.m10468(this) || (!m7264() && this.f5205)) && !isInEditMode();
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public CoordinatorLayout.c<ExtendedFloatingActionButton> getBehavior() {
        return this.f5204;
    }

    /* access modifiers changed from: package-private */
    public int getCollapsedPadding() {
        return (getCollapsedSize() - getIconSize()) / 2;
    }

    /* access modifiers changed from: package-private */
    public int getCollapsedSize() {
        int i = this.f5202;
        return i < 0 ? (Math.min(d0.m10499(this), d0.m10498(this)) * 2) + getIconSize() : i;
    }

    public h getExtendMotionSpec() {
        return this.f5211.m7420();
    }

    public h getHideMotionSpec() {
        return this.f5208.m7420();
    }

    public h getShowMotionSpec() {
        return this.f5207.m7420();
    }

    public h getShrinkMotionSpec() {
        return this.f5210.m7420();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.button.MaterialButton
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f5203 && TextUtils.isEmpty(getText()) && getIcon() != null) {
            this.f5203 = false;
            this.f5210.m7428();
        }
    }

    public void setAnimateShowBeforeLayout(boolean z) {
        this.f5205 = z;
    }

    public void setExtendMotionSpec(h hVar) {
        this.f5211.m7421(hVar);
    }

    public void setExtendMotionSpecResource(int i) {
        setExtendMotionSpec(h.m4989(getContext(), i));
    }

    public void setExtended(boolean z) {
        if (this.f5203 != z) {
            d dVar = z ? this.f5211 : this.f5210;
            if (!dVar.m7427()) {
                dVar.m7428();
            }
        }
    }

    public void setHideMotionSpec(h hVar) {
        this.f5208.m7421(hVar);
    }

    public void setHideMotionSpecResource(int i) {
        setHideMotionSpec(h.m4989(getContext(), i));
    }

    public void setPadding(int i, int i2, int i3, int i4) {
        super.setPadding(i, i2, i3, i4);
        if (this.f5203 && !this.f5206) {
            d0.m10499(this);
            d0.m10498(this);
        }
    }

    public void setPaddingRelative(int i, int i2, int i3, int i4) {
        super.setPaddingRelative(i, i2, i3, i4);
        if (this.f5203) {
            boolean z = this.f5206;
        }
    }

    public void setShowMotionSpec(h hVar) {
        this.f5207.m7421(hVar);
    }

    public void setShowMotionSpecResource(int i) {
        setShowMotionSpec(h.m4989(getContext(), i));
    }

    public void setShrinkMotionSpec(h hVar) {
        this.f5210.m7421(hVar);
    }

    public void setShrinkMotionSpecResource(int i) {
        setShrinkMotionSpec(h.m4989(getContext(), i));
    }

    @Override // android.widget.TextView
    public void setTextColor(int i) {
        super.setTextColor(i);
        m7265();
    }

    static class b extends Property<View, Float> {
        b(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void set(View view, Float f2) {
            view.getLayoutParams().width = f2.intValue();
            view.requestLayout();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public Float get(View view) {
            return Float.valueOf((float) view.getLayoutParams().width);
        }
    }

    static class c extends Property<View, Float> {
        c(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void set(View view, Float f2) {
            view.getLayoutParams().height = f2.intValue();
            view.requestLayout();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public Float get(View view) {
            return Float.valueOf((float) view.getLayoutParams().height);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7260(d dVar, f fVar) {
        if (!dVar.m7427()) {
            if (!m7266()) {
                dVar.m7428();
                dVar.m7422(fVar);
                return;
            }
            measure(0, 0);
            AnimatorSet r0 = dVar.m7423();
            r0.addListener(new a(this, dVar, fVar));
            for (Animator.AnimatorListener animatorListener : dVar.m7426()) {
                r0.addListener(animatorListener);
            }
            r0.start();
        }
    }

    @Override // android.widget.TextView
    public void setTextColor(ColorStateList colorStateList) {
        super.setTextColor(colorStateList);
        m7265();
    }

    static class d extends Property<View, Float> {
        d(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void set(View view, Float f2) {
            d0.m10426(view, f2.intValue(), view.getPaddingTop(), d0.m10498(view), view.getPaddingBottom());
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public Float get(View view) {
            return Float.valueOf((float) d0.m10499(view));
        }
    }

    static class e extends Property<View, Float> {
        e(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void set(View view, Float f2) {
            d0.m10426(view, d0.m10499(view), view.getPaddingTop(), f2.intValue(), view.getPaddingBottom());
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public Float get(View view) {
            return Float.valueOf((float) d0.m10498(view));
        }
    }
}
