package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.appcompat.widget.m;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.widget.o;
import com.d.a.a.b0.n;
import com.d.a.a.j;
import com.d.a.a.k;
import com.d.a.a.l.h;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.floatingactionbutton.b;
import com.google.android.material.internal.p;
import com.google.android.material.internal.r;
import com.google.android.material.internal.s;
import e.g.l.c0;
import e.g.l.d0;
import java.util.List;

public class FloatingActionButton extends s implements c0, o, com.d.a.a.u.a, n, CoordinatorLayout.b {

    /* renamed from: ⁱ  reason: contains not printable characters */
    private static final int f5220 = j.Widget_Design_FloatingActionButton;

    /* renamed from: ˆ  reason: contains not printable characters */
    private ColorStateList f5221;

    /* renamed from: ˈ  reason: contains not printable characters */
    private PorterDuff.Mode f5222;

    /* renamed from: ˉ  reason: contains not printable characters */
    private ColorStateList f5223;

    /* renamed from: ˊ  reason: contains not printable characters */
    private PorterDuff.Mode f5224;

    /* renamed from: ˋ  reason: contains not printable characters */
    private ColorStateList f5225;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f5226;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f5227;

    /* renamed from: ˑ  reason: contains not printable characters */
    private int f5228;

    /* renamed from: י  reason: contains not printable characters */
    private int f5229;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f5230;

    /* renamed from: ٴ  reason: contains not printable characters */
    boolean f5231;

    /* renamed from: ᐧ  reason: contains not printable characters */
    final Rect f5232;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private final Rect f5233;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private final androidx.appcompat.widget.s f5234;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private final com.d.a.a.u.c f5235;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private b f5236;

    protected static class BaseBehavior<T extends FloatingActionButton> extends CoordinatorLayout.c<T> {

        /* renamed from: ʻ  reason: contains not printable characters */
        private Rect f5237;

        /* renamed from: ʼ  reason: contains not printable characters */
        private b f5238;

        /* renamed from: ʽ  reason: contains not printable characters */
        private boolean f5239;

        public BaseBehavior() {
            this.f5239 = true;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private boolean m7312(View view, FloatingActionButton floatingActionButton) {
            if (!m7310(view, floatingActionButton)) {
                return false;
            }
            if (view.getTop() < (floatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.f) floatingActionButton.getLayoutParams())).topMargin) {
                floatingActionButton.m7299(this.f5238, false);
                return true;
            }
            floatingActionButton.m7305(this.f5238, false);
            return true;
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, k.FloatingActionButton_Behavior_Layout);
            this.f5239 = obtainStyledAttributes.getBoolean(k.FloatingActionButton_Behavior_Layout_behavior_autoHide, true);
            obtainStyledAttributes.recycle();
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7313(CoordinatorLayout.f fVar) {
            if (fVar.f1677 == 0) {
                fVar.f1677 = 80;
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m7319(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, View view) {
            if (view instanceof AppBarLayout) {
                m7311(coordinatorLayout, (AppBarLayout) view, floatingActionButton);
                return false;
            } else if (!m7309(view)) {
                return false;
            } else {
                m7312(view, floatingActionButton);
                return false;
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private static boolean m7309(View view) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.f) {
                return ((CoordinatorLayout.f) layoutParams).m1863() instanceof BottomSheetBehavior;
            }
            return false;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private boolean m7310(View view, FloatingActionButton floatingActionButton) {
            CoordinatorLayout.f fVar = (CoordinatorLayout.f) floatingActionButton.getLayoutParams();
            if (this.f5239 && fVar.m1862() == view.getId() && floatingActionButton.getUserSetVisibility() == 0) {
                return true;
            }
            return false;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private boolean m7311(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, FloatingActionButton floatingActionButton) {
            if (!m7310(appBarLayout, floatingActionButton)) {
                return false;
            }
            if (this.f5237 == null) {
                this.f5237 = new Rect();
            }
            Rect rect = this.f5237;
            com.google.android.material.internal.c.m7502(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                floatingActionButton.m7299(this.f5238, false);
                return true;
            }
            floatingActionButton.m7305(this.f5238, false);
            return true;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m7314(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, int i) {
            List<View> r0 = coordinatorLayout.m1807(floatingActionButton);
            int size = r0.size();
            for (int i2 = 0; i2 < size; i2++) {
                View view = r0.get(i2);
                if (!(view instanceof AppBarLayout)) {
                    if (m7309(view) && m7312(view, floatingActionButton)) {
                        break;
                    }
                } else if (m7311(coordinatorLayout, (AppBarLayout) view, floatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.m1814(floatingActionButton, i);
            m7308(coordinatorLayout, floatingActionButton);
            return true;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m7315(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, Rect rect) {
            Rect rect2 = floatingActionButton.f5232;
            rect.set(floatingActionButton.getLeft() + rect2.left, floatingActionButton.getTop() + rect2.top, floatingActionButton.getRight() - rect2.right, floatingActionButton.getBottom() - rect2.bottom);
            return true;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private void m7308(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton) {
            int i;
            Rect rect = floatingActionButton.f5232;
            if (rect != null && rect.centerX() > 0 && rect.centerY() > 0) {
                CoordinatorLayout.f fVar = (CoordinatorLayout.f) floatingActionButton.getLayoutParams();
                int i2 = 0;
                if (floatingActionButton.getRight() >= coordinatorLayout.getWidth() - ((ViewGroup.MarginLayoutParams) fVar).rightMargin) {
                    i = rect.right;
                } else {
                    i = floatingActionButton.getLeft() <= ((ViewGroup.MarginLayoutParams) fVar).leftMargin ? -rect.left : 0;
                }
                if (floatingActionButton.getBottom() >= coordinatorLayout.getHeight() - ((ViewGroup.MarginLayoutParams) fVar).bottomMargin) {
                    i2 = rect.bottom;
                } else if (floatingActionButton.getTop() <= ((ViewGroup.MarginLayoutParams) fVar).topMargin) {
                    i2 = -rect.top;
                }
                if (i2 != 0) {
                    d0.m10463(floatingActionButton, i2);
                }
                if (i != 0) {
                    d0.m10459(floatingActionButton, i);
                }
            }
        }
    }

    public static class Behavior extends BaseBehavior<FloatingActionButton> {
        public Behavior() {
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements b.k {

        /* renamed from: ʻ  reason: contains not printable characters */
        final /* synthetic */ b f5240;

        a(b bVar) {
            this.f5240 = bVar;
        }

        @Override // com.google.android.material.floatingactionbutton.b.k
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7320() {
            this.f5240.m7323(FloatingActionButton.this);
        }

        @Override // com.google.android.material.floatingactionbutton.b.k
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m7321() {
            this.f5240.m7322(FloatingActionButton.this);
        }
    }

    public static abstract class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7322(FloatingActionButton floatingActionButton) {
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public void m7323(FloatingActionButton floatingActionButton) {
        }
    }

    class d<T extends FloatingActionButton> implements b.j {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final com.d.a.a.l.k<T> f5243;

        d(com.d.a.a.l.k<T> kVar) {
            this.f5243 = kVar;
        }

        public boolean equals(Object obj) {
            return (obj instanceof d) && ((d) obj).f5243.equals(this.f5243);
        }

        public int hashCode() {
            return this.f5243.hashCode();
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.d.a.a.l.k<T extends com.google.android.material.floatingactionbutton.FloatingActionButton> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.android.material.floatingactionbutton.b.j
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7327() {
            this.f5243.m5006(FloatingActionButton.this);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.d.a.a.l.k<T extends com.google.android.material.floatingactionbutton.FloatingActionButton> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.android.material.floatingactionbutton.b.j
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m7328() {
            this.f5243.m5007(FloatingActionButton.this);
        }
    }

    public FloatingActionButton(Context context) {
        this(context, null);
    }

    private b getImpl() {
        if (this.f5236 == null) {
            this.f5236 = m7294();
        }
        return this.f5236;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private b.k m7292(b bVar) {
        if (bVar == null) {
            return null;
        }
        return new a(bVar);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private b m7294() {
        if (Build.VERSION.SDK_INT >= 21) {
            return new c(this, new c());
        }
        return new b(this, new c());
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m7295() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            ColorStateList colorStateList = this.f5223;
            if (colorStateList == null) {
                androidx.core.graphics.drawable.a.m1983(drawable);
                return;
            }
            int colorForState = colorStateList.getColorForState(getDrawableState(), 0);
            PorterDuff.Mode mode = this.f5224;
            if (mode == null) {
                mode = PorterDuff.Mode.SRC_IN;
            }
            drawable.mutate().setColorFilter(m.m1436(colorForState, mode));
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        getImpl().m7360(getDrawableState());
    }

    public ColorStateList getBackgroundTintList() {
        return this.f5221;
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return this.f5222;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public CoordinatorLayout.c<FloatingActionButton> getBehavior() {
        return new Behavior();
    }

    public float getCompatElevation() {
        return getImpl().m7370();
    }

    public float getCompatHoveredFocusedTranslationZ() {
        return getImpl().m7376();
    }

    public float getCompatPressedTranslationZ() {
        return getImpl().m7377();
    }

    public Drawable getContentBackground() {
        return getImpl().m7361();
    }

    public int getCustomSize() {
        return this.f5228;
    }

    public int getExpandedComponentIdHint() {
        return this.f5235.m5088();
    }

    public h getHideMotionSpec() {
        return getImpl().m7374();
    }

    @Deprecated
    public int getRippleColor() {
        ColorStateList colorStateList = this.f5225;
        if (colorStateList != null) {
            return colorStateList.getDefaultColor();
        }
        return 0;
    }

    public ColorStateList getRippleColorStateList() {
        return this.f5225;
    }

    public com.d.a.a.b0.k getShapeAppearanceModel() {
        com.d.a.a.b0.k r0 = getImpl().m7378();
        e.g.k.h.m10391(r0);
        return r0;
    }

    public h getShowMotionSpec() {
        return getImpl().m7379();
    }

    public int getSize() {
        return this.f5227;
    }

    /* access modifiers changed from: package-private */
    public int getSizeDimension() {
        return m7288(this.f5227);
    }

    @Override // e.g.l.c0
    public ColorStateList getSupportBackgroundTintList() {
        return getBackgroundTintList();
    }

    @Override // e.g.l.c0
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        return getBackgroundTintMode();
    }

    @Override // androidx.core.widget.o
    public ColorStateList getSupportImageTintList() {
        return this.f5223;
    }

    @Override // androidx.core.widget.o
    public PorterDuff.Mode getSupportImageTintMode() {
        return this.f5224;
    }

    public boolean getUseCompatPadding() {
        return this.f5231;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        getImpl().m7382();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        getImpl().m7383();
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        getImpl().m7385();
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int sizeDimension = getSizeDimension();
        this.f5229 = (sizeDimension - this.f5230) / 2;
        getImpl().m7394();
        int min = Math.min(m7289(sizeDimension, i), m7289(sizeDimension, i2));
        Rect rect = this.f5232;
        setMeasuredDimension(rect.left + min + rect.right, min + rect.top + rect.bottom);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof com.d.a.a.c0.a)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        com.d.a.a.c0.a aVar = (com.d.a.a.c0.a) parcelable;
        super.onRestoreInstanceState(aVar.m11110());
        com.d.a.a.u.c cVar = this.f5235;
        Bundle bundle = aVar.f3521.get("expandableWidgetHelper");
        e.g.k.h.m10391(bundle);
        cVar.m5090(bundle);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        Parcelable onSaveInstanceState = super.onSaveInstanceState();
        if (onSaveInstanceState == null) {
            onSaveInstanceState = new Bundle();
        }
        com.d.a.a.c0.a aVar = new com.d.a.a.c0.a(onSaveInstanceState);
        aVar.f3521.put("expandableWidgetHelper", this.f5235.m5092());
        return aVar;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() != 0 || !m7301(this.f5233) || this.f5233.contains((int) motionEvent.getX(), (int) motionEvent.getY())) {
            return super.onTouchEvent(motionEvent);
        }
        return false;
    }

    public void setBackgroundColor(int i) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundDrawable(Drawable drawable) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundResource(int i) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        if (this.f5221 != colorStateList) {
            this.f5221 = colorStateList;
            getImpl().m7351(colorStateList);
        }
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        if (this.f5222 != mode) {
            this.f5222 = mode;
            getImpl().m7353(mode);
        }
    }

    public void setCompatElevation(float f2) {
        getImpl().m7347(f2);
    }

    public void setCompatElevationResource(int i) {
        setCompatElevation(getResources().getDimension(i));
    }

    public void setCompatHoveredFocusedTranslationZ(float f2) {
        getImpl().m7362(f2);
    }

    public void setCompatHoveredFocusedTranslationZResource(int i) {
        setCompatHoveredFocusedTranslationZ(getResources().getDimension(i));
    }

    public void setCompatPressedTranslationZ(float f2) {
        getImpl().m7372(f2);
    }

    public void setCompatPressedTranslationZResource(int i) {
        setCompatPressedTranslationZ(getResources().getDimension(i));
    }

    public void setCustomSize(int i) {
        if (i < 0) {
            throw new IllegalArgumentException("Custom size must be non-negative");
        } else if (i != this.f5228) {
            this.f5228 = i;
            requestLayout();
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        getImpl().m7375(f2);
    }

    public void setEnsureMinTouchTargetSize(boolean z) {
        if (z != getImpl().m7373()) {
            getImpl().m7359(z);
            requestLayout();
        }
    }

    public void setExpandedComponentIdHint(int i) {
        this.f5235.m5089(i);
    }

    public void setHideMotionSpec(h hVar) {
        getImpl().m7356(hVar);
    }

    public void setHideMotionSpecResource(int i) {
        setHideMotionSpec(h.m4989(getContext(), i));
    }

    public void setImageDrawable(Drawable drawable) {
        if (getDrawable() != drawable) {
            super.setImageDrawable(drawable);
            getImpl().m7393();
            if (this.f5223 != null) {
                m7295();
            }
        }
    }

    public void setImageResource(int i) {
        this.f5234.m1559(i);
        m7295();
    }

    public void setMaxImageSize(int i) {
        this.f5230 = i;
        getImpl().m7349(i);
    }

    public void setRippleColor(int i) {
        setRippleColor(ColorStateList.valueOf(i));
    }

    public void setScaleX(float f2) {
        super.setScaleX(f2);
        getImpl().m7387();
    }

    public void setScaleY(float f2) {
        super.setScaleY(f2);
        getImpl().m7387();
    }

    public void setShadowPaddingEnabled(boolean z) {
        getImpl().m7369(z);
    }

    @Override // com.d.a.a.b0.n
    public void setShapeAppearanceModel(com.d.a.a.b0.k kVar) {
        getImpl().m7355(kVar);
    }

    public void setShowMotionSpec(h hVar) {
        getImpl().m7367(hVar);
    }

    public void setShowMotionSpecResource(int i) {
        setShowMotionSpec(h.m4989(getContext(), i));
    }

    public void setSize(int i) {
        this.f5228 = 0;
        if (i != this.f5227) {
            this.f5227 = i;
            requestLayout();
        }
    }

    @Override // e.g.l.c0
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        setBackgroundTintList(colorStateList);
    }

    @Override // e.g.l.c0
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        setBackgroundTintMode(mode);
    }

    @Override // androidx.core.widget.o
    public void setSupportImageTintList(ColorStateList colorStateList) {
        if (this.f5223 != colorStateList) {
            this.f5223 = colorStateList;
            m7295();
        }
    }

    @Override // androidx.core.widget.o
    public void setSupportImageTintMode(PorterDuff.Mode mode) {
        if (this.f5224 != mode) {
            this.f5224 = mode;
            m7295();
        }
    }

    public void setTranslationX(float f2) {
        super.setTranslationX(f2);
        getImpl().m7388();
    }

    public void setTranslationY(float f2) {
        super.setTranslationY(f2);
        getImpl().m7388();
    }

    public void setTranslationZ(float f2) {
        super.setTranslationZ(f2);
        getImpl().m7388();
    }

    public void setUseCompatPadding(boolean z) {
        if (this.f5231 != z) {
            this.f5231 = z;
            getImpl().m7384();
        }
    }

    @Override // com.google.android.material.internal.s
    public void setVisibility(int i) {
        super.setVisibility(i);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7304(b bVar) {
        m7305(bVar, true);
    }

    public FloatingActionButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, com.d.a.a.b.floatingActionButtonStyle);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (this.f5225 != colorStateList) {
            this.f5225 = colorStateList;
            getImpl().m7365(this.f5225);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7305(b bVar, boolean z) {
        getImpl().m7368(m7292(bVar), z);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m7307() {
        return getImpl().m7381();
    }

    public FloatingActionButton(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m7888(context, attributeSet, i, f5220), attributeSet, i);
        this.f5232 = new Rect();
        this.f5233 = new Rect();
        Context context2 = getContext();
        TypedArray r0 = p.m7620(context2, attributeSet, k.FloatingActionButton, i, f5220, new int[0]);
        this.f5221 = com.d.a.a.y.c.m5114(context2, r0, k.FloatingActionButton_backgroundTint);
        this.f5222 = r.m7627(r0.getInt(k.FloatingActionButton_backgroundTintMode, -1), (PorterDuff.Mode) null);
        this.f5225 = com.d.a.a.y.c.m5114(context2, r0, k.FloatingActionButton_rippleColor);
        this.f5227 = r0.getInt(k.FloatingActionButton_fabSize, -1);
        this.f5228 = r0.getDimensionPixelSize(k.FloatingActionButton_fabCustomSize, 0);
        this.f5226 = r0.getDimensionPixelSize(k.FloatingActionButton_borderWidth, 0);
        float dimension = r0.getDimension(k.FloatingActionButton_elevation, 0.0f);
        float dimension2 = r0.getDimension(k.FloatingActionButton_hoveredFocusedTranslationZ, 0.0f);
        float dimension3 = r0.getDimension(k.FloatingActionButton_pressedTranslationZ, 0.0f);
        this.f5231 = r0.getBoolean(k.FloatingActionButton_useCompatPadding, false);
        int dimensionPixelSize = getResources().getDimensionPixelSize(com.d.a.a.d.mtrl_fab_min_touch_target);
        setMaxImageSize(r0.getDimensionPixelSize(k.FloatingActionButton_maxImageSize, 0));
        h r5 = h.m4990(context2, r0, k.FloatingActionButton_showMotionSpec);
        h r7 = h.m4990(context2, r0, k.FloatingActionButton_hideMotionSpec);
        com.d.a.a.b0.k r11 = com.d.a.a.b0.k.m4855(context2, attributeSet, i, f5220, com.d.a.a.b0.k.f3452).m4891();
        boolean z = r0.getBoolean(k.FloatingActionButton_ensureMinTouchTargetSize, false);
        setEnabled(r0.getBoolean(k.FloatingActionButton_android_enabled, true));
        r0.recycle();
        androidx.appcompat.widget.s sVar = new androidx.appcompat.widget.s(this);
        this.f5234 = sVar;
        sVar.m1563(attributeSet, i);
        this.f5235 = new com.d.a.a.u.c(this);
        getImpl().m7355(r11);
        getImpl().m7352(this.f5221, this.f5222, this.f5225, this.f5226);
        getImpl().m7363(dimensionPixelSize);
        getImpl().m7347(dimension);
        getImpl().m7362(dimension2);
        getImpl().m7372(dimension3);
        getImpl().m7367(r5);
        getImpl().m7356(r7);
        getImpl().m7359(z);
        setScaleType(ImageView.ScaleType.MATRIX);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m7293(Rect rect) {
        int i = rect.left;
        Rect rect2 = this.f5232;
        rect.left = i + rect2.left;
        rect.top += rect2.top;
        rect.right -= rect2.right;
        rect.bottom -= rect2.bottom;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7298(b bVar) {
        m7299(bVar, true);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7302(Animator.AnimatorListener animatorListener) {
        getImpl().m7364(animatorListener);
    }

    /* access modifiers changed from: private */
    public class c implements com.d.a.a.a0.b {
        c() {
        }

        @Override // com.d.a.a.a0.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7324(int i, int i2, int i3, int i4) {
            FloatingActionButton.this.f5232.set(i, i2, i3, i4);
            FloatingActionButton floatingActionButton = FloatingActionButton.this;
            floatingActionButton.setPadding(i + floatingActionButton.f5229, i2 + FloatingActionButton.this.f5229, i3 + FloatingActionButton.this.f5229, i4 + FloatingActionButton.this.f5229);
        }

        @Override // com.d.a.a.a0.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7325(Drawable drawable) {
            if (drawable != null) {
                FloatingActionButton.super.setBackgroundDrawable(drawable);
            }
        }

        @Override // com.d.a.a.a0.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m7326() {
            return FloatingActionButton.this.f5231;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7299(b bVar, boolean z) {
        getImpl().m7358(m7292(bVar), z);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m7306() {
        return getImpl().m7380();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7296(Animator.AnimatorListener animatorListener) {
        getImpl().m7350(animatorListener);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7303(Rect rect) {
        rect.set(0, 0, getMeasuredWidth(), getMeasuredHeight());
        m7293(rect);
    }

    @Override // com.d.a.a.u.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m7300() {
        return this.f5235.m5091();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m7288(int i) {
        int i2 = this.f5228;
        if (i2 != 0) {
            return i2;
        }
        Resources resources = getResources();
        if (i != -1) {
            if (i != 1) {
                return resources.getDimensionPixelSize(com.d.a.a.d.design_fab_size_normal);
            }
            return resources.getDimensionPixelSize(com.d.a.a.d.design_fab_size_mini);
        } else if (Math.max(resources.getConfiguration().screenWidthDp, resources.getConfiguration().screenHeightDp) < 470) {
            return m7288(1);
        } else {
            return m7288(0);
        }
    }

    @Deprecated
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m7301(Rect rect) {
        if (!d0.m10468(this)) {
            return false;
        }
        rect.set(0, 0, getWidth(), getHeight());
        m7293(rect);
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m7289(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE) {
            return Math.min(i, size);
        }
        if (mode == 0) {
            return i;
        }
        if (mode == 1073741824) {
            return size;
        }
        throw new IllegalArgumentException();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7297(com.d.a.a.l.k<? extends FloatingActionButton> kVar) {
        getImpl().m7357(new d(kVar));
    }
}
