package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.StateListAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.view.View;
import com.d.a.a.a0.b;
import com.d.a.a.b0.g;
import com.d.a.a.b0.k;
import e.g.k.h;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
/* compiled from: FloatingActionButtonImplLollipop */
public class c extends b {

    /* access modifiers changed from: package-private */
    /* compiled from: FloatingActionButtonImplLollipop */
    public static class a extends g {
        a(k kVar) {
            super(kVar);
        }

        @Override // com.d.a.a.b0.g
        public boolean isStateful() {
            return true;
        }
    }

    c(FloatingActionButton floatingActionButton, b bVar) {
        super(floatingActionButton, bVar);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7410(ColorStateList colorStateList, PorterDuff.Mode mode, ColorStateList colorStateList2, int i) {
        Drawable drawable;
        g r0 = m7407();
        this.f5271 = r0;
        r0.setTintList(colorStateList);
        if (mode != null) {
            this.f5271.setTintMode(mode);
        }
        this.f5271.m4806(this.f5294.getContext());
        if (i > 0) {
            this.f5273 = m7408(i, colorStateList);
            a aVar = this.f5273;
            h.m10391(aVar);
            g gVar = this.f5271;
            h.m10391(gVar);
            drawable = new LayerDrawable(new Drawable[]{aVar, gVar});
        } else {
            this.f5273 = null;
            drawable = this.f5271;
        }
        RippleDrawable rippleDrawable = new RippleDrawable(com.d.a.a.z.b.m5143(colorStateList2), drawable, null);
        this.f5272 = rippleDrawable;
        this.f5274 = rippleDrawable;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7413(ColorStateList colorStateList) {
        Drawable drawable = this.f5272;
        if (drawable instanceof RippleDrawable) {
            ((RippleDrawable) drawable).setColor(com.d.a.a.z.b.m5143(colorStateList));
        } else {
            super.m7365(colorStateList);
        }
    }

    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʽ  reason: contains not printable characters */
    public float m7414() {
        return this.f5294.getElevation();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ˏ  reason: contains not printable characters */
    public void m7415() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: י  reason: contains not printable characters */
    public void m7416() {
        m7394();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ᵎ  reason: contains not printable characters */
    public boolean m7417() {
        return false;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ᵔ  reason: contains not printable characters */
    public boolean m7418() {
        return this.f5295.m4767() || !m7391();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ⁱ  reason: contains not printable characters */
    public void m7419() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7409(float f2, float f3, float f4) {
        if (Build.VERSION.SDK_INT == 21) {
            this.f5294.refreshDrawableState();
        } else {
            StateListAnimator stateListAnimator = new StateListAnimator();
            stateListAnimator.addState(b.f5262, m7406(f2, f4));
            stateListAnimator.addState(b.f5265, m7406(f2, f3));
            stateListAnimator.addState(b.f5264, m7406(f2, f3));
            stateListAnimator.addState(b.f5268, m7406(f2, f3));
            AnimatorSet animatorSet = new AnimatorSet();
            ArrayList arrayList = new ArrayList();
            arrayList.add(ObjectAnimator.ofFloat(this.f5294, "elevation", f2).setDuration(0L));
            int i = Build.VERSION.SDK_INT;
            if (i >= 22 && i <= 24) {
                FloatingActionButton floatingActionButton = this.f5294;
                arrayList.add(ObjectAnimator.ofFloat(floatingActionButton, View.TRANSLATION_Z, floatingActionButton.getTranslationZ()).setDuration(100L));
            }
            arrayList.add(ObjectAnimator.ofFloat(this.f5294, View.TRANSLATION_Z, 0.0f).setDuration(100L));
            animatorSet.playSequentially((Animator[]) arrayList.toArray(new Animator[0]));
            animatorSet.setInterpolator(b.f5263);
            stateListAnimator.addState(b.f5266, animatorSet);
            stateListAnimator.addState(b.f5267, m7406(0.0f, 0.0f));
            this.f5294.setStateListAnimator(stateListAnimator);
        }
        if (m7418()) {
            m7394();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Animator m7406(float f2, float f3) {
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.play(ObjectAnimator.ofFloat(this.f5294, "elevation", f2).setDuration(0L)).with(ObjectAnimator.ofFloat(this.f5294, View.TRANSLATION_Z, f3).setDuration(100L));
        animatorSet.setInterpolator(b.f5263);
        return animatorSet;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7412(int[] iArr) {
        if (Build.VERSION.SDK_INT != 21) {
            return;
        }
        if (this.f5294.isEnabled()) {
            this.f5294.setElevation(this.f5277);
            if (this.f5294.isPressed()) {
                this.f5294.setTranslationZ(this.f5279);
            } else if (this.f5294.isFocused() || this.f5294.isHovered()) {
                this.f5294.setTranslationZ(this.f5278);
            } else {
                this.f5294.setTranslationZ(0.0f);
            }
        } else {
            this.f5294.setElevation(0.0f);
            this.f5294.setTranslationZ(0.0f);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public a m7408(int i, ColorStateList colorStateList) {
        Context context = this.f5294.getContext();
        k kVar = this.f5269;
        h.m10391(kVar);
        a aVar = new a(kVar);
        aVar.m7332(e.g.d.a.m9983(context, com.d.a.a.c.design_fab_stroke_top_outer_color), e.g.d.a.m9983(context, com.d.a.a.c.design_fab_stroke_top_inner_color), e.g.d.a.m9983(context, com.d.a.a.c.design_fab_stroke_end_inner_color), e.g.d.a.m9983(context, com.d.a.a.c.design_fab_stroke_end_outer_color));
        aVar.m7331((float) i);
        aVar.m7333(colorStateList);
        return aVar;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public g m7407() {
        k kVar = this.f5269;
        h.m10391(kVar);
        return new a(kVar);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7411(Rect rect) {
        if (this.f5295.m4767()) {
            super.m7354(rect);
        } else if (!m7391()) {
            int sizeDimension = (this.f5280 - this.f5294.getSizeDimension()) / 2;
            rect.set(sizeDimension, sizeDimension, sizeDimension, sizeDimension);
        } else {
            rect.set(0, 0, 0, 0);
        }
    }
}
