package com.google.android.material.internal;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.widget.Checkable;
import android.widget.ImageButton;
import androidx.appcompat.widget.r;
import e.g.l.d;
import e.g.l.d0;
import e.g.l.m0.c;

public class CheckableImageButton extends r implements Checkable {

    /* renamed from: ˎ  reason: contains not printable characters */
    private static final int[] f5325 = {16842912};

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean f5326;

    /* renamed from: ˊ  reason: contains not printable characters */
    private boolean f5327;

    /* renamed from: ˋ  reason: contains not printable characters */
    private boolean f5328;

    class a extends d {
        a() {
        }

        @Override // e.g.l.d
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7430(View view, c cVar) {
            super.m10405(view, cVar);
            cVar.m10927(CheckableImageButton.this.m7429());
            cVar.m10934(CheckableImageButton.this.isChecked());
        }

        @Override // e.g.l.d
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m7431(View view, AccessibilityEvent accessibilityEvent) {
            super.m10409(view, accessibilityEvent);
            accessibilityEvent.setChecked(CheckableImageButton.this.isChecked());
        }
    }

    /* access modifiers changed from: package-private */
    public static class b extends e.i.a.a {
        public static final Parcelable.Creator<b> CREATOR = new a();

        /* renamed from: ˈ  reason: contains not printable characters */
        boolean f5330;

        static class a implements Parcelable.ClassLoaderCreator<b> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public b[] newArray(int i) {
                return new b[i];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public b createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new b(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public b createFromParcel(Parcel parcel) {
                return new b(parcel, null);
            }
        }

        public b(Parcelable parcelable) {
            super(parcelable);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private void m7432(Parcel parcel) {
            boolean z = true;
            if (parcel.readInt() != 1) {
                z = false;
            }
            this.f5330 = z;
        }

        @Override // e.i.a.a
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f5330 ? 1 : 0);
        }

        public b(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            m7432(parcel);
        }
    }

    public CheckableImageButton(Context context) {
        this(context, null);
    }

    public boolean isChecked() {
        return this.f5326;
    }

    public int[] onCreateDrawableState(int i) {
        if (this.f5326) {
            return ImageButton.mergeDrawableStates(super.onCreateDrawableState(i + f5325.length), f5325);
        }
        return super.onCreateDrawableState(i);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof b)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        b bVar = (b) parcelable;
        super.onRestoreInstanceState(bVar.m11110());
        setChecked(bVar.f5330);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        b bVar = new b(super.onSaveInstanceState());
        bVar.f5330 = this.f5326;
        return bVar;
    }

    public void setCheckable(boolean z) {
        if (this.f5327 != z) {
            this.f5327 = z;
            sendAccessibilityEvent(0);
        }
    }

    public void setChecked(boolean z) {
        if (this.f5327 && this.f5326 != z) {
            this.f5326 = z;
            refreshDrawableState();
            sendAccessibilityEvent(2048);
        }
    }

    public void setPressable(boolean z) {
        this.f5328 = z;
    }

    public void setPressed(boolean z) {
        if (this.f5328) {
            super.setPressed(z);
        }
    }

    public void toggle() {
        setChecked(!this.f5326);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m7429() {
        return this.f5327;
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, e.a.a.imageButtonStyle);
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f5327 = true;
        this.f5328 = true;
        d0.m10432(this, new a());
    }
}
