package com.google.android.material.internal;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.widget.CheckedTextView;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.appcompat.view.menu.i;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.e1;
import androidx.appcompat.widget.n0;
import com.d.a.a.e;
import com.d.a.a.f;
import com.d.a.a.h;
import e.g.d.f.j;
import e.g.l.d;
import e.g.l.d0;
import e.g.l.m0.c;

public class NavigationMenuItemView extends e implements n.a {

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private static final int[] f5331 = {16842912};

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private final CheckedTextView f5332;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private i f5333;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private FrameLayout f5334;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private boolean f5335;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private ColorStateList f5336;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private final d f5337;

    /* renamed from: ــ  reason: contains not printable characters */
    private Drawable f5338;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private boolean f5339;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    boolean f5340;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private int f5341;

    class a extends d {
        a() {
        }

        @Override // e.g.l.d
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7439(View view, c cVar) {
            super.m10405(view, cVar);
            cVar.m10927(NavigationMenuItemView.this.f5340);
        }
    }

    public NavigationMenuItemView(Context context) {
        this(context, null);
    }

    private void setActionView(View view) {
        if (view != null) {
            if (this.f5334 == null) {
                this.f5334 = (FrameLayout) ((ViewStub) findViewById(f.design_menu_item_action_area_stub)).inflate();
            }
            this.f5334.removeAllViews();
            this.f5334.addView(view);
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m7433() {
        if (m7435()) {
            this.f5332.setVisibility(8);
            FrameLayout frameLayout = this.f5334;
            if (frameLayout != null) {
                n0.a aVar = (n0.a) frameLayout.getLayoutParams();
                ((LinearLayout.LayoutParams) aVar).width = -1;
                this.f5334.setLayoutParams(aVar);
                return;
            }
            return;
        }
        this.f5332.setVisibility(0);
        FrameLayout frameLayout2 = this.f5334;
        if (frameLayout2 != null) {
            n0.a aVar2 = (n0.a) frameLayout2.getLayoutParams();
            ((LinearLayout.LayoutParams) aVar2).width = -2;
            this.f5334.setLayoutParams(aVar2);
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private StateListDrawable m7434() {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(e.a.a.colorControlHighlight, typedValue, true)) {
            return null;
        }
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(f5331, new ColorDrawable(typedValue.data));
        stateListDrawable.addState(ViewGroup.EMPTY_STATE_SET, new ColorDrawable(0));
        return stateListDrawable;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private boolean m7435() {
        return this.f5333.getTitle() == null && this.f5333.getIcon() == null && this.f5333.getActionView() != null;
    }

    @Override // androidx.appcompat.view.menu.n.a
    public i getItemData() {
        return this.f5333;
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 1);
        i iVar = this.f5333;
        if (iVar != null && iVar.isCheckable() && this.f5333.isChecked()) {
            ViewGroup.mergeDrawableStates(onCreateDrawableState, f5331);
        }
        return onCreateDrawableState;
    }

    public void setCheckable(boolean z) {
        refreshDrawableState();
        if (this.f5340 != z) {
            this.f5340 = z;
            this.f5337.m10404(this.f5332, 2048);
        }
    }

    public void setChecked(boolean z) {
        refreshDrawableState();
        this.f5332.setChecked(z);
    }

    public void setHorizontalPadding(int i) {
        setPadding(i, getPaddingTop(), i, getPaddingBottom());
    }

    public void setIcon(Drawable drawable) {
        if (drawable != null) {
            if (this.f5335) {
                Drawable.ConstantState constantState = drawable.getConstantState();
                if (constantState != null) {
                    drawable = constantState.newDrawable();
                }
                drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
                androidx.core.graphics.drawable.a.m1976(drawable, this.f5336);
            }
            int i = this.f5341;
            drawable.setBounds(0, 0, i, i);
        } else if (this.f5339) {
            if (this.f5338 == null) {
                Drawable r4 = j.m10105(getResources(), e.navigation_empty_icon, getContext().getTheme());
                this.f5338 = r4;
                if (r4 != null) {
                    int i2 = this.f5341;
                    r4.setBounds(0, 0, i2, i2);
                }
            }
            drawable = this.f5338;
        }
        androidx.core.widget.j.m2158(this.f5332, drawable, null, null, null);
    }

    public void setIconPadding(int i) {
        this.f5332.setCompoundDrawablePadding(i);
    }

    public void setIconSize(int i) {
        this.f5341 = i;
    }

    /* access modifiers changed from: package-private */
    public void setIconTintList(ColorStateList colorStateList) {
        this.f5336 = colorStateList;
        this.f5335 = colorStateList != null;
        i iVar = this.f5333;
        if (iVar != null) {
            setIcon(iVar.getIcon());
        }
    }

    public void setMaxLines(int i) {
        this.f5332.setMaxLines(i);
    }

    public void setNeedsEmptyIcon(boolean z) {
        this.f5339 = z;
    }

    public void setTextAppearance(int i) {
        androidx.core.widget.j.m2167(this.f5332, i);
    }

    public void setTextColor(ColorStateList colorStateList) {
        this.f5332.setTextColor(colorStateList);
    }

    public void setTitle(CharSequence charSequence) {
        this.f5332.setText(charSequence);
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7436(i iVar, int i) {
        this.f5333 = iVar;
        if (iVar.getItemId() > 0) {
            setId(iVar.getItemId());
        }
        setVisibility(iVar.isVisible() ? 0 : 8);
        if (getBackground() == null) {
            d0.m10431(this, m7434());
        }
        setCheckable(iVar.isCheckable());
        setChecked(iVar.isChecked());
        setEnabled(iVar.isEnabled());
        setTitle(iVar.getTitle());
        setIcon(iVar.getIcon());
        setActionView(iVar.getActionView());
        setContentDescription(iVar.getContentDescription());
        e1.m1251(this, iVar.getTooltipText());
        m7433();
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m7437() {
        return false;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m7438() {
        FrameLayout frameLayout = this.f5334;
        if (frameLayout != null) {
            frameLayout.removeAllViews();
        }
        this.f5332.setCompoundDrawables(null, null, null, null);
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f5337 = new a();
        setOrientation(0);
        LayoutInflater.from(context).inflate(h.design_navigation_menu_item, (ViewGroup) this, true);
        setIconSize(context.getResources().getDimensionPixelSize(com.d.a.a.d.design_navigation_icon_size));
        CheckedTextView checkedTextView = (CheckedTextView) findViewById(f.design_menu_item_text);
        this.f5332 = checkedTextView;
        checkedTextView.setDuplicateParentStateEnabled(true);
        d0.m10432(this.f5332, this.f5337);
    }
}
