package com.google.android.material.internal;

import android.animation.TimeInterpolator;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import com.d.a.a.y.a;
import com.d.a.a.y.d;
import com.google.android.material.internal.m;
import e.g.j.e;
import e.g.l.d0;
import e.g.l.h;

/* compiled from: CollapsingTextHelper */
public final class a {

    /* renamed from: ʻי  reason: contains not printable characters */
    private static final boolean f5343 = (Build.VERSION.SDK_INT < 18);

    /* renamed from: ʻـ  reason: contains not printable characters */
    private static final Paint f5344 = null;

    /* renamed from: ʻ  reason: contains not printable characters */
    private final View f5345;

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private CharSequence f5346;

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private float f5347;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private float f5348;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private StaticLayout f5349;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private float f5350;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private float f5351;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private float f5352;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private float f5353;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private CharSequence f5354;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private int f5355 = 1;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private float f5356 = 0.0f;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private float f5357 = 1.0f;

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private int f5358 = m.f5471;

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean f5359;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private boolean f5360 = true;

    /* renamed from: ʽ  reason: contains not printable characters */
    private float f5361;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private boolean f5362;

    /* renamed from: ʾ  reason: contains not printable characters */
    private boolean f5363;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private Bitmap f5364;

    /* renamed from: ʿ  reason: contains not printable characters */
    private float f5365;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private boolean f5366;

    /* renamed from: ˆ  reason: contains not printable characters */
    private float f5367;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private float f5368;

    /* renamed from: ˈ  reason: contains not printable characters */
    private int f5369;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private int[] f5370;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final Rect f5371;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private float f5372;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final Rect f5373;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private final TextPaint f5374;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final RectF f5375;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private boolean f5376;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f5377 = 16;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private TimeInterpolator f5378;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f5379 = 16;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private final TextPaint f5380;

    /* renamed from: ˑ  reason: contains not printable characters */
    private float f5381 = 15.0f;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private TimeInterpolator f5382;

    /* renamed from: י  reason: contains not printable characters */
    private float f5383 = 15.0f;

    /* renamed from: יי  reason: contains not printable characters */
    private float f5384;

    /* renamed from: ـ  reason: contains not printable characters */
    private ColorStateList f5385;

    /* renamed from: ــ  reason: contains not printable characters */
    private Paint f5386;

    /* renamed from: ٴ  reason: contains not printable characters */
    private ColorStateList f5387;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private float f5388;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private float f5389;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private com.d.a.a.y.a f5390;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private float f5391;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private CharSequence f5392;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private float f5393;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private float f5394;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private float f5395;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private float f5396;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private float f5397;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private ColorStateList f5398;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private float f5399;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private float f5400;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private Typeface f5401;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private float f5402;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private Typeface f5403;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private ColorStateList f5404;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private Typeface f5405;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private com.d.a.a.y.a f5406;

    /* renamed from: com.google.android.material.internal.a$a  reason: collision with other inner class name */
    /* compiled from: CollapsingTextHelper */
    class C0070a implements a.AbstractC0043a {
        C0070a() {
        }

        @Override // com.d.a.a.y.a.AbstractC0043a
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7500(Typeface typeface) {
            a.this.m7481(typeface);
        }
    }

    static {
        Paint paint = null;
        if (0 != 0) {
            paint.setAntiAlias(true);
            f5344.setColor(-65281);
        }
    }

    public a(View view) {
        this.f5345 = view;
        this.f5374 = new TextPaint(129);
        this.f5380 = new TextPaint(this.f5374);
        this.f5373 = new Rect();
        this.f5371 = new Rect();
        this.f5375 = new RectF();
        this.f5367 = m7466();
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m7463(float f2) {
        this.f5352 = f2;
        d0.m10477(this.f5345);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m7464() {
        m7458(this.f5361);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private float m7466() {
        float f2 = this.f5365;
        return f2 + ((1.0f - f2) * 0.5f);
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private void m7467() {
        Bitmap bitmap = this.f5364;
        if (bitmap != null) {
            bitmap.recycle();
            this.f5364 = null;
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private void m7468() {
        if (this.f5364 == null && !this.f5371.isEmpty() && !TextUtils.isEmpty(this.f5346)) {
            m7458(0.0f);
            int width = this.f5349.getWidth();
            int height = this.f5349.getHeight();
            if (width > 0 && height > 0) {
                this.f5364 = Bitmap.createBitmap(width, height, Bitmap.Config.ARGB_8888);
                this.f5349.draw(new Canvas(this.f5364));
                if (this.f5386 == null) {
                    this.f5386 = new Paint(3);
                }
            }
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private int m7469() {
        return m7456(this.f5385);
    }

    /* renamed from: י  reason: contains not printable characters */
    private boolean m7470() {
        return d0.m10492(this.f5345) == 1;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private boolean m7471() {
        return this.f5355 > 1 && (!this.f5362 || this.f5363) && !this.f5366;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7476(TimeInterpolator timeInterpolator) {
        this.f5378 = timeInterpolator;
        m7499();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7489(TimeInterpolator timeInterpolator) {
        this.f5382 = timeInterpolator;
        m7499();
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m7494(int i) {
        if (this.f5377 != i) {
            this.f5377 = i;
            m7499();
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public float m7495() {
        m7452(this.f5380);
        return -this.f5380.ascent();
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public float m7496() {
        return this.f5361;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public final boolean m7497() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2 = this.f5387;
        return (colorStateList2 != null && colorStateList2.isStateful()) || ((colorStateList = this.f5385) != null && colorStateList.isStateful());
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public void m7498() {
        this.f5359 = this.f5373.width() > 0 && this.f5373.height() > 0 && this.f5371.width() > 0 && this.f5371.height() > 0;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m7460(float f2) {
        m7445(f2, false);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m7465(float f2) {
        m7460(f2);
        boolean z = f5343 && this.f5368 != 1.0f;
        this.f5366 = z;
        if (z) {
            m7468();
        }
        d0.m10477(this.f5345);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private boolean m7459(Typeface typeface) {
        com.d.a.a.y.a aVar = this.f5406;
        if (aVar != null) {
            aVar.m5103();
        }
        if (this.f5403 == typeface) {
            return false;
        }
        this.f5403 = typeface;
        return true;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m7461(float f2) {
        if (this.f5363) {
            this.f5375.set(f2 < this.f5367 ? this.f5371 : this.f5373);
            return;
        }
        this.f5375.left = m7441((float) this.f5371.left, (float) this.f5373.left, f2, this.f5378);
        this.f5375.top = m7441(this.f5389, this.f5391, f2, this.f5378);
        this.f5375.right = m7441((float) this.f5371.right, (float) this.f5373.right, f2, this.f5378);
        this.f5375.bottom = m7441((float) this.f5371.bottom, (float) this.f5373.bottom, f2, this.f5378);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7473(float f2) {
        if (this.f5381 != f2) {
            this.f5381 = f2;
            m7499();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7490(ColorStateList colorStateList) {
        if (this.f5385 != colorStateList) {
            this.f5385 = colorStateList;
            m7499();
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m7499() {
        m7483(false);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private boolean m7457(Typeface typeface) {
        com.d.a.a.y.a aVar = this.f5390;
        if (aVar != null) {
            aVar.m5103();
        }
        if (this.f5401 == typeface) {
            return false;
        }
        this.f5401 = typeface;
        return true;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m7462(float f2) {
        this.f5351 = f2;
        d0.m10477(this.f5345);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7477(ColorStateList colorStateList) {
        if (this.f5387 != colorStateList) {
            this.f5387 = colorStateList;
            m7499();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7488(int i, int i2, int i3, int i4) {
        if (!m7449(this.f5371, i, i2, i3, i4)) {
            this.f5371.set(i, i2, i3, i4);
            this.f5376 = true;
            m7498();
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m7458(float f2) {
        float f3;
        m7461(f2);
        if (!this.f5363) {
            this.f5397 = m7441(this.f5393, this.f5395, f2, this.f5378);
            this.f5399 = m7441(this.f5389, this.f5391, f2, this.f5378);
            m7465(m7441(this.f5381, this.f5383, f2, this.f5382));
            f3 = f2;
        } else if (f2 < this.f5367) {
            this.f5397 = this.f5393;
            this.f5399 = this.f5389;
            m7465(this.f5381);
            f3 = 0.0f;
        } else {
            this.f5397 = this.f5395;
            this.f5399 = this.f5391 - ((float) Math.max(0, this.f5369));
            m7465(this.f5383);
            f3 = 1.0f;
        }
        m7462(1.0f - m7441(0.0f, 1.0f, 1.0f - f2, com.d.a.a.l.a.f3523));
        m7463(m7441(1.0f, 0.0f, f2, com.d.a.a.l.a.f3523));
        if (this.f5387 != this.f5385) {
            this.f5374.setColor(m7443(m7469(), m7493(), f3));
        } else {
            this.f5374.setColor(m7493());
        }
        if (Build.VERSION.SDK_INT >= 21) {
            float f4 = this.f5347;
            float f5 = this.f5348;
            if (f4 != f5) {
                this.f5374.setLetterSpacing(m7441(f5, f4, f2, com.d.a.a.l.a.f3523));
            } else {
                this.f5374.setLetterSpacing(f4);
            }
        }
        this.f5374.setShadowLayer(m7441(this.f5400, this.f5396, f2, (TimeInterpolator) null), m7441(this.f5402, this.f5384, f2, (TimeInterpolator) null), m7441(this.f5388, this.f5394, f2, (TimeInterpolator) null), m7443(m7456(this.f5404), m7456(this.f5398), f2));
        if (this.f5363) {
            int alpha = this.f5374.getAlpha();
            this.f5374.setAlpha((int) (m7455(f2) * ((float) alpha)));
        }
        d0.m10477(this.f5345);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private float m7455(float f2) {
        float f3 = this.f5367;
        if (f2 <= f3) {
            return com.d.a.a.l.a.m4978(1.0f, 0.0f, this.f5365, f3, f2);
        }
        return com.d.a.a.l.a.m4978(0.0f, 1.0f, f3, 1.0f, f2);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7475(int i, int i2, int i3, int i4) {
        if (!m7449(this.f5373, i, i2, i3, i4)) {
            this.f5373.set(i, i2, i3, i4);
            this.f5376 = true;
            m7498();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7491(Rect rect) {
        m7488(rect.left, rect.top, rect.right, rect.bottom);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private float m7451(RectF rectF, int i, int i2) {
        if (i2 == 17 || (i2 & 7) == 1) {
            return (((float) i) / 2.0f) + (this.f5350 / 2.0f);
        }
        return ((i2 & 8388613) == 8388613 || (i2 & 5) == 5) ? this.f5362 ? rectF.left + this.f5350 : (float) this.f5373.right : this.f5362 ? (float) this.f5373.right : rectF.left + this.f5350;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public int m7493() {
        return m7456(this.f5387);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private int m7456(ColorStateList colorStateList) {
        if (colorStateList == null) {
            return 0;
        }
        int[] iArr = this.f5370;
        if (iArr != null) {
            return colorStateList.getColorForState(iArr, 0);
        }
        return colorStateList.getDefaultColor();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7479(Rect rect) {
        m7475(rect.left, rect.top, rect.right, rect.bottom);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7480(RectF rectF, int i, int i2) {
        this.f5362 = m7454(this.f5392);
        rectF.left = m7442(i, i2);
        rectF.top = (float) this.f5373.top;
        rectF.right = m7451(rectF, i, i2);
        rectF.bottom = ((float) this.f5373.top) + m7485();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public float m7485() {
        m7447(this.f5380);
        return -this.f5380.ascent();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7452(TextPaint textPaint) {
        textPaint.setTextSize(this.f5381);
        textPaint.setTypeface(this.f5403);
        if (Build.VERSION.SDK_INT >= 21) {
            textPaint.setLetterSpacing(this.f5348);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private float m7442(int i, int i2) {
        if (i2 == 17 || (i2 & 7) == 1) {
            return (((float) i) / 2.0f) - (this.f5350 / 2.0f);
        }
        return ((i2 & 8388613) == 8388613 || (i2 & 5) == 5) ? this.f5362 ? (float) this.f5373.left : ((float) this.f5373.right) - this.f5350 : this.f5362 ? ((float) this.f5373.right) - this.f5350 : (float) this.f5373.left;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7487(int i) {
        if (this.f5379 != i) {
            this.f5379 = i;
            m7499();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7447(TextPaint textPaint) {
        textPaint.setTextSize(this.f5383);
        textPaint.setTypeface(this.f5401);
        if (Build.VERSION.SDK_INT >= 21) {
            textPaint.setLetterSpacing(this.f5347);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7492(Typeface typeface) {
        boolean r0 = m7457(typeface);
        boolean r2 = m7459(typeface);
        if (r0 || r2) {
            m7499();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7474(int i) {
        d dVar = new d(this.f5345.getContext(), i);
        if (dVar.m5132() != null) {
            this.f5387 = dVar.m5132();
        }
        if (dVar.m5134() != 0.0f) {
            this.f5383 = dVar.m5134();
        }
        ColorStateList colorStateList = dVar.f3588;
        if (colorStateList != null) {
            this.f5398 = colorStateList;
        }
        this.f5384 = dVar.f3592;
        this.f5394 = dVar.f3593;
        this.f5396 = dVar.f3594;
        this.f5347 = dVar.f3596;
        com.d.a.a.y.a aVar = this.f5390;
        if (aVar != null) {
            aVar.m5103();
        }
        this.f5390 = new com.d.a.a.y.a(new C0070a(), dVar.m5125());
        dVar.m5129(this.f5345.getContext(), this.f5390);
        m7499();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7486(float f2) {
        float r3 = e.g.g.a.m10255(f2, 0.0f, 1.0f);
        if (r3 != this.f5361) {
            this.f5361 = r3;
            m7464();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7453(boolean z) {
        StaticLayout staticLayout;
        float f2 = this.f5372;
        m7445(this.f5383, z);
        CharSequence charSequence = this.f5346;
        if (!(charSequence == null || (staticLayout = this.f5349) == null)) {
            this.f5354 = TextUtils.ellipsize(charSequence, this.f5374, (float) staticLayout.getWidth(), TextUtils.TruncateAt.END);
        }
        float f3 = 0.0f;
        if (this.f5354 != null) {
            TextPaint textPaint = new TextPaint(this.f5374);
            if (Build.VERSION.SDK_INT >= 21) {
                textPaint.setLetterSpacing(this.f5347);
            }
            CharSequence charSequence2 = this.f5354;
            this.f5350 = textPaint.measureText(charSequence2, 0, charSequence2.length());
        } else {
            this.f5350 = 0.0f;
        }
        int r1 = h.m10737(this.f5379, this.f5362 ? 1 : 0);
        int i = r1 & 112;
        if (i == 48) {
            this.f5391 = (float) this.f5373.top;
        } else if (i != 80) {
            this.f5391 = ((float) this.f5373.centerY()) - ((this.f5374.descent() - this.f5374.ascent()) / 2.0f);
        } else {
            this.f5391 = ((float) this.f5373.bottom) + this.f5374.ascent();
        }
        int i2 = r1 & 8388615;
        if (i2 == 1) {
            this.f5395 = ((float) this.f5373.centerX()) - (this.f5350 / 2.0f);
        } else if (i2 != 5) {
            this.f5395 = (float) this.f5373.left;
        } else {
            this.f5395 = ((float) this.f5373.right) - this.f5350;
        }
        m7445(this.f5381, z);
        StaticLayout staticLayout2 = this.f5349;
        float height = staticLayout2 != null ? (float) staticLayout2.getHeight() : 0.0f;
        StaticLayout staticLayout3 = this.f5349;
        if (staticLayout3 != null) {
            staticLayout3.getLineCount();
        }
        CharSequence charSequence3 = this.f5346;
        float measureText = charSequence3 != null ? this.f5374.measureText(charSequence3, 0, charSequence3.length()) : 0.0f;
        StaticLayout staticLayout4 = this.f5349;
        if (staticLayout4 != null && this.f5355 > 1) {
            measureText = (float) staticLayout4.getWidth();
        }
        StaticLayout staticLayout5 = this.f5349;
        if (staticLayout5 != null) {
            f3 = this.f5355 > 1 ? (float) staticLayout5.getLineStart(0) : staticLayout5.getLineLeft(0);
        }
        this.f5353 = f3;
        int r2 = h.m10737(this.f5377, this.f5362 ? 1 : 0);
        int i3 = r2 & 112;
        if (i3 == 48) {
            this.f5389 = (float) this.f5371.top;
        } else if (i3 != 80) {
            this.f5389 = ((float) this.f5371.centerY()) - (height / 2.0f);
        } else {
            this.f5389 = (((float) this.f5371.bottom) - height) + this.f5374.descent();
        }
        int i4 = r2 & 8388615;
        if (i4 == 1) {
            this.f5393 = ((float) this.f5371.centerX()) - (measureText / 2.0f);
        } else if (i4 != 5) {
            this.f5393 = (float) this.f5371.left;
        } else {
            this.f5393 = ((float) this.f5371.right) - measureText;
        }
        m7467();
        m7465(f2);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7481(Typeface typeface) {
        if (m7457(typeface)) {
            m7499();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public final boolean m7484(int[] iArr) {
        this.f5370 = iArr;
        if (!m7497()) {
            return false;
        }
        m7499();
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7478(Canvas canvas) {
        int save = canvas.save();
        if (this.f5346 != null && this.f5359) {
            boolean z = true;
            float lineStart = (this.f5397 + (this.f5355 > 1 ? (float) this.f5349.getLineStart(0) : this.f5349.getLineLeft(0))) - (this.f5353 * 2.0f);
            this.f5374.setTextSize(this.f5372);
            float f2 = this.f5397;
            float f3 = this.f5399;
            if (!this.f5366 || this.f5364 == null) {
                z = false;
            }
            float f4 = this.f5368;
            if (f4 != 1.0f && !this.f5363) {
                canvas.scale(f4, f4, f2, f3);
            }
            if (z) {
                canvas.drawBitmap(this.f5364, f2, f3, this.f5386);
                canvas.restoreToCount(save);
                return;
            }
            if (!m7471() || (this.f5363 && this.f5361 <= this.f5367)) {
                canvas.translate(f2, f3);
                this.f5349.draw(canvas);
            } else {
                m7446(canvas, lineStart, f3);
            }
            canvas.restoreToCount(save);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7446(Canvas canvas, float f2, float f3) {
        int alpha = this.f5374.getAlpha();
        canvas.translate(f2, f3);
        float f4 = (float) alpha;
        this.f5374.setAlpha((int) (this.f5352 * f4));
        this.f5349.draw(canvas);
        this.f5374.setAlpha((int) (this.f5351 * f4));
        int lineBaseline = this.f5349.getLineBaseline(0);
        CharSequence charSequence = this.f5354;
        float f5 = (float) lineBaseline;
        canvas.drawText(charSequence, 0, charSequence.length(), 0.0f, f5, this.f5374);
        if (!this.f5363) {
            String trim = this.f5354.toString().trim();
            if (trim.endsWith("…")) {
                trim = trim.substring(0, trim.length() - 1);
            }
            this.f5374.setAlpha(alpha);
            canvas.drawText(trim, 0, Math.min(this.f5349.getLineEnd(0), trim.length()), 0.0f, f5, (Paint) this.f5374);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m7454(CharSequence charSequence) {
        boolean r0 = m7470();
        return this.f5360 ? m7450(charSequence, r0) : r0;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m7450(CharSequence charSequence, boolean z) {
        return (z ? e.f7460 : e.f7459).m10359(charSequence, 0, charSequence.length());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7445(float f2, boolean z) {
        boolean z2;
        float f3;
        boolean z3;
        if (this.f5392 != null) {
            float width = (float) this.f5373.width();
            float width2 = (float) this.f5371.width();
            boolean z4 = false;
            int i = 1;
            if (m7448(f2, this.f5383)) {
                f3 = this.f5383;
                this.f5368 = 1.0f;
                Typeface typeface = this.f5405;
                Typeface typeface2 = this.f5401;
                if (typeface != typeface2) {
                    this.f5405 = typeface2;
                    z2 = true;
                } else {
                    z2 = false;
                }
            } else {
                float f4 = this.f5381;
                Typeface typeface3 = this.f5405;
                Typeface typeface4 = this.f5403;
                if (typeface3 != typeface4) {
                    this.f5405 = typeface4;
                    z3 = true;
                } else {
                    z3 = false;
                }
                if (m7448(f2, this.f5381)) {
                    this.f5368 = 1.0f;
                } else {
                    this.f5368 = f2 / this.f5381;
                }
                float f5 = this.f5383 / this.f5381;
                float f6 = width2 * f5;
                if (!z && f6 > width) {
                    width = Math.min(width / f5, width2);
                } else {
                    width = width2;
                }
                f3 = f4;
                z2 = z3;
            }
            if (width > 0.0f) {
                z2 = this.f5372 != f3 || this.f5376 || z2;
                this.f5372 = f3;
                this.f5376 = false;
            }
            if (this.f5346 == null || z2) {
                this.f5374.setTextSize(this.f5372);
                this.f5374.setTypeface(this.f5405);
                TextPaint textPaint = this.f5374;
                if (this.f5368 != 1.0f) {
                    z4 = true;
                }
                textPaint.setLinearText(z4);
                this.f5362 = m7454(this.f5392);
                if (m7471()) {
                    i = this.f5355;
                }
                StaticLayout r9 = m7444(i, width, this.f5362);
                this.f5349 = r9;
                this.f5346 = r9.getText();
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private StaticLayout m7444(int i, float f2, boolean z) {
        StaticLayout staticLayout;
        try {
            m r4 = m.m7590(this.f5392, this.f5374, (int) f2);
            r4.m7596(TextUtils.TruncateAt.END);
            r4.m7599(z);
            r4.m7595(Layout.Alignment.ALIGN_NORMAL);
            r4.m7597(false);
            r4.m7598(i);
            r4.m7593(this.f5356, this.f5357);
            r4.m7594(this.f5358);
            staticLayout = r4.m7592();
        } catch (m.a e2) {
            Log.e("CollapsingTextHelper", e2.getCause().getMessage(), e2);
            staticLayout = null;
        }
        e.g.k.h.m10391(staticLayout);
        return staticLayout;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7483(boolean z) {
        if ((this.f5345.getHeight() > 0 && this.f5345.getWidth() > 0) || z) {
            m7453(z);
            m7464();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7482(CharSequence charSequence) {
        if (charSequence == null || !TextUtils.equals(this.f5392, charSequence)) {
            this.f5392 = charSequence;
            this.f5346 = null;
            m7467();
            m7499();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m7448(float f2, float f3) {
        return Math.abs(f2 - f3) < 0.001f;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public ColorStateList m7472() {
        return this.f5387;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m7443(int i, int i2, float f2) {
        float f3 = 1.0f - f2;
        return Color.argb((int) ((((float) Color.alpha(i)) * f3) + (((float) Color.alpha(i2)) * f2)), (int) ((((float) Color.red(i)) * f3) + (((float) Color.red(i2)) * f2)), (int) ((((float) Color.green(i)) * f3) + (((float) Color.green(i2)) * f2)), (int) ((((float) Color.blue(i)) * f3) + (((float) Color.blue(i2)) * f2)));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static float m7441(float f2, float f3, float f4, TimeInterpolator timeInterpolator) {
        if (timeInterpolator != null) {
            f4 = timeInterpolator.getInterpolation(f4);
        }
        return com.d.a.a.l.a.m4977(f2, f3, f4);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m7449(Rect rect, int i, int i2, int i3, int i4) {
        return rect.left == i && rect.top == i2 && rect.right == i3 && rect.bottom == i4;
    }
}
