package com.google.android.material.internal;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.Gravity;
import androidx.appcompat.widget.n0;
import com.d.a.a.k;

/* compiled from: ForegroundLinearLayout */
public class e extends n0 {

    /* renamed from: ᵔ  reason: contains not printable characters */
    private Drawable f5414;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private final Rect f5415;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private final Rect f5416;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private int f5417;

    /* renamed from: ﹶ  reason: contains not printable characters */
    protected boolean f5418;

    /* renamed from: ﾞ  reason: contains not printable characters */
    boolean f5419;

    public e(Context context) {
        this(context, null);
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        Drawable drawable = this.f5414;
        if (drawable != null) {
            if (this.f5419) {
                this.f5419 = false;
                Rect rect = this.f5415;
                Rect rect2 = this.f5416;
                int right = getRight() - getLeft();
                int bottom = getBottom() - getTop();
                if (this.f5418) {
                    rect.set(0, 0, right, bottom);
                } else {
                    rect.set(getPaddingLeft(), getPaddingTop(), right - getPaddingRight(), bottom - getPaddingBottom());
                }
                Gravity.apply(this.f5417, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight(), rect, rect2);
                drawable.setBounds(rect2);
            }
            drawable.draw(canvas);
        }
    }

    @TargetApi(21)
    public void drawableHotspotChanged(float f2, float f3) {
        super.drawableHotspotChanged(f2, f3);
        Drawable drawable = this.f5414;
        if (drawable != null) {
            drawable.setHotspot(f2, f3);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f5414;
        if (drawable != null && drawable.isStateful()) {
            this.f5414.setState(getDrawableState());
        }
    }

    public Drawable getForeground() {
        return this.f5414;
    }

    public int getForegroundGravity() {
        return this.f5417;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f5414;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.n0
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        this.f5419 = z | this.f5419;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        this.f5419 = true;
    }

    public void setForeground(Drawable drawable) {
        Drawable drawable2 = this.f5414;
        if (drawable2 != drawable) {
            if (drawable2 != null) {
                drawable2.setCallback(null);
                unscheduleDrawable(this.f5414);
            }
            this.f5414 = drawable;
            if (drawable != null) {
                setWillNotDraw(false);
                drawable.setCallback(this);
                if (drawable.isStateful()) {
                    drawable.setState(getDrawableState());
                }
                if (this.f5417 == 119) {
                    drawable.getPadding(new Rect());
                }
            } else {
                setWillNotDraw(true);
            }
            requestLayout();
            invalidate();
        }
    }

    public void setForegroundGravity(int i) {
        if (this.f5417 != i) {
            if ((8388615 & i) == 0) {
                i |= 8388611;
            }
            if ((i & 112) == 0) {
                i |= 48;
            }
            this.f5417 = i;
            if (i == 119 && this.f5414 != null) {
                this.f5414.getPadding(new Rect());
            }
            requestLayout();
        }
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f5414;
    }

    public e(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public e(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f5415 = new Rect();
        this.f5416 = new Rect();
        this.f5417 = 119;
        this.f5418 = true;
        this.f5419 = false;
        TypedArray r9 = p.m7620(context, attributeSet, k.ForegroundLinearLayout, i, 0, new int[0]);
        this.f5417 = r9.getInt(k.ForegroundLinearLayout_android_foregroundGravity, this.f5417);
        Drawable drawable = r9.getDrawable(k.ForegroundLinearLayout_android_foreground);
        if (drawable != null) {
            setForeground(drawable);
        }
        this.f5418 = r9.getBoolean(k.ForegroundLinearLayout_foregroundInsidePadding, true);
        r9.recycle();
    }
}
