package com.google.android.material.internal;

import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import e.g.k.h;
import java.lang.reflect.Constructor;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: StaticLayoutBuilderCompat */
final class m {

    /* renamed from: י  reason: contains not printable characters */
    static final int f5471 = (Build.VERSION.SDK_INT >= 23 ? 1 : 0);

    /* renamed from: ـ  reason: contains not printable characters */
    private static boolean f5472;

    /* renamed from: ٴ  reason: contains not printable characters */
    private static Constructor<StaticLayout> f5473;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private static Object f5474;

    /* renamed from: ʻ  reason: contains not printable characters */
    private CharSequence f5475;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final TextPaint f5476;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final int f5477;

    /* renamed from: ʾ  reason: contains not printable characters */
    private int f5478 = 0;

    /* renamed from: ʿ  reason: contains not printable characters */
    private int f5479;

    /* renamed from: ˆ  reason: contains not printable characters */
    private Layout.Alignment f5480;

    /* renamed from: ˈ  reason: contains not printable characters */
    private int f5481;

    /* renamed from: ˉ  reason: contains not printable characters */
    private float f5482;

    /* renamed from: ˊ  reason: contains not printable characters */
    private float f5483;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f5484;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f5485;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f5486;

    /* renamed from: ˑ  reason: contains not printable characters */
    private TextUtils.TruncateAt f5487;

    /* access modifiers changed from: package-private */
    /* compiled from: StaticLayoutBuilderCompat */
    public static class a extends Exception {
        a(Throwable th) {
            super("Error thrown initializing StaticLayout " + th.getMessage(), th);
        }
    }

    private m(CharSequence charSequence, TextPaint textPaint, int i) {
        this.f5475 = charSequence;
        this.f5476 = textPaint;
        this.f5477 = i;
        this.f5479 = charSequence.length();
        this.f5480 = Layout.Alignment.ALIGN_NORMAL;
        this.f5481 = Integer.MAX_VALUE;
        this.f5482 = 0.0f;
        this.f5483 = 1.0f;
        this.f5484 = f5471;
        this.f5485 = true;
        this.f5487 = null;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static m m7590(CharSequence charSequence, TextPaint textPaint, int i) {
        return new m(charSequence, textPaint, i);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public m m7598(int i) {
        this.f5481 = i;
        return this;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7591() throws a {
        Class<?> cls;
        if (!f5472) {
            try {
                boolean z = this.f5486 && Build.VERSION.SDK_INT >= 23;
                if (Build.VERSION.SDK_INT >= 18) {
                    cls = TextDirectionHeuristic.class;
                    f5474 = z ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR;
                } else {
                    ClassLoader classLoader = m.class.getClassLoader();
                    String str = this.f5486 ? "RTL" : "LTR";
                    Class<?> loadClass = classLoader.loadClass("android.text.TextDirectionHeuristic");
                    Class<?> loadClass2 = classLoader.loadClass("android.text.TextDirectionHeuristics");
                    f5474 = loadClass2.getField(str).get(loadClass2);
                    cls = loadClass;
                }
                Constructor<StaticLayout> declaredConstructor = StaticLayout.class.getDeclaredConstructor(CharSequence.class, Integer.TYPE, Integer.TYPE, TextPaint.class, Integer.TYPE, Layout.Alignment.class, cls, Float.TYPE, Float.TYPE, Boolean.TYPE, TextUtils.TruncateAt.class, Integer.TYPE, Integer.TYPE);
                f5473 = declaredConstructor;
                declaredConstructor.setAccessible(true);
                f5472 = true;
            } catch (Exception e2) {
                throw new a(e2);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m7595(Layout.Alignment alignment) {
        this.f5480 = alignment;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m7597(boolean z) {
        this.f5485 = z;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m7593(float f2, float f3) {
        this.f5482 = f2;
        this.f5483 = f3;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m7594(int i) {
        this.f5484 = i;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m7596(TextUtils.TruncateAt truncateAt) {
        this.f5487 = truncateAt;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public StaticLayout m7592() throws a {
        if (this.f5475 == null) {
            this.f5475 = BuildConfig.FLAVOR;
        }
        int max = Math.max(0, this.f5477);
        CharSequence charSequence = this.f5475;
        if (this.f5481 == 1) {
            charSequence = TextUtils.ellipsize(charSequence, this.f5476, (float) max, this.f5487);
        }
        this.f5479 = Math.min(charSequence.length(), this.f5479);
        if (Build.VERSION.SDK_INT >= 23) {
            if (this.f5486 && this.f5481 == 1) {
                this.f5480 = Layout.Alignment.ALIGN_OPPOSITE;
            }
            StaticLayout.Builder obtain = StaticLayout.Builder.obtain(charSequence, this.f5478, this.f5479, this.f5476, max);
            obtain.setAlignment(this.f5480);
            obtain.setIncludePad(this.f5485);
            obtain.setTextDirection(this.f5486 ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR);
            TextUtils.TruncateAt truncateAt = this.f5487;
            if (truncateAt != null) {
                obtain.setEllipsize(truncateAt);
            }
            obtain.setMaxLines(this.f5481);
            if (!(this.f5482 == 0.0f && this.f5483 == 1.0f)) {
                obtain.setLineSpacing(this.f5482, this.f5483);
            }
            if (this.f5481 > 1) {
                obtain.setHyphenationFrequency(this.f5484);
            }
            return obtain.build();
        }
        m7591();
        try {
            Constructor<StaticLayout> constructor = f5473;
            h.m10391(constructor);
            Object obj = f5474;
            h.m10391(obj);
            return constructor.newInstance(charSequence, Integer.valueOf(this.f5478), Integer.valueOf(this.f5479), this.f5476, Integer.valueOf(max), this.f5480, obj, Float.valueOf(1.0f), Float.valueOf(0.0f), Boolean.valueOf(this.f5485), null, Integer.valueOf(max), Integer.valueOf(this.f5481));
        } catch (Exception e2) {
            throw new a(e2);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public m m7599(boolean z) {
        this.f5486 = z;
        return this;
    }
}
