package com.google.android.material.internal;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.TypedValue;
import androidx.appcompat.widget.c1;
import com.d.a.a.b;
import com.d.a.a.k;

/* compiled from: ThemeEnforcement */
public final class p {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final int[] f5495 = {b.colorPrimary};

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final int[] f5496 = {b.colorPrimaryVariant};

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m7614(Context context, AttributeSet attributeSet, int i, int i2) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, k.ThemeEnforcement, i, i2);
        boolean z = obtainStyledAttributes.getBoolean(k.ThemeEnforcement_enforceMaterialTheme, false);
        obtainStyledAttributes.recycle();
        if (z) {
            TypedValue typedValue = new TypedValue();
            if (!context.getTheme().resolveAttribute(b.isMaterialTheme, typedValue, true) || (typedValue.type == 18 && typedValue.data == 0)) {
                m7618(context);
            }
        }
        m7613(context);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static boolean m7619(Context context, AttributeSet attributeSet, int[] iArr, int i, int i2, int... iArr2) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i, i2);
        for (int i3 : iArr2) {
            if (obtainStyledAttributes.getResourceId(i3, -1) == -1) {
                obtainStyledAttributes.recycle();
                return false;
            }
        }
        obtainStyledAttributes.recycle();
        return true;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static TypedArray m7620(Context context, AttributeSet attributeSet, int[] iArr, int i, int i2, int... iArr2) {
        m7614(context, attributeSet, i, i2);
        m7615(context, attributeSet, iArr, i, i2, iArr2);
        return context.obtainStyledAttributes(attributeSet, iArr, i, i2);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static c1 m7621(Context context, AttributeSet attributeSet, int[] iArr, int i, int i2, int... iArr2) {
        m7614(context, attributeSet, i, i2);
        m7615(context, attributeSet, iArr, i, i2, iArr2);
        return c1.m1137(context, attributeSet, iArr, i, i2);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static void m7618(Context context) {
        m7616(context, f5496, "Theme.MaterialComponents");
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m7615(Context context, AttributeSet attributeSet, int[] iArr, int i, int i2, int... iArr2) {
        boolean z;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, k.ThemeEnforcement, i, i2);
        boolean z2 = false;
        if (!obtainStyledAttributes.getBoolean(k.ThemeEnforcement_enforceTextAppearance, false)) {
            obtainStyledAttributes.recycle();
            return;
        }
        if (iArr2 == null || iArr2.length == 0) {
            if (obtainStyledAttributes.getResourceId(k.ThemeEnforcement_android_textAppearance, -1) != -1) {
                z2 = true;
            }
            z = z2;
        } else {
            z = m7619(context, attributeSet, iArr, i, i2, iArr2);
        }
        obtainStyledAttributes.recycle();
        if (!z) {
            throw new IllegalArgumentException("This component requires that you specify a valid TextAppearance attribute. Update your app theme to inherit from Theme.MaterialComponents (or a descendant).");
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m7613(Context context) {
        m7616(context, f5495, "Theme.AppCompat");
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m7617(Context context, int[] iArr) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(iArr);
        for (int i = 0; i < iArr.length; i++) {
            if (!obtainStyledAttributes.hasValue(i)) {
                obtainStyledAttributes.recycle();
                return false;
            }
        }
        obtainStyledAttributes.recycle();
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m7616(Context context, int[] iArr, String str) {
        if (!m7617(context, iArr)) {
            throw new IllegalArgumentException("The style on this component requires your app theme to be " + str + " (or a descendant).");
        }
    }
}
