package com.google.android.material.navigation;

import android.app.Activity;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Path;
import android.graphics.RectF;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import androidx.appcompat.view.menu.g;
import androidx.appcompat.view.menu.i;
import androidx.appcompat.widget.c1;
import androidx.drawerlayout.widget.DrawerLayout;
import com.d.a.a.b0.k;
import com.d.a.a.b0.l;
import com.d.a.a.j;
import com.google.android.material.internal.g;
import com.google.android.material.internal.h;
import com.google.android.material.internal.k;
import com.google.android.material.internal.p;
import e.g.l.d0;
import e.g.l.l0;

public class NavigationView extends k {

    /* renamed from: ﹳ  reason: contains not printable characters */
    private static final int[] f5505 = {16842912};

    /* renamed from: ﹶ  reason: contains not printable characters */
    private static final int[] f5506 = {-16842910};

    /* renamed from: ﾞ  reason: contains not printable characters */
    private static final int f5507 = j.Widget_Design_NavigationView;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final g f5508;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final h f5509;

    /* renamed from: ˏ  reason: contains not printable characters */
    c f5510;

    /* renamed from: ˑ  reason: contains not printable characters */
    private final int f5511;

    /* renamed from: י  reason: contains not printable characters */
    private final int[] f5512;

    /* renamed from: ـ  reason: contains not printable characters */
    private MenuInflater f5513;

    /* renamed from: ٴ  reason: contains not printable characters */
    private ViewTreeObserver.OnGlobalLayoutListener f5514;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f5515;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f5516;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f5517;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f5518;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private Path f5519;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private final RectF f5520;

    class a implements g.a {
        a() {
        }

        @Override // androidx.appcompat.view.menu.g.a
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7648(androidx.appcompat.view.menu.g gVar) {
        }

        @Override // androidx.appcompat.view.menu.g.a
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m7649(androidx.appcompat.view.menu.g gVar, MenuItem menuItem) {
            c cVar = NavigationView.this.f5510;
            return cVar != null && cVar.m7650(menuItem);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ViewTreeObserver.OnGlobalLayoutListener {
        b() {
        }

        public void onGlobalLayout() {
            NavigationView navigationView = NavigationView.this;
            navigationView.getLocationOnScreen(navigationView.f5512);
            boolean z = true;
            boolean z2 = NavigationView.this.f5512[1] == 0;
            NavigationView.this.f5509.m7530(z2);
            NavigationView navigationView2 = NavigationView.this;
            navigationView2.setDrawTopInsetForeground(z2 && navigationView2.m7646());
            Activity r0 = com.google.android.material.internal.b.m7501(NavigationView.this.getContext());
            if (r0 != null && Build.VERSION.SDK_INT >= 21) {
                boolean z3 = r0.findViewById(16908290).getHeight() == NavigationView.this.getHeight();
                boolean z4 = Color.alpha(r0.getWindow().getNavigationBarColor()) != 0;
                NavigationView navigationView3 = NavigationView.this;
                if (!z3 || !z4 || !navigationView3.m7644()) {
                    z = false;
                }
                navigationView3.setDrawBottomInsetForeground(z);
            }
        }
    }

    public interface c {
        /* renamed from: ʻ  reason: contains not printable characters */
        boolean m7650(MenuItem menuItem);
    }

    public NavigationView(Context context) {
        this(context, null);
    }

    private MenuInflater getMenuInflater() {
        if (this.f5513 == null) {
            this.f5513 = new e.a.n.g(getContext());
        }
        return this.f5513;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private ColorStateList m7641(int i) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i, typedValue, true)) {
            return null;
        }
        ColorStateList r10 = e.a.k.a.a.m9035(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(e.a.a.colorPrimary, typedValue, true)) {
            return null;
        }
        int i2 = typedValue.data;
        int defaultColor = r10.getDefaultColor();
        return new ColorStateList(new int[][]{f5506, f5505, FrameLayout.EMPTY_STATE_SET}, new int[]{r10.getColorForState(f5506, defaultColor), i2, defaultColor});
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        if (this.f5519 == null) {
            super.dispatchDraw(canvas);
            return;
        }
        int save = canvas.save();
        canvas.clipPath(this.f5519);
        super.dispatchDraw(canvas);
        canvas.restoreToCount(save);
    }

    public MenuItem getCheckedItem() {
        return this.f5509.m7513();
    }

    public int getDividerInsetEnd() {
        return this.f5509.m7532();
    }

    public int getDividerInsetStart() {
        return this.f5509.m7540();
    }

    public int getHeaderCount() {
        return this.f5509.m7542();
    }

    public Drawable getItemBackground() {
        return this.f5509.m7544();
    }

    public int getItemHorizontalPadding() {
        return this.f5509.m7546();
    }

    public int getItemIconPadding() {
        return this.f5509.m7548();
    }

    public ColorStateList getItemIconTintList() {
        return this.f5509.m7554();
    }

    public int getItemMaxLines() {
        return this.f5509.m7550();
    }

    public ColorStateList getItemTextColor() {
        return this.f5509.m7552();
    }

    public int getItemVerticalPadding() {
        return this.f5509.m7556();
    }

    public Menu getMenu() {
        return this.f5508;
    }

    public int getSubheaderInsetEnd() {
        return this.f5509.m7558();
    }

    public int getSubheaderInsetStart() {
        return this.f5509.m7559();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.k
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        com.d.a.a.b0.h.m4843(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.k
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (Build.VERSION.SDK_INT < 16) {
            getViewTreeObserver().removeGlobalOnLayoutListener(this.f5514);
        } else {
            getViewTreeObserver().removeOnGlobalLayoutListener(this.f5514);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i);
        if (mode == Integer.MIN_VALUE) {
            i = View.MeasureSpec.makeMeasureSpec(Math.min(View.MeasureSpec.getSize(i), this.f5511), 1073741824);
        } else if (mode == 0) {
            i = View.MeasureSpec.makeMeasureSpec(this.f5511, 1073741824);
        }
        super.onMeasure(i, i2);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof d)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        d dVar = (d) parcelable;
        super.onRestoreInstanceState(dVar.m11110());
        this.f5508.m748(dVar.f5523);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        d dVar = new d(super.onSaveInstanceState());
        Bundle bundle = new Bundle();
        dVar.f5523 = bundle;
        this.f5508.m759(bundle);
        return dVar;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        m7636(i, i2);
    }

    public void setBottomInsetScrimEnabled(boolean z) {
        this.f5516 = z;
    }

    public void setCheckedItem(int i) {
        MenuItem findItem = this.f5508.findItem(i);
        if (findItem != null) {
            this.f5509.m7521((i) findItem);
        }
    }

    public void setDividerInsetEnd(int i) {
        this.f5509.m7533(i);
    }

    public void setDividerInsetStart(int i) {
        this.f5509.m7536(i);
    }

    public void setElevation(float f2) {
        if (Build.VERSION.SDK_INT >= 21) {
            super.setElevation(f2);
        }
        com.d.a.a.b0.h.m4844(this, f2);
    }

    public void setItemBackground(Drawable drawable) {
        this.f5509.m7517(drawable);
    }

    public void setItemBackgroundResource(int i) {
        setItemBackground(e.g.d.a.m9990(getContext(), i));
    }

    public void setItemHorizontalPadding(int i) {
        this.f5509.m7541(i);
    }

    public void setItemHorizontalPaddingResource(int i) {
        this.f5509.m7541(getResources().getDimensionPixelSize(i));
    }

    public void setItemIconPadding(int i) {
        this.f5509.m7543(i);
    }

    public void setItemIconPaddingResource(int i) {
        this.f5509.m7543(getResources().getDimensionPixelSize(i));
    }

    public void setItemIconSize(int i) {
        this.f5509.m7545(i);
    }

    public void setItemIconTintList(ColorStateList colorStateList) {
        this.f5509.m7516(colorStateList);
    }

    public void setItemMaxLines(int i) {
        this.f5509.m7547(i);
    }

    public void setItemTextAppearance(int i) {
        this.f5509.m7549(i);
    }

    public void setItemTextColor(ColorStateList colorStateList) {
        this.f5509.m7529(colorStateList);
    }

    public void setItemVerticalPadding(int i) {
        this.f5509.m7551(i);
    }

    public void setItemVerticalPaddingResource(int i) {
        this.f5509.m7551(getResources().getDimensionPixelSize(i));
    }

    public void setNavigationItemSelectedListener(c cVar) {
        this.f5510 = cVar;
    }

    public void setOverScrollMode(int i) {
        super.setOverScrollMode(i);
        h hVar = this.f5509;
        if (hVar != null) {
            hVar.m7553(i);
        }
    }

    public void setSubheaderInsetEnd(int i) {
        this.f5509.m7555(i);
    }

    public void setSubheaderInsetStart(int i) {
        this.f5509.m7555(i);
    }

    public void setTopInsetScrimEnabled(boolean z) {
        this.f5515 = z;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m7647(int i) {
        this.f5509.m7535(true);
        getMenuInflater().inflate(i, this.f5508);
        this.f5509.m7535(false);
        this.f5509.m7524(false);
    }

    public static class d extends e.i.a.a {
        public static final Parcelable.Creator<d> CREATOR = new a();

        /* renamed from: ˈ  reason: contains not printable characters */
        public Bundle f5523;

        static class a implements Parcelable.ClassLoaderCreator<d> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public d[] newArray(int i) {
                return new d[i];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public d createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new d(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public d createFromParcel(Parcel parcel) {
                return new d(parcel, null);
            }
        }

        public d(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f5523 = parcel.readBundle(classLoader);
        }

        @Override // e.i.a.a
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeBundle(this.f5523);
        }

        public d(Parcelable parcelable) {
            super(parcelable);
        }
    }

    public NavigationView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, com.d.a.a.b.navigationViewStyle);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7636(int i, int i2) {
        if (!(getParent() instanceof DrawerLayout) || this.f5518 <= 0 || !(getBackground() instanceof com.d.a.a.b0.g)) {
            this.f5519 = null;
            this.f5520.setEmpty();
            return;
        }
        com.d.a.a.b0.g gVar = (com.d.a.a.b0.g) getBackground();
        k.b r1 = gVar.m4829().m4873();
        if (e.g.l.h.m10737(this.f5517, d0.m10492(this)) == 3) {
            r1.m4904((float) this.f5518);
            r1.m4896((float) this.f5518);
        } else {
            r1.m4900((float) this.f5518);
            r1.m4892((float) this.f5518);
        }
        gVar.setShapeAppearanceModel(r1.m4891());
        if (this.f5519 == null) {
            this.f5519 = new Path();
        }
        this.f5519.reset();
        this.f5520.set(0.0f, 0.0f, (float) i, (float) i2);
        l.m4910().m4919(gVar.m4829(), gVar.m4823(), this.f5520, this.f5519);
        invalidate();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m7639(c1 c1Var) {
        return c1Var.m1157(com.d.a.a.k.NavigationView_itemShapeAppearance) || c1Var.m1157(com.d.a.a.k.NavigationView_itemShapeAppearanceOverlay);
    }

    public NavigationView(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m7888(context, attributeSet, i, f5507), attributeSet, i);
        ColorStateList colorStateList;
        this.f5509 = new h();
        this.f5512 = new int[2];
        this.f5515 = true;
        this.f5516 = true;
        this.f5517 = 0;
        this.f5518 = 0;
        this.f5520 = new RectF();
        Context context2 = getContext();
        this.f5508 = new com.google.android.material.internal.g(context2);
        c1 r2 = p.m7621(context2, attributeSet, com.d.a.a.k.NavigationView, i, f5507, new int[0]);
        if (r2.m1157(com.d.a.a.k.NavigationView_android_background)) {
            d0.m10431(this, r2.m1146(com.d.a.a.k.NavigationView_android_background));
        }
        this.f5518 = r2.m1148(com.d.a.a.k.NavigationView_drawerLayoutCornerSize, 0);
        this.f5517 = r2.m1150(com.d.a.a.k.NavigationView_android_layout_gravity, 0);
        if (getBackground() == null || (getBackground() instanceof ColorDrawable)) {
            com.d.a.a.b0.k r12 = com.d.a.a.b0.k.m4853(context2, attributeSet, i, f5507).m4891();
            Drawable background = getBackground();
            com.d.a.a.b0.g gVar = new com.d.a.a.b0.g(r12);
            if (background instanceof ColorDrawable) {
                gVar.m4807(ColorStateList.valueOf(((ColorDrawable) background).getColor()));
            }
            gVar.m4806(context2);
            d0.m10431(this, gVar);
        }
        if (r2.m1157(com.d.a.a.k.NavigationView_elevation)) {
            setElevation((float) r2.m1148(com.d.a.a.k.NavigationView_elevation, 0));
        }
        setFitsSystemWindows(r2.m1143(com.d.a.a.k.NavigationView_android_fitsSystemWindows, false));
        this.f5511 = r2.m1148(com.d.a.a.k.NavigationView_android_maxWidth, 0);
        ColorStateList colorStateList2 = null;
        ColorStateList r122 = r2.m1157(com.d.a.a.k.NavigationView_subheaderColor) ? r2.m1140(com.d.a.a.k.NavigationView_subheaderColor) : null;
        int r3 = r2.m1157(com.d.a.a.k.NavigationView_subheaderTextAppearance) ? r2.m1156(com.d.a.a.k.NavigationView_subheaderTextAppearance, 0) : 0;
        if (r3 == 0 && r122 == null) {
            r122 = m7641(16842808);
        }
        if (r2.m1157(com.d.a.a.k.NavigationView_itemIconTint)) {
            colorStateList = r2.m1140(com.d.a.a.k.NavigationView_itemIconTint);
        } else {
            colorStateList = m7641(16842808);
        }
        int r5 = r2.m1157(com.d.a.a.k.NavigationView_itemTextAppearance) ? r2.m1156(com.d.a.a.k.NavigationView_itemTextAppearance, 0) : 0;
        if (r2.m1157(com.d.a.a.k.NavigationView_itemIconSize)) {
            setItemIconSize(r2.m1148(com.d.a.a.k.NavigationView_itemIconSize, 0));
        }
        colorStateList2 = r2.m1157(com.d.a.a.k.NavigationView_itemTextColor) ? r2.m1140(com.d.a.a.k.NavigationView_itemTextColor) : colorStateList2;
        if (r5 == 0 && colorStateList2 == null) {
            colorStateList2 = m7641(16842806);
        }
        Drawable r6 = r2.m1146(com.d.a.a.k.NavigationView_itemBackground);
        if (r6 == null && m7639(r2)) {
            r6 = m7635(r2);
        }
        if (r2.m1157(com.d.a.a.k.NavigationView_itemHorizontalPadding)) {
            setItemHorizontalPadding(r2.m1148(com.d.a.a.k.NavigationView_itemHorizontalPadding, 0));
        }
        if (r2.m1157(com.d.a.a.k.NavigationView_itemVerticalPadding)) {
            setItemVerticalPadding(r2.m1148(com.d.a.a.k.NavigationView_itemVerticalPadding, 0));
        }
        setDividerInsetStart(r2.m1148(com.d.a.a.k.NavigationView_dividerInsetStart, 0));
        setDividerInsetEnd(r2.m1148(com.d.a.a.k.NavigationView_dividerInsetEnd, 0));
        setSubheaderInsetStart(r2.m1148(com.d.a.a.k.NavigationView_subheaderInsetStart, 0));
        setSubheaderInsetEnd(r2.m1148(com.d.a.a.k.NavigationView_subheaderInsetEnd, 0));
        setTopInsetScrimEnabled(r2.m1143(com.d.a.a.k.NavigationView_topInsetScrimEnabled, this.f5515));
        setBottomInsetScrimEnabled(r2.m1143(com.d.a.a.k.NavigationView_bottomInsetScrimEnabled, this.f5516));
        int r7 = r2.m1148(com.d.a.a.k.NavigationView_itemIconPadding, 0);
        setItemMaxLines(r2.m1150(com.d.a.a.k.NavigationView_itemMaxLines, 1));
        this.f5508.m737(new a());
        this.f5509.m7539(1);
        this.f5509.m7515(context2, this.f5508);
        if (r3 != 0) {
            this.f5509.m7557(r3);
        }
        this.f5509.m7534(r122);
        this.f5509.m7516(colorStateList);
        this.f5509.m7553(getOverScrollMode());
        if (r5 != 0) {
            this.f5509.m7549(r5);
        }
        this.f5509.m7529(colorStateList2);
        this.f5509.m7517(r6);
        this.f5509.m7543(r7);
        this.f5508.m738(this.f5509);
        addView((View) this.f5509.m7514((ViewGroup) this));
        if (r2.m1157(com.d.a.a.k.NavigationView_menu)) {
            m7647(r2.m1156(com.d.a.a.k.NavigationView_menu, 0));
        }
        if (r2.m1157(com.d.a.a.k.NavigationView_headerLayout)) {
            m7645(r2.m1156(com.d.a.a.k.NavigationView_headerLayout, 0));
        }
        r2.m1147();
        m7640();
    }

    public void setCheckedItem(MenuItem menuItem) {
        MenuItem findItem = this.f5508.findItem(menuItem.getItemId());
        if (findItem != null) {
            this.f5509.m7521((i) findItem);
            return;
        }
        throw new IllegalArgumentException("Called setCheckedItem(MenuItem) with an item that is not in the current menu.");
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public View m7645(int i) {
        return this.f5509.m7528(i);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m7640() {
        this.f5514 = new b();
        getViewTreeObserver().addOnGlobalLayoutListener(this.f5514);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m7646() {
        return this.f5515;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private final Drawable m7635(c1 c1Var) {
        com.d.a.a.b0.g gVar = new com.d.a.a.b0.g(com.d.a.a.b0.k.m4850(getContext(), c1Var.m1156(com.d.a.a.k.NavigationView_itemShapeAppearance, 0), c1Var.m1156(com.d.a.a.k.NavigationView_itemShapeAppearanceOverlay, 0)).m4891());
        gVar.m4807(com.d.a.a.y.c.m5115(getContext(), c1Var, com.d.a.a.k.NavigationView_itemShapeFillColor));
        return new InsetDrawable((Drawable) gVar, c1Var.m1148(com.d.a.a.k.NavigationView_itemShapeInsetStart, 0), c1Var.m1148(com.d.a.a.k.NavigationView_itemShapeInsetTop, 0), c1Var.m1148(com.d.a.a.k.NavigationView_itemShapeInsetEnd, 0), c1Var.m1148(com.d.a.a.k.NavigationView_itemShapeInsetBottom, 0));
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.k
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7643(l0 l0Var) {
        this.f5509.m7523(l0Var);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public View m7642(int i) {
        return this.f5509.m7512(i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m7644() {
        return this.f5516;
    }
}
