package com.google.android.material.textfield;

import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStructure;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.appcompat.widget.c1;
import androidx.appcompat.widget.e0;
import androidx.appcompat.widget.j0;
import androidx.appcompat.widget.m;
import com.d.a.a.b0.k;
import com.d.a.a.i;
import com.d.a.a.j;
import com.google.android.material.internal.CheckableImageButton;
import com.google.android.material.internal.p;
import com.google.android.material.internal.r;
import e.g.l.d0;
import e.s.o;
import java.util.Arrays;
import java.util.Iterator;
import java.util.LinkedHashSet;
import me.zhanghai.android.materialprogressbar.BuildConfig;

public class TextInputLayout extends LinearLayout {

    /* renamed from: ʼᵔ  reason: contains not printable characters */
    private static final int f5550 = j.Widget_Design_TextInputLayout;

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private CharSequence f5551;

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private final CheckableImageButton f5552;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private ColorStateList f5553;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private boolean f5554;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private PorterDuff.Mode f5555;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private boolean f5556;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private Drawable f5557;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private int f5558;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private View.OnLongClickListener f5559;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private final LinkedHashSet<f> f5560;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private int f5561;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private final SparseArray<e> f5562;

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private final CheckableImageButton f5563;

    /* renamed from: ʻי  reason: contains not printable characters */
    private final LinkedHashSet<g> f5564;

    /* renamed from: ʻـ  reason: contains not printable characters */
    private ColorStateList f5565;

    /* renamed from: ʻٴ  reason: contains not printable characters */
    private boolean f5566;

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    private PorterDuff.Mode f5567;

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    private boolean f5568;

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private Drawable f5569;

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private int f5570;

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private Drawable f5571;

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private View.OnLongClickListener f5572;

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private View.OnLongClickListener f5573;

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private final CheckableImageButton f5574;

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private ColorStateList f5575;

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private ColorStateList f5576;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private CharSequence f5577;

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private ColorStateList f5578;

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private int f5579;

    /* renamed from: ʼʿ  reason: contains not printable characters */
    private int f5580;

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private int f5581;

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private ColorStateList f5582;

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private int f5583;

    /* renamed from: ʼˊ  reason: contains not printable characters */
    private int f5584;

    /* renamed from: ʼˋ  reason: contains not printable characters */
    private int f5585;

    /* renamed from: ʼˎ  reason: contains not printable characters */
    private int f5586;

    /* renamed from: ʼˏ  reason: contains not printable characters */
    private int f5587;

    /* renamed from: ʼˑ  reason: contains not printable characters */
    private boolean f5588;

    /* renamed from: ʼי  reason: contains not printable characters */
    final com.google.android.material.internal.a f5589;

    /* renamed from: ʼـ  reason: contains not printable characters */
    private boolean f5590;

    /* renamed from: ʼٴ  reason: contains not printable characters */
    private boolean f5591;

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    private ValueAnimator f5592;

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    private boolean f5593;

    /* renamed from: ʼᵎ  reason: contains not printable characters */
    private boolean f5594;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private final TextView f5595;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private boolean f5596;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final FrameLayout f5597;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private final TextView f5598;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final LinearLayout f5599;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private boolean f5600;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final LinearLayout f5601;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private com.d.a.a.b0.g f5602;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final FrameLayout f5603;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private com.d.a.a.b0.g f5604;

    /* renamed from: ˊ  reason: contains not printable characters */
    EditText f5605;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private final int f5606;

    /* renamed from: ˋ  reason: contains not printable characters */
    private CharSequence f5607;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private k f5608;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f5609;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private int f5610;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f5611;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private int f5612;

    /* renamed from: ˑ  reason: contains not printable characters */
    private final f f5613;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private int f5614;

    /* renamed from: י  reason: contains not printable characters */
    boolean f5615;

    /* renamed from: יי  reason: contains not printable characters */
    private int f5616;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f5617;

    /* renamed from: ــ  reason: contains not printable characters */
    private CharSequence f5618;

    /* renamed from: ٴ  reason: contains not printable characters */
    private boolean f5619;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private final RectF f5620;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private TextView f5621;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private ColorStateList f5622;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int f5623;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private ColorStateList f5624;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f5625;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private int f5626;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private CharSequence f5627;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private int f5628;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean f5629;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private int f5630;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private TextView f5631;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private final Rect f5632;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private ColorStateList f5633;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private final Rect f5634;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private int f5635;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private Typeface f5636;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private e.s.d f5637;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private e.s.d f5638;

    /* access modifiers changed from: package-private */
    public class a implements TextWatcher {
        a() {
        }

        public void afterTextChanged(Editable editable) {
            TextInputLayout textInputLayout = TextInputLayout.this;
            textInputLayout.m7743(!textInputLayout.f5594);
            TextInputLayout textInputLayout2 = TextInputLayout.this;
            if (textInputLayout2.f5615) {
                textInputLayout2.m7739(editable.length());
            }
            if (TextInputLayout.this.f5629) {
                TextInputLayout.this.m7696((TextInputLayout) editable.length());
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }

        public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            TextInputLayout.this.f5563.performClick();
            TextInputLayout.this.f5563.jumpDrawablesToCurrentState();
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            TextInputLayout.this.f5605.requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements ValueAnimator.AnimatorUpdateListener {
        d() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            TextInputLayout.this.f5589.m7486(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    public static class e extends e.g.l.d {

        /* renamed from: ʾ  reason: contains not printable characters */
        private final TextInputLayout f5643;

        public e(TextInputLayout textInputLayout) {
            this.f5643 = textInputLayout;
        }

        @Override // e.g.l.d
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7754(View view, e.g.l.m0.c cVar) {
            super.m10405(view, cVar);
            EditText editText = this.f5643.getEditText();
            CharSequence text = editText != null ? editText.getText() : null;
            CharSequence hint = this.f5643.getHint();
            CharSequence error = this.f5643.getError();
            CharSequence placeholderText = this.f5643.getPlaceholderText();
            int counterMaxLength = this.f5643.getCounterMaxLength();
            CharSequence counterOverflowDescription = this.f5643.getCounterOverflowDescription();
            boolean z = !TextUtils.isEmpty(text);
            boolean z2 = !TextUtils.isEmpty(hint);
            boolean z3 = !this.f5643.m7746();
            boolean z4 = !TextUtils.isEmpty(error);
            boolean z5 = z4 || !TextUtils.isEmpty(counterOverflowDescription);
            String charSequence = z2 ? hint.toString() : BuildConfig.FLAVOR;
            if (z) {
                cVar.m10950(text);
            } else if (!TextUtils.isEmpty(charSequence)) {
                cVar.m10950(charSequence);
                if (z3 && placeholderText != null) {
                    cVar.m10950(charSequence + ", " + ((Object) placeholderText));
                }
            } else if (placeholderText != null) {
                cVar.m10950(placeholderText);
            }
            if (!TextUtils.isEmpty(charSequence)) {
                if (Build.VERSION.SDK_INT >= 26) {
                    cVar.m10938(charSequence);
                } else {
                    if (z) {
                        charSequence = ((Object) text) + ", " + charSequence;
                    }
                    cVar.m10950(charSequence);
                }
                cVar.m10958(!z);
            }
            if (text == null || text.length() != counterMaxLength) {
                counterMaxLength = -1;
            }
            cVar.m10921(counterMaxLength);
            if (z5) {
                if (!z4) {
                    error = counterOverflowDescription;
                }
                cVar.m10933(error);
            }
            if (Build.VERSION.SDK_INT >= 17 && editText != null) {
                editText.setLabelFor(com.d.a.a.f.textinput_helper_text);
            }
        }
    }

    public interface f {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m7755(TextInputLayout textInputLayout);
    }

    public interface g {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m7756(TextInputLayout textInputLayout, int i);
    }

    /* access modifiers changed from: package-private */
    public static class h extends e.i.a.a {
        public static final Parcelable.Creator<h> CREATOR = new a();

        /* renamed from: ˈ  reason: contains not printable characters */
        CharSequence f5644;

        /* renamed from: ˉ  reason: contains not printable characters */
        boolean f5645;

        /* renamed from: ˊ  reason: contains not printable characters */
        CharSequence f5646;

        /* renamed from: ˋ  reason: contains not printable characters */
        CharSequence f5647;

        /* renamed from: ˎ  reason: contains not printable characters */
        CharSequence f5648;

        static class a implements Parcelable.ClassLoaderCreator<h> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public h[] newArray(int i) {
                return new h[i];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public h createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new h(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public h createFromParcel(Parcel parcel) {
                return new h(parcel, null);
            }
        }

        h(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "TextInputLayout.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " error=" + ((Object) this.f5644) + " hint=" + ((Object) this.f5646) + " helperText=" + ((Object) this.f5647) + " placeholderText=" + ((Object) this.f5648) + "}";
        }

        @Override // e.i.a.a
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            TextUtils.writeToParcel(this.f5644, parcel, i);
            parcel.writeInt(this.f5645 ? 1 : 0);
            TextUtils.writeToParcel(this.f5646, parcel, i);
            TextUtils.writeToParcel(this.f5647, parcel, i);
            TextUtils.writeToParcel(this.f5648, parcel, i);
        }

        h(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f5644 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f5645 = parcel.readInt() != 1 ? false : true;
            this.f5646 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f5647 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f5648 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        }
    }

    public TextInputLayout(Context context) {
        this(context, null);
    }

    private e getEndIconDelegate() {
        e eVar = this.f5562.get(this.f5561);
        return eVar != null ? eVar : this.f5562.get(0);
    }

    private CheckableImageButton getEndIconToUpdateDummyDrawable() {
        if (this.f5574.getVisibility() == 0) {
            return this.f5574;
        }
        if (!m7737() || !m7744()) {
            return null;
        }
        return this.f5563;
    }

    private void setEditText(EditText editText) {
        if (this.f5605 == null) {
            if (this.f5561 != 3 && !(editText instanceof TextInputEditText)) {
                Log.i("TextInputLayout", "EditText added is not a TextInputEditText. Please switch to using that class instead.");
            }
            this.f5605 = editText;
            setMinWidth(this.f5609);
            setMaxWidth(this.f5611);
            m7699();
            setTextInputAccessibilityDelegate(new e(this));
            this.f5589.m7492(this.f5605.getTypeface());
            this.f5589.m7473(this.f5605.getTextSize());
            int gravity = this.f5605.getGravity();
            this.f5589.m7487((gravity & -113) | 48);
            this.f5589.m7494(gravity);
            this.f5605.addTextChangedListener(new a());
            if (this.f5576 == null) {
                this.f5576 = this.f5605.getHintTextColors();
            }
            if (this.f5596) {
                if (TextUtils.isEmpty(this.f5618)) {
                    CharSequence hint = this.f5605.getHint();
                    this.f5607 = hint;
                    setHint(hint);
                    this.f5605.setHint((CharSequence) null);
                }
                this.f5600 = true;
            }
            if (this.f5621 != null) {
                m7739(this.f5605.getText().length());
            }
            m7752();
            this.f5613.m7837();
            this.f5599.bringToFront();
            this.f5601.bringToFront();
            this.f5603.bringToFront();
            this.f5574.bringToFront();
            m7736();
            m7731();
            m7719();
            if (!isEnabled()) {
                editText.setEnabled(false);
            }
            m7682(false, true);
            return;
        }
        throw new IllegalArgumentException("We already have an EditText, can only have one");
    }

    private void setErrorIconVisible(boolean z) {
        int i = 0;
        this.f5574.setVisibility(z ? 0 : 8);
        FrameLayout frameLayout = this.f5603;
        if (z) {
            i = 8;
        }
        frameLayout.setVisibility(i);
        m7719();
        if (!m7737()) {
            m7713();
        }
    }

    private void setHintInternal(CharSequence charSequence) {
        if (!TextUtils.equals(charSequence, this.f5618)) {
            this.f5618 = charSequence;
            this.f5589.m7482(charSequence);
            if (!this.f5588) {
                m7694();
            }
        }
    }

    private void setPlaceholderTextEnabled(boolean z) {
        if (this.f5629 != z) {
            if (z) {
                e0 e0Var = new e0(getContext());
                this.f5631 = e0Var;
                e0Var.setId(com.d.a.a.f.textinput_placeholder);
                e.s.d r0 = m7732();
                this.f5637 = r0;
                r0.m11577(67);
                this.f5638 = m7732();
                d0.m10470(this.f5631, 1);
                setPlaceholderTextAppearance(this.f5635);
                setPlaceholderTextColor(this.f5633);
                m7708();
            } else {
                m7701();
                this.f5631 = null;
            }
            this.f5629 = z;
        }
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private boolean m7685() {
        if (this.f5612 != 1 || (Build.VERSION.SDK_INT >= 16 && this.f5605.getMinLines() > 1)) {
            return false;
        }
        return true;
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private void m7694() {
        if (m7734()) {
            RectF rectF = this.f5620;
            this.f5589.m7480(rectF, this.f5605.getWidth(), this.f5605.getGravity());
            m7675(rectF);
            rectF.offset((float) (-getPaddingLeft()), (((float) (-getPaddingTop())) - (rectF.height() / 2.0f)) + ((float) this.f5614));
            ((c) this.f5604).m7778(rectF);
        }
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private void m7699() {
        m7720();
        m7717();
        m7753();
        m7706();
        m7710();
        if (this.f5612 != 0) {
            m7715();
        }
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private void m7701() {
        TextView textView = this.f5631;
        if (textView != null) {
            textView.setVisibility(8);
        }
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private void m7702() {
        if (m7734() && !this.f5588) {
            m7730();
            m7694();
        }
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private boolean m7703() {
        return (this.f5574.getVisibility() == 0 || ((m7737() && m7744()) || this.f5577 != null)) && this.f5601.getMeasuredWidth() > 0;
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private boolean m7704() {
        EditText editText = this.f5605;
        return (editText == null || this.f5604 == null || editText.getBackground() != null || this.f5612 == 0) ? false : true;
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private boolean m7705() {
        return !(getStartIconDrawable() == null && this.f5551 == null) && this.f5599.getMeasuredWidth() > 0;
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private void m7706() {
        if (this.f5612 != 1) {
            return;
        }
        if (com.d.a.a.y.c.m5118(getContext())) {
            this.f5610 = getResources().getDimensionPixelSize(com.d.a.a.d.material_font_2_0_box_collapsed_padding_top);
        } else if (com.d.a.a.y.c.m5116(getContext())) {
            this.f5610 = getResources().getDimensionPixelSize(com.d.a.a.d.material_font_1_3_box_collapsed_padding_top);
        }
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private void m7707() {
        TextView textView = this.f5631;
        if (textView != null && this.f5629) {
            textView.setText(this.f5627);
            o.m11612(this.f5597, this.f5637);
            this.f5631.setVisibility(0);
            this.f5631.bringToFront();
        }
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private void m7708() {
        TextView textView = this.f5631;
        if (textView != null) {
            this.f5597.addView(textView);
            this.f5631.setVisibility(0);
        }
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private void m7709() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        TextView textView = this.f5621;
        if (textView != null) {
            m7740(textView, this.f5619 ? this.f5623 : this.f5625);
            if (!this.f5619 && (colorStateList2 = this.f5622) != null) {
                this.f5621.setTextColor(colorStateList2);
            }
            if (this.f5619 && (colorStateList = this.f5624) != null) {
                this.f5621.setTextColor(colorStateList);
            }
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private void m7710() {
        if (this.f5605 != null && this.f5612 == 1) {
            if (com.d.a.a.y.c.m5118(getContext())) {
                EditText editText = this.f5605;
                d0.m10426(editText, d0.m10499(editText), getResources().getDimensionPixelSize(com.d.a.a.d.material_filled_edittext_font_2_0_padding_top), d0.m10498(this.f5605), getResources().getDimensionPixelSize(com.d.a.a.d.material_filled_edittext_font_2_0_padding_bottom));
            } else if (com.d.a.a.y.c.m5116(getContext())) {
                EditText editText2 = this.f5605;
                d0.m10426(editText2, d0.m10499(editText2), getResources().getDimensionPixelSize(com.d.a.a.d.material_filled_edittext_font_1_3_padding_top), d0.m10498(this.f5605), getResources().getDimensionPixelSize(com.d.a.a.d.material_filled_edittext_font_1_3_padding_bottom));
            }
        }
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private void m7711() {
        if (this.f5621 != null) {
            EditText editText = this.f5605;
            m7739(editText == null ? 0 : editText.getText().length());
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private void m7712() {
        com.d.a.a.b0.g gVar = this.f5604;
        if (gVar != null) {
            gVar.setShapeAppearanceModel(this.f5608);
            if (m7726()) {
                this.f5604.m4803((float) this.f5614, this.f5626);
            }
            int r0 = m7722();
            this.f5630 = r0;
            this.f5604.m4807(ColorStateList.valueOf(r0));
            if (this.f5561 == 3) {
                this.f5605.getBackground().invalidateSelf();
            }
            m7714();
            invalidate();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00d5  */
    /* renamed from: ˑˑ  reason: contains not printable characters */
    private boolean m7713() {
        boolean z;
        if (this.f5605 == null) {
            return false;
        }
        boolean z2 = true;
        if (m7705()) {
            int measuredWidth = this.f5599.getMeasuredWidth() - this.f5605.getPaddingLeft();
            if (this.f5557 == null || this.f5558 != measuredWidth) {
                ColorDrawable colorDrawable = new ColorDrawable();
                this.f5557 = colorDrawable;
                this.f5558 = measuredWidth;
                colorDrawable.setBounds(0, 0, measuredWidth, 1);
            }
            Drawable[] r0 = androidx.core.widget.j.m2161(this.f5605);
            Drawable drawable = r0[0];
            Drawable drawable2 = this.f5557;
            if (drawable != drawable2) {
                androidx.core.widget.j.m2158(this.f5605, drawable2, r0[1], r0[2], r0[3]);
            }
            z = false;
            if (m7703()) {
                int measuredWidth2 = this.f5598.getMeasuredWidth() - this.f5605.getPaddingRight();
                CheckableImageButton endIconToUpdateDummyDrawable = getEndIconToUpdateDummyDrawable();
                if (endIconToUpdateDummyDrawable != null) {
                    measuredWidth2 = measuredWidth2 + endIconToUpdateDummyDrawable.getMeasuredWidth() + e.g.l.k.m10774((ViewGroup.MarginLayoutParams) endIconToUpdateDummyDrawable.getLayoutParams());
                }
                Drawable[] r6 = androidx.core.widget.j.m2161(this.f5605);
                Drawable drawable3 = this.f5569;
                if (drawable3 == null || this.f5570 == measuredWidth2) {
                    if (this.f5569 == null) {
                        ColorDrawable colorDrawable2 = new ColorDrawable();
                        this.f5569 = colorDrawable2;
                        this.f5570 = measuredWidth2;
                        colorDrawable2.setBounds(0, 0, measuredWidth2, 1);
                    }
                    Drawable drawable4 = r6[2];
                    Drawable drawable5 = this.f5569;
                    if (drawable4 != drawable5) {
                        this.f5571 = r6[2];
                        androidx.core.widget.j.m2158(this.f5605, r6[0], r6[1], drawable5, r6[3]);
                    } else {
                        z2 = z;
                    }
                } else {
                    this.f5570 = measuredWidth2;
                    drawable3.setBounds(0, 0, measuredWidth2, 1);
                    androidx.core.widget.j.m2158(this.f5605, r6[0], r6[1], this.f5569, r6[3]);
                }
            } else if (this.f5569 == null) {
                return z;
            } else {
                Drawable[] r62 = androidx.core.widget.j.m2161(this.f5605);
                if (r62[2] == this.f5569) {
                    androidx.core.widget.j.m2158(this.f5605, r62[0], r62[1], this.f5571, r62[3]);
                } else {
                    z2 = z;
                }
                this.f5569 = null;
            }
            return z2;
        }
        if (this.f5557 != null) {
            Drawable[] r02 = androidx.core.widget.j.m2161(this.f5605);
            androidx.core.widget.j.m2158(this.f5605, null, r02[1], r02[2], r02[3]);
            this.f5557 = null;
        }
        z = false;
        if (m7703()) {
        }
        return z2;
        z = true;
        if (m7703()) {
        }
        return z2;
    }

    /* renamed from: י  reason: contains not printable characters */
    private void m7714() {
        if (this.f5602 != null) {
            if (m7728()) {
                this.f5602.m4807(ColorStateList.valueOf(this.f5626));
            }
            invalidate();
        }
    }

    /* renamed from: יי  reason: contains not printable characters */
    private void m7715() {
        if (this.f5612 != 1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f5597.getLayoutParams();
            int r1 = m7724();
            if (r1 != layoutParams.topMargin) {
                layoutParams.topMargin = r1;
                this.f5597.requestLayout();
            }
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private void m7716() {
        m7680(this.f5563, this.f5566, this.f5565, this.f5568, this.f5567);
    }

    /* renamed from: ــ  reason: contains not printable characters */
    private void m7717() {
        if (m7704()) {
            d0.m10431(this.f5605, this.f5604);
        }
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private void m7718() {
        m7680(this.f5552, this.f5554, this.f5553, this.f5556, this.f5555);
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private void m7719() {
        if (this.f5605 != null) {
            d0.m10426(this.f5598, getContext().getResources().getDimensionPixelSize(com.d.a.a.d.material_input_text_to_prefix_suffix_padding), this.f5605.getPaddingTop(), (m7744() || m7723()) ? 0 : d0.m10498(this.f5605), this.f5605.getPaddingBottom());
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private void m7720() {
        int i = this.f5612;
        if (i == 0) {
            this.f5604 = null;
            this.f5602 = null;
        } else if (i == 1) {
            this.f5604 = new com.d.a.a.b0.g(this.f5608);
            this.f5602 = new com.d.a.a.b0.g();
        } else if (i == 2) {
            if (!this.f5596 || (this.f5604 instanceof c)) {
                this.f5604 = new com.d.a.a.b0.g(this.f5608);
            } else {
                this.f5604 = new c(this.f5608);
            }
            this.f5602 = null;
        } else {
            throw new IllegalArgumentException(this.f5612 + " is illegal; only @BoxBackgroundMode constants are supported.");
        }
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private void m7721() {
        TextView textView = this.f5631;
        if (textView != null && this.f5629) {
            textView.setText((CharSequence) null);
            o.m11612(this.f5597, this.f5638);
            this.f5631.setVisibility(4);
        }
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int m7722() {
        return this.f5612 == 1 ? com.d.a.a.q.a.m5073(com.d.a.a.q.a.m5078(this, com.d.a.a.b.colorSurface, 0), this.f5630) : this.f5630;
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private boolean m7723() {
        return this.f5574.getVisibility() == 0;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int m7724() {
        float r0;
        if (!this.f5596) {
            return 0;
        }
        int i = this.f5612;
        if (i == 0 || i == 1) {
            r0 = this.f5589.m7485();
        } else if (i != 2) {
            return 0;
        } else {
            r0 = this.f5589.m7485() / 2.0f;
        }
        return (int) r0;
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private void m7725() {
        EditText editText;
        if (this.f5631 != null && (editText = this.f5605) != null) {
            this.f5631.setGravity(editText.getGravity());
            this.f5631.setPadding(this.f5605.getCompoundPaddingLeft(), this.f5605.getCompoundPaddingTop(), this.f5605.getCompoundPaddingRight(), this.f5605.getCompoundPaddingBottom());
        }
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private boolean m7726() {
        return this.f5612 == 2 && m7728();
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private boolean m7727() {
        int max;
        if (this.f5605 == null || this.f5605.getMeasuredHeight() >= (max = Math.max(this.f5601.getMeasuredHeight(), this.f5599.getMeasuredHeight()))) {
            return false;
        }
        this.f5605.setMinimumHeight(max);
        return true;
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean m7728() {
        return this.f5614 > -1 && this.f5626 != 0;
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private void m7729() {
        EditText editText = this.f5605;
        m7696(editText == null ? 0 : editText.getText().length());
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private void m7730() {
        if (m7734()) {
            ((c) this.f5604).m7780();
        }
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private void m7731() {
        if (this.f5605 != null) {
            d0.m10426(this.f5595, m7748() ? 0 : d0.m10499(this.f5605), this.f5605.getCompoundPaddingTop(), getContext().getResources().getDimensionPixelSize(com.d.a.a.d.material_input_text_to_prefix_suffix_padding), this.f5605.getCompoundPaddingBottom());
        }
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    private e.s.d m7732() {
        e.s.d dVar = new e.s.d();
        dVar.m11560(87L);
        dVar.m11561(com.d.a.a.l.a.f3522);
        return dVar;
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private void m7733() {
        this.f5595.setVisibility((this.f5551 == null || m7746()) ? 8 : 0);
        m7713();
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    private boolean m7734() {
        return this.f5596 && !TextUtils.isEmpty(this.f5618) && (this.f5604 instanceof c);
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private void m7735() {
        int visibility = this.f5598.getVisibility();
        int i = 0;
        boolean z = this.f5577 != null && !m7746();
        TextView textView = this.f5598;
        if (!z) {
            i = 8;
        }
        textView.setVisibility(i);
        if (visibility != this.f5598.getVisibility()) {
            getEndIconDelegate().m7819(z);
        }
        m7713();
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private void m7736() {
        Iterator<f> it = this.f5560.iterator();
        while (it.hasNext()) {
            it.next().m7755(this);
        }
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private boolean m7737() {
        return this.f5561 != 0;
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof EditText) {
            FrameLayout.LayoutParams layoutParams2 = new FrameLayout.LayoutParams(layoutParams);
            layoutParams2.gravity = (layoutParams2.gravity & -113) | 16;
            this.f5597.addView(view, layoutParams2);
            this.f5597.setLayoutParams(layoutParams);
            m7715();
            setEditText((EditText) view);
            return;
        }
        super.addView(view, i, layoutParams);
    }

    @TargetApi(26)
    public void dispatchProvideAutofillStructure(ViewStructure viewStructure, int i) {
        EditText editText = this.f5605;
        if (editText == null) {
            super.dispatchProvideAutofillStructure(viewStructure, i);
            return;
        }
        if (this.f5607 != null) {
            boolean z = this.f5600;
            this.f5600 = false;
            CharSequence hint = editText.getHint();
            this.f5605.setHint(this.f5607);
            try {
                super.dispatchProvideAutofillStructure(viewStructure, i);
            } finally {
                this.f5605.setHint(hint);
                this.f5600 = z;
            }
        } else {
            viewStructure.setAutofillId(getAutofillId());
            onProvideAutofillStructure(viewStructure, i);
            onProvideAutofillVirtualStructure(viewStructure, i);
            viewStructure.setChildCount(this.f5597.getChildCount());
            for (int i2 = 0; i2 < this.f5597.getChildCount(); i2++) {
                View childAt = this.f5597.getChildAt(i2);
                ViewStructure newChild = viewStructure.newChild(i2);
                childAt.dispatchProvideAutofillStructure(newChild, i);
                if (childAt == this.f5605) {
                    newChild.setHint(getHint());
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // android.view.View, android.view.ViewGroup
    public void dispatchRestoreInstanceState(SparseArray<Parcelable> sparseArray) {
        this.f5594 = true;
        super.dispatchRestoreInstanceState(sparseArray);
        this.f5594 = false;
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        m7689(canvas);
        m7674(canvas);
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        if (!this.f5593) {
            boolean z = true;
            this.f5593 = true;
            super.drawableStateChanged();
            int[] drawableState = getDrawableState();
            com.google.android.material.internal.a aVar = this.f5589;
            boolean r1 = aVar != null ? aVar.m7484(drawableState) | false : false;
            if (this.f5605 != null) {
                if (!d0.m10468(this) || !isEnabled()) {
                    z = false;
                }
                m7743(z);
            }
            m7752();
            m7753();
            if (r1) {
                invalidate();
            }
            this.f5593 = false;
        }
    }

    public int getBaseline() {
        EditText editText = this.f5605;
        if (editText != null) {
            return editText.getBaseline() + getPaddingTop() + m7724();
        }
        return super.getBaseline();
    }

    /* access modifiers changed from: package-private */
    public com.d.a.a.b0.g getBoxBackground() {
        int i = this.f5612;
        if (i == 1 || i == 2) {
            return this.f5604;
        }
        throw new IllegalStateException();
    }

    public int getBoxBackgroundColor() {
        return this.f5630;
    }

    public int getBoxBackgroundMode() {
        return this.f5612;
    }

    public int getBoxCollapsedPaddingTop() {
        return this.f5610;
    }

    public float getBoxCornerRadiusBottomEnd() {
        return this.f5604.m4812();
    }

    public float getBoxCornerRadiusBottomStart() {
        return this.f5604.m4816();
    }

    public float getBoxCornerRadiusTopEnd() {
        return this.f5604.m4832();
    }

    public float getBoxCornerRadiusTopStart() {
        return this.f5604.m4831();
    }

    public int getBoxStrokeColor() {
        return this.f5581;
    }

    public ColorStateList getBoxStrokeErrorColor() {
        return this.f5582;
    }

    public int getBoxStrokeWidth() {
        return this.f5628;
    }

    public int getBoxStrokeWidthFocused() {
        return this.f5616;
    }

    public int getCounterMaxLength() {
        return this.f5617;
    }

    /* access modifiers changed from: package-private */
    public CharSequence getCounterOverflowDescription() {
        TextView textView;
        if (!this.f5615 || !this.f5619 || (textView = this.f5621) == null) {
            return null;
        }
        return textView.getContentDescription();
    }

    public ColorStateList getCounterOverflowTextColor() {
        return this.f5622;
    }

    public ColorStateList getCounterTextColor() {
        return this.f5622;
    }

    public ColorStateList getDefaultHintTextColor() {
        return this.f5576;
    }

    public EditText getEditText() {
        return this.f5605;
    }

    public CharSequence getEndIconContentDescription() {
        return this.f5563.getContentDescription();
    }

    public Drawable getEndIconDrawable() {
        return this.f5563.getDrawable();
    }

    public int getEndIconMode() {
        return this.f5561;
    }

    /* access modifiers changed from: package-private */
    public CheckableImageButton getEndIconView() {
        return this.f5563;
    }

    public CharSequence getError() {
        if (this.f5613.m7861()) {
            return this.f5613.m7854();
        }
        return null;
    }

    public CharSequence getErrorContentDescription() {
        return this.f5613.m7853();
    }

    public int getErrorCurrentTextColors() {
        return this.f5613.m7855();
    }

    public Drawable getErrorIconDrawable() {
        return this.f5574.getDrawable();
    }

    /* access modifiers changed from: package-private */
    public final int getErrorTextCurrentColor() {
        return this.f5613.m7855();
    }

    public CharSequence getHelperText() {
        if (this.f5613.m7862()) {
            return this.f5613.m7857();
        }
        return null;
    }

    public int getHelperTextCurrentTextColor() {
        return this.f5613.m7858();
    }

    public CharSequence getHint() {
        if (this.f5596) {
            return this.f5618;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public final float getHintCollapsedTextHeight() {
        return this.f5589.m7485();
    }

    /* access modifiers changed from: package-private */
    public final int getHintCurrentCollapsedTextColor() {
        return this.f5589.m7493();
    }

    public ColorStateList getHintTextColor() {
        return this.f5578;
    }

    public int getMaxWidth() {
        return this.f5611;
    }

    public int getMinWidth() {
        return this.f5609;
    }

    @Deprecated
    public CharSequence getPasswordVisibilityToggleContentDescription() {
        return this.f5563.getContentDescription();
    }

    @Deprecated
    public Drawable getPasswordVisibilityToggleDrawable() {
        return this.f5563.getDrawable();
    }

    public CharSequence getPlaceholderText() {
        if (this.f5629) {
            return this.f5627;
        }
        return null;
    }

    public int getPlaceholderTextAppearance() {
        return this.f5635;
    }

    public ColorStateList getPlaceholderTextColor() {
        return this.f5633;
    }

    public CharSequence getPrefixText() {
        return this.f5551;
    }

    public ColorStateList getPrefixTextColor() {
        return this.f5595.getTextColors();
    }

    public TextView getPrefixTextView() {
        return this.f5595;
    }

    public CharSequence getStartIconContentDescription() {
        return this.f5552.getContentDescription();
    }

    public Drawable getStartIconDrawable() {
        return this.f5552.getDrawable();
    }

    public CharSequence getSuffixText() {
        return this.f5577;
    }

    public ColorStateList getSuffixTextColor() {
        return this.f5598.getTextColors();
    }

    public TextView getSuffixTextView() {
        return this.f5598;
    }

    public Typeface getTypeface() {
        return this.f5636;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        EditText editText = this.f5605;
        if (editText != null) {
            Rect rect = this.f5632;
            com.google.android.material.internal.c.m7502(this, editText, rect);
            m7697(rect);
            if (this.f5596) {
                this.f5589.m7473(this.f5605.getTextSize());
                int gravity = this.f5605.getGravity();
                this.f5589.m7487((gravity & -113) | 48);
                this.f5589.m7494(gravity);
                this.f5589.m7479(m7672(rect));
                this.f5589.m7491(m7687(rect));
                this.f5589.m7499();
                if (m7734() && !this.f5588) {
                    m7694();
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        boolean r1 = m7727();
        boolean r2 = m7713();
        if (r1 || r2) {
            this.f5605.post(new c());
        }
        m7725();
        m7731();
        m7719();
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof h)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        h hVar = (h) parcelable;
        super.onRestoreInstanceState(hVar.m11110());
        setError(hVar.f5644);
        if (hVar.f5645) {
            this.f5563.post(new b());
        }
        setHint(hVar.f5646);
        setHelperText(hVar.f5647);
        setPlaceholderText(hVar.f5648);
        requestLayout();
    }

    public Parcelable onSaveInstanceState() {
        h hVar = new h(super.onSaveInstanceState());
        if (this.f5613.m7852()) {
            hVar.f5644 = getError();
        }
        hVar.f5645 = m7737() && this.f5563.isChecked();
        hVar.f5646 = getHint();
        hVar.f5647 = getHelperText();
        hVar.f5648 = getPlaceholderText();
        return hVar;
    }

    public void setBoxBackgroundColor(int i) {
        if (this.f5630 != i) {
            this.f5630 = i;
            this.f5583 = i;
            this.f5585 = i;
            this.f5586 = i;
            m7712();
        }
    }

    public void setBoxBackgroundColorResource(int i) {
        setBoxBackgroundColor(e.g.d.a.m9983(getContext(), i));
    }

    public void setBoxBackgroundColorStateList(ColorStateList colorStateList) {
        int defaultColor = colorStateList.getDefaultColor();
        this.f5583 = defaultColor;
        this.f5630 = defaultColor;
        this.f5584 = colorStateList.getColorForState(new int[]{-16842910}, -1);
        this.f5585 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        this.f5586 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
        m7712();
    }

    public void setBoxBackgroundMode(int i) {
        if (i != this.f5612) {
            this.f5612 = i;
            if (this.f5605 != null) {
                m7699();
            }
        }
    }

    public void setBoxCollapsedPaddingTop(int i) {
        this.f5610 = i;
    }

    public void setBoxStrokeColor(int i) {
        if (this.f5581 != i) {
            this.f5581 = i;
            m7753();
        }
    }

    public void setBoxStrokeColorStateList(ColorStateList colorStateList) {
        if (colorStateList.isStateful()) {
            this.f5579 = colorStateList.getDefaultColor();
            this.f5587 = colorStateList.getColorForState(new int[]{-16842910}, -1);
            this.f5580 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
            this.f5581 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        } else if (this.f5581 != colorStateList.getDefaultColor()) {
            this.f5581 = colorStateList.getDefaultColor();
        }
        m7753();
    }

    public void setBoxStrokeErrorColor(ColorStateList colorStateList) {
        if (this.f5582 != colorStateList) {
            this.f5582 = colorStateList;
            m7753();
        }
    }

    public void setBoxStrokeWidth(int i) {
        this.f5628 = i;
        m7753();
    }

    public void setBoxStrokeWidthFocused(int i) {
        this.f5616 = i;
        m7753();
    }

    public void setBoxStrokeWidthFocusedResource(int i) {
        setBoxStrokeWidthFocused(getResources().getDimensionPixelSize(i));
    }

    public void setBoxStrokeWidthResource(int i) {
        setBoxStrokeWidth(getResources().getDimensionPixelSize(i));
    }

    public void setCounterEnabled(boolean z) {
        if (this.f5615 != z) {
            if (z) {
                e0 e0Var = new e0(getContext());
                this.f5621 = e0Var;
                e0Var.setId(com.d.a.a.f.textinput_counter);
                Typeface typeface = this.f5636;
                if (typeface != null) {
                    this.f5621.setTypeface(typeface);
                }
                this.f5621.setMaxLines(1);
                this.f5613.m7840(this.f5621, 2);
                e.g.l.k.m10775((ViewGroup.MarginLayoutParams) this.f5621.getLayoutParams(), getResources().getDimensionPixelOffset(com.d.a.a.d.mtrl_textinput_counter_margin_start));
                m7709();
                m7711();
            } else {
                this.f5613.m7847(this.f5621, 2);
                this.f5621 = null;
            }
            this.f5615 = z;
        }
    }

    public void setCounterMaxLength(int i) {
        if (this.f5617 != i) {
            if (i > 0) {
                this.f5617 = i;
            } else {
                this.f5617 = -1;
            }
            if (this.f5615) {
                m7711();
            }
        }
    }

    public void setCounterOverflowTextAppearance(int i) {
        if (this.f5623 != i) {
            this.f5623 = i;
            m7709();
        }
    }

    public void setCounterOverflowTextColor(ColorStateList colorStateList) {
        if (this.f5624 != colorStateList) {
            this.f5624 = colorStateList;
            m7709();
        }
    }

    public void setCounterTextAppearance(int i) {
        if (this.f5625 != i) {
            this.f5625 = i;
            m7709();
        }
    }

    public void setCounterTextColor(ColorStateList colorStateList) {
        if (this.f5622 != colorStateList) {
            this.f5622 = colorStateList;
            m7709();
        }
    }

    public void setDefaultHintTextColor(ColorStateList colorStateList) {
        this.f5576 = colorStateList;
        this.f5578 = colorStateList;
        if (this.f5605 != null) {
            m7743(false);
        }
    }

    public void setEnabled(boolean z) {
        m7676(this, z);
        super.setEnabled(z);
    }

    public void setEndIconActivated(boolean z) {
        this.f5563.setActivated(z);
    }

    public void setEndIconCheckable(boolean z) {
        this.f5563.setCheckable(z);
    }

    public void setEndIconContentDescription(int i) {
        setEndIconContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    public void setEndIconDrawable(int i) {
        setEndIconDrawable(i != 0 ? e.a.k.a.a.m9036(getContext(), i) : null);
    }

    public void setEndIconMode(int i) {
        int i2 = this.f5561;
        this.f5561 = i;
        m7688(i2);
        setEndIconVisible(i != 0);
        if (getEndIconDelegate().m7820(this.f5612)) {
            getEndIconDelegate().m7818();
            m7716();
            return;
        }
        throw new IllegalStateException("The current box background mode " + this.f5612 + " is not supported by the end icon mode " + i);
    }

    public void setEndIconOnClickListener(View.OnClickListener onClickListener) {
        m7678(this.f5563, onClickListener, this.f5572);
    }

    public void setEndIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f5572 = onLongClickListener;
        m7690(this.f5563, onLongClickListener);
    }

    public void setEndIconTintList(ColorStateList colorStateList) {
        if (this.f5565 != colorStateList) {
            this.f5565 = colorStateList;
            this.f5566 = true;
            m7716();
        }
    }

    public void setEndIconTintMode(PorterDuff.Mode mode) {
        if (this.f5567 != mode) {
            this.f5567 = mode;
            this.f5568 = true;
            m7716();
        }
    }

    public void setEndIconVisible(boolean z) {
        if (m7744() != z) {
            this.f5563.setVisibility(z ? 0 : 8);
            m7719();
            m7713();
        }
    }

    public void setError(CharSequence charSequence) {
        if (!this.f5613.m7861()) {
            if (!TextUtils.isEmpty(charSequence)) {
                setErrorEnabled(true);
            } else {
                return;
            }
        }
        if (!TextUtils.isEmpty(charSequence)) {
            this.f5613.m7848(charSequence);
        } else {
            this.f5613.m7859();
        }
    }

    public void setErrorContentDescription(CharSequence charSequence) {
        this.f5613.m7841(charSequence);
    }

    public void setErrorEnabled(boolean z) {
        this.f5613.m7842(z);
    }

    public void setErrorIconDrawable(int i) {
        setErrorIconDrawable(i != 0 ? e.a.k.a.a.m9036(getContext(), i) : null);
        m7750();
    }

    public void setErrorIconOnClickListener(View.OnClickListener onClickListener) {
        m7678(this.f5574, onClickListener, this.f5573);
    }

    public void setErrorIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f5573 = onLongClickListener;
        m7690(this.f5574, onLongClickListener);
    }

    public void setErrorIconTintList(ColorStateList colorStateList) {
        this.f5575 = colorStateList;
        Drawable drawable = this.f5574.getDrawable();
        if (drawable != null) {
            drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            androidx.core.graphics.drawable.a.m1976(drawable, colorStateList);
        }
        if (this.f5574.getDrawable() != drawable) {
            this.f5574.setImageDrawable(drawable);
        }
    }

    public void setErrorIconTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f5574.getDrawable();
        if (drawable != null) {
            drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            androidx.core.graphics.drawable.a.m1979(drawable, mode);
        }
        if (this.f5574.getDrawable() != drawable) {
            this.f5574.setImageDrawable(drawable);
        }
    }

    public void setErrorTextAppearance(int i) {
        this.f5613.m7845(i);
    }

    public void setErrorTextColor(ColorStateList colorStateList) {
        this.f5613.m7838(colorStateList);
    }

    public void setExpandedHintEnabled(boolean z) {
        if (this.f5590 != z) {
            this.f5590 = z;
            m7743(false);
        }
    }

    public void setHelperText(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (!m7745()) {
                setHelperTextEnabled(true);
            }
            this.f5613.m7851(charSequence);
        } else if (m7745()) {
            setHelperTextEnabled(false);
        }
    }

    public void setHelperTextColor(ColorStateList colorStateList) {
        this.f5613.m7846(colorStateList);
    }

    public void setHelperTextEnabled(boolean z) {
        this.f5613.m7849(z);
    }

    public void setHelperTextTextAppearance(int i) {
        this.f5613.m7850(i);
    }

    public void setHint(CharSequence charSequence) {
        if (this.f5596) {
            setHintInternal(charSequence);
            sendAccessibilityEvent(2048);
        }
    }

    public void setHintAnimationEnabled(boolean z) {
        this.f5591 = z;
    }

    public void setHintEnabled(boolean z) {
        if (z != this.f5596) {
            this.f5596 = z;
            if (!z) {
                this.f5600 = false;
                if (!TextUtils.isEmpty(this.f5618) && TextUtils.isEmpty(this.f5605.getHint())) {
                    this.f5605.setHint(this.f5618);
                }
                setHintInternal(null);
            } else {
                CharSequence hint = this.f5605.getHint();
                if (!TextUtils.isEmpty(hint)) {
                    if (TextUtils.isEmpty(this.f5618)) {
                        setHint(hint);
                    }
                    this.f5605.setHint((CharSequence) null);
                }
                this.f5600 = true;
            }
            if (this.f5605 != null) {
                m7715();
            }
        }
    }

    public void setHintTextAppearance(int i) {
        this.f5589.m7474(i);
        this.f5578 = this.f5589.m7472();
        if (this.f5605 != null) {
            m7743(false);
            m7715();
        }
    }

    public void setHintTextColor(ColorStateList colorStateList) {
        if (this.f5578 != colorStateList) {
            if (this.f5576 == null) {
                this.f5589.m7477(colorStateList);
            }
            this.f5578 = colorStateList;
            if (this.f5605 != null) {
                m7743(false);
            }
        }
    }

    public void setMaxWidth(int i) {
        this.f5611 = i;
        EditText editText = this.f5605;
        if (editText != null && i != -1) {
            editText.setMaxWidth(i);
        }
    }

    public void setMaxWidthResource(int i) {
        setMaxWidth(getContext().getResources().getDimensionPixelSize(i));
    }

    public void setMinWidth(int i) {
        this.f5609 = i;
        EditText editText = this.f5605;
        if (editText != null && i != -1) {
            editText.setMinWidth(i);
        }
    }

    public void setMinWidthResource(int i) {
        setMinWidth(getContext().getResources().getDimensionPixelSize(i));
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(int i) {
        setPasswordVisibilityToggleContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(int i) {
        setPasswordVisibilityToggleDrawable(i != 0 ? e.a.k.a.a.m9036(getContext(), i) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleEnabled(boolean z) {
        if (z && this.f5561 != 1) {
            setEndIconMode(1);
        } else if (!z) {
            setEndIconMode(0);
        }
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintList(ColorStateList colorStateList) {
        this.f5565 = colorStateList;
        this.f5566 = true;
        m7716();
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintMode(PorterDuff.Mode mode) {
        this.f5567 = mode;
        this.f5568 = true;
        m7716();
    }

    public void setPlaceholderText(CharSequence charSequence) {
        if (!this.f5629 || !TextUtils.isEmpty(charSequence)) {
            if (!this.f5629) {
                setPlaceholderTextEnabled(true);
            }
            this.f5627 = charSequence;
        } else {
            setPlaceholderTextEnabled(false);
        }
        m7729();
    }

    public void setPlaceholderTextAppearance(int i) {
        this.f5635 = i;
        TextView textView = this.f5631;
        if (textView != null) {
            androidx.core.widget.j.m2167(textView, i);
        }
    }

    public void setPlaceholderTextColor(ColorStateList colorStateList) {
        if (this.f5633 != colorStateList) {
            this.f5633 = colorStateList;
            TextView textView = this.f5631;
            if (textView != null && colorStateList != null) {
                textView.setTextColor(colorStateList);
            }
        }
    }

    public void setPrefixText(CharSequence charSequence) {
        this.f5551 = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.f5595.setText(charSequence);
        m7733();
    }

    public void setPrefixTextAppearance(int i) {
        androidx.core.widget.j.m2167(this.f5595, i);
    }

    public void setPrefixTextColor(ColorStateList colorStateList) {
        this.f5595.setTextColor(colorStateList);
    }

    public void setStartIconCheckable(boolean z) {
        this.f5552.setCheckable(z);
    }

    public void setStartIconContentDescription(int i) {
        setStartIconContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    public void setStartIconDrawable(int i) {
        setStartIconDrawable(i != 0 ? e.a.k.a.a.m9036(getContext(), i) : null);
    }

    public void setStartIconOnClickListener(View.OnClickListener onClickListener) {
        m7678(this.f5552, onClickListener, this.f5559);
    }

    public void setStartIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f5559 = onLongClickListener;
        m7690(this.f5552, onLongClickListener);
    }

    public void setStartIconTintList(ColorStateList colorStateList) {
        if (this.f5553 != colorStateList) {
            this.f5553 = colorStateList;
            this.f5554 = true;
            m7718();
        }
    }

    public void setStartIconTintMode(PorterDuff.Mode mode) {
        if (this.f5555 != mode) {
            this.f5555 = mode;
            this.f5556 = true;
            m7718();
        }
    }

    public void setStartIconVisible(boolean z) {
        if (m7748() != z) {
            this.f5552.setVisibility(z ? 0 : 8);
            m7731();
            m7713();
        }
    }

    public void setSuffixText(CharSequence charSequence) {
        this.f5577 = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.f5598.setText(charSequence);
        m7735();
    }

    public void setSuffixTextAppearance(int i) {
        androidx.core.widget.j.m2167(this.f5598, i);
    }

    public void setSuffixTextColor(ColorStateList colorStateList) {
        this.f5598.setTextColor(colorStateList);
    }

    public void setTextInputAccessibilityDelegate(e eVar) {
        EditText editText = this.f5605;
        if (editText != null) {
            d0.m10432(editText, eVar);
        }
    }

    public void setTypeface(Typeface typeface) {
        if (typeface != this.f5636) {
            this.f5636 = typeface;
            this.f5589.m7492(typeface);
            this.f5613.m7839(typeface);
            TextView textView = this.f5621;
            if (textView != null) {
                textView.setTypeface(typeface);
            }
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public boolean m7747() {
        return this.f5600;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public boolean m7748() {
        return this.f5552.getVisibility() == 0;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m7749() {
        m7677(this.f5563, this.f5565);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m7750() {
        m7677(this.f5574, this.f5575);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m7751() {
        m7677(this.f5552, this.f5553);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˊ  reason: contains not printable characters */
    public void m7752() {
        Drawable background;
        TextView textView;
        EditText editText = this.f5605;
        if (editText != null && this.f5612 == 0 && (background = editText.getBackground()) != null) {
            if (j0.m1398(background)) {
                background = background.mutate();
            }
            if (this.f5613.m7852()) {
                background.setColorFilter(m.m1436(this.f5613.m7855(), PorterDuff.Mode.SRC_IN));
            } else if (!this.f5619 || (textView = this.f5621) == null) {
                androidx.core.graphics.drawable.a.m1983(background);
                this.f5605.refreshDrawableState();
            } else {
                background.setColorFilter(m.m1436(textView.getCurrentTextColor(), PorterDuff.Mode.SRC_IN));
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public void m7753() {
        TextView textView;
        EditText editText;
        EditText editText2;
        if (this.f5604 != null && this.f5612 != 0) {
            boolean z = false;
            boolean z2 = isFocused() || ((editText2 = this.f5605) != null && editText2.hasFocus());
            boolean z3 = isHovered() || ((editText = this.f5605) != null && editText.isHovered());
            if (!isEnabled()) {
                this.f5626 = this.f5587;
            } else if (this.f5613.m7852()) {
                if (this.f5582 != null) {
                    m7692(z2, z3);
                } else {
                    this.f5626 = this.f5613.m7855();
                }
            } else if (!this.f5619 || (textView = this.f5621) == null) {
                if (z2) {
                    this.f5626 = this.f5581;
                } else if (z3) {
                    this.f5626 = this.f5580;
                } else {
                    this.f5626 = this.f5579;
                }
            } else if (this.f5582 != null) {
                m7692(z2, z3);
            } else {
                this.f5626 = textView.getCurrentTextColor();
            }
            if (getErrorIconDrawable() != null && this.f5613.m7861() && this.f5613.m7852()) {
                z = true;
            }
            setErrorIconVisible(z);
            m7750();
            m7751();
            m7749();
            if (getEndIconDelegate().m7821()) {
                m7700(this.f5613.m7852());
            }
            int i = this.f5614;
            if (!z2 || !isEnabled()) {
                this.f5614 = this.f5628;
            } else {
                this.f5614 = this.f5616;
            }
            if (this.f5614 != i && this.f5612 == 2) {
                m7702();
            }
            if (this.f5612 == 1) {
                if (!isEnabled()) {
                    this.f5630 = this.f5584;
                } else if (z3 && !z2) {
                    this.f5630 = this.f5586;
                } else if (z2) {
                    this.f5630 = this.f5585;
                } else {
                    this.f5630 = this.f5583;
                }
            }
            m7712();
        }
    }

    public TextInputLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, com.d.a.a.b.textInputStyle);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʽ  reason: contains not printable characters */
    private void m7696(int i) {
        if (i != 0 || this.f5588) {
            m7721();
        } else {
            m7707();
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m7700(boolean z) {
        if (!z || getEndIconDrawable() == null) {
            m7716();
            return;
        }
        Drawable mutate = androidx.core.graphics.drawable.a.m1991(getEndIconDrawable()).mutate();
        androidx.core.graphics.drawable.a.m1984(mutate, this.f5613.m7855());
        this.f5563.setImageDrawable(mutate);
    }

    public void setEndIconContentDescription(CharSequence charSequence) {
        if (getEndIconContentDescription() != charSequence) {
            this.f5563.setContentDescription(charSequence);
        }
    }

    public void setEndIconDrawable(Drawable drawable) {
        this.f5563.setImageDrawable(drawable);
        if (drawable != null) {
            m7716();
            m7749();
        }
    }

    public void setStartIconContentDescription(CharSequence charSequence) {
        if (getStartIconContentDescription() != charSequence) {
            this.f5552.setContentDescription(charSequence);
        }
    }

    public void setStartIconDrawable(Drawable drawable) {
        this.f5552.setImageDrawable(drawable);
        if (drawable != null) {
            m7718();
            setStartIconVisible(true);
            m7751();
            return;
        }
        setStartIconVisible(false);
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        setStartIconContentDescription((CharSequence) null);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m7745() {
        return this.f5613.m7862();
    }

    public TextInputLayout(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m7888(context, attributeSet, i, f5550), attributeSet, i);
        int i2;
        CharSequence charSequence;
        int i3;
        this.f5609 = -1;
        this.f5611 = -1;
        this.f5613 = new f(this);
        this.f5632 = new Rect();
        this.f5634 = new Rect();
        this.f5620 = new RectF();
        this.f5560 = new LinkedHashSet<>();
        this.f5561 = 0;
        this.f5562 = new SparseArray<>();
        this.f5564 = new LinkedHashSet<>();
        this.f5589 = new com.google.android.material.internal.a(this);
        Context context2 = getContext();
        setOrientation(1);
        setWillNotDraw(false);
        setAddStatesFromChildren(true);
        FrameLayout frameLayout = new FrameLayout(context2);
        this.f5597 = frameLayout;
        frameLayout.setAddStatesFromChildren(true);
        addView(this.f5597);
        LinearLayout linearLayout = new LinearLayout(context2);
        this.f5599 = linearLayout;
        linearLayout.setOrientation(0);
        this.f5599.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, 8388611));
        this.f5597.addView(this.f5599);
        LinearLayout linearLayout2 = new LinearLayout(context2);
        this.f5601 = linearLayout2;
        linearLayout2.setOrientation(0);
        this.f5601.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, 8388613));
        this.f5597.addView(this.f5601);
        FrameLayout frameLayout2 = new FrameLayout(context2);
        this.f5603 = frameLayout2;
        frameLayout2.setLayoutParams(new FrameLayout.LayoutParams(-2, -1));
        this.f5589.m7489(com.d.a.a.l.a.f3522);
        this.f5589.m7476(com.d.a.a.l.a.f3522);
        this.f5589.m7487(8388659);
        c1 r1 = p.m7621(context2, attributeSet, com.d.a.a.k.TextInputLayout, i, f5550, com.d.a.a.k.TextInputLayout_counterTextAppearance, com.d.a.a.k.TextInputLayout_counterOverflowTextAppearance, com.d.a.a.k.TextInputLayout_errorTextAppearance, com.d.a.a.k.TextInputLayout_helperTextTextAppearance, com.d.a.a.k.TextInputLayout_hintTextAppearance);
        this.f5596 = r1.m1143(com.d.a.a.k.TextInputLayout_hintEnabled, true);
        setHint(r1.m1153(com.d.a.a.k.TextInputLayout_android_hint));
        this.f5591 = r1.m1143(com.d.a.a.k.TextInputLayout_hintAnimationEnabled, true);
        this.f5590 = r1.m1143(com.d.a.a.k.TextInputLayout_expandedHintEnabled, true);
        if (r1.m1157(com.d.a.a.k.TextInputLayout_android_minWidth)) {
            setMinWidth(r1.m1148(com.d.a.a.k.TextInputLayout_android_minWidth, -1));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_android_maxWidth)) {
            setMaxWidth(r1.m1148(com.d.a.a.k.TextInputLayout_android_maxWidth, -1));
        }
        this.f5608 = k.m4853(context2, attributeSet, i, f5550).m4891();
        this.f5606 = context2.getResources().getDimensionPixelOffset(com.d.a.a.d.mtrl_textinput_box_label_cutout_padding);
        this.f5610 = r1.m1145(com.d.a.a.k.TextInputLayout_boxCollapsedPaddingTop, 0);
        this.f5628 = r1.m1148(com.d.a.a.k.TextInputLayout_boxStrokeWidth, context2.getResources().getDimensionPixelSize(com.d.a.a.d.mtrl_textinput_box_stroke_width_default));
        this.f5616 = r1.m1148(com.d.a.a.k.TextInputLayout_boxStrokeWidthFocused, context2.getResources().getDimensionPixelSize(com.d.a.a.d.mtrl_textinput_box_stroke_width_focused));
        this.f5614 = this.f5628;
        float r2 = r1.m1138(com.d.a.a.k.TextInputLayout_boxCornerRadiusTopStart, -1.0f);
        float r4 = r1.m1138(com.d.a.a.k.TextInputLayout_boxCornerRadiusTopEnd, -1.0f);
        float r5 = r1.m1138(com.d.a.a.k.TextInputLayout_boxCornerRadiusBottomEnd, -1.0f);
        float r3 = r1.m1138(com.d.a.a.k.TextInputLayout_boxCornerRadiusBottomStart, -1.0f);
        k.b r6 = this.f5608.m4873();
        if (r2 >= 0.0f) {
            r6.m4900(r2);
        }
        if (r4 >= 0.0f) {
            r6.m4904(r4);
        }
        if (r5 >= 0.0f) {
            r6.m4896(r5);
        }
        if (r3 >= 0.0f) {
            r6.m4892(r3);
        }
        this.f5608 = r6.m4891();
        ColorStateList r22 = com.d.a.a.y.c.m5115(context2, r1, com.d.a.a.k.TextInputLayout_boxBackgroundColor);
        if (r22 != null) {
            int defaultColor = r22.getDefaultColor();
            this.f5583 = defaultColor;
            this.f5630 = defaultColor;
            if (r22.isStateful()) {
                this.f5584 = r22.getColorForState(new int[]{-16842910}, -1);
                this.f5585 = r22.getColorForState(new int[]{16842908, 16842910}, -1);
                this.f5586 = r22.getColorForState(new int[]{16843623, 16842910}, -1);
            } else {
                this.f5585 = this.f5583;
                ColorStateList r23 = e.a.k.a.a.m9035(context2, com.d.a.a.c.mtrl_filled_background_color);
                this.f5584 = r23.getColorForState(new int[]{-16842910}, -1);
                this.f5586 = r23.getColorForState(new int[]{16843623}, -1);
            }
        } else {
            this.f5630 = 0;
            this.f5583 = 0;
            this.f5584 = 0;
            this.f5585 = 0;
            this.f5586 = 0;
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_android_textColorHint)) {
            ColorStateList r24 = r1.m1140(com.d.a.a.k.TextInputLayout_android_textColorHint);
            this.f5578 = r24;
            this.f5576 = r24;
        }
        ColorStateList r25 = com.d.a.a.y.c.m5115(context2, r1, com.d.a.a.k.TextInputLayout_boxStrokeColor);
        this.f5581 = r1.m1139(com.d.a.a.k.TextInputLayout_boxStrokeColor, 0);
        this.f5579 = e.g.d.a.m9983(context2, com.d.a.a.c.mtrl_textinput_default_box_stroke_color);
        this.f5587 = e.g.d.a.m9983(context2, com.d.a.a.c.mtrl_textinput_disabled_color);
        this.f5580 = e.g.d.a.m9983(context2, com.d.a.a.c.mtrl_textinput_hovered_box_stroke_color);
        if (r25 != null) {
            setBoxStrokeColorStateList(r25);
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_boxStrokeErrorColor)) {
            setBoxStrokeErrorColor(com.d.a.a.y.c.m5115(context2, r1, com.d.a.a.k.TextInputLayout_boxStrokeErrorColor));
        }
        if (r1.m1156(com.d.a.a.k.TextInputLayout_hintTextAppearance, -1) != -1) {
            setHintTextAppearance(r1.m1156(com.d.a.a.k.TextInputLayout_hintTextAppearance, 0));
        }
        int r26 = r1.m1156(com.d.a.a.k.TextInputLayout_errorTextAppearance, 0);
        CharSequence r32 = r1.m1153(com.d.a.a.k.TextInputLayout_errorContentDescription);
        boolean r42 = r1.m1143(com.d.a.a.k.TextInputLayout_errorEnabled, false);
        CheckableImageButton checkableImageButton = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(com.d.a.a.h.design_text_input_end_icon, (ViewGroup) this.f5601, false);
        this.f5574 = checkableImageButton;
        checkableImageButton.setId(com.d.a.a.f.text_input_error_icon);
        this.f5574.setVisibility(8);
        if (com.d.a.a.y.c.m5116(context2)) {
            e.g.l.k.m10775((ViewGroup.MarginLayoutParams) this.f5574.getLayoutParams(), 0);
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_errorIconDrawable)) {
            setErrorIconDrawable(r1.m1146(com.d.a.a.k.TextInputLayout_errorIconDrawable));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_errorIconTint)) {
            setErrorIconTintList(com.d.a.a.y.c.m5115(context2, r1, com.d.a.a.k.TextInputLayout_errorIconTint));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_errorIconTintMode)) {
            setErrorIconTintMode(r.m7627(r1.m1150(com.d.a.a.k.TextInputLayout_errorIconTintMode, -1), (PorterDuff.Mode) null));
        }
        this.f5574.setContentDescription(getResources().getText(i.error_icon_content_description));
        d0.m10473(this.f5574, 2);
        this.f5574.setClickable(false);
        this.f5574.setPressable(false);
        this.f5574.setFocusable(false);
        int r52 = r1.m1156(com.d.a.a.k.TextInputLayout_helperTextTextAppearance, 0);
        boolean r8 = r1.m1143(com.d.a.a.k.TextInputLayout_helperTextEnabled, false);
        CharSequence r13 = r1.m1153(com.d.a.a.k.TextInputLayout_helperText);
        int r15 = r1.m1156(com.d.a.a.k.TextInputLayout_placeholderTextAppearance, 0);
        CharSequence r14 = r1.m1153(com.d.a.a.k.TextInputLayout_placeholderText);
        int r12 = r1.m1156(com.d.a.a.k.TextInputLayout_prefixTextAppearance, 0);
        CharSequence r7 = r1.m1153(com.d.a.a.k.TextInputLayout_prefixText);
        int r62 = r1.m1156(com.d.a.a.k.TextInputLayout_suffixTextAppearance, 0);
        CharSequence r9 = r1.m1153(com.d.a.a.k.TextInputLayout_suffixText);
        boolean r63 = r1.m1143(com.d.a.a.k.TextInputLayout_counterEnabled, false);
        setCounterMaxLength(r1.m1150(com.d.a.a.k.TextInputLayout_counterMaxLength, -1));
        this.f5625 = r1.m1156(com.d.a.a.k.TextInputLayout_counterTextAppearance, 0);
        this.f5623 = r1.m1156(com.d.a.a.k.TextInputLayout_counterOverflowTextAppearance, 0);
        CheckableImageButton checkableImageButton2 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(com.d.a.a.h.design_text_input_start_icon, (ViewGroup) this.f5599, false);
        this.f5552 = checkableImageButton2;
        checkableImageButton2.setVisibility(8);
        if (com.d.a.a.y.c.m5116(context2)) {
            e.g.l.k.m10773((ViewGroup.MarginLayoutParams) this.f5552.getLayoutParams(), 0);
        }
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        if (r1.m1157(com.d.a.a.k.TextInputLayout_startIconDrawable)) {
            setStartIconDrawable(r1.m1146(com.d.a.a.k.TextInputLayout_startIconDrawable));
            if (r1.m1157(com.d.a.a.k.TextInputLayout_startIconContentDescription)) {
                setStartIconContentDescription(r1.m1153(com.d.a.a.k.TextInputLayout_startIconContentDescription));
            }
            setStartIconCheckable(r1.m1143(com.d.a.a.k.TextInputLayout_startIconCheckable, true));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_startIconTint)) {
            setStartIconTintList(com.d.a.a.y.c.m5115(context2, r1, com.d.a.a.k.TextInputLayout_startIconTint));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_startIconTintMode)) {
            setStartIconTintMode(r.m7627(r1.m1150(com.d.a.a.k.TextInputLayout_startIconTintMode, -1), (PorterDuff.Mode) null));
        }
        setBoxBackgroundMode(r1.m1150(com.d.a.a.k.TextInputLayout_boxBackgroundMode, 0));
        CheckableImageButton checkableImageButton3 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(com.d.a.a.h.design_text_input_end_icon, (ViewGroup) this.f5603, false);
        this.f5563 = checkableImageButton3;
        this.f5603.addView(checkableImageButton3);
        this.f5563.setVisibility(8);
        if (com.d.a.a.y.c.m5116(context2)) {
            i2 = 0;
            e.g.l.k.m10775((ViewGroup.MarginLayoutParams) this.f5563.getLayoutParams(), 0);
        } else {
            i2 = 0;
        }
        int r64 = r1.m1156(com.d.a.a.k.TextInputLayout_endIconDrawable, i2);
        this.f5562.append(-1, new b(this, r64));
        this.f5562.append(0, new h(this));
        SparseArray<e> sparseArray = this.f5562;
        if (r64 == 0) {
            charSequence = r7;
            i3 = r1.m1156(com.d.a.a.k.TextInputLayout_passwordToggleDrawable, 0);
        } else {
            charSequence = r7;
            i3 = r64;
        }
        sparseArray.append(1, new i(this, i3));
        this.f5562.append(2, new a(this, r64));
        this.f5562.append(3, new d(this, r64));
        if (r1.m1157(com.d.a.a.k.TextInputLayout_endIconMode)) {
            setEndIconMode(r1.m1150(com.d.a.a.k.TextInputLayout_endIconMode, 0));
            if (r1.m1157(com.d.a.a.k.TextInputLayout_endIconContentDescription)) {
                setEndIconContentDescription(r1.m1153(com.d.a.a.k.TextInputLayout_endIconContentDescription));
            }
            setEndIconCheckable(r1.m1143(com.d.a.a.k.TextInputLayout_endIconCheckable, true));
        } else if (r1.m1157(com.d.a.a.k.TextInputLayout_passwordToggleEnabled)) {
            setEndIconMode(r1.m1143(com.d.a.a.k.TextInputLayout_passwordToggleEnabled, false) ? 1 : 0);
            setEndIconContentDescription(r1.m1153(com.d.a.a.k.TextInputLayout_passwordToggleContentDescription));
            if (r1.m1157(com.d.a.a.k.TextInputLayout_passwordToggleTint)) {
                setEndIconTintList(com.d.a.a.y.c.m5115(context2, r1, com.d.a.a.k.TextInputLayout_passwordToggleTint));
            }
            if (r1.m1157(com.d.a.a.k.TextInputLayout_passwordToggleTintMode)) {
                setEndIconTintMode(r.m7627(r1.m1150(com.d.a.a.k.TextInputLayout_passwordToggleTintMode, -1), (PorterDuff.Mode) null));
            }
        }
        if (!r1.m1157(com.d.a.a.k.TextInputLayout_passwordToggleEnabled)) {
            if (r1.m1157(com.d.a.a.k.TextInputLayout_endIconTint)) {
                setEndIconTintList(com.d.a.a.y.c.m5115(context2, r1, com.d.a.a.k.TextInputLayout_endIconTint));
            }
            if (r1.m1157(com.d.a.a.k.TextInputLayout_endIconTintMode)) {
                setEndIconTintMode(r.m7627(r1.m1150(com.d.a.a.k.TextInputLayout_endIconTintMode, -1), (PorterDuff.Mode) null));
            }
        }
        e0 e0Var = new e0(context2);
        this.f5595 = e0Var;
        e0Var.setId(com.d.a.a.f.textinput_prefix_text);
        this.f5595.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
        d0.m10470(this.f5595, 1);
        this.f5599.addView(this.f5552);
        this.f5599.addView(this.f5595);
        e0 e0Var2 = new e0(context2);
        this.f5598 = e0Var2;
        e0Var2.setId(com.d.a.a.f.textinput_suffix_text);
        this.f5598.setLayoutParams(new FrameLayout.LayoutParams(-2, -2, 80));
        d0.m10470(this.f5598, 1);
        this.f5601.addView(this.f5598);
        this.f5601.addView(this.f5574);
        this.f5601.addView(this.f5603);
        setHelperTextEnabled(r8);
        setHelperText(r13);
        setHelperTextTextAppearance(r52);
        setErrorEnabled(r42);
        setErrorTextAppearance(r26);
        setErrorContentDescription(r32);
        setCounterTextAppearance(this.f5625);
        setCounterOverflowTextAppearance(this.f5623);
        setPlaceholderText(r14);
        setPlaceholderTextAppearance(r15);
        setPrefixText(charSequence);
        setPrefixTextAppearance(r12);
        setSuffixText(r9);
        setSuffixTextAppearance(r62);
        if (r1.m1157(com.d.a.a.k.TextInputLayout_errorTextColor)) {
            setErrorTextColor(r1.m1140(com.d.a.a.k.TextInputLayout_errorTextColor));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_helperTextTextColor)) {
            setHelperTextColor(r1.m1140(com.d.a.a.k.TextInputLayout_helperTextTextColor));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_hintTextColor)) {
            setHintTextColor(r1.m1140(com.d.a.a.k.TextInputLayout_hintTextColor));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_counterTextColor)) {
            setCounterTextColor(r1.m1140(com.d.a.a.k.TextInputLayout_counterTextColor));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_counterOverflowTextColor)) {
            setCounterOverflowTextColor(r1.m1140(com.d.a.a.k.TextInputLayout_counterOverflowTextColor));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_placeholderTextColor)) {
            setPlaceholderTextColor(r1.m1140(com.d.a.a.k.TextInputLayout_placeholderTextColor));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_prefixTextColor)) {
            setPrefixTextColor(r1.m1140(com.d.a.a.k.TextInputLayout_prefixTextColor));
        }
        if (r1.m1157(com.d.a.a.k.TextInputLayout_suffixTextColor)) {
            setSuffixTextColor(r1.m1140(com.d.a.a.k.TextInputLayout_suffixTextColor));
        }
        setCounterEnabled(r63);
        setEnabled(r1.m1143(com.d.a.a.k.TextInputLayout_android_enabled, true));
        r1.m1147();
        d0.m10473(this, 2);
        if (Build.VERSION.SDK_INT >= 26) {
            d0.m10476(this, 1);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private int m7686(int i, boolean z) {
        int compoundPaddingRight = i - this.f5605.getCompoundPaddingRight();
        return (this.f5551 == null || !z) ? compoundPaddingRight : compoundPaddingRight + (this.f5595.getMeasuredWidth() - this.f5595.getPaddingRight());
    }

    public void setErrorIconDrawable(Drawable drawable) {
        this.f5574.setImageDrawable(drawable);
        setErrorIconVisible(drawable != null && this.f5613.m7861());
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(CharSequence charSequence) {
        this.f5563.setContentDescription(charSequence);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(Drawable drawable) {
        this.f5563.setImageDrawable(drawable);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7743(boolean z) {
        m7682(z, false);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7682(boolean z, boolean z2) {
        ColorStateList colorStateList;
        TextView textView;
        boolean isEnabled = isEnabled();
        EditText editText = this.f5605;
        boolean z3 = editText != null && !TextUtils.isEmpty(editText.getText());
        EditText editText2 = this.f5605;
        boolean z4 = editText2 != null && editText2.hasFocus();
        boolean r5 = this.f5613.m7852();
        ColorStateList colorStateList2 = this.f5576;
        if (colorStateList2 != null) {
            this.f5589.m7477(colorStateList2);
            this.f5589.m7490(this.f5576);
        }
        if (!isEnabled) {
            ColorStateList colorStateList3 = this.f5576;
            int colorForState = colorStateList3 != null ? colorStateList3.getColorForState(new int[]{-16842910}, this.f5587) : this.f5587;
            this.f5589.m7477(ColorStateList.valueOf(colorForState));
            this.f5589.m7490(ColorStateList.valueOf(colorForState));
        } else if (r5) {
            this.f5589.m7477(this.f5613.m7856());
        } else if (this.f5619 && (textView = this.f5621) != null) {
            this.f5589.m7477(textView.getTextColors());
        } else if (z4 && (colorStateList = this.f5578) != null) {
            this.f5589.m7477(colorStateList);
        }
        if (z3 || !this.f5590 || (isEnabled() && z4)) {
            if (z2 || this.f5588) {
                m7691(z);
            }
        } else if (z2 || !this.f5588) {
            m7698(z);
        }
    }

    public void setHint(int i) {
        setHint(i != 0 ? getResources().getText(i) : null);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m7697(Rect rect) {
        com.d.a.a.b0.g gVar = this.f5602;
        if (gVar != null) {
            int i = rect.bottom;
            gVar.setBounds(rect.left, i - this.f5616, rect.right, i);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private Rect m7687(Rect rect) {
        if (this.f5605 != null) {
            Rect rect2 = this.f5634;
            float r1 = this.f5589.m7495();
            rect2.left = rect.left + this.f5605.getCompoundPaddingLeft();
            rect2.top = m7670(rect, r1);
            rect2.right = rect.right - this.f5605.getCompoundPaddingRight();
            rect2.bottom = m7671(rect, rect2, r1);
            return rect2;
        }
        throw new IllegalStateException();
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m7698(boolean z) {
        ValueAnimator valueAnimator = this.f5592;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.f5592.cancel();
        }
        if (!z || !this.f5591) {
            this.f5589.m7486(0.0f);
        } else {
            m7738(0.0f);
        }
        if (m7734() && ((c) this.f5604).m7779()) {
            m7730();
        }
        this.f5588 = true;
        m7721();
        m7733();
        m7735();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7688(int i) {
        Iterator<g> it = this.f5564.iterator();
        while (it.hasNext()) {
            it.next().m7756(this, i);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static void m7690(CheckableImageButton checkableImageButton, View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        m7679(checkableImageButton, onLongClickListener);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7689(Canvas canvas) {
        if (this.f5596) {
            this.f5589.m7478(canvas);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public final boolean m7746() {
        return this.f5588;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7691(boolean z) {
        ValueAnimator valueAnimator = this.f5592;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.f5592.cancel();
        }
        if (!z || !this.f5591) {
            this.f5589.m7486(1.0f);
        } else {
            m7738(1.0f);
        }
        this.f5588 = false;
        if (m7734()) {
            m7694();
        }
        m7729();
        m7733();
        m7735();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7739(int i) {
        boolean z = this.f5619;
        int i2 = this.f5617;
        if (i2 == -1) {
            this.f5621.setText(String.valueOf(i));
            this.f5621.setContentDescription(null);
            this.f5619 = false;
        } else {
            this.f5619 = i > i2;
            m7673(getContext(), this.f5621, i, this.f5617, this.f5619);
            if (z != this.f5619) {
                m7709();
            }
            this.f5621.setText(e.g.j.a.m10321().m10326(getContext().getString(i.character_counter_pattern, Integer.valueOf(i), Integer.valueOf(this.f5617))));
        }
        if (this.f5605 != null && z != this.f5619) {
            m7743(false);
            m7753();
            m7752();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7692(boolean z, boolean z2) {
        int defaultColor = this.f5582.getDefaultColor();
        int colorForState = this.f5582.getColorForState(new int[]{16843623, 16842910}, defaultColor);
        int colorForState2 = this.f5582.getColorForState(new int[]{16843518, 16842910}, defaultColor);
        if (z) {
            this.f5626 = colorForState2;
        } else if (z2) {
            this.f5626 = colorForState;
        } else {
            this.f5626 = defaultColor;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m7673(Context context, TextView textView, int i, int i2, boolean z) {
        textView.setContentDescription(context.getString(z ? i.character_counter_overflowed_content_description : i.character_counter_content_description, Integer.valueOf(i), Integer.valueOf(i2)));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m7676(ViewGroup viewGroup, boolean z) {
        int childCount = viewGroup.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = viewGroup.getChildAt(i);
            childAt.setEnabled(z);
            if (childAt instanceof ViewGroup) {
                m7676((ViewGroup) childAt, z);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7740(TextView textView, int i) {
        boolean z = true;
        try {
            androidx.core.widget.j.m2167(textView, i);
            if (Build.VERSION.SDK_INT < 23 || textView.getTextColors().getDefaultColor() != -65281) {
                z = false;
            }
        } catch (Exception unused) {
        }
        if (z) {
            androidx.core.widget.j.m2167(textView, j.TextAppearance_AppCompat_Caption);
            textView.setTextColor(e.g.d.a.m9983(getContext(), com.d.a.a.c.design_error));
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Rect m7672(Rect rect) {
        if (this.f5605 != null) {
            Rect rect2 = this.f5634;
            boolean z = d0.m10492(this) == 1;
            rect2.bottom = rect.bottom;
            int i = this.f5612;
            if (i == 1) {
                rect2.left = m7669(rect.left, z);
                rect2.top = rect.top + this.f5610;
                rect2.right = m7686(rect.right, z);
                return rect2;
            } else if (i != 2) {
                rect2.left = m7669(rect.left, z);
                rect2.top = getPaddingTop();
                rect2.right = m7686(rect.right, z);
                return rect2;
            } else {
                rect2.left = rect.left + this.f5605.getPaddingLeft();
                rect2.top = rect.top - m7724();
                rect2.right = rect.right - this.f5605.getPaddingRight();
                return rect2;
            }
        } else {
            throw new IllegalStateException();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m7669(int i, boolean z) {
        int compoundPaddingLeft = i + this.f5605.getCompoundPaddingLeft();
        return (this.f5551 == null || z) ? compoundPaddingLeft : (compoundPaddingLeft - this.f5595.getMeasuredWidth()) + this.f5595.getPaddingLeft();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m7670(Rect rect, float f2) {
        if (m7685()) {
            return (int) (((float) rect.centerY()) - (f2 / 2.0f));
        }
        return rect.top + this.f5605.getCompoundPaddingTop();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m7671(Rect rect, Rect rect2, float f2) {
        if (m7685()) {
            return (int) (((float) rect2.top) + f2);
        }
        return rect.bottom - this.f5605.getCompoundPaddingBottom();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m7744() {
        return this.f5603.getVisibility() == 0 && this.f5563.getVisibility() == 0;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7742(g gVar) {
        this.f5564.add(gVar);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7741(f fVar) {
        this.f5560.add(fVar);
        if (this.f5605 != null) {
            fVar.m7755(this);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7680(CheckableImageButton checkableImageButton, boolean z, ColorStateList colorStateList, boolean z2, PorterDuff.Mode mode) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (drawable != null && (z || z2)) {
            drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            if (z) {
                androidx.core.graphics.drawable.a.m1976(drawable, colorStateList);
            }
            if (z2) {
                androidx.core.graphics.drawable.a.m1979(drawable, mode);
            }
        }
        if (checkableImageButton.getDrawable() != drawable) {
            checkableImageButton.setImageDrawable(drawable);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m7678(CheckableImageButton checkableImageButton, View.OnClickListener onClickListener, View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnClickListener(onClickListener);
        m7679(checkableImageButton, onLongClickListener);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m7679(CheckableImageButton checkableImageButton, View.OnLongClickListener onLongClickListener) {
        boolean r0 = d0.m10456(checkableImageButton);
        boolean z = false;
        int i = 1;
        boolean z2 = onLongClickListener != null;
        if (r0 || z2) {
            z = true;
        }
        checkableImageButton.setFocusable(z);
        checkableImageButton.setClickable(r0);
        checkableImageButton.setPressable(r0);
        checkableImageButton.setLongClickable(z2);
        if (!z) {
            i = 2;
        }
        d0.m10473(checkableImageButton, i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7674(Canvas canvas) {
        com.d.a.a.b0.g gVar = this.f5602;
        if (gVar != null) {
            Rect bounds = gVar.getBounds();
            bounds.top = bounds.bottom - this.f5614;
            this.f5602.draw(canvas);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7675(RectF rectF) {
        float f2 = rectF.left;
        int i = this.f5606;
        rectF.left = f2 - ((float) i);
        rectF.right += (float) i;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7677(CheckableImageButton checkableImageButton, ColorStateList colorStateList) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (checkableImageButton.getDrawable() != null && colorStateList != null && colorStateList.isStateful()) {
            int colorForState = colorStateList.getColorForState(m7684(checkableImageButton), colorStateList.getDefaultColor());
            Drawable mutate = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            androidx.core.graphics.drawable.a.m1976(mutate, ColorStateList.valueOf(colorForState));
            checkableImageButton.setImageDrawable(mutate);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int[] m7684(CheckableImageButton checkableImageButton) {
        int[] drawableState = getDrawableState();
        int[] drawableState2 = checkableImageButton.getDrawableState();
        int length = drawableState.length;
        int[] copyOf = Arrays.copyOf(drawableState, drawableState.length + drawableState2.length);
        System.arraycopy(drawableState2, 0, copyOf, length, drawableState2.length);
        return copyOf;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7738(float f2) {
        if (this.f5589.m7496() != f2) {
            if (this.f5592 == null) {
                ValueAnimator valueAnimator = new ValueAnimator();
                this.f5592 = valueAnimator;
                valueAnimator.setInterpolator(com.d.a.a.l.a.f3523);
                this.f5592.setDuration(167L);
                this.f5592.addUpdateListener(new d());
            }
            this.f5592.setFloatValues(this.f5589.m7496(), f2);
            this.f5592.start();
        }
    }
}
