package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ValueAnimator;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.EditText;
import com.google.android.material.textfield.TextInputLayout;

/* compiled from: ClearTextEndIconDelegate */
class a extends e {

    /* renamed from: ʿ  reason: contains not printable characters */
    private final TextWatcher f5649 = new C0072a();

    /* renamed from: ˆ  reason: contains not printable characters */
    private final View.OnFocusChangeListener f5650 = new b();

    /* renamed from: ˈ  reason: contains not printable characters */
    private final TextInputLayout.f f5651 = new c();

    /* renamed from: ˉ  reason: contains not printable characters */
    private final TextInputLayout.g f5652 = new d();

    /* renamed from: ˊ  reason: contains not printable characters */
    private AnimatorSet f5653;

    /* renamed from: ˋ  reason: contains not printable characters */
    private ValueAnimator f5654;

    /* renamed from: com.google.android.material.textfield.a$a  reason: collision with other inner class name */
    /* compiled from: ClearTextEndIconDelegate */
    class C0072a implements TextWatcher {
        C0072a() {
        }

        public void afterTextChanged(Editable editable) {
            if (a.this.f5698.getSuffixText() == null) {
                a aVar = a.this;
                aVar.m7761((a) aVar.m7765());
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }

        public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class b implements View.OnFocusChangeListener {
        b() {
        }

        public void onFocusChange(View view, boolean z) {
            a aVar = a.this;
            aVar.m7761((a) aVar.m7765());
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class c implements TextInputLayout.f {
        c() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.f
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7768(TextInputLayout textInputLayout) {
            EditText editText = textInputLayout.getEditText();
            textInputLayout.setEndIconVisible(a.this.m7765());
            textInputLayout.setEndIconCheckable(false);
            editText.setOnFocusChangeListener(a.this.f5650);
            a aVar = a.this;
            aVar.f5700.setOnFocusChangeListener(aVar.f5650);
            editText.removeTextChangedListener(a.this.f5649);
            editText.addTextChangedListener(a.this.f5649);
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class d implements TextInputLayout.g {

        /* renamed from: com.google.android.material.textfield.a$d$a  reason: collision with other inner class name */
        /* compiled from: ClearTextEndIconDelegate */
        class RunnableC0073a implements Runnable {

            /* renamed from: ʿ  reason: contains not printable characters */
            final /* synthetic */ EditText f5659;

            RunnableC0073a(EditText editText) {
                this.f5659 = editText;
            }

            public void run() {
                this.f5659.removeTextChangedListener(a.this.f5649);
            }
        }

        d() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.g
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7769(TextInputLayout textInputLayout, int i) {
            EditText editText = textInputLayout.getEditText();
            if (editText != null && i == 2) {
                editText.post(new RunnableC0073a(editText));
                if (editText.getOnFocusChangeListener() == a.this.f5650) {
                    editText.setOnFocusChangeListener(null);
                }
                if (a.this.f5700.getOnFocusChangeListener() == a.this.f5650) {
                    a.this.f5700.setOnFocusChangeListener(null);
                }
            }
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class e implements View.OnClickListener {
        e() {
        }

        public void onClick(View view) {
            Editable text = a.this.f5698.getEditText().getText();
            if (text != null) {
                text.clear();
            }
            a.this.f5698.m7749();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class f extends AnimatorListenerAdapter {
        f() {
        }

        public void onAnimationStart(Animator animator) {
            a.this.f5698.setEndIconVisible(true);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class g extends AnimatorListenerAdapter {
        g() {
        }

        public void onAnimationEnd(Animator animator) {
            a.this.f5698.setEndIconVisible(false);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class h implements ValueAnimator.AnimatorUpdateListener {
        h() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            a.this.f5700.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class i implements ValueAnimator.AnimatorUpdateListener {
        i() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            a.this.f5700.setScaleX(floatValue);
            a.this.f5700.setScaleY(floatValue);
        }
    }

    a(TextInputLayout textInputLayout, int i2) {
        super(textInputLayout, i2);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m7764() {
        ValueAnimator r0 = m7762();
        ValueAnimator r2 = m7757(0.0f, 1.0f);
        AnimatorSet animatorSet = new AnimatorSet();
        this.f5653 = animatorSet;
        animatorSet.playTogether(r0, r2);
        this.f5653.addListener(new f());
        ValueAnimator r02 = m7757(1.0f, 0.0f);
        this.f5654 = r02;
        r02.addListener(new g());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean m7765() {
        EditText editText = this.f5698.getEditText();
        return editText != null && (editText.hasFocus() || this.f5700.hasFocus()) && editText.getText().length() > 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7761(boolean z) {
        boolean z2 = this.f5698.m7744() == z;
        if (z && !this.f5653.isRunning()) {
            this.f5654.cancel();
            this.f5653.start();
            if (z2) {
                this.f5653.end();
            }
        } else if (!z) {
            this.f5653.cancel();
            this.f5654.start();
            if (z2) {
                this.f5654.end();
            }
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private ValueAnimator m7762() {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.8f, 1.0f);
        ofFloat.setInterpolator(com.d.a.a.l.a.f3525);
        ofFloat.setDuration(150L);
        ofFloat.addUpdateListener(new i());
        return ofFloat;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7766() {
        TextInputLayout textInputLayout = this.f5698;
        int i2 = this.f5701;
        if (i2 == 0) {
            i2 = com.d.a.a.e.mtrl_ic_cancel;
        }
        textInputLayout.setEndIconDrawable(i2);
        TextInputLayout textInputLayout2 = this.f5698;
        textInputLayout2.setEndIconContentDescription(textInputLayout2.getResources().getText(com.d.a.a.i.clear_text_end_icon_content_description));
        this.f5698.setEndIconOnClickListener(new e());
        this.f5698.m7741(this.f5651);
        this.f5698.m7742(this.f5652);
        m7764();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7767(boolean z) {
        if (this.f5698.getSuffixText() != null) {
            m7761(z);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private ValueAnimator m7757(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.d.a.a.l.a.f3522);
        ofFloat.setDuration(100L);
        ofFloat.addUpdateListener(new h());
        return ofFloat;
    }
}
