package com.google.android.material.textfield;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.view.View;
import com.d.a.a.b0.g;
import com.d.a.a.b0.k;

/* compiled from: CutoutDrawable */
class c extends g {

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private final RectF f5666;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private final Paint f5667;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private int f5668;

    c() {
        this(null);
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private void m7772() {
        this.f5667.setStyle(Paint.Style.FILL_AND_STROKE);
        this.f5667.setColor(-1);
        this.f5667.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.DST_OUT));
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m7773(Canvas canvas) {
        if (!m7771(getCallback())) {
            canvas.restoreToCount(this.f5668);
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m7774(Canvas canvas) {
        Drawable.Callback callback = getCallback();
        if (m7771(callback)) {
            View view = (View) callback;
            if (view.getLayerType() != 2) {
                view.setLayerType(2, null);
                return;
            }
            return;
        }
        m7775(canvas);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m7775(Canvas canvas) {
        if (Build.VERSION.SDK_INT >= 21) {
            this.f5668 = canvas.saveLayer(0.0f, 0.0f, (float) canvas.getWidth(), (float) canvas.getHeight(), null);
        } else {
            this.f5668 = canvas.saveLayer(0.0f, 0.0f, (float) canvas.getWidth(), (float) canvas.getHeight(), null, 31);
        }
    }

    @Override // com.d.a.a.b0.g
    public void draw(Canvas canvas) {
        m7774(canvas);
        super.draw(canvas);
        m7773(canvas);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7776(float f2, float f3, float f4, float f5) {
        RectF rectF = this.f5666;
        if (f2 != rectF.left || f3 != rectF.top || f4 != rectF.right || f5 != rectF.bottom) {
            this.f5666.set(f2, f3, f4, f5);
            invalidateSelf();
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼʼ  reason: contains not printable characters */
    public boolean m7779() {
        return !this.f5666.isEmpty();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿʿ  reason: contains not printable characters */
    public void m7780() {
        m7776(0.0f, 0.0f, 0.0f, 0.0f);
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    c(k kVar) {
        super(kVar == null ? new k() : kVar);
        this.f5667 = new Paint(1);
        m7772();
        this.f5666 = new RectF();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7778(RectF rectF) {
        m7776(rectF.left, rectF.top, rectF.right, rectF.bottom);
    }

    /* access modifiers changed from: protected */
    @Override // com.d.a.a.b0.g
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7777(Canvas canvas) {
        if (this.f5666.isEmpty()) {
            super.m4808(canvas);
            return;
        }
        Bitmap createBitmap = Bitmap.createBitmap(canvas.getWidth(), canvas.getHeight(), Bitmap.Config.ARGB_8888);
        Canvas canvas2 = new Canvas(createBitmap);
        super.m4808(canvas2);
        canvas2.drawRect(this.f5666, this.f5667);
        canvas.drawBitmap(createBitmap, 0.0f, 0.0f, (Paint) null);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m7771(Drawable.Callback callback) {
        return callback instanceof View;
    }
}
