package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Build;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.MotionEvent;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.widget.AutoCompleteTextView;
import android.widget.EditText;
import android.widget.Spinner;
import com.d.a.a.b0.k;
import com.google.android.material.internal.o;
import com.google.android.material.textfield.TextInputLayout;
import e.g.l.d0;

/* compiled from: DropdownMenuEndIconDelegate */
class d extends e {

    /* renamed from: ᴵ  reason: contains not printable characters */
    private static final boolean f5669 = (Build.VERSION.SDK_INT >= 21);

    /* renamed from: ʿ  reason: contains not printable characters */
    private final TextWatcher f5670 = new a();

    /* renamed from: ˆ  reason: contains not printable characters */
    private final View.OnFocusChangeListener f5671 = new c();

    /* renamed from: ˈ  reason: contains not printable characters */
    private final TextInputLayout.e f5672 = new C0075d(this.f5698);

    /* renamed from: ˉ  reason: contains not printable characters */
    private final TextInputLayout.f f5673 = new e();
    @SuppressLint({"ClickableViewAccessibility"})

    /* renamed from: ˊ  reason: contains not printable characters */
    private final TextInputLayout.g f5674 = new f();

    /* renamed from: ˋ  reason: contains not printable characters */
    private boolean f5675 = false;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f5676 = false;

    /* renamed from: ˏ  reason: contains not printable characters */
    private long f5677 = Long.MAX_VALUE;

    /* renamed from: ˑ  reason: contains not printable characters */
    private StateListDrawable f5678;

    /* renamed from: י  reason: contains not printable characters */
    private com.d.a.a.b0.g f5679;

    /* renamed from: ـ  reason: contains not printable characters */
    private AccessibilityManager f5680;

    /* renamed from: ٴ  reason: contains not printable characters */
    private ValueAnimator f5681;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private ValueAnimator f5682;

    /* compiled from: DropdownMenuEndIconDelegate */
    class a extends o {

        /* renamed from: com.google.android.material.textfield.d$a$a  reason: collision with other inner class name */
        /* compiled from: DropdownMenuEndIconDelegate */
        class RunnableC0074a implements Runnable {

            /* renamed from: ʿ  reason: contains not printable characters */
            final /* synthetic */ AutoCompleteTextView f5684;

            RunnableC0074a(AutoCompleteTextView autoCompleteTextView) {
                this.f5684 = autoCompleteTextView;
            }

            public void run() {
                boolean isPopupShowing = this.f5684.isPopupShowing();
                d.this.m7794((d) isPopupShowing);
                d.this.f5675 = isPopupShowing;
            }
        }

        a() {
        }

        @Override // com.google.android.material.internal.o
        public void afterTextChanged(Editable editable) {
            AutoCompleteTextView r2 = d.m7798(d.this.f5698.getEditText());
            if (d.this.f5680.isTouchExplorationEnabled() && d.m7805((EditText) r2) && !d.this.f5700.hasFocus()) {
                r2.dismissDropDown();
            }
            r2.post(new RunnableC0074a(r2));
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class b implements ValueAnimator.AnimatorUpdateListener {
        b() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            d.this.f5700.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class c implements View.OnFocusChangeListener {
        c() {
        }

        public void onFocusChange(View view, boolean z) {
            d.this.f5698.setEndIconActivated(z);
            if (!z) {
                d.this.m7794((d) false);
                d.this.f5675 = false;
            }
        }
    }

    /* renamed from: com.google.android.material.textfield.d$d  reason: collision with other inner class name */
    /* compiled from: DropdownMenuEndIconDelegate */
    class C0075d extends TextInputLayout.e {
        C0075d(TextInputLayout textInputLayout) {
            super(textInputLayout);
        }

        @Override // e.g.l.d, com.google.android.material.textfield.TextInputLayout.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7814(View view, e.g.l.m0.c cVar) {
            super.m7754(view, cVar);
            if (!d.m7805(d.this.f5698.getEditText())) {
                cVar.m10915((CharSequence) Spinner.class.getName());
            }
            if (cVar.m10969()) {
                cVar.m10938((CharSequence) null);
            }
        }

        @Override // e.g.l.d
        /* renamed from: ʽ  reason: contains not printable characters */
        public void m7815(View view, AccessibilityEvent accessibilityEvent) {
            super.m10410(view, accessibilityEvent);
            AutoCompleteTextView r2 = d.m7798(d.this.f5698.getEditText());
            if (accessibilityEvent.getEventType() == 1 && d.this.f5680.isTouchExplorationEnabled() && !d.m7805(d.this.f5698.getEditText())) {
                d.this.m7803((d) r2);
            }
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class e implements TextInputLayout.f {
        e() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.f
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7816(TextInputLayout textInputLayout) {
            AutoCompleteTextView r0 = d.m7798(textInputLayout.getEditText());
            d.this.m7791((d) r0);
            d.this.m7786((d) r0);
            d.this.m7799((d) r0);
            r0.setThreshold(0);
            r0.removeTextChangedListener(d.this.f5670);
            r0.addTextChangedListener(d.this.f5670);
            textInputLayout.setEndIconCheckable(true);
            textInputLayout.setErrorIconDrawable((Drawable) null);
            if (!d.m7805((EditText) r0)) {
                d0.m10473(d.this.f5700, 2);
            }
            textInputLayout.setTextInputAccessibilityDelegate(d.this.f5672);
            textInputLayout.setEndIconVisible(true);
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class f implements TextInputLayout.g {

        /* compiled from: DropdownMenuEndIconDelegate */
        class a implements Runnable {

            /* renamed from: ʿ  reason: contains not printable characters */
            final /* synthetic */ AutoCompleteTextView f5691;

            a(AutoCompleteTextView autoCompleteTextView) {
                this.f5691 = autoCompleteTextView;
            }

            public void run() {
                this.f5691.removeTextChangedListener(d.this.f5670);
            }
        }

        f() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.g
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m7817(TextInputLayout textInputLayout, int i) {
            AutoCompleteTextView autoCompleteTextView = (AutoCompleteTextView) textInputLayout.getEditText();
            if (autoCompleteTextView != null && i == 3) {
                autoCompleteTextView.post(new a(autoCompleteTextView));
                if (autoCompleteTextView.getOnFocusChangeListener() == d.this.f5671) {
                    autoCompleteTextView.setOnFocusChangeListener(null);
                }
                autoCompleteTextView.setOnTouchListener(null);
                if (d.f5669) {
                    autoCompleteTextView.setOnDismissListener(null);
                }
            }
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class g implements View.OnClickListener {
        g() {
        }

        public void onClick(View view) {
            d.this.m7803((d) ((AutoCompleteTextView) d.this.f5698.getEditText()));
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class h implements View.OnTouchListener {

        /* renamed from: ʿ  reason: contains not printable characters */
        final /* synthetic */ AutoCompleteTextView f5694;

        h(AutoCompleteTextView autoCompleteTextView) {
            this.f5694 = autoCompleteTextView;
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            if (motionEvent.getAction() == 1) {
                if (d.this.m7807()) {
                    d.this.f5675 = false;
                }
                d.this.m7803((d) this.f5694);
            }
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class i implements AutoCompleteTextView.OnDismissListener {
        i() {
        }

        public void onDismiss() {
            d.this.f5675 = true;
            d.this.f5677 = System.currentTimeMillis();
            d.this.m7794((d) false);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class j extends AnimatorListenerAdapter {
        j() {
        }

        public void onAnimationEnd(Animator animator) {
            d dVar = d.this;
            dVar.f5700.setChecked(dVar.f5676);
            d.this.f5682.start();
        }
    }

    d(TextInputLayout textInputLayout, int i2) {
        super(textInputLayout, i2);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m7812(int i2) {
        return i2 != 0;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m7813() {
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean m7807() {
        long currentTimeMillis = System.currentTimeMillis() - this.f5677;
        return currentTimeMillis < 0 || currentTimeMillis > 300;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʾ  reason: contains not printable characters */
    private void m7803(AutoCompleteTextView autoCompleteTextView) {
        if (autoCompleteTextView != null) {
            if (m7807()) {
                this.f5675 = false;
            }
            if (!this.f5675) {
                if (f5669) {
                    m7794(!this.f5676);
                } else {
                    this.f5676 = !this.f5676;
                    this.f5700.toggle();
                }
                if (this.f5676) {
                    autoCompleteTextView.requestFocus();
                    autoCompleteTextView.showDropDown();
                    return;
                }
                autoCompleteTextView.dismissDropDown();
                return;
            }
            this.f5675 = false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @SuppressLint({"ClickableViewAccessibility"})
    /* renamed from: ʽ  reason: contains not printable characters */
    private void m7799(AutoCompleteTextView autoCompleteTextView) {
        autoCompleteTextView.setOnTouchListener(new h(autoCompleteTextView));
        autoCompleteTextView.setOnFocusChangeListener(this.f5671);
        if (f5669) {
            autoCompleteTextView.setOnDismissListener(new i());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7791(AutoCompleteTextView autoCompleteTextView) {
        if (f5669) {
            int boxBackgroundMode = this.f5698.getBoxBackgroundMode();
            if (boxBackgroundMode == 2) {
                autoCompleteTextView.setDropDownBackgroundDrawable(this.f5679);
            } else if (boxBackgroundMode == 1) {
                autoCompleteTextView.setDropDownBackgroundDrawable(this.f5678);
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m7811() {
        float dimensionPixelOffset = (float) this.f5699.getResources().getDimensionPixelOffset(com.d.a.a.d.mtrl_shape_corner_size_small_component);
        float dimensionPixelOffset2 = (float) this.f5699.getResources().getDimensionPixelOffset(com.d.a.a.d.mtrl_exposed_dropdown_menu_popup_elevation);
        int dimensionPixelOffset3 = this.f5699.getResources().getDimensionPixelOffset(com.d.a.a.d.mtrl_exposed_dropdown_menu_popup_vertical_padding);
        com.d.a.a.b0.g r3 = m7785(dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset2, dimensionPixelOffset3);
        com.d.a.a.b0.g r0 = m7785(0.0f, dimensionPixelOffset, dimensionPixelOffset2, dimensionPixelOffset3);
        this.f5679 = r3;
        StateListDrawable stateListDrawable = new StateListDrawable();
        this.f5678 = stateListDrawable;
        stateListDrawable.addState(new int[]{16842922}, r3);
        this.f5678.addState(new int[0], r0);
        int i2 = this.f5701;
        if (i2 == 0) {
            i2 = f5669 ? com.d.a.a.e.mtrl_dropdown_arrow : com.d.a.a.e.mtrl_ic_arrow_drop_down;
        }
        this.f5698.setEndIconDrawable(i2);
        TextInputLayout textInputLayout = this.f5698;
        textInputLayout.setEndIconContentDescription(textInputLayout.getResources().getText(com.d.a.a.i.exposed_dropdown_menu_content_description));
        this.f5698.setEndIconOnClickListener(new g());
        this.f5698.m7741(this.f5673);
        this.f5698.m7742(this.f5674);
        m7802();
        this.f5680 = (AccessibilityManager) this.f5699.getSystemService("accessibility");
    }

    /* access modifiers changed from: private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public static AutoCompleteTextView m7798(EditText editText) {
        if (editText instanceof AutoCompleteTextView) {
            return (AutoCompleteTextView) editText;
        }
        throw new RuntimeException("EditText needs to be an AutoCompleteTextView if an Exposed Dropdown Menu is being used.");
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7792(AutoCompleteTextView autoCompleteTextView, int i2, int[][] iArr, com.d.a.a.b0.g gVar) {
        LayerDrawable layerDrawable;
        int r0 = com.d.a.a.q.a.m5077(autoCompleteTextView, com.d.a.a.b.colorSurface);
        com.d.a.a.b0.g gVar2 = new com.d.a.a.b0.g(gVar.m4829());
        int r9 = com.d.a.a.q.a.m5074(i2, r0, 0.1f);
        gVar2.m4807(new ColorStateList(iArr, new int[]{r9, 0}));
        if (f5669) {
            gVar2.setTint(r0);
            ColorStateList colorStateList = new ColorStateList(iArr, new int[]{r9, r0});
            com.d.a.a.b0.g gVar3 = new com.d.a.a.b0.g(gVar.m4829());
            gVar3.setTint(-1);
            layerDrawable = new LayerDrawable(new Drawable[]{new RippleDrawable(colorStateList, gVar2, gVar3), gVar});
        } else {
            layerDrawable = new LayerDrawable(new Drawable[]{gVar2, gVar});
        }
        d0.m10431(autoCompleteTextView, layerDrawable);
    }

    /* access modifiers changed from: private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public static boolean m7805(EditText editText) {
        return editText.getKeyListener() != null;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m7802() {
        this.f5682 = m7782(67, 0.0f, 1.0f);
        ValueAnimator r0 = m7782(50, 1.0f, 0.0f);
        this.f5681 = r0;
        r0.addListener(new j());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼ  reason: contains not printable characters */
    private void m7794(boolean z) {
        if (this.f5676 != z) {
            this.f5676 = z;
            this.f5682.cancel();
            this.f5681.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7786(AutoCompleteTextView autoCompleteTextView) {
        if (!m7805((EditText) autoCompleteTextView)) {
            int boxBackgroundMode = this.f5698.getBoxBackgroundMode();
            com.d.a.a.b0.g boxBackground = this.f5698.getBoxBackground();
            int r2 = com.d.a.a.q.a.m5077(autoCompleteTextView, com.d.a.a.b.colorControlHighlight);
            int[][] iArr = {new int[]{16842919}, new int[0]};
            if (boxBackgroundMode == 2) {
                m7792(autoCompleteTextView, r2, iArr, boxBackground);
            } else if (boxBackgroundMode == 1) {
                m7787(autoCompleteTextView, r2, iArr, boxBackground);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7787(AutoCompleteTextView autoCompleteTextView, int i2, int[][] iArr, com.d.a.a.b0.g gVar) {
        int boxBackgroundColor = this.f5698.getBoxBackgroundColor();
        int[] iArr2 = {com.d.a.a.q.a.m5074(i2, boxBackgroundColor, 0.1f), boxBackgroundColor};
        if (f5669) {
            d0.m10431(autoCompleteTextView, new RippleDrawable(new ColorStateList(iArr, iArr2), gVar, gVar));
            return;
        }
        com.d.a.a.b0.g gVar2 = new com.d.a.a.b0.g(gVar.m4829());
        gVar2.m4807(new ColorStateList(iArr, iArr2));
        LayerDrawable layerDrawable = new LayerDrawable(new Drawable[]{gVar, gVar2});
        int r8 = d0.m10499(autoCompleteTextView);
        int paddingTop = autoCompleteTextView.getPaddingTop();
        int r0 = d0.m10498(autoCompleteTextView);
        int paddingBottom = autoCompleteTextView.getPaddingBottom();
        d0.m10431(autoCompleteTextView, layerDrawable);
        d0.m10426(autoCompleteTextView, r8, paddingTop, r0, paddingBottom);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private com.d.a.a.b0.g m7785(float f2, float f3, float f4, int i2) {
        k.b r0 = k.m4856();
        r0.m4900(f2);
        r0.m4904(f2);
        r0.m4892(f3);
        r0.m4896(f3);
        k r2 = r0.m4891();
        com.d.a.a.b0.g r3 = com.d.a.a.b0.g.m4780(this.f5699, f4);
        r3.setShapeAppearanceModel(r2);
        r3.m4805(0, i2, 0, i2);
        return r3;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private ValueAnimator m7782(int i2, float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.d.a.a.l.a.f3522);
        ofFloat.setDuration((long) i2);
        ofFloat.addUpdateListener(new b());
        return ofFloat;
    }
}
