package com.google.android.material.textfield;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityManager;
import android.widget.AdapterView;
import android.widget.Filterable;
import android.widget.ListAdapter;
import androidx.appcompat.widget.o0;
import com.d.a.a.b;
import com.d.a.a.j;
import com.d.a.a.k;
import com.google.android.material.internal.f;
import com.google.android.material.internal.p;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: MaterialAutoCompleteTextView */
public class g extends androidx.appcompat.widget.g {

    /* renamed from: ˊ  reason: contains not printable characters */
    private final o0 f5728;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final AccessibilityManager f5729;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final Rect f5730;

    /* compiled from: MaterialAutoCompleteTextView */
    class a implements AdapterView.OnItemClickListener {
        a() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
            g.this.m7866((g) (i < 0 ? g.this.f5728.m1521() : g.this.getAdapter().getItem(i)));
            AdapterView.OnItemClickListener onItemClickListener = g.this.getOnItemClickListener();
            if (onItemClickListener != null) {
                if (view == null || i < 0) {
                    view = g.this.f5728.m1525();
                    i = g.this.f5728.m1524();
                    j = g.this.f5728.m1523();
                }
                onItemClickListener.onItemClick(g.this.f5728.m1515(), view, i, j);
            }
            g.this.f5728.dismiss();
        }
    }

    public g(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, b.autoCompleteTextViewStyle);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private int m7867() {
        ListAdapter adapter = getAdapter();
        TextInputLayout r1 = m7864();
        int i = 0;
        if (adapter == null || r1 == null) {
            return 0;
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 0);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 0);
        int min = Math.min(adapter.getCount(), Math.max(0, this.f5728.m1524()) + 15);
        View view = null;
        int i2 = 0;
        for (int max = Math.max(0, min - 15); max < min; max++) {
            int itemViewType = adapter.getItemViewType(max);
            if (itemViewType != i) {
                view = null;
                i = itemViewType;
            }
            view = adapter.getView(max, view, r1);
            if (view.getLayoutParams() == null) {
                view.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
            }
            view.measure(makeMeasureSpec, makeMeasureSpec2);
            i2 = Math.max(i2, view.getMeasuredWidth());
        }
        Drawable r0 = this.f5728.m1512();
        if (r0 != null) {
            r0.getPadding(this.f5730);
            Rect rect = this.f5730;
            i2 += rect.left + rect.right;
        }
        return i2 + r1.getEndIconView().getMeasuredWidth();
    }

    public CharSequence getHint() {
        TextInputLayout r0 = m7864();
        if (r0 == null || !r0.m7747()) {
            return super.getHint();
        }
        return r0.getHint();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        TextInputLayout r0 = m7864();
        if (r0 != null && r0.m7747() && super.getHint() == null && f.m7509()) {
            setHint(BuildConfig.FLAVOR);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (View.MeasureSpec.getMode(i) == Integer.MIN_VALUE) {
            setMeasuredDimension(Math.min(Math.max(getMeasuredWidth(), m7867()), View.MeasureSpec.getSize(i)), getMeasuredHeight());
        }
    }

    @Override // android.widget.AutoCompleteTextView
    public <T extends ListAdapter & Filterable> void setAdapter(T t) {
        super.setAdapter(t);
        this.f5728.m1502(getAdapter());
    }

    public void showDropDown() {
        AccessibilityManager accessibilityManager = this.f5729;
        if (accessibilityManager == null || !accessibilityManager.isTouchExplorationEnabled()) {
            super.showDropDown();
        } else {
            this.f5728.m1509();
        }
    }

    public g(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m7888(context, attributeSet, i, 0), attributeSet, i);
        this.f5730 = new Rect();
        Context context2 = getContext();
        TypedArray r9 = p.m7620(context2, attributeSet, k.MaterialAutoCompleteTextView, i, j.Widget_AppCompat_AutoCompleteTextView, new int[0]);
        if (r9.hasValue(k.MaterialAutoCompleteTextView_android_inputType) && r9.getInt(k.MaterialAutoCompleteTextView_android_inputType, 0) == 0) {
            setKeyListener(null);
        }
        this.f5729 = (AccessibilityManager) context2.getSystemService("accessibility");
        o0 o0Var = new o0(context2);
        this.f5728 = o0Var;
        o0Var.m1504(true);
        this.f5728.m1500(this);
        this.f5728.m1516(2);
        this.f5728.m1502(getAdapter());
        this.f5728.m1501(new a());
        r9.recycle();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private TextInputLayout m7864() {
        for (ViewParent parent = getParent(); parent != null; parent = parent.getParent()) {
            if (parent instanceof TextInputLayout) {
                return (TextInputLayout) parent;
            }
        }
        return null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.android.material.textfield.g */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private <T extends ListAdapter & Filterable> void m7866(Object obj) {
        if (Build.VERSION.SDK_INT >= 17) {
            setText(convertSelectionToString(obj), false);
            return;
        }
        ListAdapter adapter = getAdapter();
        setAdapter(null);
        setText(convertSelectionToString(obj));
        setAdapter(adapter);
    }
}
