package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Build;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Checkable;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.TextView;
import com.d.a.a.f;
import com.d.a.a.h;
import com.google.android.material.chip.Chip;
import com.google.android.material.internal.o;
import com.google.android.material.internal.r;
import com.google.android.material.textfield.TextInputLayout;

class ChipTextInputComboView extends FrameLayout implements Checkable {

    /* renamed from: ʿ  reason: contains not printable characters */
    private final Chip f5743;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final TextInputLayout f5744;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final EditText f5745;

    /* renamed from: ˉ  reason: contains not printable characters */
    private TextWatcher f5746;

    private class b extends o {
        private b() {
        }

        @Override // com.google.android.material.internal.o
        public void afterTextChanged(Editable editable) {
            if (TextUtils.isEmpty(editable)) {
                ChipTextInputComboView.this.f5743.setText(ChipTextInputComboView.this.m7891((ChipTextInputComboView) "00"));
            } else {
                ChipTextInputComboView.this.f5743.setText(ChipTextInputComboView.this.m7891((ChipTextInputComboView) editable));
            }
        }
    }

    public ChipTextInputComboView(Context context) {
        this(context, null);
    }

    public boolean isChecked() {
        return this.f5743.isChecked();
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        m7892();
    }

    public void setChecked(boolean z) {
        this.f5743.setChecked(z);
        int i = 0;
        this.f5745.setVisibility(z ? 0 : 4);
        Chip chip = this.f5743;
        if (z) {
            i = 8;
        }
        chip.setVisibility(i);
        if (isChecked()) {
            r.m7631(this.f5745);
            if (!TextUtils.isEmpty(this.f5745.getText())) {
                EditText editText = this.f5745;
                editText.setSelection(editText.getText().length());
            }
        }
    }

    public void setOnClickListener(View.OnClickListener onClickListener) {
        this.f5743.setOnClickListener(onClickListener);
    }

    public void setTag(int i, Object obj) {
        this.f5743.setTag(i, obj);
    }

    public void toggle() {
        this.f5743.toggle();
    }

    public ChipTextInputComboView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ChipTextInputComboView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        LayoutInflater from = LayoutInflater.from(context);
        this.f5743 = (Chip) from.inflate(h.material_time_chip, (ViewGroup) this, false);
        TextInputLayout textInputLayout = (TextInputLayout) from.inflate(h.material_time_input, (ViewGroup) this, false);
        this.f5744 = textInputLayout;
        EditText editText = textInputLayout.getEditText();
        this.f5745 = editText;
        editText.setVisibility(4);
        b bVar = new b();
        this.f5746 = bVar;
        this.f5745.addTextChangedListener(bVar);
        m7892();
        addView(this.f5743);
        addView(this.f5744);
        TextView textView = (TextView) findViewById(f.material_label);
        this.f5745.setSaveEnabled(false);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7892() {
        if (Build.VERSION.SDK_INT >= 24) {
            this.f5745.setImeHintLocales(getContext().getResources().getConfiguration().getLocales());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private String m7891(CharSequence charSequence) {
        return c.m7936(getResources(), charSequence);
    }
}
