package com.lt.plugin.displays;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.hardware.display.DisplayManager;
import android.net.Uri;
import android.os.Build;
import android.provider.Settings;
import android.text.TextUtils;
import android.view.Display;
import androidx.appcompat.app.c;
import com.lt.plugin.c1;
import com.lt.plugin.d;
import com.lt.plugin.r0;
import com.lt.plugin.s;
import com.lt.plugin.t0;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONObject;

public class Displays implements s {

    /* access modifiers changed from: package-private */
    public class a implements DialogInterface.OnClickListener {

        /* renamed from: ʿ  reason: contains not printable characters */
        final /* synthetic */ Context f6420;

        a(Displays displays, Context context) {
            this.f6420 = context;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            Intent intent = new Intent("android.settings.action.MANAGE_OVERLAY_PERMISSION");
            intent.setData(Uri.fromParts("package", this.f6420.getPackageName(), null));
            this.f6420.startActivity(intent);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m8794(Context context, int i, String str) {
        Intent intent = new Intent(context, DualScreenService.class);
        intent.putExtra("_k_display_id", i);
        intent.putExtra("_k_url", str);
        context.startService(intent);
    }

    public void dismiss(JSONObject jSONObject, com.lt.plugin.a aVar, r0 r0Var) {
        m8796(aVar, jSONObject.optInt("x"));
    }

    public void getDisplays(JSONObject jSONObject, com.lt.plugin.a aVar, r0 r0Var) {
        List<d> r5 = m8795(aVar);
        JSONArray jSONArray = new JSONArray();
        try {
            for (d dVar : r5) {
                JSONObject jSONObject2 = new JSONObject();
                jSONObject2.put("displayId", dVar.f6415);
                jSONObject2.put("displayName", dVar.f6416);
                jSONObject2.put("state", dVar.f6418);
                jSONObject2.put("stateString", dVar.f6419);
                jSONObject2.put("isValid", dVar.f6417);
                jSONArray.put(jSONObject2);
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        t0.m8843(jSONArray.toString(), r0Var);
    }

    public void show(JSONObject jSONObject, com.lt.plugin.a aVar, r0 r0Var) {
        String optString = jSONObject.optString("url");
        t0.m8845(!TextUtils.isEmpty(optString) && m8797(aVar, jSONObject.optInt("displayId"), optString), r0Var);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public List<d> m8795(Context context) {
        ArrayList arrayList = new ArrayList(2);
        if (Build.VERSION.SDK_INT < 17) {
            c1.m8784(context, "Android 4.2+ required");
            return arrayList;
        }
        DisplayManager displayManager = (DisplayManager) context.getSystemService("display");
        if (displayManager == null) {
            c1.m8784(context, "DISPLAY_SERVICE is null");
            return arrayList;
        }
        Display[] displays = displayManager.getDisplays();
        for (Display display : displays) {
            d dVar = new d();
            dVar.f6415 = display.getDisplayId();
            dVar.f6416 = display.getName();
            dVar.f6417 = display.isValid();
            if (Build.VERSION.SDK_INT >= 20) {
                dVar.f6418 = display.getState();
            } else {
                dVar.f6418 = 0;
            }
            dVar.f6419 = m8793(dVar.f6418);
            arrayList.add(dVar);
        }
        return arrayList;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m8797(Context context, int i, String str) {
        if (Build.VERSION.SDK_INT < 17) {
            c1.m8784(context, "Android 4.2+ required");
            return false;
        }
        DisplayManager displayManager = (DisplayManager) context.getSystemService("display");
        if (displayManager == null) {
            c1.m8784(context, "DISPLAY_SERVICE is null");
            return false;
        } else if (displayManager.getDisplay(i) == null) {
            c1.m8784(context, "Display " + i + " not found");
            return false;
        } else if (Build.VERSION.SDK_INT < 23 || Settings.canDrawOverlays(context)) {
            m8794(context, i, str);
            return true;
        } else {
            c.a aVar = new c.a(context);
            aVar.m307(d.plugin_displays_permission);
            aVar.m293(d.plugin_displays_no_alert);
            aVar.m308(d.plugin_displays_setting, new a(this, context));
            aVar.m294(d.plugin_cancel, (DialogInterface.OnClickListener) null);
            aVar.m311();
            return false;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m8796(Context context, int i) {
        if (Build.VERSION.SDK_INT < 17) {
            c1.m8784(context, "Android 4.2+ required");
            return;
        }
        Intent intent = new Intent("_displays_cmd_dismiss");
        intent.putExtra("_k_display_id", i);
        context.sendBroadcast(intent);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private String m8793(int i) {
        if (i == 0) {
            return "UNKNOWN";
        }
        if (i == 1) {
            return "OFF";
        }
        if (i == 2) {
            return "ON";
        }
        if (i == 3) {
            return "DOZE";
        }
        if (i != 4) {
            return i != 5 ? Integer.toString(i) : "VR";
        }
        return "DOZE_SUSPEND";
    }
}
