package e.g.d.f;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.StateSet;
import android.util.TypedValue;
import android.util.Xml;
import e.g.a;
import e.g.c;
import java.io.IOException;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: ColorStateListInflaterCompat */
public final class e {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final ThreadLocal<TypedValue> f7309 = new ThreadLocal<>();

    /* renamed from: ʻ  reason: contains not printable characters */
    public static ColorStateList m10047(Resources resources, int i, Resources.Theme theme) {
        try {
            return m10048(resources, resources.getXml(i), theme);
        } catch (Exception e2) {
            Log.e("CSLCompat", "Failed to inflate ColorStateList.", e2);
            return null;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static ColorStateList m10053(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        int depth;
        int i;
        float f2;
        Resources resources2 = resources;
        int i2 = 1;
        int depth2 = xmlPullParser.getDepth() + 1;
        int[][] iArr = new int[20][];
        int[] iArr2 = new int[20];
        int i3 = 0;
        while (true) {
            int next = xmlPullParser.next();
            if (next == i2 || ((depth = xmlPullParser.getDepth()) < depth2 && next == 3)) {
                int[] iArr3 = new int[i3];
                int[][] iArr4 = new int[i3][];
                System.arraycopy(iArr2, 0, iArr3, 0, i3);
                System.arraycopy(iArr, 0, iArr4, 0, i3);
            } else {
                if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                    TypedArray r9 = m10050(resources2, theme, attributeSet, c.ColorStateListItem);
                    int resourceId = r9.getResourceId(c.ColorStateListItem_android_color, -1);
                    if (resourceId == -1 || m10052(resources2, resourceId)) {
                        i = r9.getColor(c.ColorStateListItem_android_color, -65281);
                    } else {
                        try {
                            i = m10048(resources2, resources2.getXml(resourceId), theme).getDefaultColor();
                        } catch (Exception unused) {
                            i = r9.getColor(c.ColorStateListItem_android_color, -65281);
                        }
                    }
                    float f3 = 1.0f;
                    if (r9.hasValue(c.ColorStateListItem_android_alpha)) {
                        f3 = r9.getFloat(c.ColorStateListItem_android_alpha, 1.0f);
                    } else if (r9.hasValue(c.ColorStateListItem_alpha)) {
                        f3 = r9.getFloat(c.ColorStateListItem_alpha, 1.0f);
                    }
                    if (Build.VERSION.SDK_INT < 31 || !r9.hasValue(c.ColorStateListItem_android_lStar)) {
                        f2 = r9.getFloat(c.ColorStateListItem_lStar, -1.0f);
                    } else {
                        f2 = r9.getFloat(c.ColorStateListItem_android_lStar, -1.0f);
                    }
                    r9.recycle();
                    int attributeCount = attributeSet.getAttributeCount();
                    int[] iArr5 = new int[attributeCount];
                    int i4 = 0;
                    for (int i5 = 0; i5 < attributeCount; i5++) {
                        int attributeNameResource = attributeSet.getAttributeNameResource(i5);
                        if (!(attributeNameResource == 16843173 || attributeNameResource == 16843551 || attributeNameResource == a.alpha || attributeNameResource == a.lStar)) {
                            int i6 = i4 + 1;
                            if (!attributeSet.getAttributeBooleanValue(i5, false)) {
                                attributeNameResource = -attributeNameResource;
                            }
                            iArr5[i4] = attributeNameResource;
                            i4 = i6;
                        }
                    }
                    int[] trimStateSet = StateSet.trimStateSet(iArr5, i4);
                    iArr2 = i.m10091(iArr2, i3, m10046(i, f3, f2));
                    iArr = (int[][]) i.m10092(iArr, i3, trimStateSet);
                    i3++;
                }
                i2 = 1;
                resources2 = resources;
            }
        }
        int[] iArr32 = new int[i3];
        int[][] iArr42 = new int[i3][];
        System.arraycopy(iArr2, 0, iArr32, 0, i3);
        System.arraycopy(iArr, 0, iArr42, 0, i3);
        return new ColorStateList(iArr42, iArr32);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static ColorStateList m10048(Resources resources, XmlPullParser xmlPullParser, Resources.Theme theme) throws XmlPullParserException, IOException {
        int next;
        AttributeSet asAttributeSet = Xml.asAttributeSet(xmlPullParser);
        do {
            next = xmlPullParser.next();
            if (next == 2) {
                break;
            }
        } while (next != 1);
        if (next == 2) {
            return m10049(resources, xmlPullParser, asAttributeSet, theme);
        }
        throw new XmlPullParserException("No start tag found");
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static ColorStateList m10049(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        String name = xmlPullParser.getName();
        if (name.equals("selector")) {
            return m10053(resources, xmlPullParser, attributeSet, theme);
        }
        throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid color state list tag " + name);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m10052(Resources resources, int i) {
        TypedValue r0 = m10051();
        resources.getValue(i, r0, true);
        int i2 = r0.type;
        if (i2 < 28 || i2 > 31) {
            return false;
        }
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static TypedValue m10051() {
        TypedValue typedValue = f7309.get();
        if (typedValue != null) {
            return typedValue;
        }
        TypedValue typedValue2 = new TypedValue();
        f7309.set(typedValue2);
        return typedValue2;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static TypedArray m10050(Resources resources, Resources.Theme theme, AttributeSet attributeSet, int[] iArr) {
        if (theme == null) {
            return resources.obtainAttributes(attributeSet, iArr);
        }
        return theme.obtainStyledAttributes(attributeSet, iArr, 0, 0);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m10046(int i, float f2, float f3) {
        boolean z = f3 >= 0.0f && f3 <= 100.0f;
        if (f2 == 1.0f && !z) {
            return i;
        }
        int r4 = e.g.g.a.m10256((int) ((((float) Color.alpha(i)) * f2) + 0.5f), 0, 255);
        if (z) {
            c r3 = c.m10024(i);
            i = c.m10028(r3.m10034(), r3.m10033(), f3);
        }
        return (i & 16777215) | (r4 << 24);
    }
}
