package e.g.e;

import android.content.ContentResolver;
import android.content.Context;
import android.content.res.Resources;
import android.net.Uri;
import android.os.CancellationSignal;
import android.os.ParcelFileDescriptor;
import android.os.Process;
import android.os.StrictMode;
import android.util.Log;
import e.g.i.g;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/* compiled from: TypefaceCompatUtil */
public class l {

    /* access modifiers changed from: package-private */
    /* compiled from: TypefaceCompatUtil */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static ParcelFileDescriptor m10252(ContentResolver contentResolver, Uri uri, String str, CancellationSignal cancellationSignal) throws FileNotFoundException {
            return contentResolver.openFileDescriptor(uri, str, cancellationSignal);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static File m10244(Context context) {
        File cacheDir = context.getCacheDir();
        if (cacheDir == null) {
            return null;
        }
        String str = ".font" + Process.myPid() + "-" + Process.myTid() + "-";
        for (int i = 0; i < 100; i++) {
            File file = new File(cacheDir, str + i);
            try {
                if (file.createNewFile()) {
                    return file;
                }
            } catch (IOException unused) {
            }
        }
        return null;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static ByteBuffer m10247(File file) {
        try {
            FileInputStream fileInputStream = new FileInputStream(file);
            try {
                FileChannel channel = fileInputStream.getChannel();
                MappedByteBuffer map = channel.map(FileChannel.MapMode.READ_ONLY, 0, channel.size());
                fileInputStream.close();
                return map;
            } catch (Throwable unused) {
            }
            throw th;
        } catch (IOException unused2) {
            return null;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static ByteBuffer m10246(Context context, CancellationSignal cancellationSignal, Uri uri) {
        try {
            ParcelFileDescriptor r7 = a.m10252(context.getContentResolver(), uri, "r", cancellationSignal);
            if (r7 == null) {
                if (r7 != null) {
                    r7.close();
                }
                return null;
            }
            try {
                FileInputStream fileInputStream = new FileInputStream(r7.getFileDescriptor());
                try {
                    FileChannel channel = fileInputStream.getChannel();
                    MappedByteBuffer map = channel.map(FileChannel.MapMode.READ_ONLY, 0, channel.size());
                    fileInputStream.close();
                    if (r7 != null) {
                        r7.close();
                    }
                    return map;
                } catch (Throwable unused) {
                }
            } catch (Throwable unused2) {
            }
            throw th;
            throw th;
        } catch (IOException unused3) {
            return null;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static ByteBuffer m10245(Context context, Resources resources, int i) {
        File r1 = m10244(context);
        if (r1 == null) {
            return null;
        }
        try {
            if (!m10250(r1, resources, i)) {
                return null;
            }
            ByteBuffer r2 = m10247(r1);
            r1.delete();
            return r2;
        } finally {
            r1.delete();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static boolean m10251(File file, InputStream inputStream) {
        Throwable th;
        IOException e2;
        StrictMode.ThreadPolicy allowThreadDiskWrites = StrictMode.allowThreadDiskWrites();
        FileOutputStream fileOutputStream = null;
        try {
            FileOutputStream fileOutputStream2 = new FileOutputStream(file, false);
            try {
                byte[] bArr = new byte[1024];
                while (true) {
                    int read = inputStream.read(bArr);
                    if (read != -1) {
                        fileOutputStream2.write(bArr, 0, read);
                    } else {
                        m10249(fileOutputStream2);
                        StrictMode.setThreadPolicy(allowThreadDiskWrites);
                        return true;
                    }
                }
            } catch (IOException e3) {
                e2 = e3;
                fileOutputStream = fileOutputStream2;
                try {
                    Log.e("TypefaceCompatUtil", "Error copying resource contents to temp file: " + e2.getMessage());
                    m10249(fileOutputStream);
                    StrictMode.setThreadPolicy(allowThreadDiskWrites);
                    return false;
                } catch (Throwable th2) {
                    th = th2;
                    m10249(fileOutputStream);
                    StrictMode.setThreadPolicy(allowThreadDiskWrites);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                fileOutputStream = fileOutputStream2;
                m10249(fileOutputStream);
                StrictMode.setThreadPolicy(allowThreadDiskWrites);
                throw th;
            }
        } catch (IOException e4) {
            e2 = e4;
            Log.e("TypefaceCompatUtil", "Error copying resource contents to temp file: " + e2.getMessage());
            m10249(fileOutputStream);
            StrictMode.setThreadPolicy(allowThreadDiskWrites);
            return false;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static boolean m10250(File file, Resources resources, int i) {
        InputStream inputStream;
        Throwable th;
        try {
            inputStream = resources.openRawResource(i);
            try {
                boolean r0 = m10251(file, inputStream);
                m10249(inputStream);
                return r0;
            } catch (Throwable th2) {
                th = th2;
                m10249(inputStream);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            inputStream = null;
            m10249(inputStream);
            throw th;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m10249(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (IOException unused) {
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static Map<Uri, ByteBuffer> m10248(Context context, g.b[] bVarArr, CancellationSignal cancellationSignal) {
        HashMap hashMap = new HashMap();
        for (g.b bVar : bVarArr) {
            if (bVar.m10308() == 0) {
                Uri r3 = bVar.m10310();
                if (!hashMap.containsKey(r3)) {
                    hashMap.put(r3, m10246(context, cancellationSignal, r3));
                }
            }
        }
        return Collections.unmodifiableMap(hashMap);
    }
}
