package e.o;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.util.Log;
import java.io.BufferedOutputStream;
import java.io.Closeable;
import java.io.File;
import java.io.FileFilter;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.RandomAccessFile;
import java.nio.channels.FileChannel;
import java.nio.channels.FileLock;
import java.util.ArrayList;
import java.util.List;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
import java.util.zip.ZipOutputStream;

/* access modifiers changed from: package-private */
/* compiled from: MultiDexExtractor */
public final class c implements Closeable {

    /* renamed from: ʿ  reason: contains not printable characters */
    private final File f7731;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final long f7732;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final File f7733;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final RandomAccessFile f7734;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final FileChannel f7735;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final FileLock f7736;

    /* access modifiers changed from: package-private */
    /* compiled from: MultiDexExtractor */
    public class a implements FileFilter {
        a(c cVar) {
        }

        public boolean accept(File file) {
            return !file.getName().equals("MultiDex.lock");
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: MultiDexExtractor */
    public static class b extends File {

        /* renamed from: ʿ  reason: contains not printable characters */
        public long f7737 = -1;

        public b(File file, String str) {
            super(file, str);
        }
    }

    c(File file, File file2) throws IOException {
        Log.i("MultiDex", "MultiDexExtractor(" + file.getPath() + ", " + file2.getPath() + ")");
        this.f7731 = file;
        this.f7733 = file2;
        this.f7732 = m11334(file);
        File file3 = new File(file2, "MultiDex.lock");
        RandomAccessFile randomAccessFile = new RandomAccessFile(file3, "rw");
        this.f7734 = randomAccessFile;
        try {
            this.f7735 = randomAccessFile.getChannel();
            try {
                Log.i("MultiDex", "Blocking on lock " + file3.getPath());
                this.f7736 = this.f7735.lock();
                Log.i("MultiDex", file3.getPath() + " locked");
            } catch (IOException | Error | RuntimeException e2) {
                m11331(this.f7735);
                throw e2;
            }
        } catch (IOException | Error | RuntimeException e3) {
            m11331(this.f7734);
            throw e3;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static long m11334(File file) throws IOException {
        long r0 = d.m11337(file);
        return r0 == -1 ? r0 - 1 : r0;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        this.f7736.release();
        this.f7735.close();
        this.f7734.close();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public List<? extends File> m11336(Context context, String str, boolean z) throws IOException {
        List<b> list;
        List<b> list2;
        Log.i("MultiDex", "MultiDexExtractor.load(" + this.f7731.getPath() + ", " + z + ", " + str + ")");
        if (this.f7736.isValid()) {
            if (z || m11333(context, this.f7731, this.f7732, str)) {
                if (z) {
                    Log.i("MultiDex", "Forced extraction must be performed.");
                } else {
                    Log.i("MultiDex", "Detected that extraction must be performed.");
                }
                list2 = m11335();
                m11330(context, str, m11326(this.f7731), this.f7732, list2);
            } else {
                try {
                    list = m11328(context, str);
                } catch (IOException e2) {
                    Log.w("MultiDex", "Failed to reload existing extracted secondary dex files, falling back to fresh extraction", e2);
                    list2 = m11335();
                    m11330(context, str, m11326(this.f7731), this.f7732, list2);
                }
                Log.i("MultiDex", "load found " + list.size() + " secondary dex files");
                return list;
            }
            list = list2;
            Log.i("MultiDex", "load found " + list.size() + " secondary dex files");
            return list;
        }
        throw new IllegalStateException("MultiDexExtractor was closed");
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private List<b> m11335() throws IOException {
        boolean z;
        String str = this.f7731.getName() + ".classes";
        m11329();
        ArrayList arrayList = new ArrayList();
        ZipFile zipFile = new ZipFile(this.f7731);
        try {
            ZipEntry entry = zipFile.getEntry("classes" + 2 + ".dex");
            int i = 2;
            while (entry != null) {
                b bVar = new b(this.f7733, str + i + ".zip");
                arrayList.add(bVar);
                Log.i("MultiDex", "Extraction is needed for file " + bVar);
                int i2 = 0;
                boolean z2 = false;
                while (i2 < 3 && !z2) {
                    int i3 = i2 + 1;
                    m11332(zipFile, entry, bVar, str);
                    try {
                        bVar.f7737 = m11334(bVar);
                        z = true;
                    } catch (IOException e2) {
                        Log.w("MultiDex", "Failed to read crc from " + bVar.getAbsolutePath(), e2);
                        z = false;
                    }
                    StringBuilder sb = new StringBuilder();
                    sb.append("Extraction ");
                    sb.append(z ? "succeeded" : "failed");
                    sb.append(" '");
                    sb.append(bVar.getAbsolutePath());
                    sb.append("': length ");
                    sb.append(bVar.length());
                    sb.append(" - crc: ");
                    sb.append(bVar.f7737);
                    Log.i("MultiDex", sb.toString());
                    if (!z) {
                        bVar.delete();
                        if (bVar.exists()) {
                            Log.w("MultiDex", "Failed to delete corrupted secondary dex '" + bVar.getPath() + "'");
                        }
                    }
                    z2 = z;
                    i2 = i3;
                }
                if (z2) {
                    i++;
                    entry = zipFile.getEntry("classes" + i + ".dex");
                } else {
                    throw new IOException("Could not create zip file " + bVar.getAbsolutePath() + " for secondary dex (" + i + ")");
                }
            }
            try {
                zipFile.close();
            } catch (IOException e3) {
                Log.w("MultiDex", "Failed to close resource", e3);
            }
            return arrayList;
        } catch (Throwable th) {
            try {
                zipFile.close();
            } catch (IOException e4) {
                Log.w("MultiDex", "Failed to close resource", e4);
            }
            throw th;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private List<b> m11328(Context context, String str) throws IOException {
        Log.i("MultiDex", "loading existing secondary dex files");
        String str2 = this.f7731.getName() + ".classes";
        SharedPreferences r3 = m11327(context);
        int i = r3.getInt(str + "dex.number", 1);
        ArrayList arrayList = new ArrayList(i + -1);
        int i2 = 2;
        while (i2 <= i) {
            b bVar = new b(this.f7733, str2 + i2 + ".zip");
            if (bVar.isFile()) {
                bVar.f7737 = m11334(bVar);
                long j = r3.getLong(str + "dex.crc." + i2, -1);
                long j2 = r3.getLong(str + "dex.time." + i2, -1);
                long lastModified = bVar.lastModified();
                if (j2 == lastModified && j == bVar.f7737) {
                    arrayList.add(bVar);
                    i2++;
                    r3 = r3;
                    str2 = str2;
                } else {
                    throw new IOException("Invalid extracted dex: " + bVar + " (key \"" + str + "\"), expected modification time: " + j2 + ", modification time: " + lastModified + ", expected crc: " + j + ", file crc: " + bVar.f7737);
                }
            } else {
                throw new IOException("Missing extracted secondary dex file '" + bVar.getPath() + "'");
            }
        }
        return arrayList;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m11333(Context context, File file, long j, String str) {
        SharedPreferences r7 = m11327(context);
        if (r7.getLong(str + "timestamp", -1) == m11326(file)) {
            StringBuilder sb = new StringBuilder();
            sb.append(str);
            sb.append("crc");
            return r7.getLong(sb.toString(), -1) != j;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static long m11326(File file) {
        long lastModified = file.lastModified();
        return lastModified == -1 ? lastModified - 1 : lastModified;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m11330(Context context, String str, long j, long j2, List<b> list) {
        SharedPreferences.Editor edit = m11327(context).edit();
        edit.putLong(str + "timestamp", j);
        edit.putLong(str + "crc", j2);
        edit.putInt(str + "dex.number", list.size() + 1);
        int i = 2;
        for (b bVar : list) {
            edit.putLong(str + "dex.crc." + i, bVar.f7737);
            edit.putLong(str + "dex.time." + i, bVar.lastModified());
            i++;
        }
        edit.commit();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static SharedPreferences m11327(Context context) {
        return context.getSharedPreferences("multidex.version", Build.VERSION.SDK_INT < 11 ? 0 : 4);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m11329() {
        File[] listFiles = this.f7733.listFiles(new a(this));
        if (listFiles == null) {
            Log.w("MultiDex", "Failed to list secondary dex dir content (" + this.f7733.getPath() + ").");
            return;
        }
        for (File file : listFiles) {
            Log.i("MultiDex", "Trying to delete old file " + file.getPath() + " of size " + file.length());
            if (!file.delete()) {
                Log.w("MultiDex", "Failed to delete old file " + file.getPath());
            } else {
                Log.i("MultiDex", "Deleted old file " + file.getPath());
            }
        }
    }

    /* JADX INFO: finally extract failed */
    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m11332(ZipFile zipFile, ZipEntry zipEntry, File file, String str) throws IOException, FileNotFoundException {
        InputStream inputStream = zipFile.getInputStream(zipEntry);
        File createTempFile = File.createTempFile("tmp-" + str, ".zip", file.getParentFile());
        Log.i("MultiDex", "Extracting " + createTempFile.getPath());
        try {
            ZipOutputStream zipOutputStream = new ZipOutputStream(new BufferedOutputStream(new FileOutputStream(createTempFile)));
            try {
                ZipEntry zipEntry2 = new ZipEntry("classes.dex");
                zipEntry2.setTime(zipEntry.getTime());
                zipOutputStream.putNextEntry(zipEntry2);
                byte[] bArr = new byte[16384];
                for (int read = inputStream.read(bArr); read != -1; read = inputStream.read(bArr)) {
                    zipOutputStream.write(bArr, 0, read);
                }
                zipOutputStream.closeEntry();
                zipOutputStream.close();
                if (createTempFile.setReadOnly()) {
                    Log.i("MultiDex", "Renaming to " + file.getPath());
                    if (!createTempFile.renameTo(file)) {
                        throw new IOException("Failed to rename \"" + createTempFile.getAbsolutePath() + "\" to \"" + file.getAbsolutePath() + "\"");
                    }
                    return;
                }
                throw new IOException("Failed to mark readonly \"" + createTempFile.getAbsolutePath() + "\" (tmp of \"" + file.getAbsolutePath() + "\")");
            } catch (Throwable th) {
                zipOutputStream.close();
                throw th;
            }
        } finally {
            m11331(inputStream);
            createTempFile.delete();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m11331(Closeable closeable) {
        try {
            closeable.close();
        } catch (IOException e2) {
            Log.w("MultiDex", "Failed to close resource", e2);
        }
    }
}
