package h.a.a.g;

import java.io.Closeable;
import java.io.EOFException;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.FileChannel;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* compiled from: ElfParser */
public class i implements Closeable {

    /* renamed from: ʿ  reason: contains not printable characters */
    private final FileChannel f8397;

    public i(File file) throws FileNotFoundException {
        if (file == null || !file.exists()) {
            throw new IllegalArgumentException("File is null or does not exist");
        }
        this.f8397 = new FileInputStream(file).getChannel();
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        this.f8397.close();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public d m12563() throws IOException {
        this.f8397.position(0L);
        ByteBuffer allocate = ByteBuffer.allocate(8);
        allocate.order(ByteOrder.LITTLE_ENDIAN);
        if (m12570(allocate, 0) == 1179403647) {
            short r1 = m12564(allocate, 4);
            boolean z = m12564(allocate, 5) == 2;
            if (r1 == 1) {
                return new g(z, this);
            }
            if (r1 == 2) {
                return new h(z, this);
            }
            throw new IllegalStateException("Invalid class type!");
        }
        throw new IllegalArgumentException("Invalid ELF Magic!");
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public List<String> m12567() throws IOException {
        long j;
        this.f8397.position(0L);
        ArrayList arrayList = new ArrayList();
        d r3 = m12563();
        ByteBuffer allocate = ByteBuffer.allocate(8);
        allocate.order(r3.f8384 ? ByteOrder.BIG_ENDIAN : ByteOrder.LITTLE_ENDIAN);
        long j2 = (long) r3.f8388;
        int i = 0;
        if (j2 == 65535) {
            j2 = r3.m12555(0).f8394;
        }
        long j3 = 0;
        while (true) {
            if (j3 >= j2) {
                j = 0;
                break;
            }
            e r13 = r3.m12554(j3);
            if (r13.f8390 == 2) {
                j = r13.f8391;
                break;
            }
            j3++;
        }
        if (j == 0) {
            return Collections.unmodifiableList(arrayList);
        }
        ArrayList<Long> arrayList2 = new ArrayList();
        long j4 = 0;
        while (true) {
            c r1 = r3.m12553(j, i);
            long j5 = r1.f8382;
            if (j5 == 1) {
                arrayList2.add(Long.valueOf(r1.f8383));
            } else if (j5 == 5) {
                j4 = r1.f8383;
            }
            i++;
            if (r1.f8382 == 0) {
                break;
            }
            j = j;
        }
        if (j4 != 0) {
            long r0 = m12562(r3, j2, j4);
            for (Long l : arrayList2) {
                arrayList.add(m12569(allocate, l.longValue() + r0));
            }
            return arrayList;
        }
        throw new IllegalStateException("String table offset not found!");
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʽ  reason: contains not printable characters */
    public long m12568(ByteBuffer byteBuffer, long j) throws IOException {
        m12565(byteBuffer, j, 8);
        return byteBuffer.getLong();
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʾ  reason: contains not printable characters */
    public String m12569(ByteBuffer byteBuffer, long j) throws IOException {
        StringBuilder sb = new StringBuilder();
        while (true) {
            long j2 = 1 + j;
            short r5 = m12564(byteBuffer, j);
            if (r5 == 0) {
                return sb.toString();
            }
            sb.append((char) r5);
            j = j2;
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʿ  reason: contains not printable characters */
    public long m12570(ByteBuffer byteBuffer, long j) throws IOException {
        m12565(byteBuffer, j, 4);
        return ((long) byteBuffer.getInt()) & 4294967295L;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private long m12562(d dVar, long j, long j2) throws IOException {
        for (long j3 = 0; j3 < j; j3++) {
            e r2 = dVar.m12554(j3);
            if (r2.f8390 == 1) {
                long j4 = r2.f8392;
                if (j4 <= j2 && j2 <= r2.f8393 + j4) {
                    return (j2 - j4) + r2.f8391;
                }
            }
        }
        throw new IllegalStateException("Could not map vma to file offset!");
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʻ  reason: contains not printable characters */
    public short m12564(ByteBuffer byteBuffer, long j) throws IOException {
        m12565(byteBuffer, j, 1);
        return (short) (byteBuffer.get() & 255);
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m12565(ByteBuffer byteBuffer, long j, int i) throws IOException {
        byteBuffer.position(0);
        byteBuffer.limit(i);
        long j2 = 0;
        while (j2 < ((long) i)) {
            int read = this.f8397.read(byteBuffer, j + j2);
            if (read != -1) {
                j2 += (long) read;
            } else {
                throw new EOFException();
            }
        }
        byteBuffer.position(0);
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʼ  reason: contains not printable characters */
    public int m12566(ByteBuffer byteBuffer, long j) throws IOException {
        m12565(byteBuffer, j, 2);
        return byteBuffer.getShort() & 65535;
    }
}
