package pl.droidsonroids.gif;

import android.content.ContentResolver;
import android.content.res.AssetFileDescriptor;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build;
import android.system.ErrnoException;
import android.system.Os;
import java.io.FileDescriptor;
import java.io.IOException;

/* access modifiers changed from: package-private */
public final class GifInfoHandle {

    /* renamed from: ʻ  reason: contains not printable characters */
    private volatile long f8404;

    static {
        i.m12621();
    }

    GifInfoHandle(String str) throws GifIOException {
        this.f8404 = openFile(str);
    }

    static native int createTempNativeFileDescriptor() throws GifIOException;

    static native int extractNativeFileDescriptor(FileDescriptor fileDescriptor, boolean z) throws GifIOException;

    private static native void free(long j);

    private static native int getCurrentFrameIndex(long j);

    private static native int getCurrentLoop(long j);

    private static native int getCurrentPosition(long j);

    private static native int getDuration(long j);

    private static native int getHeight(long j);

    private static native int getLoopCount(long j);

    private static native int getNativeErrorCode(long j);

    private static native int getNumberOfFrames(long j);

    private static native long[] getSavedState(long j);

    private static native int getWidth(long j);

    private static native boolean isOpaque(long j);

    static native long openFile(String str) throws GifIOException;

    static native long openNativeFileDescriptor(int i, long j) throws GifIOException;

    private static native long renderFrame(long j, Bitmap bitmap);

    private static native boolean reset(long j);

    private static native long restoreRemainder(long j);

    private static native int restoreSavedState(long j, long[] jArr, Bitmap bitmap);

    private static native void saveRemainder(long j);

    private static native void seekToTime(long j, int i, Bitmap bitmap);

    /* renamed from: ʻ  reason: contains not printable characters */
    private static long m12578(FileDescriptor fileDescriptor, long j, boolean z) throws GifIOException {
        int i;
        if (Build.VERSION.SDK_INT > 27) {
            try {
                i = m12577(fileDescriptor, z);
            } catch (Exception e2) {
                throw new GifIOException(c.OPEN_FAILED.f8450, e2.getMessage());
            }
        } else {
            i = extractNativeFileDescriptor(fileDescriptor, z);
        }
        return openNativeFileDescriptor(i, j);
    }

    /* access modifiers changed from: protected */
    public void finalize() throws Throwable {
        try {
            m12595();
        } finally {
            super.finalize();
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public synchronized int m12584() {
        return getCurrentLoop(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public synchronized int m12585() {
        return getCurrentPosition(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public synchronized int m12586() {
        return getDuration(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public synchronized int m12587() {
        return getHeight(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˆ  reason: contains not printable characters */
    public synchronized int m12588() {
        return getLoopCount(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public synchronized int m12589() {
        return getNativeErrorCode(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˉ  reason: contains not printable characters */
    public synchronized int m12590() {
        return getNumberOfFrames(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˊ  reason: contains not printable characters */
    public synchronized long[] m12591() {
        return getSavedState(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public synchronized int m12592() {
        return getWidth(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˎ  reason: contains not printable characters */
    public synchronized boolean m12593() {
        return isOpaque(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˏ  reason: contains not printable characters */
    public synchronized boolean m12594() {
        return this.f8404 == 0;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˑ  reason: contains not printable characters */
    public synchronized void m12595() {
        free(this.f8404);
        this.f8404 = 0;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: י  reason: contains not printable characters */
    public synchronized boolean m12596() {
        return reset(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ـ  reason: contains not printable characters */
    public synchronized long m12597() {
        return restoreRemainder(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ٴ  reason: contains not printable characters */
    public synchronized void m12598() {
        saveRemainder(this.f8404);
    }

    GifInfoHandle(AssetFileDescriptor assetFileDescriptor) throws IOException {
        try {
            this.f8404 = m12578(assetFileDescriptor.getFileDescriptor(), assetFileDescriptor.getStartOffset(), false);
        } finally {
            try {
                assetFileDescriptor.close();
            } catch (IOException unused) {
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m12577(FileDescriptor fileDescriptor, boolean z) throws GifIOException, ErrnoException {
        try {
            int createTempNativeFileDescriptor = createTempNativeFileDescriptor();
            Os.dup2(fileDescriptor, createTempNativeFileDescriptor);
            return createTempNativeFileDescriptor;
        } finally {
            if (z) {
                Os.close(fileDescriptor);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static GifInfoHandle m12579(ContentResolver contentResolver, Uri uri) throws IOException {
        if ("file".equals(uri.getScheme())) {
            return new GifInfoHandle(uri.getPath());
        }
        AssetFileDescriptor openAssetFileDescriptor = contentResolver.openAssetFileDescriptor(uri, "r");
        if (openAssetFileDescriptor != null) {
            return new GifInfoHandle(openAssetFileDescriptor);
        }
        throw new IOException("Could not open AssetFileDescriptor for " + uri);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public synchronized long m12582(Bitmap bitmap) {
        return renderFrame(this.f8404, bitmap);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public synchronized int m12580() {
        return getCurrentFrameIndex(this.f8404);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public synchronized void m12583(int i, Bitmap bitmap) {
        seekToTime(this.f8404, i, bitmap);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public synchronized int m12581(long[] jArr, Bitmap bitmap) {
        return restoreSavedState(this.f8404, jArr, bitmap);
    }
}
